define("shared/adlibrary/helpers/filter-placements-mixin", ["underscore/nyt"], function(e) {
        "use strict";
        var t = {
            map: {
                forcexxl: {
                    placement: "lede-ad",
                    size: [468, 648]
                },
                force970x250: {
                    placement: "TopAd",
                    size: [970, 250]
                },
                force970x90: {
                    placement: "TopAd",
                    size: [970, 90]
                },
                forcemega: {
                    placement: "MegaAd",
                    size: [1600, 512]
                },
                force300x600: {
                    placement: ["lede-ad", "MiddleRight"],
                    size: [300, 600]
                },
                force300x250: {
                    placement: "lede-ad",
                    size: [300, 250]
                },
                force970x418: {
                    placement: "MegaAd",
                    size: [970, 418]
                }
            },
            run: function(t, i) {
                var s;
                !e.isUndefined(t) && this.map[t] && (s = this.map[t], e.isArray(s.placement) ? e.each(s.placement, function(e) {
                    i[e] && (i[e] = s.size)
                }) : i[s.placement] && (i[s.placement] = s.size))
            }
        };
        return t
    }), define("shared/adlibrary/views/base-ad", ["underscore/nyt", "foundation/views/base-view", "shared/adlibrary/helpers/filter-placements-mixin"], function(e, t, i) {
        "use strict";
        var s = t.extend({
            isReady: !1,
            constructor: function(e) {
                this.isDisabled() || (this.setUpOptions(e), i.run(this.pageManager.getUrlParam("ad-keywords"), this.placements), t.apply(this, arguments), this.sitewide.initialize(this), this.sitewide.async || (this.sitewide.isReady = !0, this.signalReady()), this.requirements.initialize(this), this.requirements.async || (this.requirements.isReady = !0, this.signalReady()))
            },
            requirements: {
                async: !1,
                initialize: function(e) {
                    this[e.viewName] = e
                }
            },
            sitewide: {
                async: !1,
                initialize: function(e) {
                    this[e.viewName] = e
                }
            },
            placements: {
                TopAd: [
                    [728, 90],
                    [970, 90],
                    [970, 66],
                    [970, 250]
                ]
            },
            broadcastAdEvent: function() {
                var e, t, i = Array.prototype.slice.call(arguments);
                if (0 === i.length) throw "Please provide event name as the first argument to notify()";
                e = i.slice(0, 1)[0], i = i.slice(1), t = -1 === e.indexOf("nyt:") ? "nyt:ad-library:" + this.viewName + ":" + e : e, this.broadcast.apply(this, [t].concat(i))
            },
            listenToAdEvent: function(e, t) {
                var i = Array.prototype.slice.call(arguments, 2),
                    s = "boolean" == typeof i[0] ? i[0] : !1,
                    n = "object" == typeof i[0] ? i[0] : i[1],
                    a = s ? "listenToOnce" : "listenTo",
                    o = -1 === e.indexOf("nyt:") ? "nyt:ad-library:" + this.viewName + ":" + e : e;
                if (arguments.length < 2) throw "Please provide event name and callback to watch()";
                this[a].call(n || this, this.pageManager, o, t)
            },
            ignoreAdEvent: function(e, t) {
                var i = -1 === e.indexOf("nyt:") ? "nyt:ad-library:" + this.viewName + ":" + e : e;
                this.stopSubscribing(i, t)
            },
            signalReady: function() {
                this.sitewide.isReady && this.requirements.isReady && this.broadcastAdEvent("ready")
            },
            triggerTagX: function() {
                var e = this.$html,
                    t = {
                        module: "Page",
                        viewportWidth: this.$window.width(),
                        ledeMediaSize: e.attr("data-lede-media-size"),
                        pageLayout: e.attr("data-page-layout")
                    };
                this.trackingTriggerRaw("ad-tracking", t, "interaction")
            },
            setUpOptions: function(t) {
                t && (this.placements = t.placements ? e.extend({}, this.placements, t.placements) : this.placements, this.requirements = t.requirements || this.requirements)
            },
            getAdPlacements: function() {
                return this.placements
            },
            getAdKeywords: function() {
                return this.pageManager.getUrlParam("ad-keywords")
            },
            getAdSensitivity: function() {
                return this.pageManager.getMeta("ad_sensitivity")
            },
            isDisabled: function() {
                return "undefined" != typeof this.pageManager.getUrlParam("nojoy") || "noads" === this.pageManager.getUrlParam("adx_campaign") || "pay" === this.pageManager.getUrlParam("gwt")
            },
            isAmazonDisabled: function() {
                return "false" === this.pageManager.getMeta("dfp-amazon-enabled") || this.pageManager.getMeta("dfp-amazon-enabled") === !1
            }
        });
        return s
    }), define("shared/adlibrary/helpers/dfp-ordered-custom-criteria-mixin", ["underscore/nyt", "foundation/views/page-manager"], function(e, t) {
        "use strict";

        function i(t) {
            var i = "";
            return e.isArray(t) ? (t = e.each(t, function(e, t) {
                i += t > 0 ? "," : "", i += e.toLowerCase().replace(/[^a-z]+/gi, "").substring(0, 30)
            }), i) : e.isString(t) ? t.toLowerCase().replace(/[^a-z]+/gi, "").substring(0, 30) : ""
        }

        function s() {
            return "rec" === t.getUrlParam("src") ? "recpg" : "Recommendation" === t.getUrlParam("module") ? "recmod" : t.getUrlParam("pgtype") ? t.getUrlParam("pgtype") : ""
        }
        var n;
        return n = [{
            key: "adv",
            value: t.getUrlParam("ad-keywords")
        }, {
            key: "plat",
            value: "web"
        }, {
            key: "prop",
            value: "nyt"
        }, {
            key: "ver",
            value: "nyt5"
        }, {
            key: "sub",
            value: ""
        }, {
            key: "typ",
            value: ""
        }, {
            key: "pos",
            value: ""
        }, {
            key: "spon",
            value: i(t.getMeta("ad-sponsor"))
        }, {
            key: "des",
            value: i(t.getMeta("des"))
        }, {
            key: "per",
            value: i(t.getMeta("per"))
        }, {
            key: "org",
            value: i(t.getMeta("org"))
        }, {
            key: "geo",
            value: i(t.getMeta("geo"))
        }, {
            key: "ttl",
            value: i(t.getMeta("ttl"))
        }, {
            key: "col",
            value: i(t.getMeta("col"))
        }, {
            key: "ser",
            value: i(t.getMeta("ser"))
        }, {
            key: "id",
            value: t.getMeta("articleid")
        }, {
            key: "auth",
            value: i(t.getMeta("author"))
        }, {
            key: "amznslots",
            value: ""
        }, {
            key: "ref",
            value: s()
        }, {
            key: "srch",
            value: ""
        }, {
            key: "edn",
            value: t.isInternationalEdition() ? "intl" : "us"
        }, {
            key: "lan",
            value: ""
        }, {
            key: "etua",
            value: ""
        }, {
            key: "subsrc",
            value: ""
        }, {
            key: "env",
            value: ""
        }, {
            key: "cs",
            value: ""
        }, {
            key: "jt",
            value: ""
        }, {
            key: "ind",
            value: ""
        }, {
            key: "g",
            value: ""
        }, {
            key: "em",
            value: ""
        }, {
            key: "inc",
            value: ""
        }, {
            key: "wat",
            value: ""
        }]
    }), define("shared/adlibrary/helpers/dfp-placements-mixin", [], function() {
        "use strict";
        var e = {
            TopAd: [
                [728, 90],
                [970, 90],
                [970, 66],
                [970, 250]
            ],
            TopAd1: [728, 90],
            TopAd2: [728, 90],
            TopAd3: [728, 90],
            TopAd4: [728, 90],
            TopAd5: [728, 90],
            "lede-ad": [
                [468, 648],
                [300, 600],
                [300, 250]
            ],
            "marketing-ad": [301, 250],
            MiddleRight1: [300, 250],
            MiddleRight2: [300, 250],
            MiddleRight3: [300, 250],
            MiddleRight4: [300, 250],
            MiddleRight5: [300, 250],
            MiddleRight6: [300, 250],
            MiddleRight7: [300, 250],
            MiddleRight8: [300, 250],
            MiddleRight9: [300, 250],
            MiddleRight10: [300, 250],
            MiddleRight11: [300, 250],
            MiddleRight12: [300, 250],
            MiddleRight13: [300, 250],
            MiddleRight14: [300, 250],
            MiddleRight15: [300, 250],
            Middle1C: [88, 31],
            MostEm: [88, 31],
            TopNavAd: [88, 31],
            MegaAd: [1600, 512],
            Moses: [
                [970, 418],
                [970, 40]
            ],
            Frame4A: [96, 60],
            Frame6A: [336, 90],
            Position1: [96, 60],
            Spon2: [88, 31],
            MiddleRightN: [300, 250],
            TopAdN: [728, 90],
            BigAd3: [300, 250],
            MobileBanner: [320, 50],
            MobileBanner2: [
                [320, 50],
                [300, 250]
            ],
            Ribbon: [240, 75],
            RibbonInterstitial: [900, 500],
            Interstitial: [
                [1, 1],
                [640, 480]
            ],
            WelcomeBack: [300, 250],
            sponsortile: [150, 50]
        };
        return e
    }), define("shared/adlibrary/helpers/dfp-sitewide-requirements-mixin", ["jquery/nyt", "underscore/nyt", "foundation/models/user-data"], function(e, t, i) {
        "use strict";
        var s = {
            aax: "3030",
            async: !0,
            dfp: null,
            isReady: !1,
            amazonKeywords: [],
            tabletPortraitSize: 1020,
            initialize: function(e) {
                var t = this;
                this.dfp = e, this.dfp.isAmazonDisabled() ? this.async = !1 : this.setUpAmazonGlobal(), this.addCookieData(), this.integrateKrux(), this.determineAdSizes(), this.modifyChamber(), e.listenToAdEvent("ad-rendered", t.handleAdRendered, t), e.listenToAdEvent("ad-slot-defined", this.handleSlotDefined, t), e.listenToAdEvent("nyt:masthead-search-toggle", t.handleSearchSponsor, t), e.listenToAdEvent("nyt:page-breakpoint", t.handleBreakpoint, t), e.listenToAdEvent("refresh", t.handleRefresh, t)
            },
            modifyChamber: function() {
                var e = this.dfp;
                e.clearChamber()
            },
            signalReady: function() {
                this.isReady = !0, this.dfp.signalReady()
            },
            handleAdRendered: function(e, t, i) {
                var s = this,
                    n = this.dfp.getAdElement(e);
                switch (this.determineVisibility(n, i), t = t || [0, 0], t[0]) {
                    case 728:
                    case 300:
                        s.checkPoliticalStatus(n, i)
                }
                switch (e) {
                    case "TopAd":
                        s.handleTopAd(n, i);
                        break;
                    case "lede-ad":
                        s.handleBigAdRendered(n, t, i)
                }
            },
            handleTopAd: function(e, t) {
                var i = e.find("iframe"),
                    s = i.prev("div"),
                    n = this.dfp.$adsOnPage.TopAd;
                t ? this.dfp.$html.removeClass("has-top-ad") : (this.dfp.$html.addClass("has-top-ad"), e.attr("display", "block")), this.has970TopAd = this.dfp.$html.hasClass("has-top-ad") && (e.find("iframe").width() > 728 || s.width() > 728), this.has970TopAd && n.css("min-height", "26px")
            },
            handleBigAdRendered: function(e, t, i) {
                i ? this.dfp.$html.removeClass("has-big-ad") : t[0] >= 468 && (this.dfp.$html.addClass("has-xxl"), this.hasXXLAd = !0)
            },
            checkPoliticalStatus: function(t, i) {
                var s;
                if (!i) try {
                    t.find("iframe").contents().find("html #politicalAd").length > 0 && (s = e("<div>").addClass("ad-header").attr("aria-hidden", "true").append(e("<p>")).find("p").text("Advertisement").end(), t.prepend(s))
                } catch (n) {}
            },
            integrateKrux: function() {
                this.setUpKruxGlobal(), this.addKruxKeywords()
            },
            setUpKruxGlobal: function() {
                window.Krux = window.Krux || ((window.Krux = function() {
                    window.Krux.q.push(arguments)
                }).q = [])
            },
            addKruxKeywords: function() {
                var e = {},
                    t = this.retrieveKruxData("segs"),
                    i = this.retrieveKruxData("user");
                t && (e.ksg = t, window.Krux.segments = t.split(",") || []), i && (e.kuid = i, window.Krux.user = i), this.dfp.setCustomCriteria(e)
            },
            retrieveKruxData: function(e) {
                var t, i = "kx" + e;
                return window.localStorage ? window.localStorage[i] || "" : navigator.cookieEnabled ? (t = document.cookie.match(i + "=([^;]*)"), t && window.unescape(t[1]) || "") : ""
            },
            setUpAmazonGlobal: function() {
                var t = this;
                window.amznads = {
                    updateAds: e.noop,
                    renderAd: e.noop
                }, e.ajax({
                    url: "//c.amazon-adsystem.com/aax2/amzn_ads.js",
                    dataType: "script",
                    timeout: 1e3
                }).always(function() {
                    t.getAmazonKeywords()
                })
            },
            getAmazonKeywords: function() {
                var t = this,
                    i = encodeURIComponent(document.location);
                try {
                    i = encodeURIComponent("" + window.top.location)
                } catch (s) {}
                e.ajax({
                    url: "//aax.amazon-adsystem.com/e/dtb/bid?src=" + t.aax + "&u=" + i + "&cb=" + Math.round(1e7 * Math.random()),
                    dataType: "script",
                    timeout: 1e3
                }).done(function() {
                    t.addAmazonKeywords()
                }).always(function() {
                    t.signalReady()
                })
            },
            handleRefresh: function() {
                var e = this.dfp,
                    i = t.toArray(arguments);
                this.refreshAmazonKeywords(function() {
                    e.refreshSlots.apply(e, i)
                })
            },
            refreshAmazonKeywords: function(e) {
                var i = this;
                window.amznads.getAdsCallback && (window.amznads.getAdsCallback(this.aax, function() {
                    i.addAmazonKeywords(), t.isFunction(e) && e()
                }), this.dfp.googletag.cmd.push(function() {
                    i.dfp.googletag.pubads().clearTargeting("amznslots")
                }))
            },
            addAmazonKeywords: function() {
                window.amznads.ads && this.dfp.setCustomCriteria({
                    amznslots: t.keys(window.amznads.ads)
                })
            },
            addCookieData: function() {
                var e = i.attributes;
                this.addEventTrackerId(e), this.parseSubscriberStatus(e), this.parseDemographicData(e.demographics)
            },
            addEventTrackerId: function(e) {
                var t = {};
                "0" !== e.id && (t.etua = e.id, this.dfp.setCustomCriteria(t))
            },
            parseSubscriberStatus: function(e) {
                var t, i = {};
                t = "0" === e.id ? "anon" : e.subscription.length <= 4 ? "reg" : "sub", i.sub = t, this.dfp.setCustomCriteria(i)
            },
            parseDemographicData: function(e) {
                var s, n = {};
                t.isObject(e) && (n.cs = i.getCompanySize(), n.jt = i.getJobTitle(), n.ind = i.getJobIndustry(), n.g = i.getGender(), n.em = i.getEmailSubscriptions(), n.inc = i.getIncomeRange(), n.wat = i.getWat(), i.getBundleSubscriptions() && i.getBundleSubscriptions().length > 0 && (s = i.getBundleSubscriptions()[0], n.subprm = s.promotion, n.grace = s.in_grace ? "t" : "f", t.isString(s.bundle) && (n.sub = s.bundle.toLowerCase()), t.isString(s.source) && (n.subsrc = s.source)), this.dfp.setCustomCriteria(n))
            },
            determineAdSizes: function() {
                var e, t = this.dfp.pageManager.getViewport().width;
                975 > t && (this.dfp.removePlacementSize("TopAd", [970, 90]), this.dfp.removePlacementSize("TopAd", [970, 66]), this.dfp.removePlacementSize("TopAd", [970, 250]), this.dfp.removePlacementSize("lede-ad", [468, 648])), 765 > t && (this.dfp.editPlacementSize("TopAd", [320, 50]), this.dfp.editPlacementSize("TopAd1", [320, 50]), this.dfp.editPlacementSize("TopAd2", [320, 50]), this.dfp.editPlacementSize("TopAd3", [320, 50]), this.dfp.editPlacementSize("TopAd4", [320, 50]), this.dfp.editPlacementSize("TopAd5", [320, 50]), this.dfp.removePlacement("SponLink"), e = {
                    plat: "mweb",
                    prop: "mnyt"
                }, this.dfp.setCustomCriteria(e))
            },
            handleSlotDefined: function(e, t) {
                var i;
                switch (t) {
                    case "lede-ad":
                        i = "mid1";
                        break;
                    case "MiddleRight2":
                        i = "mid2";
                        break;
                    case "Frame6A":
                        i = "artexp";
                        break;
                    case "MostEm":
                        i = "emmod";
                        break;
                    case "TopAd":
                        i = "top";
                        break;
                    case "TopAd1":
                        i = "bottom";
                        break;
                    case "TopNavAd":
                    case "SponsorAd":
                        i = "ssearch";
                        break;
                    case "Middle1C":
                    case "Spon2":
                        i = t
                }
                i && e.setTargeting("pos", i)
            },
            determineVisibility: function(e, t) {
                if (t) e.addClass("hidden");
                else try {
                    e.find("iframe").contents().find("html #exclusivity").length > 0 ? e.addClass("hidden ad-exclusivity") : e.removeClass("hidden")
                } catch (i) {
                    e.removeClass("hidden")
                }
            },
            handleSearchSponsor: function() {
                var e = this.dfp.$shell.find("#SponsorAd");
                e.find("iframe").length > 0 || this.dfp.requestDynamicAd("SponsorAd", [88, 31])
            },
            handleBreakpoint: function(e) {
                this.has970TopAd && this.hideTopAdForSmallViewport(e), this.hasXXLAd && this.hideXxlForSmallViewport(e)
            },
            hideTopAdForSmallViewport: function(e) {
                var t = this.dfp.getAdElement("TopAd");
                e <= this.tabletPortraitSize ? (t.addClass("hidden"), this.dfp.$html.removeClass("has-top-ad")) : (t.removeClass("hidden"), this.dfp.$html.addClass("has-top-ad"))
            },
            hideXxlForSmallViewport: function(e) {
                var t = this.dfp.getAdElement("lede-ad");
                e <= this.tabletPortraitSize ? (t.addClass("hidden"), this.dfp.$html.removeClass("has-xxl")) : (t.removeClass("hidden"), this.dfp.$html.addClass("has-xxl"))
            }
        };
        return s
    }), define("shared/adlibrary/views/dfp", ["jquery/nyt", "underscore/nyt", "shared/adlibrary/views/base-ad", "foundation/hosts", "shared/adlibrary/helpers/dfp-ordered-custom-criteria-mixin", "shared/adlibrary/helpers/dfp-placements-mixin", "shared/adlibrary/helpers/dfp-sitewide-requirements-mixin"], function(e, t, i, s, n, a, o) {
        "use strict";
        var r = i.extend({
            alreadyRequested: {},
            notYetRequested: {},
            readyForDisplay: {},
            adPath: "",
            viewName: "dfp",
            chamber: [],
            slots: {},
            googletag: null,
            customCriteria: [],
            placements: a,
            isScanning: !1,
            initialize: function(e) {
                e = e || {}, this.listenToAdEvent("ready", this.handleReady), this.adPath = this.getAdUnitPath(), this.sitewide = o, this.customCriteria = t.each(n, function(e) {
                    return t.clone(e)
                }), this.setCustomCriteria(e.customCriteria), this.discoverAdsOnPage(), this.addToChamber(this.adsOnPage), this.listenToAdEvent("ad-slot-defined", this.handleSlotDefined), this.listenToAdEvent("ad-rendered", this.triggerTagX, !0), this.listenToAdEvent("request-placement", this.requestDynamicAd), this.listenToAdEvent("queue-placement", this.queueDynamicAd), this.listenToAdEvent("scan", this.scan), this.broadcastAdEvent("waiting", this)
            },
            getAdUnitPath: function() {
                var e, i, n = this.getAdSensitivity(),
                    a = "tragedy" !== n && "noads" !== n ? this.pageManager.getMeta("dfp-ad-unit-path") : n;
                return t.isUndefined(a) && (e = this.pageManager.getMeta("CG"), i = this.pageManager.getMeta("SCG") ? "/" + this.pageManager.getMeta("SCG") : "", a = e + i), s.dfpHost + a
            },
            handleReady: function() {
                var e = this;
                if (this.googletag = window.googletag, !this.googletag) return setTimeout(function() {
                    e.handleReady()
                }, 500);
                if (this.isReady) throw new Error("DFP already in ready state.  Do not signal ready more than once.");
                this.isReady = !0, this.addPageLevelParameters(), this.fireOffAdRequests(), this.enableServices(), this.scan(), this.listenToAdEvent("placement-added", this.scan)
            },
            handleSlotDefined: function(e, t) {
                this.trackRequested(e, t)
            },
            requestAdsInViewport: function() {
                this.requestMultipleAds(this.getAdsInViewport())
            },
            trackRequested: function(e, i) {
                this.readyForDisplay[i] = this.notYetRequested[i], delete this.notYetRequested[i], 0 === t.keys(this.notYetRequested).length && (this.isScanning = !1, this.stopSubscribing("nyt:page-scroll", this.requestAdsInViewport))
            },
            getAdsInViewport: function() {
                var e = this,
                    i = {};
                return t.each(this.$adsOnPage, function(t, s) {
                    !e.alreadyRequested[s] && e.isElementInViewport(t) && (i[s] = t)
                }), i
            },
            enableServices: function() {
                var e = this.googletag,
                    t = this;
                e.cmd.push(function() {
                    e.pubads().addEventListener && e.pubads().addEventListener("slotRenderEnded", function(e) {
                        t.broadcastAdEvent("ad-rendered", e.slot.getSlotId().getDomId(), e.size, e.isEmpty)
                    }), e.pubads().enableSingleRequest(), e.enableServices()
                })
            },
            addPageLevelParameters: function() {
                var e = this.googletag;
                t.each(this.customCriteria, function(i) {
                    t.isEmpty(i.value) || e.cmd.push(function() {
                        e.pubads().setTargeting(i.key, i.value)
                    })
                })
            },
            setCustomCriteria: function(e) {
                t.isObject(e) && t.each(e, function(e, i) {
                    var s = t.findWhere(this.customCriteria, {
                        key: i
                    });
                    "undefined" != typeof e && (t.isString(e) || t.isArray(e) || (e = e.toString()), s ? s.value = e : this.customCriteria.push({
                        key: i,
                        value: e
                    }))
                }, this)
            },
            defineAdSlots: function(e) {
                var i = this,
                    s = i.googletag;
                e = t.omit(e, t.keys(i.slots)), t.isEmpty(e) || s.cmd.push(function() {
                    t.each(e, function(e, t) {
                        var n = s.defineSlot(i.adPath, e, t).addService(s.pubads()).setCollapseEmptyDiv(!0);
                        i.slots[t] = n, i.broadcastAdEvent("ad-slot-defined", n, t, e)
                    })
                })
            },
            requestMultipleAds: function(e) {
                t.each(e, function(e, t) {
                    "undefined" == typeof this.slots[t] ? this.requestDynamicAd(t) : this.requestSingleAd(t)
                }, this)
            },
            requestSingleAd: function(e) {
                var i = this.googletag,
                    s = this;
                return s.isReady ? void i.cmd.push(function() {
                    i.display(e), t.extend(s.alreadyRequested, s.readyForDisplay), delete s.readyForDisplay[e]
                }) : s.listenToAdEvent("ready", function() {
                    s.requestSingleAd(e)
                }, !0)
            },
            discoverAdsOnPage: function() {
                var t = this,
                    i = e(".ad, .text-ad, .sponsor-ad");
                this.adsOnPage = {}, this.$adsOnPage = {}, this.chamber = [], i.each(function(e, i) {
                    i.id in t.placements && t.addPlacement(i.id)
                })
            },
            addToChamber: function() {
                this.chamber.push.apply(this.chamber, t.toArray(arguments))
            },
            clearChamber: function() {
                var e = this.chamber;
                return this.chamber = [], e
            },
            fireOffAdRequests: function() {
                t.each(this.chamber, function(e) {
                    this.defineAdSlots(e)
                }, this)
            },
            requestDynamicAd: function(t, i) {
                var s = this;
                return s.isReady ? this.alreadyRequested[t] ? (this.$adsOnPage[t] = e("#" + t), !1) : (this.addPlacement(t, i), this.defineAdSlots(this.getPlacement(t)), void this.requestSingleAd(t)) : s.listenToAdEvent("ready", function() {
                    s.requestDynamicAd(t, i)
                }, !0)
            },
            queueDynamicAd: function(e, t) {
                this.addPlacement(e, t), this.scan()
            },
            getAdElement: function(t) {
                return this.$adsOnPage[t] || e()
            },
            addPlacement: function(i, s) {
                var n;
                return t.isObject(i) ? t.each(i, function(e, t) {
                    this.addPlacement(t, e)
                }, this) : (n = e("#" + i), 0 === n.length ? !1 : (this.placements[i] = s || this.placements[i], this.adsOnPage[i] = this.placements[i], this.$adsOnPage[i] = e("#" + i), this.notYetRequested[i] = this.$adsOnPage[i], void this.broadcastAdEvent("placement-added", i, s)))
            },
            getPlacement: function() {
                var e = {};
                return t.each(t.toArray(arguments), function(t) {
                    this.adsOnPage[t] && (e[t] = this.adsOnPage[t])
                }, this), e
            },
            removePlacement: function(e) {
                delete this.placements[e], delete this.adsOnPage[e], delete this.$adsOnPage[e], delete this.notYetRequested[e]
            },
            removePlacementSize: function(e, i) {
                var s, n, a;
                if (this.adsOnPage && this.adsOnPage[e] && (s = this.adsOnPage[e]), this.adsOnPage && this.adsOnPage[e] && t.isArray(this.adsOnPage[e][0]))
                    for (a = 0; a < s.length; a += 1) n = s[a], n[0] === i[0] && n[1] === i[1] && s.splice(a, 1);
                else s && s[0] === i[0] && s[1] === i[1] && this.removePlacement(e)
            },
            editPlacementSize: function(e, t) {
                this.adsOnPage && this.adsOnPage[e] && (this.adsOnPage[e].length = 0, this.adsOnPage[e].push(t[0], t[1]))
            },
            addPlacementSize: function(e, i) {
                var s, n, a = !1,
                    o = 0;
                if (t.isUndefined(this.adsOnPage[e])) return this.addPlacement(e, i);
                if (t.isArray(this.adsOnPage[e][0])) {
                    for (o; o < this.adsOnPage[e].length; o += 1)
                        if (s = this.adsOnPage[e][o][0], n = this.adsOnPage[e][o][1], s === i[0] && n === i[1]) {
                            a = !0;
                            break
                        }
                    a || this.adsOnPage[e].push(i)
                } else s = this.adsOnPage[e][0], n = this.adsOnPage[e][1], (s !== i[0] || n !== i[1]) && (this.adsOnPage[e].length = 0, this.adsOnPage[e].push([s, n]), this.adsOnPage[e].push(i))
            },
            refreshSlots: function(e) {
                var i, s = this;
                e && (i = [], e = t.isArray(e) ? e : [e], t.each(e, function(e) {
                    this.slots[e] && i.push(this.slots[e])
                }, this)), this.googletag.cmd.push(function() {
                    s.googletag.pubads().refresh(i)
                })
            },
            scan: function() {
                this.isScanning || (this.isScanning = !0, this.requestAdsInViewport(), this.subscribe("nyt:page-scroll", this.requestAdsInViewport))
            }
        });
        return r
    }), define("shared/adlibrary/templates", ["underscore/nyt"], function(_) {
        var templates = {};
        return templates.iFrameStyleSheet = function(obj) {
            var __p = "";
            Array.prototype.join;
            with(obj || {}) __p += '<style type="text/css">\nbody {\nmargin: 0;\noverflow: hidden;\n}a img {\nborder: none;\n}\n</style>';
            return __p
        }, templates.interstitialModal = function(obj) {
            var __p = "";
            Array.prototype.join;
            with(obj || {}) __p += '<div id="Interstitial" class="ad interstitial-ad"></div><p class="user-action dismiss-button">Continue &raquo;</p>';
            return __p
        }, templates.ribbonInterstitial = function(obj) {
            var __p = "";
            Array.prototype.join;
            with(obj || {}) __p += '<div class="ribbon-interstitial-ad-overlay hidden">\n<h4 class="ad-heading"> Advertisement </h4>\n<div id="RibbonInterstitial" class="ad ribbon-interstitial-ad"> </div>\n</div>';
            return __p
        }, templates
    }), define("shared/ad/models/ad", ["backbone/nyt"], function(e) {
        "use strict";
        var t = e.Model.extend({});
        return t
    }), define("shared/adlibrary/collections/adx-collection", ["backbone/nyt", "underscore/nyt", "foundation/collections/base-collection", "foundation/hosts", "shared/ad/models/ad"], function(e, t, i, s, n) {
        "use strict";
        var a = i.extend({
            url: s.adx + "/adx/bin/adxrun.html",
            model: n,
            initialize: function(e) {
                if (this.options = e || {}, this.placements = this.options.placements, !this.options.placements) throw new Error("No ad placements found in ADX collection");
                t.isUndefined(this.pageManager.getMeta("adxPage")) ? this.host = this.pageManager.getUrlParam("adx_campaign") || this.options.adx_campaign || "www.nytimes.com" : (this.host = "", this.options.page = this.pageManager.getMeta("adxPage")), this.interstitial = this.options.interstitial ? 1 : 0, this.setPageParameter()
            },
            setPageParameter: function() {
                var e;
                this.options.page || (e = location.pathname, e = e.replace(/\d{4}/, "yr").replace(/\d{2}/, "mo").replace(/\d{2}/, "day"), this.options.page = this.host + e)
            },
            sync: function(i, s, n) {
                var a = this;
                return n.dataType = "jsonp", n.jsonp = "jsonp", n.data = {
                    page: a.options.page,
                    positions: t.keys(this.placements).join(","),
                    autoconfirm: 0,
                    v: 3,
                    cpp: 0,
                    attributes: "nyt5",
                    keywords: this.getAdxKeywords()
                }, e.sync(i, s, n)
            },
            getAdxKeywords: function() {
                var e = this.pageManager.getMeta("keywords") || "",
                    t = this.pageManager.getUrlParam("ad-keywords");
                return t && (e = e + "," + t), e
            },
            parse: function(e) {
                var t, i = [];
                for (t in e.ads) e.ads.hasOwnProperty(t) && this.placements.hasOwnProperty(t) && (e.ads[t].adId = t, i.push(e.ads[t]));
                return i
            }
        });
        return a
    }), define("shared/adlibrary/helpers/adx-placements-mixin", [], function() {
        "use strict";
        var e = {
            Inv1: [],
            Inv2: [],
            Inv3: [],
            ab1: [],
            ab2: [],
            ab3: [],
            prop1: [],
            prop2: [],
            Anchor: [],
            Bar1: [],
            ADX_CLIENTSIDE: []
        };
        return e
    }), define("shared/adlibrary/views/adx", ["jquery/nyt", "underscore/nyt", "shared/adlibrary/views/base-ad", "foundation/hosts", "shared/adlibrary/templates", "shared/adlibrary/collections/adx-collection", "shared/adlibrary/helpers/adx-placements-mixin"], function(e, t, i, s, n, a, o) {
        "use strict";
        var r = i.extend({
            viewName: "adx",
            placements: o,
            iframeClass: "ad-frame",
            initialize: function() {
                this.ads = new a({
                    placements: this.placements
                }), this.subscribe(this.ads, "sync", this.receiveAds), this.requestAds()
            },
            requestAds: function() {
                this.ads.fetch()
            },
            receiveAds: function(t) {
                var i = this;
                t.each(function(t) {
                    i.renderInIframe({
                        el: e("#" + t.get("adId")),
                        model: t,
                        frameStyle: n.iFrameStyleSheet(),
                        secondaryIframeClass: "frame-for-article"
                    })
                })
            },
            renderInIframe: function(i) {
                var s, n, a, o, r, l, d, h = document.createElement("iframe");
                i = i || {}, n = i.model, n && "undefined" != typeof n.get && i.el && !n.get("hasPainted") && (i.el = e(i.el), o = n.get("confirmation-url"), r = n.get("creative"), d = n.get("isInlineSafe"), "string" == typeof d && "n" === d.toLowerCase() && (d = !1), d ? i.el.append(i.el.html() + r) : 0 === i.el.find("iframe").length && "ADX_CLIENTSIDE" !== n.get("name") && (a = i.frameStyle ? i.frameStyle + r : r, e(h).attr("frameBorder", 0).addClass(this.iframeClass).css(this.calculateIFrameCss(n.get("width"), n.get("height"))), i.secondaryIframeClass && (h.className += " " + i.secondaryIframeClass), i.el.append(h), h.contentDocument ? s = h.contentDocument : h.contentWindow && (s = h.contentWindow.document), s && (s.open(), s.write(a), t.defer(function() {
                    s.close()
                }))), e(i.el.selector + "-alternate-content").addClass("hidden"), o && "" !== o && (l = new Image, l.src = o), this.trackingTriggerImpression("ad-render", {
                    module: "Ad",
                    version: n.get("name"),
                    action: "Impression",
                    contentCollection: n.get("campaign"),
                    contentID: n.get("classification"),
                    region: i.page || "",
                    eventName: "AdImpression"
                }), i.callback && i.callback())
            },
            calculateIFrameCss: function(e, t) {
                var i = {};
                return i.width = e || 0, i.height = t || 0, i
            }
        });
        return r
    }), define("homepage/views/adlibrary/placements/adx-placements-mixin", [], function() {
        "use strict";
        var e = {
            Inv1: [],
            Inv2: [],
            Inv3: [],
            ab1: [],
            ab2: [],
            ab3: [],
            prop1: [],
            prop2: [],
            Anchor: [],
            Bottom8: [],
            Bottom9: [],
            "HPmodule-RE2": [],
            Top5: [],
            Bar1: [],
            Header1: []
        };
        return e
    }), define("homepage/views/adlibrary/placements/dfp-placements-mixin", [], function() {
        "use strict";
        var e = {
            HPMiddle: [300, 602],
            HPMiddle3: [336, 91],
            TopLeft: [184, 90],
            TopRight: [184, 91],
            Top: [
                [970, 251],
                [970, 67],
                [970, 91],
                [970, 301],
                [970, 401]
            ],
            HPMidLeader: [
                [970, 252],
                [970, 68],
                [970, 92],
                [970, 302],
                [970, 402],
                [728, 92],
                [970, 250],
                [970, 66],
                [970, 90],
                [970, 300],
                [970, 400],
                [728, 90]
            ],
            Middle4: [163, 90],
            Box1: [301, 250],
            MOTHAd: [151, 207],
            HPWeather: [163, 90],
            HPSponLink: [
                [970, 253],
                [970, 69],
                [970, 93],
                [970, 303],
                [970, 403],
                [728, 93],
                [970, 250],
                [970, 66],
                [970, 90],
                [970, 300],
                [970, 400],
                [728, 90]
            ],
            HPPromo: [336, 138],
            HPBottom1: [302, 250],
            mostpop: [96, 60],
            Middle: [300, 601]
        };
        return e
    }), define("homepage/views/adlibrary/requirements/dfp-homepage-requirements-mixin", ["jquery/nyt"], function(e) {
        "use strict";
        var t = {
            dfp: null,
            paidPostFivePackCounter: 0,
            fivepackImpressionSent: !1,
            initialize: function(e) {
                var t = this;
                this.dfp = e, this.dfp.listenToAdEvent("ad-slot-defined", t.handleSlotDefined, t), this.dfp.listenToAdEvent("weatherModalRendered", t.requestWeatherAd, t), this.dfp.listenToAdEvent("marketsModalRendered", t.requestMarketsAd, t), this.dfp.listenToAdEvent("nyt:moth-ad-container-rendered", t.requestMothAd, t), this.dfp.listenToAdEvent("ad-rendered", t.handleAdRendered, t), this.dfp.removePlacement("TopAd"), this.setHomepageCustomCriteria(), this.addPaidPostFivePackAds(), this.prepareInitialRequest()
            },
            prepareInitialRequest: function() {
                this.dfp.clearChamber(), this.dfp.addToChamber(this.dfp.getPlacement("Top", "TopLeft", "TopRight", "Middle"))
            },
            setHomepageCustomCriteria: function() {
                var e = {
                    typ: "hp"
                };
                this.dfp.setCustomCriteria(e)
            },
            handleSlotDefined: function(e, t) {
                var i;
                switch (t) {
                    case "Middle4":
                        i = "marketstile";
                        break;
                    case "HPWeather":
                        i = "weathertile";
                        break;
                    case "Middle1C":
                        i = "ssearch";
                        break;
                    case "mostpop":
                        i = t;
                        break;
                    case "HPBottom1":
                    case "Box1":
                        i = "mktg"
                }
                i && e.setTargeting("pos", i)
            },
            requestWeatherAd: function() {
                this.dfp.broadcastAdEvent("request-placement", "HPWeather")
            },
            addPaidPostFivePackAds: function() {
                this.dfp.pageManager.flag("paidPostFivePack") && "1" === this.dfp.isUserVariant("paidPostFivePack") && !this.dfp.pageManager.isMobile() && this.dfp.addPlacement({
                    PaidPostFivePack1: [190, 197],
                    PaidPostFivePack2: [190, 197],
                    PaidPostFivePack3: [190, 197],
                    PaidPostFivePack4: [190, 197],
                    PaidPostFivePack5: [190, 197]
                })
            },
            handleAdRendered: function(e, t, i) {
                var s = this,
                    n = s.dfp,
                    a = n.$adsOnPage[e];
                switch (t = t || [0, 0], e) {
                    case "Box1":
                        s.handleBoxOneRendered(a);
                        break;
                    case "HPPromo":
                        s.handleHPPromoRendered(a, i);
                        break;
                    case "MOTHAd":
                        s.handleMothAdRendered(a, i);
                        break;
                    case "TopLeft":
                    case "TopRight":
                        s.handleEarRendered(a);
                        break;
                    case "PaidPostFivePack1":
                    case "PaidPostFivePack2":
                    case "PaidPostFivePack3":
                    case "PaidPostFivePack4":
                    case "PaidPostFivePack5":
                        s.handlePaidPostFivePackRendered(a, i)
                }
            },
            handleMothAdRendered: function(e, t) {
                t ? e.parent().addClass("hidden") : e.css({
                    "text-align": "center"
                })
            },
            handleHPPromoRendered: function(e, t) {
                t || e.css({
                    "text-align": "center"
                })
            },
            handleEarRendered: function(e) {
                e.removeClass("hidden").css({
                    display: "block"
                })
            },
            handleBoxOneRendered: function(e) {
                e.find(">div").css({
                    display: "inline-block"
                })
            },
            handlePaidPostFivePackRendered: function(t, i) {
                var s;
                i || (t.parent().removeClass("hidden"), this.paidPostFivePackCounter++), 5 === this.paidPostFivePackCounter && (e("#paid-post-five-pack").removeClass("hidden"), s = {
                    module: "PaidPostDriver",
                    region: "PaidPostMOTH",
                    pgType: "Homepage",
                    eventName: "Impression",
                    action: "Impression"
                }, this.handleTriggerPaidPostImpression(e("#paid-post-five-pack"), s))
            },
            requestMarketsAd: function() {
                this.dfp.broadcastAdEvent("request-placement", "Middle4")
            },
            requestMothAd: function() {
                this.dfp.broadcastAdEvent("request-placement", "MOTHAd")
            },
            handleTriggerPaidPostImpression: function(e, t) {
                var i = this;
                e.is(":visible") && this.dfp.isElementInViewport(e) ? this.handlePaidPostImpression(e, t) : this.dfp.listenToAdEvent("nyt:page-scroll", function() {
                    i.handleScrollCheck(e, t)
                })
            },
            handlePaidPostImpression: function(e, t) {
                var i = !1;
                "paid-post-five-pack" === e.attr("id") && this.fivepackImpressionSent === !1 && (this.fivepackImpressionSent = !0, i = !0), i === !0 && this.dfp.trackingTrigger("paid-post-driver", t)
            },
            handleScrollCheck: function(e, t) {
                e.is(":visible") && this.dfp.isElementInViewport(e) && this.handlePaidPostImpression(e, t)
            }
        };
        return t
    }), define("homepage/instances/ad-manager", ["foundation/views/page-manager", "shared/adlibrary/views/dfp", "shared/adlibrary/views/adx", "homepage/views/adlibrary/placements/adx-placements-mixin", "homepage/views/adlibrary/placements/dfp-placements-mixin", "homepage/views/adlibrary/requirements/dfp-homepage-requirements-mixin"], function(e, t, i, s, n, a) {
        "use strict";
        var o = new t({
            placements: n,
            requirements: a
        });
        return new i({
            placements: s,
            page: e.isInternationalEdition() ? "international-home.nytimes.com/index.html" : "homepage.nytimes.com/index.html"
        }), o
    }), define("shared/modal/templates", ["underscore/nyt"], function(_) {
        var templates = {};
        return templates.modal = function(obj) {
            var __t, __p = "";
            Array.prototype.join;
            with(obj || {}) __p += '<div class="overlay"></div>\n<div class="modal ' + (null == (__t = id) ? "" : __t) + " " + (null == (__t = addlClasses) ? "" : __t) + '" style="' + (null == (__t = modalStyles) ? "" : __t) + '" role="dialog" aria-labelledby="' + (null == (__t = id) ? "" : __t) + '-modal-heading" tabindex="-1">\n<div class="modal-header">\n<h3 class="modal-heading" id="' + (null == (__t = id) ? "" : __t) + '-modal-heading">' + (null == (__t = modalTitle) ? "" : __t) + "</h3>\n" + (null == (__t = headerContent) ? "" : __t) + '\n</div>\n<div class="modal-content">\n' + (null == (__t = modalContent) ? "" : __t) + '\n</div>\n<div class="modal-footer">\n' + (null == (__t = modalFooter) ? "" : __t) + '\n</div>\n<button type="button" class="modal-close ' + (null == (__t = closeClass) ? "" : __t) + '" aria-disabled="false"><i class="icon"></i><span class="visually-hidden">Close this modal window</span></button>\n<div class="modal-pointer ' + (null == (__t = "modal-pointer-" + tailDirection) ? "" : __t) + '"><div class="modal-pointer-conceal"></div></div>\n</div>';
            return __p
        }, templates
    }), define("shared/modal/views/modal", ["jquery/nyt", "underscore/nyt", "foundation/views/base-view", "shared/modal/templates"], function(e, t, i, s) {
        "use strict";
        var n = i.registerView("modal").extend({
            template: s.modal,
            className: "modal-container",
            events: {
                "click .modal-close, .modal-pointer, .dismiss-button": "close",
                "mouseenter .modal": "handleMouseOutClose"
            },
            defaultSettings: {
                id: "default-modal",
                modalTitle: "",
                headerContent: "",
                modalContent: "",
                modalFooter: "",
                addlClasses: "",
                binding: "",
                disableBindings: !1,
                tailDirection: "down",
                tailTopOffset: 0,
                tailLeftOffset: 0,
                fixedOverride: !1,
                hasOverlay: !1,
                hasCloseButton: !1,
                canOpenOnHover: !1,
                closeOnMouseOut: !1,
                mouseOutDelay: 0,
                mouseEnterDelay: 0,
                closeOnClick: !0,
                autoPosition: !1,
                positionTailSide: !1,
                toggleSpeed: 300,
                focusOnShow: !0
            },
            initialize: function(e) {
                t.bindAll(this, "close", "open", "mouseEnterOpen", "mouseOutClose", "handleClickClose", "removeFromPage"), this.settings = t.extend({}, this.defaultSettings, e), this.settings.modalStyles = "width: " + e.width + ";", this.render()
            },
            render: function() {
                var e = this.settings.id + "-container";
                return this.settings.closeClass = this.settings.hasCloseButton ? "" : "hidden", this.$el.hide().addClass(e).html(this.template(this.settings)), this.$modal = this.$el.find(".modal"), this.$el.find(".overlay").toggle(this.settings.hasOverlay), this
            },
            addToPage: function(e, t) {
                var i = "string" == typeof e ? this.$body.find(e) : this.$body;
                return t = "function" == typeof i[t] ? t : "append", i[t](this.$el), "" === this.settings.binding || this.settings.disableBindings || (this.$body.on("click", this.settings.binding, this.open), this.settings.canOpenOnHover && (this.$body.on("mouseenter", this.settings.binding, this.mouseEnterOpen), this.$body.on("mouseleave", this.settings.binding, this.mouseOutClose))), this
            },
            removeFromPage: function() {
                return this.close(), this.$el.remove(), "" === this.settings.binding || this.settings.disableBindings || (this.$body.off("click", this.settings.binding, this.open), this.settings.canOpenOnHover && (this.$body.off("mouseenter", this.settings.binding, this.mouseEnterOpen), this.$body.off("mouseleave", this.settings.binding, this.mouseOutClose))), this.remove()
            },
            updateTemplate: function(e) {
                return this.$modal.find(".modal-content").html(e), this.positionDialog(!1), this
            },
            open: function(t) {
                var i = this;
                return t ? (t.returnValue = !1, t.preventDefault(), this.$target = e(t.currentTarget)) : this.$target = e(this.settings.binding).eq(0), this.$el.fadeIn(this.settings.toggleSpeed, function() {
                    i.broadcast("nyt:modal-show"), i.broadcast("nyt:modal-show-" + i.settings.id)
                }), this.settings.autoPosition ? this.autoPosition() : this.positionDialog(!0), (this.settings.openCallback || e.noop).call(this), this.subscribe("nyt:page-resize", this.positionDialog), this.subscribeOnce("nyt:page-key-esc", this.close), this.$body.on("click", this.handleClickClose), this.pageManager.isMobile() && this.$body.css("cursor", "pointer"), this.settings.focusOnShow && this.$modal.focus(), this
            },
            mouseEnterOpen: function(e) {
                window.clearTimeout(this.mouseLeaveTimeout),
                    this.mouseEnterTimeout = t.delay(this.open, this.settings.mouseEnterDelay, e)
            },
            close: function(t) {
                var i = this;
                return t && t.currentTarget && this.settings.disableBindings && e(t.currentTarget).hasClass("modal-pointer") ? this : (this.$el.fadeOut(this.settings.toggleSpeed, function() {
                    (i.settings.closeCallback || e.noop).call(i), i.broadcast("nyt:modal-hide"), i.broadcast("nyt:modal-hide-" + i.settings.id)
                }), this.stopSubscribing("nyt:page-resize", this.positionDialog), this.$body.off("click", this.handleClickClose), window.clearTimeout(this.mouseEnterTimeout), this.pageManager.isMobile() && this.$body.css("cursor", ""), this)
            },
            mouseOutClose: function(t) {
                var i = e(t.relatedTarget);
                i.is(this.$.target) || this.$modal.has(i).length > 0 || (window.clearTimeout(this.mouseEnterTimeout), this.$modal.is(":visible") && (this.mouseLeaveTimeout = window.setTimeout(this.close, this.settings.mouseOutDelay)))
            },
            handleMouseOutClose: function() {
                this.settings.closeOnMouseOut && this.$modal.on("mouseleave", this.close)
            },
            handleClickClose: function(e) {
                this.settings.closeOnClick && 0 === this.$modal.has(e.target).length && this.$modal[0] !== e.target && this.close()
            },
            positionDialog: function(t) {
                var i, s, n, a, o, r = this.pageManager.getViewport(),
                    l = this.$target,
                    d = this.$modal,
                    h = "absolute",
                    c = d.outerHeight(),
                    u = d.outerWidth(),
                    m = {
                        marginLeft: "0",
                        marginTop: "0",
                        top: "",
                        left: ""
                    };
                switch (l && l.length > 0 && (a = l.outerHeight(), o = l.outerWidth(), s = l.offset().top + this.settings.tailTopOffset, n = l.offset().left + this.settings.tailLeftOffset), this.settings.tailDirection) {
                    case "up":
                        m.top = s + a + 14, m.left = n + Math.floor(.5 * o) - Math.floor(.5 * u) - 9;
                        break;
                    case "up-right":
                        m.top = s + a + 14, m.left = n + Math.floor(.5 * o) - (u - 25);
                        break;
                    case "up-left":
                        m.top = s + a + 14, m.left = n + Math.floor(.5 * o) - 25;
                        break;
                    case "down":
                        m.top = s - c - 15, m.left = n + Math.floor(.5 * o) - Math.floor(.5 * u) - 8;
                        break;
                    case "down-right":
                        m.top = s - c - 15, m.left = n + Math.floor(.5 * o) - (u - 25);
                        break;
                    case "down-left":
                        m.top = s - c - 15, m.left = n + Math.floor(.5 * o) - 25;
                        break;
                    case "left":
                        m.top = s + Math.floor(.5 * a) - Math.floor(.5 * c) + 5, this.pageManager.isMobile() && this.$html.hasClass("navigation-active") ? m.left = n + o : m.left = n + o + 15;
                        break;
                    case "left-bottom":
                        m.top = s + Math.floor(.5 * a) - (c - 25), m.left = n + o + 15;
                        break;
                    case "left-top":
                        m.top = s + Math.floor(.5 * a) - 25, m.left = n + o + 15;
                        break;
                    case "right":
                        m.top = s + Math.floor(.5 * a) - Math.floor(.5 * c) + 5, m.left = n - u - 16;
                        break;
                    case "right-bottom":
                        m.top = s + Math.floor(.5 * a) - (c - 25), m.left = n - u - 16;
                        break;
                    case "right-top":
                        m.top = s + Math.floor(.5 * a) - 25, m.left = n - u - 16;
                        break;
                    case "centered":
                        i = r.height, m.top = c > i ? r.top + 5 : Math.floor(.5 * (i - c)) + r.top, m.left = Math.floor(.5 * r.width - .5 * u);
                        break;
                    case "fixed":
                    default:
                        h = "fixed", u = this.settings.width || d.width(), c = this.settings.height || d.height(), m.top = "50%", m.left = "50%", m.marginLeft = -Math.floor(.5 * u) + this.settings.tailLeftOffset + "px", m.marginTop = -Math.floor(.5 * c) + this.settings.tailTopOffset + "px"
                }
                return l && "fixed" === l.css("position") || this.settings.fixedOverride ? (h = "fixed", m.top -= r.top, this.$el.css("position", "fixed")) : this.$el.css("position", ""), m.top += e.isNumeric(m.top) ? "px" : "", m.left += e.isNumeric(m.left) ? "px" : "", d.css("position", h), t === !0 ? d.css(m) : d.stop().animate(m, "fast"), this
            },
            autoPosition: function() {
                var e, t, i, s = this.pageManager.getViewport(),
                    n = this.$modal.outerHeight(),
                    a = this.$modal.outerWidth();
                return this.settings.positionTailSide && (i = this.$target.offset().left > s.width / 2, this.settings.tailDirection = i ? "right" : "left"), this.positionDialog(!0), e = this.$target.offset(), this.settings.positionTailSide ? (t = this.settings.tailDirection, e.top - s.top - .5 * n < 0 ? t += "-top" : e.top - s.top + .5 * n > s.height && n - 42 < e.top - s.top && (t += "-bottom")) : (t = e.top - n < 0 ? "up" : "down", e.left + a > s.width ? t += "-right" : e.left < 0 && (t += "-left")), this.$modal.find(".modal-pointer").attr("class", "modal-pointer modal-pointer-" + t), this.settings.tailDirection = t, this.positionDialog(!0), this
            }
        });
        return n
    }), define("shared/account/templates", ["underscore/nyt"], function(_) {
        var templates = {};
        return templates.accountModalHeader = function(obj) {
            var __p = "";
            Array.prototype.join;
            with(obj || {}) __p += '<h4 class="modal-subheading">To save articles or get newsletters, alerts or recommendations &ndash; all free.</h4>';
            return __p
        }, templates.logInModalContent = function(obj) {
            var __t, __p = "";
            Array.prototype.join;
            with(obj || {}) __p += '<div class="buttons">\n' + (null == (__t = oauthButtons) ? "" : __t) + '\n</div><!-- close buttons -->\n<div class="separator">\n<span class="separator-text">OR</span>\n</div>\n<div class="login-form-control form-control">\n<form id="login-form" class="login-form" role="form" method="post" action="' + (null == (__t = loginUrl) ? "" : __t) + '">\n<div class="control">\n<div class="label-container visually-hidden">\n<label for="login-email" id="login-email-label">Email address</label>\n</div>\n<div class="field-container">\n<input type="text" id="login-email" name="userid" class="text login-email" placeholder="Email address" aria-labelledby="login-email-label" aria-required="true">\n<button type="button" class="button clear-button" tabindex="-1" aria-describedby="clear-email-description"><i class="icon"></i><span class="visually-hidden" id="clear-email-description">Clear this text input</span></button>\n</div>\n</div>\n<div class="control">\n<div class="label-container visually-hidden">\n<label for="login-password" id="login-password-label">Password</label>\n</div>\n<div class="field-container">\n<input type="password" id="login-password" name="password" class="text login-password" placeholder="Password" data-type="password" aria-labelledby="login-password-label" aria-required="true">\n<button type="button" class="button clear-button" tabindex="-1" aria-describedby="clear-password-description"><i class="icon"></i><span class="visually-hidden" id="clear-password-description">Clear this text input</span></button>\n</div>\n</div>\n<div class="control user-action-control layout-horizontal">\n<div class="control checkbox-control">\n<div class="field-container">\n<input type="checkbox" id="login-remember-checkbox" name="login-remember" class="checkbox login-remember" checked="checked" aria-labelledby="login-remember-label" aria-checked="true" value="">\n</div>\n<div class="label-container">\n<label for="login-remember" class="checkbox-label" id="login-remember-label">Remember me</label>\n</div>\n</div>\n<p class="form-hint password-hint"><a href="//www.nytimes.com/forgot">Forgot password?</a></p>\n</div>\n<div class="control">\n<p class="disclaimer"><a href="http://www.nytimes.com/content/help/rights/terms/terms-of-service.html">Terms of Service</a> <a href="http://www.nytimes.com/content/help/rights/privacy/policy/privacy-policy.html">Privacy Policy</a></p>\n</div>\n<div class="control button-control">\n<button id="login-send-button" class="button login-button">Log in</button>\n</div>\n<input name="is_continue" value="1" type="hidden">\n<input id="account-form-token" name="token" value="" type="hidden">\n<input id="account-form-expiration" name="expires" value="" type="hidden">\n<input id="login-remember" name="remember" value="1" type="hidden">\n</form>\n</div><!-- close login-form-control -->';
            return __p
        }, templates.loginModalFooter = function(obj) {
            var __p = "";
            Array.prototype.join;
            with(obj || {}) __p += '<p class="user-action registration-modal-trigger">Don&#8217;t have an account? <a href="javascript:;">Sign Up</a></p>';
            return __p
        }, templates.oauthButtons = function(obj) {
            var __t, __p = "";
            Array.prototype.join;
            with(obj || {}) __p += '<button id="' + (null == (__t = facebookId) ? "" : __t) + '" data-provider-name="facebook" class="button oauth-button facebook-oauth-button">\n<i class="icon sprite-icon"></i>\n<span class="button-text">' + (null == (__t = prefix) ? "" : __t) + ' with Facebook</span>\n</button>\n<button id="' + (null == (__t = googleId) ? "" : __t) + '" data-provider-name="google" class="button oauth-button google-oauth-button">\n<i class="icon sprite-icon"></i>\n<span class="button-text">' + (null == (__t = prefix) ? "" : __t) + " with Google</span>\n</button>";
            return __p
        }, templates.registrationModalContent = function(obj) {
            var __t, __p = "";
            Array.prototype.join;
            with(obj || {}) __p += '<div class="buttons">\n' + (null == (__t = oauthButtons) ? "" : __t) + '\n</div><!-- close buttons -->\n<div class="separator">\n<span class="separator-text">OR</span>\n</div>\n<div class="registration-form-control form-control">\n<form id="registration-form" class="registration-form" role="form" method="post" action="' + (null == (__t = regiUrl) ? "" : __t) + '">\n<div class="control">\n<div class="label-container visually-hidden">\n<label for="register-email" id="register-email-label">Email address</label>\n</div>\n<div class="field-container">\n<input type="email" id="register-email" name="email_address" class="text register-email" placeholder="Email address" aria-labelledby="register-email-label" aria-required="true" />\n<button type="button" class="button clear-button" tabindex="-1" aria-describedby="clear-email-description"><i class="icon"></i><span class="visually-hidden" id="clear-email-description">Clear this text input</span></button>\n</div>\n</div><!-- close control -->\n<div class="control">\n<div class="label-container visually-hidden">\n<label for="register-password" id="register-password-label">Password</label>\n</div>\n<div class="field-container">\n<input type="password" id="register-password" name="password1" class="text register-password" placeholder="Password" data-type="password" aria-labelledby="register-password-label" aria-required="true" />\n<button type="button" class="button clear-button" tabindex="-1" aria-describedby="clear-password-description"><i class="icon"></i><span class="visually-hidden" id="clear-password-description">Clear this text input</span></button>\n</div>\n</div><!-- close control -->\n<div class="control">\n<div class="label-container visually-hidden">\n<label for="retype-password" id="retype-password-label">Retype password</label>\n</div>\n<div class="field-container">\n<input type="password" id="retype-password" name="password2" class="text retype-password" placeholder="Retype password" data-type="password" aria-labelledby="retype-password-label" aria-required="true" />\n<button type="button" class="button clear-button" tabindex="-1" aria-describedby="clear-retyped-password-description"><i class="icon"></i><span class="visually-hidden" id="clear-retyped-password-description">Clear this text input</span></button>\n</div>\n</div><!-- close control -->\n<div class="control layout-horizontal">\n<p class="form-hint">\nBy signing up, you agree to receive updates and special offers for The New York Times’s products and services. You may unsubscribe at any time.\n</p>\n</div>\n<div class="control">\n<p class="disclaimer"><a href="http://www.nytimes.com/content/help/rights/terms/terms-of-service.html">Terms of Service</a> <a href="http://www.nytimes.com/content/help/rights/privacy/policy/privacy-policy.html">Privacy Policy</a></p>\n</div>\n<div class="control button-control">\n<button id="register-send-button" class="button register-button">Create Account</button>\n</div>\n<input name="is_continue" value="1" type="hidden">\n<input id="account-form-token" name="token" value="" type="hidden">\n<input id="account-form-expiration" name="expires" value="" type="hidden">\n<input id="account-form-subscribe" name="subscribe[]" type="hidden" value="MM">\n</form>\n</div><!-- close registration-form-control -->';
            return __p
        }, templates.registrationModalFooter = function(obj) {
            var __p = "";
            Array.prototype.join;
            with(obj || {}) __p += '<p class="user-action login-modal-trigger">Already have an account? <a href="javascript:;">Log In</a></p>';
            return __p
        }, templates
    }), define("shared/account/helpers/account-modal-mixin", ["jquery/nyt", "underscore/nyt", "foundation/lib/polyfills/placeholder", "shared/account/templates", "foundation/models/token", "foundation/hosts"], function(e, t, i, s, n, a) {
        "use strict";
        var o = {
            oauthProviders: ["google", "facebook"],
            handleFormSubmit: function(e) {
                n.getToken() ? (this.$el.find("#account-form-token").val(n.getToken()), this.$el.find("#account-form-expiration").val(n.getTokenExpiration()), this.$el.find("#login-remember").val(this.$el.find("#login-remember-checkbox").is(":checked") ? 1 : 0)) : e.preventDefault()
            },
            handleFormButton: function() {
                n.getToken() ? this.$el.find("form").submit() : (this.subscribeOnce("nyt:myaccount-token", this.handleFormButton), n.loadData())
            },
            handleKeyUp: function(t) {
                var i = e(t.target);
                i.parent().find(".clear-button").toggle("" !== i.val())
            },
            handleClearButton: function(t) {
                var s = e(t.currentTarget),
                    n = s.parent().find("input");
                s.toggle(!1), n.val(""), i()
            },
            executeOauthLogin: function(t) {
                t.preventDefault(), this.oauthPopup(e(t.currentTarget).data("providerName"))
            },
            addEvent: function(e, t, i) {
                e.addEventListener ? e.addEventListener(t, i, !1) : e.attachEvent("on" + t, i)
            },
            getPageUrlParams: function() {
                var t, i = window.location,
                    s = {
                        URI: i.protocol + "//" + i.hostname + "/" + i.pathname.replace(/^\//, "")
                    };
                return i.search.length > 1 && (t = i.search.substr(1), t = t.replace(/(\?|&)?gwh=([^&]+)/g, ""), t = t.replace(/(\?|&)?gwt=([^&]+)/g, ""), t = t.replace(/%/g, "Q"), s.OQ = t), e.param(s)
            },
            getSocialLinkUrl: function(e, t, i) {
                return a.myaccount + "/oauth/" + t + "-link?type=login&URI=" + e + (i ? "&view=popup" : "") + "&flow=HPLI"
            },
            oauthPopup: function(e) {
                var i, s, n = "oauthPopup",
                    a = 450,
                    o = 600; - 1 !== t.indexOf(this.oauthProviders, e) && (s = ["height=" + o, "width=" + a, "left=" + (window.screen.availLeft + window.screen.width / 2 - a / 2), "top=" + Math.max(window.screen.height / 2 - o / 2 - 20, 0), "scrollbars=1"], i = window.open("about:blank", n, s.join(",")), i ? (i = window.open(this.getSocialLinkUrl(document.URL, e, !0), n, s.join(",")), i.focus()) : window.location.href = this.getSocialLinkUrl(document.URL, e))
            },
            renderOauthButtons: function() {
                return s.oauthButtons({
                    facebookId: this.getFacebookButtonId(this.modalSettings.id),
                    googleId: this.getGoogleButtonId(this.modalSettings.id),
                    prefix: this.modalSettings.oauthButtonText
                })
            },
            addOauthEvents: function(e) {
                this.$el.find("#" + this.getGoogleButtonId(e) + ", #" + this.getFacebookButtonId(e)).on("click", t.bind(this.executeOauthLogin, this))
            },
            getFacebookButtonId: function(e) {
                return "facebook-oauth-button-" + e
            },
            getGoogleButtonId: function(e) {
                return "google-oauth-button-" + e
            }
        };
        return o
    }), define("shared/account/views/login-modal", ["jquery/nyt", "underscore/nyt", "foundation/views/base-view", "foundation/models/user-data", "shared/modal/views/modal", "shared/account/templates", "foundation/hosts", "shared/account/helpers/account-modal-mixin", "foundation/lib/polyfills/placeholder"], function(e, t, i, s, n, a, o, r, l) {
        "use strict";
        var d = i.extend(t.extend({}, r, {
            events: {
                "click .registration-modal-trigger": "handleRegisterClick",
                "click #login-send-button": "handleFormButton",
                "submit #login-form": "handleFormSubmit",
                "click .clear-button": "handleClearButton",
                "keyup .text": "handleKeyUp"
            },
            nytEvents: {
                "nyt:loginmodal-open": "handleOpen"
            },
            defaultSettings: {
                id: "login-modal",
                addlClasses: "account-modal",
                headerContent: a.accountModalHeader(),
                modalContent: "",
                modalFooter: a.loginModalFooter(),
                modalTitle: "Log in",
                oauthButtonText: "Log in",
                binding: ".login-modal-trigger",
                tailDirection: "fixed",
                hasCloseButton: !0,
                hasOverlay: !0,
                tailLeftOffset: -40,
                tailTopOffset: -40
            },
            initialize: function(e) {
                var i = this;
                this.modalSettings = t.extend({}, this.defaultSettings, e), this.registrationPlatform = !1, this.modalSettings.modalContent = a.logInModalContent({
                    oauthButtons: this.renderOauthButtons(),
                    loginUrl: o.myaccount + "/auth/login?" + this.getPageUrlParams()
                }), this.modalSettings.openCallback = function() {
                    var e = i.modalTitle || this.$target.data("modal-title") || "Log in";
                    i.hasPlaceholderSupport && this.$modal.find(".login-email").focus(), this.$modal.find("#login-modal-modal-heading").text(e), this.$modal.find(".modal-subheading").toggleClass("hidden", "Log in" !== e), this.$modal.find(".field-container input").val(""), i.modalTitle = null
                }, this.subscribe("nyt:modal-show-login-modal", l)
            },
            handleDomReady: function() {
                this.render()
            },
            render: function() {
                this.logInModal = new n(this.modalSettings).addToPage(), this.setElement(this.logInModal.$modal), this.local(this, "nyt:modal-login-modal-rendered"), this.addOauthEvents(this.modalSettings.id)
            },
            handleOpen: function(e) {
                e && e.modalTitle && (this.modalTitle = e.modalTitle), e && e.registrationPlatform && (this.registrationPlatform = e.registrationPlatform), this.logInModal && this.logInModal.open()
            },
            handleUserReady: function() {
                s.isLoggedIn() && (this.logInModal ? (this.logInModal.removeFromPage(), this.remove()) : this.subscribeOnce(this, "nyt:modal-login-modal-rendered", this.handleUserReady))
            },
            handleRegisterClick: function(e) {
                var t = {};
                e.stopPropagation(), this.registrationPlatform && (t.platformTracking = this.registrationPlatform, this.registrationPlatform = !1), this.logInModal.close(), this.broadcast("nyt:registrationmodal-open", t), this.trackingTrigger("loginmodal-register-click", {
                    module: "Registration",
                    action: "Click",
                    "WT.z_ract": "Regnow"
                })
            }
        }));
        return d
    }), define("shared/account/views/registration-modal", ["jquery/nyt", "underscore/nyt", "foundation/views/base-view", "shared/modal/views/modal", "shared/account/templates", "foundation/hosts", "shared/account/helpers/account-modal-mixin", "foundation/lib/polyfills/placeholder"], function(e, t, i, s, n, a, o, r) {
        "use strict";
        var l = i.extend(t.extend({}, o, {
            events: {
                "click .login-modal-trigger": "handleLoginClick",
                "click #register-send-button": "handleFormButton",
                "submit #registration-form": "handleFormSubmit",
                "click .clear-button": "handleClearButton",
                "keyup .text": "handleKeyUp"
            },
            nytEvents: {
                "nyt:registrationmodal-open": "handleOpen"
            },
            defaultSettings: {
                id: "registration-modal",
                addlClasses: "account-modal",
                headerContent: n.accountModalHeader(),
                modalContent: "",
                modalFooter: n.registrationModalFooter(),
                modalTitle: "Sign up",
                oauthButtonText: "Sign up",
                binding: ".registration-modal-trigger",
                tailDirection: "fixed",
                hasCloseButton: !0,
                hasOverlay: !0,
                tailLeftOffset: -40,
                tailTopOffset: -40
            },
            initialize: function(i) {
                var s = this;
                this.modalSettings = t.extend({}, this.defaultSettings, i), this.platformTracking = !1, this.modalSettings.modalContent = n.registrationModalContent({
                    oauthButtons: this.renderOauthButtons(),
                    regiUrl: a.myaccount + "/register?" + this.getPageUrlParams()
                }), this.modalSettings.openCallback = function() {
                    s.hasPlaceholderSupport && this.$modal.find(".register-email").focus(), this.$modal.find(".field-container input").val(""), e("#account-form-platform").remove(), s.platformTracking && (e("#registration-form").append('<input id="account-form-platform" name="regi_info_platform" type="hidden" value="' + s.platformTracking + '">'), s.platformTracking = !1)
                }, this.subscribe("nyt:modal-show-registration-modal", r)
            },
            handleDomReady: function() {
                this.render()
            },
            render: function() {
                this.registrationModal = new s(this.modalSettings).addToPage(), this.setElement(this.registrationModal.$modal), this.addOauthEvents(this.modalSettings.id)
            },
            handleLoginClick: function() {
                this.registrationModal.close()
            },
            handleOpen: function(e) {
                e && e.platformTracking && (this.platformTracking = e.platformTracking), this.registrationModal && this.registrationModal.open()
            }
        }));
        return l
    }), define("shared/account/instances/account", ["shared/account/views/login-modal", "shared/account/views/registration-modal", "foundation/models/user-data"], function(e, t, i) {
        "use strict";
        i.isLoggedIn() || (new e, new t)
    }), define("shared/recommendations/templates", ["underscore/nyt"], function(_) {
        var templates = {};
        return templates.mostPopular = function(obj) {
            var __t, __p = "";
            Array.prototype.join;
            with(obj || {}) __p += "", collection.length ? (__p += "<ol>", _.each(collection.slice(0, 10), function(e, t) {
                __p += '<li>\n<a class="story-link" href="' + (null == (__t = e.get("link")) ? "" : __t) + '">\n<article class="story">\n', _.isEmpty(e.getCrop("thumbStandard")) || (__p += '\n<div class="small-thumb">\n<img src="' + (null == (__t = e.getCrop("thumbStandard").url) ? "" : __t) + '" />\n</div>\n'), __p += "\n", e.get("kicker") && (__p += '\n<h3 class="kicker">' + (null == (__t = e.get("kicker")) ? "" : __t) + "</h3>\n"), __p += '\n<h2 class="story-heading">\n' + (null == (__t = e.get("headline")) ? "" : __t) + "\n</h2>\n</article>\n</a>\n</li>"
            }), __p += "</ol>") : __p += '<p class="error-message">This article list is not currently available. Please try again later.</p>', __p += '<footer class="recommendations-footer">\n<p class="user-action"><a href="http://www.nytimes.com/gst/mostpopular.html">Go to Complete List &raquo;</a></p>\n<p class="user-toggle"><a class="show-recommended">Show My Recommendations</a></p>\n</footer>';
            return __p
        }, templates.recommended = function(obj) {
            var __t, __p = "";
            Array.prototype.join;
            with(obj || {}) __p += "", collection.length ? (__p += "", isLoggedIn && (__p += '<header class="recommendations-header">\n<div class="article-count"><span class="counter">' + (null == (__t = collection.getCount()) ? "" : __t) + '</span> articles viewed recently</div>\n<div class="user-meta">\n', __p += collection.getUserPictureUrl() ? '\n<img class="avatar" src="' + (null == (__t = collection.getUserPictureUrl()) ? "" : __t) + '" />\n' : '\n<img class="avatar" src="http://i1.nyt.com/images/apps/timespeople/none.png" />\n', __p += '\n<span class="user-name">' + (null == (__t = collection.getUserDisplayName()) ? "" : __t) + '</span><br />\n<a href="http://www.nytimes.com/recommendations">All Recommendations</a>\n</div>\n</header>'), __p += "<ol>", _.each(collection.slice(0, 10), function(e, t) {
                __p += '<li>\n<a class="story-link" href="' + (null == (__t = e.get("link")) ? "" : __t) + '">\n<article class="story">\n', _.isEmpty(e.getCrop("thumbStandard")) || (__p += '\n<div class="small-thumb">\n<img src="' + (null == (__t = e.getCrop("thumbStandard").url) ? "" : __t) + '" />\n</div>\n'), __p += "\n", e.get("kicker") && (__p += '\n<h3 class="kicker">' + (null == (__t = e.get("kicker")) ? "" : __t) + "</h3>\n"), __p += '\n<h2 class="story-heading">\n' + (null == (__t = e.get("headline")) ? "" : __t) + "\n</h2>\n</article>\n</a>\n</li>"
            }), __p += "</ol>") : __p += '<p class="error-message">We don&rsquo;t have any personalized recommendations for you at this time. Please try again later.</p>', __p += '<footer class="recommendations-footer">', __p += isLoggedIn ? '<div class="user-actions">\n<p class="user-action"><a href="http://www.nytimes.com/recommendations">Go to Your Recommendations &raquo;</a></p>\n<ul class="menu layout-horizontal theme-links with-pipes">\n<li><a href="http://www.nytimes.com/content/help/extras/recommendations/recommendations.html">What&rsquo;s This?</a></li>\n<li><a class="hide-recommended">Don’t Show</a></li>\n</ul>\n</div><div id="recommendedAd" class="recommended-ad ad">\n<iframe scrolling="no" frameborder="0" src="http://www.nytimes.com/packages/html/recommendations/ad.html" width="168" height="40"></iframe>\n</div>' : '<p class="user-message">Log in to discover more articles<br>based on what you&rsquo;ve read.</p><div id="recommendedAd" class="recommended-ad ad">\n<iframe scrolling="no" frameborder="0" src="http://www.nytimes.com/packages/html/recommendations/ad.html" width="168" height="40"></iframe>\n</div><div class="user-actions logged-out">\n<div class="user-tools-button-group">\n<button class="button login-button login-modal-trigger">Log In</button>\n<button class="button registration-button registration-modal-trigger">Register Now</button>\n</div>\n<ul class="menu layout-horizontal theme-links with-pipes">\n<li><a href="http://www.nytimes.com/content/help/extras/recommendations/recommendations.html">What&rsquo;s This?</a></li>\n<li><a class="hide-recommended">Don’t Show</a></li>\n</ul></div><!-- close user-actions -->', __p += "</footer>";
            return __p
        }, templates
    }), define("shared/tabs/views/legacy/tabs", ["jquery/nyt", "underscore/nyt", "backbone/nyt", "foundation/views/base-view"], function(e, t, i, s) {
        "use strict";
        var n = s.extend({
            activeTabClass: "selected",
            events: {
                "click .tabs li": "handleTabClick"
            },
            initialize: function() {
                var e, i;
                t.bindAll(this, "handleTabClick"), this.$tabs = this.$el.find(".tabs li"), e = this.$tabs.filter(".selected"), this.$tabContent = this.$el.siblings(".tab-content"), this.resetState(), e.length > 0 ? (i = e.eq(0).index(), this.activateTab(i)) : this.activateTab(0)
            },
            handleTabClick: function(t) {
                var i = e(t.currentTarget).closest("li"),
                    s = i.index();
                i.hasClass(this.activeTabClass) || t.preventDefault(), this.local(this, "nyt:tab-click", t, s), this.resetState(), this.activateTab(s)
            },
            activateTab: function(e) {
                this.$tabs.eq(e).addClass(this.activeTabClass), this.$tabContent.eq(e).show()
            },
            resetState: function() {
                this.$tabs.removeClass(this.activeTabClass), this.$tabContent.hide()
            }
        });
        return n
    }), define("shared/data/models/article", ["underscore/nyt", "backbone/nyt"], function(e, t) {
        "use strict";
        var i = t.Model.extend({
            defaults: {
                title: "",
                kicker: "",
                pubdate: "",
                link: "",
                media: [{
                    caption: "",
                    "media-metadata": [{
                        url: ""
                    }]
                }],
                promotional_media: [{
                    image: {
                        image_crops: {}
                    }
                }],
                processed: !1
            },
            initialize: function() {
                this.adjustKicker()
            },
            adjustKicker: function() {
                this.isOpinion() && this.get("authors") && this.set("kicker", this.get("authors")[0])
            },
            isOpinion: function() {
                return "Op-Ed Columnist" === this.get("kicker") || "Opinionator" === this.get("kicker")
            },
            getCrop: function(e) {
                var t = this.get("promotional_media"),
                    i = "",
                    s = "image";
                try {
                    if (t.type && "image" !== t.type) {
                        switch (s = t.type) {
                            case "video":
                                i = "Play Video";
                                break;
                            case "slideshow":
                                i = "View Slideshow";
                                break;
                            case "interactive":
                                i = "View Interactive";
                                break;
                            default:
                                i = "View Media"
                        }
                        t = t.promotional_media
                    }
                    return t.image.image_crops[e].type = s, t.image.image_crops[e].typeName = i, t.image.image_crops[e]
                } catch (n) {
                    return {}
                }
            },
            getLink: function() {
                return this.get("link")
            },
            getType: function() {
                var e = "";
                return this.get("type") ? e = this.get("type") : this.get("item_type") && (e = this.get("item_type")), e.toLowerCase()
            },
            isVideo: function() {
                return "video" === this.getType()
            },
            getVideoKicker: function() {
                return this.get("kicker") ? this.get("kicker") : this.get("section")
            },
            createDateObject: function(e) {
                var t, i, s = new Date(e);
                return s.getDate() || e.search(/\d+T\d+/) >= 0 && (t = e.split("T")[0], i = t.split("-"), s = new Date(i[0], i[1] - 1, i[2])), s
            },
            getFormattedDate: function(e) {
                var t, i = ["Jan.", "Feb.", "March", "April", "May", "June", "July", "Aug.", "Sept.", "Oct.", "Nov.", "Dec."];
                return e = e || this.get("pubDate"), t = this.createDateObject(e), i[t.getMonth()] + " " + t.getDate() + ", " + t.getFullYear()
            },
            getDatetime: function(e) {
                var t;
                return e = e || this.get("pubDate"), t = this.createDateObject(e), t.getFullYear() + "-" + (t.getMonth() + 1) + "-" + t.getDate()
            }
        });
        return i
    }), define("shared/data/models/most-popular", ["underscore/nyt", "backbone/nyt", "shared/data/models/article"], function(e, t, i) {
        "use strict";
        var s = i.extend({
            getVideoKicker: function() {
                return this.get("section")
            }
        });
        return s
    }), define("shared/data/helpers/collection-mixin", [], function() {
        "use strict";
        var e = {
            hasFetched: !1,
            getNext: function(e, t) {
                var i = e.indexOf(t),
                    s = i === e.length ? 0 : i + 1;
                return e.at(s)
            },
            loadData: function() {
                var e = this;
                return 0 !== this.length || this.hasFetched || (this.hasFetched = !0, this.fetch({
                    success: function() {
                        e.trigger("fetchSuccess")
                    },
                    error: function() {
                        e.trigger("fetchError")
                    }
                })), this
            },
            getIdentifier: function() {
                return "rref=" + this.sectionId
            },
            getName: function() {
                return this.sectionName
            },
            getUrl: function() {
                return this.sectionUrl
            }
        };
        return e
    }), define("shared/data/collections/most-popular", ["backbone/nyt", "foundation/collections/base-collection", "shared/data/models/most-popular", "foundation/hosts", "underscore/nyt", "shared/data/helpers/collection-mixin", "foundation/views/page-manager"], function(e, t, i, s, n, a, o) {
        "use strict";
        var r = t.extend(n.extend({}, a, {
            model: i,
            apis: {
                mostviewed: {
                    url: s.s1 + "/du/mostpopular/viewed/all_1.jsonp?v1",
                    callback: "jsonCallbackViewed"
                },
                mostemailed: {
                    url: s.s1 + "/du/mostpopular/emailed/all_1.jsonp?v1",
                    callback: "jsonCallbackEmailed"
                },
                mostviewed7days: {
                    url: s.du + "/svc/mostpopular/v2/viewed/7.jsonp",
                    callback: "jsonCallbackMostEmailed7"
                },
                mosttweeted: {
                    url: s.du + "/svc/mostpopular/v2/shared/1/twitter.jsonp",
                    callback: "jsonCallbackTweeted"
                },
                mostsharedonfacebook: {
                    url: s.du + "/svc/mostpopular/v2/shared/1/facebook.jsonp",
                    callback: "jsonCallbackFacebook"
                }
            },
            initialize: function(e, t) {
                var i;
                this.url = this.apis[t.type].url, this.callback = this.apis[t.type].callback, o.flag("styledMostEmailed") && (i = this.pageManager.getUrlParam("testUrlMostEmailed"), i && (this.url = i))
            },
            sync: function(t, i, s) {
                return s.dataType = "jsonp", s.jsonpCallback = this.callback, s.jsonp = "callback", s.cache = !0, e.sync(t, i, s)
            },
            parse: function(e) {
                var t = this,
                    i = n.map(e.results, function(e) {
                        var i = [];
                        return e.id && (e.data_id = e.id, delete e.id), e.asset_id && delete e.asset_id, "" === e.media ? delete e.media : i = e.media[0]["media-metadata"] || [], e.promotional_media = {
                            image: {
                                image_crops: {
                                    thumbStandard: t.getCrop(i, "Standard Thumbnail"),
                                    mediumThreeByTwo210: t.getCrop(i, "mediumThreeByTwo210"),
                                    mediumThreeByTwo440: t.getCrop(i, "mediumThreeByTwo440")
                                }
                            }
                        }, e.description = e["abstract"], e.link = e.url, e.kicker = e.column, e.headline = e.title, e.authors = [e.byline.replace("By ", "").replace(/\w\S*/g, function(e) {
                            return e.charAt(0).toUpperCase() + e.substr(1).toLowerCase()
                        })], e.pubDate = e.published_date, e
                    });
                return i
            },
            getCrop: function(e, t) {
                var i, s;
                for (i = 0, s = e.length; s > i; i += 1)
                    if (e[i].format === t) return e[i]
            },
            getIdentifier: function() {
                return "src=me"
            }
        }));
        return r
    }), define("shared/data/instances/most-emailed", ["foundation/views/page-manager", "shared/data/collections/most-popular"], function(e, t) {
        "use strict";
        return new t([], {
            type: "mostemailed"
        })
    }), define("shared/data/instances/most-viewed", ["jquery/nyt", "foundation/views/page-manager", "foundation/hosts", "shared/data/collections/most-popular"], function(e, t, i, s) {
        "use strict";
        return new s([], {
            type: "mostviewed"
        })
    }), define("shared/data/collections/recommendations", ["backbone/nyt", "foundation/collections/base-collection", "shared/data/models/article", "foundation/hosts", "underscore/nyt", "shared/data/helpers/collection-mixin"], function(e, t, i, s, n, a) {
        "use strict";
        var o = t.extend(n.extend({}, a, {
            model: i,
            url: s.personalization + "/svc/recommendations/v3/personalized.json",
            sync: function(t, i, s) {
                return s.cache = !0, s.data = {
                    access_key: "776ACB1E-6C7F-4702-9E18-CF329376F5A3",
                    location: this.pageManager.getApplicationName()
                }, s.xhrFields = {
                    withCredentials: !0
                }, e.sync(t, i, s)
            },
            parse: function(e) {
                var t = this,
                    i = n.map(e.suggestions, function(e) {
                        var i = e.thumbs || {};
                        return e.promotional_media = {
                            image: {
                                image_crops: {
                                    thumbStandard: e.thumbnail,
                                    mediumThreeByTwo210: t.getCrop(i, "mediumThreeByTwo210")
                                }
                            }
                        }, e.kicker && "Video" === e.item_type && (e.kicker = "Video | " + e.kicker), e.byline ? e.authors = [e.byline.replace("By ", "").replace(/\w\S*/g, function(e) {
                            return e.charAt(0).toUpperCase() + e.substr(1).toLowerCase()
                        })] : e.authors = "", e.description = e["abstract"], e.link = e.url, e.headline = e.title, e.pubDate = e.published_date, e
                    });
                return this.num_articles = e.num_articles, this.uid = e.uid, this.user_displayname = e.user_displayname, this.user_pic_url = e.user_pic_url, i
            },
            getCount: function() {
                return this.num_articles || 0
            },
            getUserId: function() {
                return this.uid || 0
            },
            getUserDisplayName: function() {
                return this.user_displayname || null
            },
            getUserPictureUrl: function() {
                return this.user_pic_url || null
            },
            getCrop: function(e, t) {
                var i, s;
                for (i = 0, s = e.length; s > i; i += 1)
                    if (e[i].type === t) return e[i].url = e[i].content, e[i]
            },
            getIdentifier: function() {
                return "src=recg"
            }
        }));
        return o
    }), define("shared/data/instances/recommendations", ["jquery/nyt", "foundation/views/page-manager", "shared/data/collections/recommendations"], function(e, t, i) {
        "use strict";
        return new i
    }), define("shared/recommendations/views/recommendations", ["jquery/nyt", "underscore/nyt", "backbone/nyt", "foundation/views/base-view", "foundation/models/user-data", "foundation/cookies", "shared/recommendations/templates", "shared/tabs/views/legacy/tabs", "shared/data/instances/most-emailed", "shared/data/instances/most-viewed", "shared/data/instances/recommendations"], function(e, t, i, s, n, a, o, r, l, d, h) {
        "use strict";
        var c = s.extend({
            el: "#recommendations",
            events: {
                "click .hide-recommended": "handleHideClick",
                "click .show-recommended": "handleShowClick"
            },
            collectionList: {
                "most-emailed": {
                    name: "mostEmailedCollection",
                    render: "renderMostEmailed",
                    instance: l
                },
                "most-viewed": {
                    name: "mostViewedCollection",
                    render: "renderMostViewed",
                    instance: d
                },
                recommended: {
                    name: "recommendedCollection",
                    render: "renderRecommended",
                    instance: h
                }
            },
            initialize: function() {
                var t, i = a.readCookie("nyt-recommend");
                this.$tabsContainer = this.$el.find(".tabs-container"), t = new r({
                    el: this.$tabsContainer
                }), this.subscribe(t, "nyt:tab-click", function(t) {
                    var i = e(t.currentTarget).data("type");
                    this.handleTabClick(i)
                }), "0" === i ? this.deactivateRecommended() : i && "1" !== i || this.activateRecommended()
            },
            handleTabClick: function(e) {
                var t = this.collectionList[e];
                this[t.name] = t.instance.loadData(), this[t.name].length > 0 ? this[t.render]() : this.subscribeOnce(this[t.name], "sync error", this[t.render])
            },
            renderMostEmailed: function() {
                this.$el.find(".tab-content.most-emailed").html(o.mostPopular({
                    collection: this.mostEmailedCollection
                }))
            },
            renderMostViewed: function() {
                this.$el.find(".tab-content.most-viewed").html(o.mostPopular({
                    collection: this.mostViewedCollection
                }))
            },
            renderRecommended: function() {
                this.recommendedCollection.length > 0 ? (this.$el.find(".tab-content.recommended").html(o.recommended({
                    collection: this.recommendedCollection,
                    isLoggedIn: n.isLoggedIn()
                })), this.broadcast("nyt:ads-new-placement", "recommendedAd")) : (this.deactivateRecommended(), this.$el.addClass("recommended-no-results"))
            },
            handleHideClick: function(e) {
                e.preventDefault(), this.deactivateRecommended(), a.writeCookie("nyt-recommend", "0")
            },
            handleShowClick: function(e) {
                e.preventDefault(), this.activateRecommended(), a.writeCookie("nyt-recommend", "1")
            },
            deactivateRecommended: function() {
                this.$tabsContainer.find("li[data-type=most-emailed]").trigger("click"), this.$tabsContainer.find("li[data-type=recommended]").hide(), this.$el.removeClass("recommended-active")
            },
            activateRecommended: function() {
                this.$tabsContainer.find("li[data-type=recommended]").show().trigger("click"), this.$el.addClass("recommended-active")
            }
        });
        return c
    }), define("homepage/instances/recommendations", ["jquery/nyt", "underscore/nyt", "foundation/views/page-manager", "shared/recommendations/views/recommendations"], function(e, t, i, s) {
        "use strict";
        var n, a;
        n = function() {
            var t, s, n;
            return t = e("#recommendations"), n = i.isComponentVisible(t), s = t.length > 0 && window.pageYOffset + window.innerHeight > t.position().top - 200, n || s ? (a(), t.find("#recommendations-module-loader").hide(), !0) : !1
        }, a = function() {
            i.stopListening(i, "nyt:page-scroll", n), new s
        }, n() || i.listenTo(i, "nyt:page-scroll", n)
    }), define("shared/searchform/models/search-suggest", ["foundation/models/base-model"], function(e) {
        "use strict";
        var t = e.extend({
            defaults: {
                query: "",
                results: []
            }
        });
        return t
    }), define("shared/searchform/collections/search-suggest", ["backbone/nyt", "foundation/collections/base-collection", "foundation/views/page-manager", "shared/searchform/models/search-suggest", "foundation/hosts"], function(e, t, i, s, n) {
        "use strict";
        var a = t.extend({
            model: s,
            mobileBaseUrl: n.mobileWeb,
            desktopBaseUrl: n.www,
            settings: {
                numOfSuggestions: 7
            },
            query: "",
            sync: function(t, i, s) {
                var n = "/svc/suggest/v1/homepage?query=" + this.query;
                return this.pageManager.getCurrentBreakpoint() < 120 ? s.url = this.mobileBaseUrl + n : s.url = this.desktopBaseUrl + n, e.sync(t, i, s)
            },
            parse: function(e) {
                return {
                    query: e[0],
                    results: e[1].slice(0, this.settings.numOfSuggestions)
                }
            },
            newQuery: function(e) {
                this.query = e, this.fetch()
            }
        });
        return a
    }), define("shared/searchform/templates", ["underscore/nyt"], function(_) {
        var templates = {};
        return templates.autoSuggest = function(obj) {
            var __t, __p = "";
            Array.prototype.join;
            with(obj || {}) __p += '<li><a href="' + (null == (__t = queryUrl) ? "" : __t) + '">\n' + (null == (__t = suggest.replace(queryRegExp, "<strong>" + query + "</strong>")) ? "" : __t) + "\n</a></li>";
            return __p
        }, templates
    }), define("shared/searchform/helpers/search-form-mixin", ["jquery/nyt", "underscore/nyt", "foundation/lib/polyfills/placeholder", "shared/searchform/collections/search-suggest", "shared/searchform/templates", "foundation/hosts"], function(e, t, i, s, n, a) {
        "use strict";
        var o = t.extend({}, {
            collection: new s,
            searchBaseUrl: a.search + "/search/sitesearch/#/",
            searchMobileUrl: a.mobileWeb + "/search?query=",
            KEYS: {
                ENTER: 13,
                ESC: 27,
                UP_ARROW: 38,
                DOWN_ARROW: 40,
                LEFT_ARROW: 37,
                RIGHT_ARROW: 39
            },
            initialize: function() {
                var e = this.pageManager.getMeta("article:section") || "";
                t.bindAll(this, "handlePageClicks"), this.trackingBaseData = {
                    action: "click",
                    contentCollection: e,
                    region: "TopBar"
                }
            },
            handleDomReady: function() {
                this.$list = this.$el.find(".auto-suggest"), this.$clearButton = this.$el.find(".clear-button"), this.$overlay = this.$shell.find(".search-overlay"), this.$input = this.$el.find(".search-input"), this.$submitButton = this.$el.find(".submit-button"), this.disableSubmitButton(), this.listenTo(this.collection, "sync change", this.render), this.throttledSuggestions = t.debounce(this.getAutoSuggestions, 250), this.afterInitialize()
            },
            afterInitialize: e.noop,
            render: function() {
                var e, t = "",
                    i = this.collection.toJSON()[0],
                    s = new RegExp(i.query, "ig"),
                    a = n.autoSuggest,
                    o = i.results.length;
                if (o > 0 && this.getSearchValue().length > 0) {
                    for (e = 0; o > e; e += 1) t += a({
                        query: i.query,
                        queryUrl: this.getSearchUrl(i.results[e]),
                        suggest: i.results[e],
                        queryRegExp: s
                    });
                    this.$list.show().find("ol").html(t)
                } else this.$list.hide()
            },
            handleKeyDown: function(e) {
                var t = e.which;
                t === this.KEYS.ENTER && e.preventDefault()
            },
            handleKeyUp: function(e) {
                var t = e.which;
                e.preventDefault(), t === this.KEYS.UP_ARROW || t === this.KEYS.DOWN_ARROW ? this.navigateAutoSuggestions(t) : t === this.KEYS.ENTER ? this.handleEnterKey(e) : t === this.KEYS.RIGHT_ARROW || t === this.KEYS.LEFT_ARROW ? this.handleRightLeftKey(e) : (this.$clearButton[this.getSearchValue().length > 0 ? "fadeIn" : "fadeOut"](200), this.getSearchValue().length ? this.$submitButton.hasClass("disabled") && this.$submitButton.removeClass("disabled") : this.disableSubmitButton(), this.throttledSuggestions())
            },
            handleEnterKey: function() {
                this.submitSearch()
            },
            handleRightLeftKey: e.noop,
            handleClearButton: function(e) {
                e.preventDefault(), this.setSearchValue(""), this.$clearButton.fadeOut(200), this.disableSubmitButton(), this.$input.focus(), i()
            },
            setSearchValue: function(e) {
                this.$input.val(e)
            },
            getSearchValue: function() {
                return e.trim(this.$input.val())
            },
            hideAutoSuggest: function() {
                this.$list.hide()
            },
            getAutoSuggestions: function() {
                var e = this.getSearchValue();
                e.length > 1 ? this.collection.newQuery(e) : this.hideAutoSuggest()
            },
            getSearchUrl: function(e) {
                return this.pageManager.getCurrentBreakpoint() < 120 ? this.searchMobileUrl + e + "&sort=rel" : this.searchBaseUrl + e
            },
            navigateAutoSuggestions: function(e) {
                var t, i;
                i = this.$list.find(".active"), t = i.parent().index() || 0, t += e === this.KEYS.UP_ARROW ? -1 : 1, this.$list.find("a").removeClass("active").eq(t).addClass("active"), this.setSearchValue(this.$list.find("a").eq(t).text())
            },
            submitSearch: function(e) {
                var t, i = this.getSearchValue();
                e && e.preventDefault(), i && (t = this.trackingAppendParams(this.getSearchUrl(i), {
                    module: "SearchSubmit"
                }), this.$el.is(":visible") && (window.location = t))
            },
            handlePageClicks: function() {
                this.hideAutoSuggest()
            },
            disableSubmitButton: function() {
                this.$submitButton.addClass("disabled")
            }
        });
        return o
    }), define("shared/masthead/views/search", ["jquery/nyt", "underscore/nyt", "foundation/views/base-view", "shared/searchform/helpers/search-form-mixin"], function(e, t, i, s) {
        "use strict";
        var n = i.extend(t.extend({}, s, {
            el: e("#masthead").find(".search-flyout-panel"),
            events: {
                "click .close-button": "close",
                "keyup .search-input": "handleKeyUp",
                "keydown .search-input": "handleKeyDown",
                "click .submit-button": "submitSearch",
                "click .clear-button": "handleClearButton"
            },
            nytEvents: {
                "nyt:masthead-search-click": "toggle",
                "nyt:masthead-search-toggle": "handleSearchToggle",
                "nyt:navigation-search-click": "toggle",
                "nyt:search-close-ready": "close"
            },
            slideTiming: 100,
            afterInitialize: function() {
                this.trackingBaseData["WT.nav"] = "searchWidget", this.$input.removeAttr("placeholder")
            },
            open: function() {
                var e = this;
                this.$el.slideDown(this.slideTiming, function() {
                    e.$el.find(".control").fadeIn(e.slideTiming).end().find(".search-input").val("").focus()
                }), this.broadcast("nyt:masthead-search-toggle", !0), this.$shell.on("click", this.handlePageClicks), this.subscribeOnce("nyt:page-key-esc", this.close), this.$overlay.fadeIn(200), this.$html.addClass("search-active")
            },
            close: function() {
                var e = this;
                this.$html.hasClass("search-active") && (this.$el.find(".control").fadeOut(this.slideTiming, function() {
                    e.$el.slideUp(e.slideTiming, function() {
                        e.$html.removeClass("search-active")
                    })
                }), this.broadcast("nyt:masthead-search-toggle", !1), this.$shell.off("click", this.handlePageClicks), this.setSearchValue(""), this.$overlay.fadeOut(200))
            },
            toggle: function() {
                this[this.$el.is(":visible") ? "close" : "open"]()
            },
            isSearchButton: function(t) {
                var i = e(t).hasClass("search-button"),
                    s = 1 === e(t).parents(".search-button").length;
                return i || s
            },
            isSearchFlyout: function(t) {
                var i = e(t).hasClass("search-flyout-panel"),
                    s = 1 === e(t).parents(".search-flyout-panel").length;
                return i || s
            },
            handlePageClicks: function(e) {
                this.isSearchButton(e.target) || this.isSearchFlyout(e.target) || this.close(), this.hideAutoSuggest()
            },
            handleSearchToggle: function(e) {
                e === !1 && (this.$el.find(".submit-button").addClass("disabled"), this.$el.find(".clear-button").hide())
            }
        }));
        return n
    }), define("shared/masthead/templates", ["underscore/nyt"], function(_) {
        var templates = {};
        return templates.profileIcon = function(obj) {
            var __t, __p = "";
            Array.prototype.join;
            with(obj || {}) __p += '<span class="avatar" role="presentation">\n<a href="http://timespeople.nytimes.com/view/user/' + (null == (__t = userData.getUserId()) ? "" : __t) + '/settings.html"><img src="' + (null == (__t = userData.getImageUrl()) ? "" : __t) + '" alt="" /></a>\n</span>';
            return __p
        }, templates.userName = function(obj) {
            var __t, __p = "";
            Array.prototype.join;
            with(obj || {}) __p += '<button class="button user-name-button">\n<span class="button-text">' + (null == (__t = getTruncatedUserName(15)) ? "" : __t) + '</span>\n<i class="icon sprite-icon user-icon"></i>\n<i class="icon caret-icon"></i>\n</button>';
            return __p
        }, templates.userNameModalContent = function(obj) {
            var __t, __p = "";
            Array.prototype.join;
            with(obj || {}) __p += '<ul>\n<li><a href="http://timespeople.nytimes.com/view/user/' + (null == (__t = userData.getUserId()) ? "" : __t) + '/settings.html">My Profile</a></li>\n<li><a href="' + (null == (__t = hosts.myaccount) ? "" : __t) + '/membercenter/myaccount.html">My Account</a></li>\n<li><a href="' + (null == (__t = hosts.myaccount) ? "" : __t) + '/mem/manage_billing.html">My Billing Information</a></li>\n<li><a href="' + (null == (__t = "http:" + hosts.www) ? "" : __t) + '/saved">My Saved Items</a></li>\n<li><button class="button log-out-button">Log Out</button></li>\n</ul>';
            return __p
        }, templates.userNameModalTitle = function(obj) {
            var __t, __p = "";
            Array.prototype.join;
            with(obj || {}) __p += "", "" != userData.getImageUrl() && (__p += '<span class="avatar">\n<a href="http://timespeople.nytimes.com/view/user/' + (null == (__t = userData.getUserId()) ? "" : __t) + '/settings.html"><img src="' + (null == (__t = userData.getImageUrl()) ? "" : __t) + '" /></a>\n</span>'), __p += '\n<span class="user-name-subscription">\n<span class="user-name">' + (null == (__t = userData.getUserName()) ? "" : __t) + '</span>\n<span class="user-subscription"><a href="https://myaccount.nytimes.com/membercenter/myaccount.html">' + (null == (__t = subscription.label) ? "" : __t) + "</a></span>\n</span>";
            return __p
        }, templates.userSettingsModal = function(obj) {
            var __p = "";
            Array.prototype.join;
            with(obj || {}) __p += '<div class="menu edition-menu">\n<h5 class="modal-heading">Edition</h5>\n<ul>\n<li><a href="http://www.nytimes.com" data-edition="us">U.S.</a></li>\n<li><a href="http://global.nytimes.com" data-edition="global">International</a></li>\n<li><a href="http://cn.nytimes.com" data-edition="chinese">中文 (Chinese)</a></li>\n</ul>\n</div>\n<div class="menu help-menu">\n<h5 class="modal-heading">Help</h5>\n<ul>\n<li><a href="http://www.nytimes.com/content/help/front.html">FAQ</a></li>\n<li><a href="http://www.nytimes.com/content/help/contact/directory.html">Contact Us</a></li>\n</ul>\n</div>\n', showTypeSizer && (__p += '\n<div class="menu type-sizer-menu">\n<h5 class="modal-heading">Type Size</h5>\n<ul>\n<li data-size="small" class="type-sizer-small"><a href="javascript:;">A <span class="visually-hidden">Type size small</span></a></li>\n<li data-size="medium" class="type-sizer-medium"><a href="javascript:;">A <span class="visually-hidden">Type size medium</span></a></li>\n<li data-size="large" class="type-sizer-large"><a href="javascript:;">A <span class="visually-hidden">Type size large</span></a></li>\n</ul>\n</div>\n'), __p += "";
            return __p
        }, templates
    }), define("shared/masthead/views/user-settings-modal", ["jquery/nyt", "underscore/nyt", "foundation/views/base-view", "shared/modal/views/modal", "shared/masthead/templates"], function(e, t, i, s, n) {
        "use strict";
        var a = i.extend({
            events: {
                "click .edition-menu a": "handleEditionClick",
                "click .type-sizer-menu li": "handleFontSizeClick",
                "click .help-menu a": "handleHelpMenuClick"
            },
            nytEvents: {
                "nyt:fontsizer-initialize": "handleFontSizeChange",
                "nyt:fontsizer-change": "handleFontSizeChange"
            },
            defaultSettings: {
                id: "user-settings-modal",
                binding: ".user-settings-button",
                tailDirection: "up-right",
                tailTopOffset: -8,
                tailLeftOffset: -1,
                width: "260px",
                toggleSpeed: 1,
                showTypeSizer: !0,
                openCallback: function() {
                    this.$target.addClass("active"), this.subscribeOnce("nyt:page-scroll", this.close)
                },
                closeCallback: function() {
                    this.$target.removeClass("active")
                }
            },
            webTrendsNav: "user-settings-modalContainer",
            initialize: function(e) {
                var i = this.pageManager.getMeta("article:section") || "";
                this.settings = t.extend({}, this.defaultSettings, e), this.settings.modalContent = n.userSettingsModal({
                    showTypeSizer: this.settings.showTypeSizer
                }), this.trackingBaseData = {
                    action: "click",
                    region: "TopBar",
                    "WT.nav": this.webTrendsNav,
                    contentCollection: i
                }
            },
            handleDomReady: function() {
                this.render()
            },
            render: function() {
                var e = new s(this.settings);
                this.setElement(e.$modal), e.$modal.find("a[data-edition=" + this.pageManager.getEdition() + "]").addClass("selected"), e.addToPage(), this.handleFontSizeChange()
            },
            handleEditionClick: function(e) {
                this.broadcast("nyt:masthead-edition-change", e, {
                    "WT.nav": this.webTrendsNav
                })
            },
            handleHelpMenuClick: function(t) {
                var i = e(t.target),
                    s = i.attr("href");
                s && (s = this.trackingAppendParams(s, {}), i.attr("href", s))
            },
            handleFontSizeClick: function(t) {
                var i = e(t.currentTarget).data("size");
                this.broadcast("nyt:fontsizer-change", i)
            },
            handleFontSizeChange: function(e) {
                var t = "type-size-selected";
                e = e || this.pageManager.getMeta("fontsizer_typeSize"), this.$el.find(".type-sizer-menu li").removeClass(t), this.$el.find(".type-sizer-" + e).addClass(t)
            }
        });
        return a
    }), define("shared/masthead/views/user-name-modal", ["jquery/nyt", "underscore/nyt", "foundation/views/base-view", "shared/modal/views/modal", "shared/masthead/templates", "foundation/models/user-data", "foundation/hosts"], function(e, t, i, s, n, a, o) {
        "use strict";
        var r = i.extend({
            events: {
                "click .premier-subscriber a": "handleUserSubscriptionClick",
                "click li a": "handleUserOptionClick"
            },
            defaultSettings: {
                id: "user-name-modal",
                modalTitle: "",
                modalContent: "",
                binding: ".user-name-button",
                tailDirection: "up-right",
                tailTopOffset: -8,
                tailLeftOffset: -1,
                width: "260px",
                toggleSpeed: 1,
                openCallback: function() {
                    this.$target.addClass("active"), this.listenToOnce(this.pageManager, "nyt:page-scroll", this.close)
                },
                closeCallback: function() {
                    this.$target.removeClass("active")
                }
            },
            initialize: function(e) {
                t.bindAll(this, "handleLogOut"), this.settings = t.extend({}, this.defaultSettings, e), this.trackingBaseData = {
                    module: "ProfileDropdown",
                    action: "click",
                    region: "Masthead",
                    "WT.nav": "shell"
                }
            },
            handleUserReady: function() {
                var e, t = this.getSubscriptionLabel(a);
                this.settings.modalTitle = n.userNameModalTitle({
                    userData: a,
                    subscription: t
                }), this.settings.modalContent = n.userNameModalContent({
                    userData: a,
                    hosts: o
                }), this.render(), e = this.$el.find(".user-subscription"), "" === t.label && e.remove(), "" !== t.className && e.addClass(t.className), "" !== t.link && e.find("a").attr("href", t.link), this.listenToOnce(a, "nyt:user-image-loaded", this.handleProfileImage), this.$el.on("click", ".log-out-button", this.handleLogOut)
            },
            getSubscriptionLabel: function(e) {
                var t = {
                    label: "",
                    className: "",
                    link: ""
                };
                return e.isPremierSubscriber() ? (t.label = "Times Premier Subscriber", t.className = "premier-subscriber", t.link = "http://www.nytimes.com/times-insider") : e.isWebSubscriber() && e.isMobileSubscriber() ? t.label = "All Digital Access Subscriber" : e.isTabletSubscriber() && e.isWebSubscriber() ? t.label = "Tablet and Web Subscriber" : e.isSmartphoneSubscriber() && e.isWebSubscriber() ? t.label = "Smartphone and Web Subscriber" : e.isWebSubscriber() ? t.label = "Web Subscriber" : e.isOpinionSubscriber() && e.isCookingSubscriber() ? t.label = "NYT Opinion & Cooking Subscriber" : e.isCookingSubscriber() ? t.label = "Cooking Subscriber" : e.isOpinionSubscriber() ? (t.label = "NYT Opinion Subscriber", t.link = "http://www.nytimes.com/content/help/mobile/nyt-opinion/nyt-opinion.html") : e.isCrosswordsSubscriber() && (t.label = "Crosswords Subscriber"), t
            },
            render: function() {
                var e = new s(this.settings);
                this.setElement(e.$modal), e.addToPage()
            },
            handleProfileImage: function() {
                var e = n.profileIcon({
                    userData: a
                });
                this.$el.find(".modal-heading").prepend(e)
            },
            handleUserSubscriptionClick: function(t) {
                var i = e(t.currentTarget),
                    s = this.trackingAppendParams(i.attr("href"), {
                        contentCollection: "TimesPremier-InsideStory"
                    });
                i.attr("href", s)
            },
            handleUserOptionClick: function(t) {
                var i = e(t.target),
                    s = i.text(),
                    n = i.attr("href"),
                    a = {
                        action: "Click",
                        region: "TopBar",
                        "WT.nav": "shell"
                    };
                n && (s && (a.module = s.replace(/\s/g, "")), n = this.trackingAppendParams(n, a), i.attr("href", n))
            },
            handleLogOut: function() {
                var e = "http:" + o.www + "/logout";
                e = this.trackingAppendParams(e, {
                    module: "LogOut",
                    action: "Click",
                    region: "TopBar",
                    "WT.nav": "shell"
                }), window.location = e
            }
        });
        return r
    }), define("homepage/views/masthead/masthead", ["jquery/nyt", "underscore/nyt", "foundation/views/base-view", "foundation/hosts", "foundation/models/user-data", "shared/masthead/templates"], function(e, t, i, s, n, a) {
        "use strict";
        var o = i.registerView("masthead").extend({
            el: "#masthead",
            events: {
                "click .search-button": "handleSearchClick",
                "click .sections-button": "handleSectionsClick",
                "click .editions-menu a": "handleEditionClick",
                "click .login-button": "handleLogInClick",
                "click .masthead-menu a": "handleMenuClick"
            },
            nytEvents: {
                "nyt:messaging-critical-alerts-move-furniture": "handlePageAlerts",
                "nyt:messaging-suggestions-move-furniture": "handlePageAlerts",
                "nyt:masthead-search-toggle": "handleSearchToggle",
                "nyt:masthead-edition-change": "handleEditionClick",
                "nyt:messaging-notification-count-update": "handleMessagingCountChange"
            },
            trackingRegion: "TopBar",
            handleDomReady: function() {
                var e = this.$el.find(".user-tools-button-group");
                n.ready(function() {
                    n.isLoggedIn() ? e.prepend(a.userName(n)) : e.find(".login-button").removeClass("hidden")
                })
            },

            handlePageAlerts: function(t) {
                t(this.$el), t(e("#announcements-container")), t(e("#masthead-placeholder"))
            },
            handleSearchToggle: function(e) {
                this.$el.find(".search-button")[e ? "addClass" : "removeClass"]("active")
            },
            handleMenuClick: function(t) {
                var i = e(t.currentTarget),
                    s = i.data("collection"),
                    n = {
                        action: "Click",
                        module: "HPMiniNav",
                        region: this.trackingRegion,
                        "WT.nav": "page"
                    };
                switch (s) {
                    case "todays-paper":
                        n.contentCollection = "TodaysPaper";
                        break;
                    case "weather":
                        n.contentCollection = "Weather";
                        break;
                    case "video":
                        n.contentCollection = "Video"
                }
                i.attr("href", this.trackingAppendParams(i.attr("href"), n))
            },
            handleEditionClick: function(i, s) {
                var n = e(i.target),
                    a = n.attr("href"),
                    o = n.data("edition"),
                    r = {
                        action: "Click",
                        region: this.trackingRegion
                    };
                switch (this.pageManager.setEdition(o), o) {
                    case "us":
                        r.module = "EditionToggleToUS";
                        break;
                    case "global":
                        r.module = "EditionToggleToGlobal";
                        break;
                    case "chinese":
                        r.module = "EditionToggleToCHNS"
                }
                a && (r = t.extend(r, s), a = this.trackingAppendParams(n.attr("href"), r), n.attr("href", a))
            },
            handleSectionsClick: function(e) {
                this.broadcast("nyt:masthead-section-click", e)
            },
            handleSearchClick: function(e) {
                this.broadcast("nyt:masthead-search-click", e), this.trackingTrigger("masthead-search-click", {
                    action: "Click",
                    module: "SearchOpen",
                    eventName: "OpenSearchBar",
                    region: this.trackingRegion
                })
            },
            handleLogInClick: function() {
                this.trackingTrigger("masthead-login-click", {
                    action: "Click",
                    module: "LogIn",
                    "WT.nav": "shell",
                    region: this.trackingRegion
                })
            },
            handleMessagingCountChange: function(e) {
                var t = this.$el.find(".notifications-button"),
                    i = e.count > 99 ? "99+" : e.count;
                t.find(".button-text").html(i), e.delta > 0 ? (t.addClass("has-notifications animate-notifications"), setTimeout(function() {
                    t.removeClass("animate-notifications")
                }, 2e3)) : 0 === e.count && t.removeClass("has-notifications")
            }
        });
        return o
    }), define("homepage/views/masthead/in-content-theme", ["jquery/nyt", "underscore/nyt", "foundation/views/base-view"], function(e, t, i) {
        "use strict";
        var s = i.extend({
            el: "#masthead",
            events: {
                "click .user-name-button, .user-settings-button": "handleUserButtonClick"
            },
            nytEvents: {
                "nyt:page-scroll": "handlePageScrolled"
            },
            defaultSettings: {
                themeClass: "theme-in-content",
                themeEventName: "nyt:masthead-contenttheme"
            },
            mastheadOffset: null,
            initialize: function(e) {
                var i = this.$el.find("#masthead-cap");
                t.bindAll(this, "determineCloseAbility"), this.settings = t.extend({}, this.defaultSettings, e), this.mastheadOffset = this.$el.offset().top + this.$el.height(), this.mastheadCapOffset = i.offset().top + i.height(), this.mastheadCapHidden = !1
            },
            handleDomReady: function() {
                this.toggleTheme()
            },
            handlePageScrolled: function() {
                this.toggleTheme(), this.checkMastheadCapHidden()
            },
            toggleTheme: function() {
                var e = this.pageManager.getViewport().top,
                    t = this.$el.hasClass(this.settings.themeClass),
                    i = e > this.mastheadOffset;
                i && !t ? (this.addTheme(), this.broadcast(this.settings.themeEventName, !0)) : !i && t && (this.removeTheme(), this.broadcast(this.settings.themeEventName, !1))
            },
            addTheme: function() {
                this.signalSearchCloseReady(), this.$el.addClass(this.settings.themeClass)
            },
            removeTheme: function() {
                this.signalSearchCloseReady(), this.$el.removeClass(this.settings.themeClass)
            },
            signalSearchCloseReady: function() {
                this.broadcast("nyt:search-close-ready")
            },
            handleUserButtonClick: function() {
                this.$html.hasClass("search-active") && !this.$el.hasClass(this.settings.themeClass) && (window.scrollTo(0, 0), this.signalSearchCloseReady())
            },
            determineCloseAbility: function(e, i) {
                var s = 10,
                    n = i - this.$body.scrollTop();
                Math.abs(n) <= s || this.$html.hasClass("search-active") ? e.subscribeOnce("nyt:page-scroll", t.partial(this.determineCloseAbility, e, i)) : e.close()
            },
            checkMastheadCapHidden: function() {
                var e = 10,
                    t = this.$body.scrollTop() - e;
                t >= this.mastheadCapOffset && !this.mastheadCapHidden ? (this.mastheadCapHidden = !0, this.broadcast("nyt:masthead-hidden")) : t < this.mastheadCapOffset && this.mastheadCapHidden && (this.mastheadCapHidden = !1)
            }
        });
        return s
    }), define("homepage/templates", ["underscore/nyt"], function(_) {
        var templates = {};
        return templates.embeddedSlideshowHP = function(obj) {
            var __p = "";
            Array.prototype.join;
            with(obj || {}) __p += '<div class="content-container">\n<div class="image"></div>\n<nav class="arrow-navigation">\n<span class="counter"></span>\n', isMobile === !1 && (__p += '\n<button class="arrow-navigation-previous" >\n<span class="visually-hidden">Go to previous slide</span>\n<div class="arrow arrow-left">\n<div class="arrow-conceal"></div>\n</div>\n</button>\n<button class="arrow-navigation-next">\n<span class="visually-hidden">Go to next slide</span>\n<div class="arrow arrow-right">\n<div class="arrow-conceal"></div>\n</div>\n</button>\n'), __p += '\n</nav><figcaption class="caption" itemprop="description"></figcaption>\n</div>';
            return __p
        }, templates.image = function(obj) {
            var __t, __p = "";
            Array.prototype.join;
            with(obj || {}) __p += '<nav class="image-navigation previous">\n<span class="visually-hidden">Go to previous slide</span>\n</nav>\n<nav class="image-navigation next">\n<span class="visually-hidden">Go to next slide</span>\n</nav>\n<img src="' + (null == (__t = src) ? "" : __t) + '" data-caption="" style="display:none;" />';
            return __p
        }, templates.imageInfo = function(obj) {
            var __t, __p = "";
            Array.prototype.join;
            with(obj || {}) __p += '<span class="caption-control" style="display:none;">\n<span class="caption-text">\n' + (null == (__t = caption) ? "" : __t) + '\n</span>\n<span class="credit" itemprop="copyrightHolder">\n<span class="visually-hidden">Credit</span>\n' + (null == (__t = credit) ? "" : __t) + "\n</span>\n</span>";
            return __p
        }, templates.marketsModalContent = function(obj) {
            var __t, __p = "";
            Array.prototype.join;
            with(obj || {}) __p += '<section class="market-indexes">\n<h2 class="section-heading visually-hidden">Markets Indexes</h2>\n<div class="column">\n<table class="markets-table">\n<tr class="visually-hidden">\n<th scope="col">Label</th>\n<th scope="col">Last</th>\n<th scope="col">Change</th>\n<th scope="col">Percentage Change</th>\n</tr>\n', _.each(market.get("Items"), function(e, t) {
                __p += '\n<tr class="' + (null == (__t = 0 === t ? "active" : "") ? "" : __t) + '" data-image-coords="' + (null == (__t = e.getSpriteCoordinate()) ? "" : __t) + '" data-last-updated="' + (null == (__t = e.getIndexStatus()) ? "" : __t) + " " + (null == (__t = e.getLastUpdated() > 0 ? prettyDate(e.getLastUpdated()).toLowerCase() : "") ? "" : __t) + '" data-index="' + (null == (__t = e.getLabel()) ? "" : __t) + '">\n<th scope="row">' + (null == (__t = e.getLabel()) ? "" : __t) + '</th>\n<td class="market-value">' + (null == (__t = e.getLast()) ? "" : __t) + '</td>\n<td class="market-changed is-' + (null == (__t = e.getChangedText()) ? "" : __t) + '">' + (null == (__t = e.getFormattedPrice()) ? "" : __t) + '</td>\n<td class="market-changed-percentage is-' + (null == (__t = e.getChangedText()) ? "" : __t) + '">' + (null == (__t = e.getFormattedPercentage()) ? "" : __t) + "%</td>\n</tr>\n"
            }), __p += '\n</table>\n</div>\n<div class="column">\n<div id="markets-graph" class="markets-graph">\n<p>' + (null == (__t = market.get("Items")[0].getLabel()) ? "" : __t) + '</p>\n<i class="icon markets-graph-icon" style="background: url(' + (null == (__t = market.get("ChartUrl")) ? "" : __t) + ") no-repeat " + (null == (__t = market.get("Items")[0].getSpriteCoordinate()) ? "" : __t) + 'px 0;"></i>\n</div>\n</div>\n</section><section class="markets-quotes">\n<div class="column">\n<h2 class="section-heading">Get Quotes</h2>\n<form class="markets-search-form" role="search" method="get" action="http://query.nytimes.com/gst/getquotes.html">\n<div class="control">\n<div class="label-container visually-hidden">\n<label for="markets-search-input">Stock, ETFs, Funds</label>\n</div>\n<div class="field-container">\n<input id="markets-search-input" name="symb" type="text" class="markets-search-input text" autocomplete="off" placeholder="Stock, ETFs, Funds" />\n<button id="markets-submit" class="button submit-button" type="submit">Go</button>\n</div>\n</div><!-- close control -->\n</form>\n<p class="user-action">\n<a href="http://markets.on.nytimes.com/research/portfolio/view/view.asp">My Portfolio &raquo;</a>\n</p>\n</div>\n<div class="column">\n<div id="Middle4" class="ad middle4-ad"></div>\n</div>\n</section>';
            return __p
        }, templates.marketsModalHeader = function(obj) {
            var __p = "";
            Array.prototype.join;
            with(obj || {}) __p += '<a href="http://markets.on.nytimes.com/research/markets/overview/overview.asp">Markets &raquo;</a>';
            return __p
        }, templates.marketsModalHeaderContent = function(obj) {
            var __t, __p = "";
            Array.prototype.join;
            with(obj || {}) __p += '<p id="markets-last-update" class="markets-last-update">' + (null == (__t = date) ? "" : __t) + "</p>";
            return __p
        }, templates.marketsTicker = function(obj) {
            var __t, __p = "";
            Array.prototype.join;
            with(obj || {}) __p += '<button data-collection="markets" class="button markets-button is-' + (null == (__t = getChangedText()) ? "" : __t) + '">' + (null == (__t = getLabel()) ? "" : __t) + " <span>" + (null == (__t = getFormattedPercentage()) ? "" : __t) + '%</span><i class="icon sprite-icon ticker-icon"></i></button>';
            return __p
        }, templates.miniNavigationPlaceholder = function(obj) {
            var __p = "";
            Array.prototype.join;
            with(obj || {}) __p += '<div class="mini-navigation-placeholder"></div>';
            return __p
        }, templates.mothAd = function(obj) {
            var __p = "";
            Array.prototype.join;
            with(obj || {}) __p += '<div id="MOTHAd" class="ad moth-ad"></div>';
            return __p
        }, templates.playlistItem = function(obj) {
            var __t, __p = "";
            Array.prototype.join;
            with(obj || {}) __p += '<li>\n<article class="story">\n<div class="wide-thumb">\n<img src="' + (null == (__t = thumbnailSrc) ? "" : __t) + '"></img>\n<div class="media-action-overlay">\n<div class="icon-container"><i class="icon"></i></div>\n<p class="media-meta">Now Playing</p>\n</div>\n</div>\n<h3 class="kicker">\n<span class="kicker-label">' + (null == (__t = kicker) ? "" : __t) + '</span>\n<span class="duration">' + (null == (__t = duration) ? "" : __t) + '</span>\n</h3>\n<h2 class="headline">' + (null == (__t = headline) ? "" : __t) + "</h2>\n</article>\n</li>";
            return __p
        }, templates.videoMetadata = function(obj) {
            var __t, __p = "";
            Array.prototype.join;
            with(obj || {}) __p += '<p class="byline">' + (null == (__t = byline) ? "" : __t) + '</p><a class="user-action watch-link" href="' + (null == (__t = permalink) ? "" : __t) + '">Watch in Times Video &raquo;</a>';
            return __p
        }, templates.videoPoster = function(obj) {
            var __t, __p = "";
            Array.prototype.join;
            with(obj || {}) __p += '<div class="media-meta-container">\n<div class="icon-container">\n<i class="icon"></i>\n</div>\n<div class="media-meta">\n<h3 class="kicker">\n<span class="duration">' + (null == (__t = duration) ? "" : __t) + '</span>\n</h3>\n<h2 class="headline">' + (null == (__t = headline) ? "" : __t) + '</h2>\n<p class="summary">' + (null == (__t = summary) ? "" : __t) + "</p>\n</div>\n</div>";
            return __p
        }, templates.weather = function(obj) {
            var __t, __p = "";
            Array.prototype.join;
            with(obj || {}) __p += '<button class="button weather-button">\n<i class="icon sprite-icon weather-icon ' + (null == (__t = "icon-weather-" + currentWeather.getIcon()) ? "" : __t) + ' w24"></i>' + (null == (__t = currentWeather.getTemp()) ? "" : __t) + "&deg;" + (null == (__t = currentWeather.getTempUnit()) ? "" : __t) + "\n</button>";
            return __p
        }, templates.weatherModalContent = function(obj) {
            var __t, __p = "";
            Array.prototype.join;
            with(obj || {}) __p += '<div class="section today">\n<h5 class="section-heading">Today</h5>\n<i class="icon sprite-icon weather-icon ' + (null == (__t = "icon-weather-" + currentWeather.getIcon()) ? "" : __t) + ' w50"></i>\n<div class="weather-detail">\n<h4 class="weather-heading">\n<span>' + (null == (__t = currentWeather.getTemp()) ? "" : __t) + "&deg;" + (null == (__t = currentWeather.getTempUnit()) ? "" : __t) + '</span>\n<span class="phrase">' + (null == (__t = currentWeather.getDescription()) ? "" : __t) + '</span>\n</h4>\n<span class="temperature high-temperature"><span class="visually-hidden">High Temperature</span>' + (null == (__t = currentWeather.getHighTemp()) ? "" : __t) + '&deg;</span>\n<span class="temperature low-temperature"><span class="visually-hidden">Low Temperature</span>' + (null == (__t = currentWeather.getLowTemp()) ? "" : __t) + '&deg;</span>\n<p class="summary">' + (null == (__t = currentWeather.getPhrase()) ? "" : __t) + '</p>\n</div>\n<div id="HPWeather" class="ad hp-weather-ad"></div>\n</div>\n<div class="section this-week">\n<h5 class="section-heading">This week</h5>\n<ul>\n', _.each(weatherCollection.getFiveDayForecast(), function(e) {
                __p += '\n<li>\n<i class="icon sprite-icon weather-icon ' + (null == (__t = "icon-weather-" + e.getIcon()) ? "" : __t) + ' w50">\n<span class="visually-hidden">' + (null == (__t = e.getDescription()) ? "" : __t) + '</span>\n</i>\n<span class="day">' + (null == (__t = e.getDisplayDay()) ? "" : __t) + '</span>\n<span class="temperature high-temperature"><span class="visually-hidden">High Temperature</span>' + (null == (__t = e.getHighTemp()) ? "" : __t) + '&deg;</span>\n<span class="temperature low-temperature"><span class="visually-hidden">Low Temperature</span>' + (null == (__t = e.getLowTemp()) ? "" : __t) + "&deg;</span>\n</li>\n"
            }), __p += '\n</ul>\n</div>\n<div class="footer">\n<p class="user-action"><a href="' + (null == (__t = mainWeatherPageUrl) ? "" : __t) + '">More &raquo;</a></p>\n</div>';
            return __p
        }, templates.weatherModalHeader = function(obj) {
            var __t, __p = "";
            Array.prototype.join;
            with(obj || {}) __p += '<p class="user-action"><a href="' + (null == (__t = editWeatherUrl) ? "" : __t) + '">Edit Your Location</a></p>';
            return __p
        }, templates
    }), define("shared/data/models/weather", ["jquery/nyt", "underscore/nyt", "backbone/nyt", "foundation/models/base-model"], function(e, t, i, s) {
        "use strict";
        var n = s.extend({
            defaults: {
                city: "",
                state: "",
                country: "",
                temp: "",
                high: "",
                low: "",
                temp_unit: "",
                image: "",
                icon: "",
                phrase: "",
                description: ""
            },
            dayAbbreviations: {
                Monday: "MON",
                Tuesday: "TUES",
                Wednesday: "WED",
                Thursday: "THURS",
                Friday: "FRI",
                Saturday: "SAT",
                Sunday: "SUN"
            },
            getCity: function() {
                return this.get("city")
            },
            getState: function() {
                return this.get("state")
            },
            getCountry: function() {
                return this.get("country")
            },
            getDisplayLocation: function() {
                var e = this.getCity(),
                    t = this.getState(),
                    i = this.getCountry();
                return "United States" === i ? e + ", " + t : e + ", " + i
            },
            getTemp: function() {
                return this.get("temp")
            },
            getHighTemp: function() {
                return this.get("high")
            },
            getLowTemp: function() {
                return this.get("low")
            },
            getTempUnit: function() {
                return this.get("temp_unit")
            },
            getDay: function() {
                return this.get("day")
            },
            getDisplayDay: function() {
                return this.dayAbbreviations[this.getDay()]
            },
            getIconURL: function() {
                return this.get("image")
            },
            getIcon: function() {
                return this.get("icon")
            },
            getPhrase: function() {
                return this.get("phrase")
            },
            getDescription: function() {
                var e = this.getIcon();
                return this.get("description") || this.getWeatherDescriptionFromIcon(e)
            },
            getWeatherDescriptionFromIcon: function(e) {
                var t = {
                    "01": "Sunny",
                    "02": "Mostly Sunny",
                    "03": "Partly Sunny",
                    "04": "Partly Cloudy",
                    "05": "Hazy",
                    "06": "Mostly Cloudy",
                    "07": "Cloudy",
                    "08": "Overcast",
                    11: "Foggy",
                    12: "Showers",
                    13: "Scattered Showers",
                    14: "Isolated Showers",
                    15: "Thunderstorms",
                    16: "Scattered Thunderstorms",
                    17: "Isolated Thunderstorms",
                    18: "Rain",
                    19: "Flurries",
                    20: "Scattered Flurries",
                    21: "Isolated Flurries",
                    22: "Snow",
                    23: "Scattered Snow",
                    24: "Ice",
                    25: "Sleet",
                    26: "Freezing Rain",
                    29: "Mixed Rain and Snow",
                    30: "Hot",
                    31: "Cold",
                    32: "Windy",
                    33: "Clear",
                    34: "Mostly Clear",
                    35: "Partly Cloudy",
                    36: "Partly Cloudy",
                    37: "Hazy",
                    38: "Mostly Cloudy",
                    39: "Isolated Showers",
                    40: "Scattered Showers",
                    41: "Isolated Thunderstorms",
                    42: "Scattered Thunderstorms",
                    43: "Scattered Flurries",
                    44: "Scattered Snow"
                };
                return t[e] || ""
            }
        });
        return n
    }), define("shared/data/collections/weather", ["backbone/nyt", "foundation/collections/base-collection", "underscore/nyt", "shared/data/helpers/collection-mixin", "foundation/helpers/utils", "shared/data/models/weather"], function(e, t, i, s, n, a) {
        "use strict";
        var o = t.extend(i.extend({}, s, {
            model: a,
            initialize: function() {
                this.fetch()
            },
            sync: function(t, i, s) {
                return s.url = n.getHostBasedOnEdition() + "/svc/weather/v2/current-and-seven-day-forecast.json", s.cache = !0, e.sync(t, i, s)
            },
            parse: function(e) {
                var t, i, s, n = ["description", "temp", "temp_unit", "icon"];
                if (e && e.results) {
                    t = e.results.seven_day_forecast, i = e.results.current[0];
                    for (s in n) n.hasOwnProperty(s) && (t[0][n[s]] = i[n[s]]);
                    return t
                }
                return []
            },
            getFourDayForecast: function() {
                return this.models.slice(1, 5)
            },
            getFiveDayForecast: function() {
                return this.models.slice(1, 6)
            },
            getCurrentWeather: function() {
                return this.models[0]
            }
        }));
        return o
    }), define("shared/data/instances/weather-collection", ["shared/data/collections/weather"], function(e) {
        "use strict";
        return new e
    }), define("homepage/views/helpers/masthead-modals", ["jquery/nyt", "underscore/nyt"], function(e, t) {
        "use strict";
        var i = {
            autoCloseDuration: 1e3,
            initialize: function() {
                t.bindAll(this, "handleModalOpen", "handleModalClose"), this.render()
            },
            handleModalOpen: function() {
                var e;
                this.broadcast(this.eventPrefix + "open"), this.broadcast("nyt:ads-new-placement", this.adPosition), e = this.eventPrefix.split("-")[1] + "Rendered", this.broadcast("nyt:ad-library:dfp:" + e)
            },
            handleModalClose: function() {
                this.broadcast(this.eventPrefix + "close")
            },
            handleOpen: function() {
                this.isModalAppened !== !0 && (this.modal.addToPage(), this.isModalAppened = !0, this.setElement(this.modal.$modal)), this.modal.open()
            },
            handleClose: function() {
                this.modal.close()
            },
            disableAutoClose: function() {
                window.clearTimeout(this.autoCloseTimer), delete this.autoCloseTimer
            },
            enableAutoClose: function() {
                this.disableAutoClose(), this.autoCloseTimer = window.setTimeout(this.modal.close, this.autoCloseDuration)
            },
            handleMouseOver: function() {
                this.broadcast(this.eventPrefix + "mouseover"), this.disableAutoClose()
            },
            handleMouseOut: function() {
                this.enableAutoClose()
            }
        };
        return i
    }), define("homepage/views/masthead/weather-modal", ["jquery/nyt", "underscore/nyt", "foundation/views/base-view", "shared/modal/views/modal", "homepage/templates", "foundation/hosts", "shared/data/instances/weather-collection", "homepage/views/helpers/masthead-modals"], function(e, t, i, s, n, a, o, r) {
        "use strict";
        var l = i.extend(r).extend({
            modalSettings: {
                id: "weather-modal",
                binding: ".weather-button",
                tailDirection: "up",
                tailTopOffset: -4
            },
            events: {
                mouseenter: "handleMouseOver",
                mouseleave: "handleMouseOut"
            },
            eventPrefix: "nyt:homepage-weatherModal-",
            adPosition: "HPWeather",
            render: function() {
                var e = o.getCurrentWeather(),
                    i = t.extend({}, this.modalSettings);
                i.modalTitle = e.getDisplayLocation(), i.headerContent = n.weatherModalHeader({
                    editWeatherUrl: a.www + "/gst/weather.html?saction=updatePrimary"
                }), i.modalContent = n.weatherModalContent({
                    weatherCollection: o,
                    currentWeather: e,
                    mainWeatherPageUrl: a.www + "/weather"
                }), i.openCallback = this.handleModalOpen, i.closeCallback = this.handleModalClose, this.modal = new s(i), this.subscribe("nyt:homepage-weatherPreview-on", this.handleOpen), this.subscribe("nyt:homepage-weatherPreview-off", this.handleClose), this.subscribe("nyt:homepage-marketsModal-open", this.handleClose)
            }
        });
        return l
    }), define("homepage/views/helpers/masthead-hover-intent", ["jquery/nyt", "underscore/nyt"], function(e, t) {
        "use strict";
        var i = {
            events: {
                mouseenter: "handleButtonOver",
                mouseleave: "handleButtonOut"
            },
            hoverThreshold: 300,
            mouseOutClose: 1e3,
            initialize: function() {
                this.bindAllList.unshift(this), t.bindAll.apply(void 0, this.bindAllList), this.collection.length > 0 ? this.render() : this.subscribeOnce(this.collection, "sync", this.render)
            },
            enableModalCloseTimer: function() {
                this.modalCloseTimer = window.setTimeout(this.closeModal, this.mouseOutClose)
            },
            disableModalCloseTimer: function() {
                window.clearTimeout(this.modalCloseTimer), delete this.modalCloseTimer
            },
            enableModalOpenTimer: function() {
                this.modalOpenTimer = window.setTimeout(this.openModal, this.hoverThreshold)
            },
            disableModalOpenTimer: function() {
                window.clearTimeout(this.modalOpenTimer), delete this.modalOpenTimer
            },
            closeModal: function() {
                this.broadcast(this.eventPrefix + "off")
            },
            openModal: function() {
                this.broadcast(this.eventPrefix + "on")
            },
            handleModalMouseover: function() {
                this.disableModalCloseTimer()
            },
            handleButtonOver: function() {
                this.enableModalOpenTimer(), this.disableModalCloseTimer()
            },
            handleButtonOut: function() {
                this.disableModalOpenTimer(), this.enableModalCloseTimer()
            },
            handleModalOpen: function() {
                this.$el.find(".button").addClass("active")
            },
            handleModalClose: function() {
                this.$el.find(".button").removeClass("active")
            }
        };
        return i
    }), define("homepage/views/masthead/weather-preview", ["jquery/nyt", "underscore/nyt", "foundation/views/base-view", "homepage/templates", "shared/data/instances/weather-collection", "foundation/hosts", "homepage/views/masthead/weather-modal", "homepage/views/helpers/masthead-hover-intent"], function(e, t, i, s, n, a, o, r) {
        "use strict";
        var l = i.extend(r).extend({
            el: "#weather",
            nytEvents: {
                "nyt:homepage-weatherModal-mouseover": "handleModalMouseover",
                "nyt:homepage-weatherModal-open": "handleModalOpen",
                "nyt:homepage-weatherModal-close": "handleModalClose"
            },
            collection: n,
            eventPrefix: "nyt:homepage-weatherPreview-",
            bindAllList: ["openModal", "closeModal"],
            render: function() {
                var e = this.collection.getCurrentWeather(),
                    t = s.weather({
                        currentWeather: e
                    });
                this.$el.html(t).removeClass("hidden"), new o
            }
        });
        return l
    }), define("shared/data/models/markets", ["underscore/nyt", "foundation/models/base-model"], function(e, t) {
        "use strict";
        var i = t.extend({
            getPercentage: function() {
                var e = (Math.round(100 * this.get("PercentChange")) / 100).toFixed(2);
                return e
            },
            getFormattedPercentage: function() {
                var e = this.getPercentage();
                return e > 0 ? "+" + e : e
            },
            getPriceChange: function() {
                return (Math.round(100 * this.get("PriceChange")) / 100).toFixed(2)
            },
            getFormattedPrice: function() {
                var e = this.getPriceChange();
                return e > 0 ? "+" + e : e
            },
            getLast: function() {
                return (Math.round(100 * this.get("Last")) / 100).toFixed(2)
            },
            getLabel: function() {
                return this.get("Label")
            },
            getChangedText: function() {
                var e = this.get("PriceChange");
                return 0 > e ? "negative" : e > 0 ? "positive" : "unchanged"
            },
            getIndexStatus: function() {
                return "True" === this.get("IsOpen") ? "Updated " : "Closed "
            },
            getLastUpdated: function() {
                return 1e3 * this.get("LastQuoteDateTime")
            },
            getSpriteCoordinate: function() {
                return this.get("XCoordinate")
            }
        });
        return i
    }), define("shared/data/collections/markets", ["backbone/nyt", "foundation/collections/base-collection", "shared/data/models/markets"], function(e, t, i) {
        "use strict";
        var s = t.extend({
            initialize: function() {
                this.fetch()
            },
            sync: function(t, i, s) {
                return s.url = "http://markets.on.nytimes.com/research/Net/SectionFrontAPI/MarketModuleData/jsonp", s.dataType = "jsonp", s.jsonpCallback = "jsonMarkets", s.jsonp = "callback", s.cache = !0, e.sync(t, i, s)
            },
            parse: function(e) {
                var t, s, n, a, o = e.Tabs;
                for (s = 0, n = o.length; n > s; s += 1)
                    for (o[s].Items.length > 3 && (o[s].Items = o[s].Items.slice(0, 3)), t = 0, a = o[s].Items.length; a > t; t += 1) o[s].Items[t] = new i(o[s].Items[t]);
                return o || []
            },
            determineOpenIndex: function() {
                var e, t, i, s, n, a = ["U.S.", "Europe", "Asia"];
                for (e = 0; 3 > e && !this.openRegion; e += 1)
                    for (s = this.findWhere({
                            Label: a[e]
                        }), t = 0, i = s.get("Items").length; i > t; t += 1)
                        if (n = s.get("Items")[t], "True" === n.get("IsOpen")) {
                            this.openRegion = s;
                            break
                        }
                return this.openRegion = this.openRegion || this.findWhere({
                    Label: "U.S."
                }), this.openRegion
            },
            getOpenIndex: function() {
                return this.openRegion || this.determineOpenIndex()
            },
            getIndex: function(e) {
                return this.findWhere({
                    Label: e
                })
            }
        });
        return s
    }), define("shared/data/instances/markets", ["shared/data/collections/markets"], function(e) {
        "use strict";
        return new e
    }), define("homepage/views/masthead/markets-modal", ["jquery/nyt", "underscore/nyt", "foundation/views/base-view", "shared/modal/views/modal", "homepage/templates", "foundation/cookies", "foundation/hosts", "shared/data/instances/markets", "homepage/views/helpers/masthead-modals"], function(e, t, i, s, n, a, o, r, l) {
        "use strict";
        var d = i.extend(l).extend({
            modalSettings: {
                id: "markets-modal",
                binding: ".markets-button",
                tailDirection: "up",
                tailTopOffset: -4,
                modalTitle: n.marketsModalHeader()
            },
            events: {
                "mouseover tr": "handleRowHover",
                mouseenter: "handleMouseOver",
                mouseleave: "handleMouseOut"
            },
            eventPrefix: "nyt:homepage-marketsModal-",
            adPosition: "Middle4",
            autoCloseDuration: 1e3,
            render: function() {
                var e = t.extend({}, this.modalSettings),
                    i = r.getOpenIndex().get("Items")[0],
                    a = "";
                i.getLastUpdated() > 0 && (a = this.prettyDate(i.getLastUpdated()).toLowerCase()), e.disableBindings = !this.pageManager.isMobile(), e.headerContent = n.marketsModalHeaderContent({
                    date: i.getIndexStatus() + a
                }), e.modalContent = n.marketsModalContent({
                    market: r.getOpenIndex(),
                    prettyDate: this.prettyDate
                }), e.openCallback = this.handleModalOpen, e.closeCallback = this.handleModalClose, this.modal = new s(e), this.setElement(this.modal.$modal), this.subscribe("nyt:homepage-marketsTicker-on", this.handleOpen), this.subscribe("nyt:homepage-marketsTicker-off", this.handleClose), this.subscribe("nyt:homepage-weatherModal-open", this.handleClose)
            },
            handleRowHover: function(t) {
                var i = e(t.currentTarget),
                    s = i.data("image-coords"),
                    n = i.data("last-updated"),
                    a = i.data("index");
                this.$el.find("tr").removeClass("active"), i.addClass("active"), this.$el.find("#markets-graph .icon").css("background-position", "-" + s + "px 0"), this.$el.find("#markets-graph p").html(a), this.$el.find("#markets-last-update").html(n)
            }
        });
        return d
    }), define("homepage/views/masthead/markets-ticker", ["jquery/nyt", "underscore/nyt", "foundation/views/base-view", "homepage/templates", "shared/data/instances/markets", "homepage/views/masthead/markets-modal", "homepage/views/helpers/masthead-hover-intent"], function(e, t, i, s, n, a, o) {
        "use strict";
        var r = i.extend(o).extend({
            el: "#markets",
            nytEvents: {
                "nyt:homepage-marketsModal-mouseover": "handleModalMouseover",
                "nyt:homepage-marketsModal-open": "handleModalOpen",
                "nyt:homepage-marketsModal-close": "handleModalClose"
            },
            collection: n,
            rotateFrequency: 5e3,
            currentIndex: 0,
            eventPrefix: "nyt:homepage-marketsTicker-",
            bindAllList: ["rotateTicker", "disableTicker", "enableTicker", "openModal", "closeModal"],
            render: function() {
                this.indexes = this.collection.getOpenIndex().get("Items"), this.$el.html(s.marketsTicker(this.indexes[this.currentIndex])), this.$el.removeClass("hidden"), new a, this.enableTicker()
            },
            rotateTicker: function() {
                var e = this;
                this.currentIndex < this.indexes.length - 1 ? this.currentIndex += 1 : this.currentIndex = 0, this.$el.fadeOut(function() {
                    e.$el.html(s.marketsTicker(e.indexes[e.currentIndex])), e.$el.fadeIn(function() {
                        e.disableTicker(), e.enableTicker()
                    })
                })
            },
            enableTicker: function() {
                this.timer || (this.timer = window.setTimeout(this.rotateTicker, this.rotateFrequency))
            },
            disableTicker: function() {
                window.clearTimeout(this.timer), delete this.timer
            },
            handleModalMouseover: function() {
                this.disableTicker(), this.disableModalCloseTimer()
            },
            handleButtonOver: function() {
                this.enableModalOpenTimer(), this.disableModalCloseTimer(), this.disableTicker()
            },
            handleModalOpen: function() {
                this.disableTicker(), this.$el.find("button").addClass("active")
            },
            handleModalClose: function() {
                this.enableTicker(), this.$el.find("button").removeClass("active")
            }
        });
        return r
    }), define("homepage/instances/masthead", ["jquery/nyt", "underscore/nyt", "foundation/views/page-manager", "shared/masthead/views/search", "shared/masthead/views/user-settings-modal", "shared/masthead/views/user-name-modal", "homepage/views/masthead/masthead", "homepage/views/masthead/in-content-theme", "homepage/views/masthead/weather-preview", "homepage/views/masthead/markets-ticker"], function(e, t, i, s, n, a, o, r, l, d) {
        "use strict";
        new o, new s, new r, new n({
            showTypeSizer: !1,
            fixedOverride: !1,
            tailLeftOffset: -5,
            openCallback: function() {
                this.$target.addClass("active"), this.subscribeOnce("nyt:masthead-hidden", this.close)
            }
        }), new a({
            fixedOverride: !1,
            openCallback: function() {
                this.$target.addClass("active"), this.subscribeOnce("nyt:masthead-hidden", this.close)
            }
        }), new l, new d
    }), define("shared/messaging/templates", ["underscore/nyt"], function(_) {
        var templates = {};
        return templates.followButton = function(obj) {
            var __t, __p = "";
            Array.prototype.join;
            with(obj || {}) __p += '<button class="button follow-button ' + (null == (__t = classes) ? "" : __t) + '">\n<i class="icon sprite-icon"></i>\n<span class="button-text">' + (null == (__t = buttonText) ? "" : __t) + "</span>\n</button>";
            return __p
        }, templates.followConfirmation = function(obj) {
            var __t, __p = "";
            Array.prototype.join;
            with(obj || {}) __p += '<div class="message message-unfollow-confirmation" data-timestamp="' + (null == (__t = timestamp) ? "" : __t) + '">\n', thumb && (__p += '\n<div class="thumb">\n<img src="' + (null == (__t = thumb) ? "" : __t) + '" />\n</div>\n'), __p += '\n<div class="message-content">\n<p class="message-title">' + (null == (__t = unfollowText) ? "" : __t) + ' <span class="collection-name">' + (null == (__t = following) ? "" : __t) + '</span>?</p>\n<div class="button-container">\n<button class="button unfollow-button"><i class="icon sprite-icon"></i>' + (null == (__t = confirmText) ? "" : __t) + '</button>\n<button class="button keep-following-button">' + (null == (__t = abortText) ? "" : __t) + "</button>\n</div>\n</div>\n</div>";
            return __p
        }, templates.followInfo = function(obj) {
            var __t, __p = "";
            Array.prototype.join;
            with(obj || {}) __p += '<div class="follow-info ' + (null == (__t = followClass) ? "" : __t) + '">\n', thumb && (__p += '\n<div class="thumb ' + (null == (__t = type) ? "" : __t) + '">\n<img src="' + (null == (__t = thumb) ? "" : __t) + '" alt="" role="presentation"/>\n</div>\n'), __p += '\n<h4 class="collection-name">' + (null == (__t = following) ? "" : __t) + '</h4>\n<p class="description">' + (null == (__t = description) ? "" : __t) + "</p>\n</div>";
            return __p
        }, templates.followUnfollowed = function(obj) {
            var __t, __p = "";
            Array.prototype.join;
            with(obj || {}) __p += "", __p += message_type ? '\n<div class="message message-unfollow-confirmed message-comment-' + (null == (__t = message_type) ? "" : __t) + '" data-timestamp="' + (null == (__t = timestamp) ? "" : __t) + '">\n' : '\n<div class="message message-unfollow-confirmed" data-timestamp="' + (null == (__t = timestamp) ? "" : __t) + '">\n', __p += "\n<div class=\"message-content\">\n<p class='message-title'>" + (null == (__t = confirmedText) ? "" : __t) + " <span class='collection-name'>" + (null == (__t = following) ? "" : __t) + "</span>. <button class='button undo-action-button'>Undo</button></p>\n</div>\n</div>";
            return __p
        }, templates.message = function(obj) {
            var __t, __p = "";
            Array.prototype.join;
            with(obj || {}) {
                if (__p += "", closeButton && (__p += '\n<button class="button close-message">\n<i class="icon"></i>\n<span class="visually-hidden">Close alert</span>\n</button>\n'), __p += "", sub_type && (sub_type = sub_type.replace(/([A-Z])/g, "-$1").toLowerCase(), "-" === sub_type.charAt(0) && (sub_type = sub_type.substr(1))), __p += '<div class="message ' + (null == (__t = sub_type) ? "" : __t) + '" data-messageId="' + (null == (__t = id) ? "" : __t) + '"><i class="icon sprite-icon"></i>', label && (__p += '\n<span class="label">' + (null == (__t = label) ? "" : __t) + "</span>\n"), __p += '<span class="message-content">\n<span class="message-title">' + (null == (__t = formattedTitle) ? "" : __t) + "</span>\n", buttons.length > 0) {
                    __p += "\n";
                    for (var i = 0; i < buttons.length; i++) buttons[i].url && (__p += '\n<a href="' + (null == (__t = buttons[i].url) ? "" : __t) + '" class="button message-button action-button">' + (null == (__t = buttons[i].text) ? "" : __t) + "</a>\n");
                    __p += "\n"
                }
                if (__p += "\n", 1 === display_type_id && start_time) {
                    var minutes, hours, formatted, date = new Date(1e3 * start_time);
                    hours = date.getHours(), minutes = date.getMinutes(), minutes = 9 >= minutes ? "0" + minutes : minutes, ampm = hours >= 12 ? "PM" : "AM", hours = hours > 12 ? hours - 12 : hours, formatted = "" + hours + ":" + minutes + " " + ampm, __p += '\n<span class="timestamp">\n' + (null == (__t = formatted) ? "" : __t) + "\n</span>\n"
                }
                __p += "\n", 4 === display_type_id && (__p += "\n<a href='#' class=\"close-message\">" + (null == (__t = payload.dsm_cpy) ? "" : __t) + "</a>\n"), __p += "\n", __p += "\n", "undefined" != typeof customMarkup && customMarkup && (__p += '\n<span class="message-extra">\n' + (null == (__t = customMarkup) ? "" : __t) + "\n</span>\n"), __p += "\n", __p += "\n</span></div>"
            }
            return __p
        }, templates.messenger = function(obj) {
            var __p = "";
            Array.prototype.join;
            with(obj || {}) __p += '<div class="message-bed"></div>';
            return __p
        }, templates.notificationModals = function(obj) {
            var __t, __p = "";
            Array.prototype.join;
            with(obj || {}) __p += "", __p += message_type ? '\n<div class="message comment-' + (null == (__t = message_type) ? "" : __t) + '-message">\n' : '\n<div class="message">\n', __p += "\n", __p += link ? '\n<a href="' + (null == (__t = link) ? "" : __t) + '">\n' : "\n<a class='link-to-panel' href=\"#\">\n", __p += "\n" + (null == (__t = emphasize(title, emphasis)) ? "" : __t) + '\n</a>\n<span class="message-metadata">\n', timestamp && (__p += '\n<time class="timestamp" datetime="' + (null == (__t = timestamp) ? "" : __t) + '">' + (null == (__t = this.prettyDate(1e3 * timestamp) || "Just now") ? "" : __t) + "</time>\n"), __p += "\n</span>\n</div>";
            return __p
        }, templates.notificationsModal = function(obj) {
            var __t, __p = "";
            Array.prototype.join;
            with(obj || {}) __p += "", "default" === show ? __p += '\n<div class="message-container">\n<div class="message message-default">\n<div class="message-content">\n<p class="message-title">You have no new notifications.</p>\n<p>Follow columns and be notified when new articles are published.</p>\n</div>\n<div class="follow-suggestions"></div>\n</div>\n</div>\n' : (__p += "\n", __p += message_type ? '\n<div class="message message-comment-' + (null == (__t = message_type) ? "" : __t) + '" data-timestamp="' + (null == (__t = timestamp) ? "" : __t) + '">\n' : '\n<div class="message" data-timestamp="' + (null == (__t = timestamp) ? "" : __t) + '">\n', __p += "\n", display_type_id >= unfollowThreshold && (__p += '\n<button class="button unsubscribe-button" title="' + (null == (__t = unfollowText) ? "" : __t) + " " + (null == (__t = following) ? "" : __t) + '"><i class="icon sprite-icon"></i></button>\n'), __p += "\n", link && (__p += '\n<a class="message-link" href="' + (null == (__t = link) ? "" : __t) + '">\n'), __p += "\n", thumb && 5 !== display_type_id && (__p += '\n<div class="thumb"><img src="' + (null == (__t = thumb) ? "" : __t) + '" /></div>\n'), __p += '<div class="message-content">\n<p class="message-title">' + (null == (__t = formattedTitle) ? "" : __t) + "</p>\n", 5 === display_type_id && comment_body && (__p += '\n<div class="comment-excerpt">\n', display_name && "replied" === message_type && (__p += '\n<div class="commenter">\n<p class="commenter-name">' + (null == (__t = display_name) ? "" : __t) + "</p>\n", location && (__p += '\n<p class="commenter-location">' + (null == (__t = location) ? "" : __t) + "</p>\n"), __p += "\n</div>\n"), __p += '\n<p class="comment-text" data-truncate="true">' + (null == (__t = comment_body) ? "" : __t) + "</p>\n</div>\n"), __p += "\n", 5 === display_type_id && (__p += '\n<i class="icon sprite-icon"></i>\n'), __p += "\n", timestamp && (__p += '\n<time class="timestamp" datetime="' + (null == (__t = timestamp) ? "" : __t) + '">' + (null == (__t = this.prettyDate(1e3 * timestamp) || "Just now") ? "" : __t) + "</time>\n"), __p += "\n</div>\n", link && (__p += "</a>"), __p += "\n</div>\n"), __p += "";
            return __p
        }, templates.onboardingFirstFollow = function(obj) {
            var __t, __p = "";
            Array.prototype.join;
            with(obj || {}) __p += '<p class="prompt"><strong>You are following ' + (null == (__t = collectionName) ? "" : __t) + ".</strong> Every time a new " + (null == (__t = collectionName) ? "" : __t) + " article is published, you will receive an alert in your notifications panel in the top right corner of your screen.</p>";
            return __p
        }, templates.onboardingIntroducingNotifications = function(obj) {
            var __p = "";
            Array.prototype.join;
            with(obj || {}) __p += '<p class="prompt"><strong>Introducing the notifications panel.</strong> Follow columns and receive an alert when new articles are published.</p>';
            return __p
        }, templates.onboardingSuggestFollow = function(obj) {
            var __t, __p = "";
            Array.prototype.join;
            with(obj || {}) __p += '<p class="prompt"><strong>Follow ' + (null == (__t = collectionName) ? "" : __t) + "</strong> and receive an alert when a new article is published.</p>";
            return __p
        }, templates
    }), define("shared/messaging/views/messenger-format-mixin", ["underscore/nyt"], function(e) {
        "use strict";
        var t = {
            emphasizeTitle: function(t, i) {
                var s, n, a, o, r, l, d, h = [],
                    c = [],
                    u = 0,
                    m = t.length;
                if (!i || 0 === i.length) return t;
                for (n = e.sortBy(i, function(e) {
                        return e.offset
                    }); n.length > 0;) {
                    if (o = n.shift(), r = o.offset + o.count, l = o.offset, u > l || r > m) return t;
                    l === u && h.length > 0 ? (a = h.pop(), a += t.slice(l, r), h.push(a), u = r) : (l > u && h.push(t.slice(u, l)), h.push(t.slice(l, r)), d = {
                        index: h.length - 1,
                        treatment: o.treatment,
                        url: o.url
                    }, c.push(d), u = r), 0 === n.length && u !== m && h.push(t.slice(r))
                }
                return e.each(c, function(e) {
                    var t = e.index,
                        i = e.treatment;
                    e.url ? h[t] = '<a class="link action-link" href="' + e.url + '""><span class="' + i + '">' + h[t] + "</span></a>" : h[t] = '<span class="' + i + '">' + h[t] + "</span>"
                }), s = h.join("")
            }
        };
        return t
    }), define("shared/messaging/views/message", ["jquery/nyt", "underscore/nyt", "foundation/views/base-view", "shared/messaging/templates", "shared/messaging/views/messenger-format-mixin"], function(e, t, i, s, n) {
        "use strict";
        var a = i.registerView("messaging").extend({
            className: "message-container hidden",
            events: {
                "click .close-message": "dismissed",
                "mousedown .action-button": "acknowledged",
                "mousedown .action-link": "acknowledged"
            },
            defaults: {
                closeButton: !0,
                dismissAcknowledged: !0,
                hiddenClass: "hidden",
                revealClass: "",
                show: function() {
                    this.$el.removeClass(this.settings.hiddenClass).addClass(this.settings.revealClass)
                },
                hide: function() {
                    this.$el.removeClass(this.settings.revealClass).addClass(this.settings.hiddenClass)
                }
            },
            initialize: function(e) {
                this.settings = t.extend({}, this.defaults, e), this.template = s[this.settings.template], this.subscribe("nyt:messaging-modal-" + this.model.id + "-dismissed", this.popupDismissed), this.subscribe("nyt:messaging-modal-" + this.model.id + "-acknowledged", this.popupAcknowledged), this.subscribe(this, "nyt:messaging-message-expired", this.expired)
            },
            render: function() {
                var e = this;
                return this.$el.html(e.template(t.extend(e.model.toJSON(), e.settings, {
                    formattedTitle: this.getFormattedTitle(),
                    unfollowThreshold: this.pageManager.flag("unfollowComments") ? 5 : 6
                }))).addClass(this.settings.hiddenClass).data("id", e.model.get("id")), !e.model.get("links") || e.model.isNotificationsPanelMessage() || e.pageManager.flag("allTheEmphases") || this.insertLinks(), e.model.get("unread") ? e.$el.find(".message").addClass("is-unread") : e.$el.find(".message").addClass("is-read no-transition"), this
            },
            replaceBetween: function(e, t, i, s) {
                return s.substring(0, e) + i + s.substring(t)
            },
            insertLinks: function() {
                var e, t, i, s, n, a, o, r = this.$el.find(".message-title"),
                    l = r.html(),
                    d = this.model.get("links");
                for (d.length > 1 && d.sort(function(e, t) {
                        return t.start - e.start
                    }), o = 0; o < d.length; o++)
                    if (e = d[o].offset, i = d[o].count, s = decodeURI(d[o].url), e + i && (t = e + i), s && "null" !== s)
                        if ("undefined" != typeof e && "undefined" != typeof t) {
                            if (d[o - 1] && t > d[o - 1].start) break;
                            n = l.substring(e, t), a = '<a class="action-link" href="' + s + '">' + n + "</a>", l = this.replaceBetween(e, t, a, l)
                        } else l = '<a class="action-link" href="' + s + '">' + l + "</a>";
                r.html(l)
            },
            getFormattedTitle: function() {
                var e = this.model.getCombinedEmphasis(),
                    t = this.model.get("title"),
                    i = n.emphasizeTitle(t, e),
                    s = this.model.get("links")[0];
                return this.pageManager.flag("allTheEmphases") ? this.model.isNotificationsPanelMessage() || !s || s.count ? i : '<a class="action-link" href="' + s.url + '" >' + i + "</a>" : this.model.isNotificationsPanelMessage() ? i : t
            },
            reveal: function(e) {
                e ? this.settings.show.call(this) : this.settings.hide.call(this)
            },
            dimensions: function() {
                return {
                    width: this.$el.outerWidth(),
                    height: this.$el.outerHeight()
                }
            },
            displayed: function(e) {
                e = e || 0, this.markRead(e), this.model.displayed()
            },
            markRead: function(e) {
                var t = this.$el.find(".message"),
                    i = this;
                e = void 0 !== e ? e : 1500, t.hasClass("is-unread") && window.setTimeout(function() {
                    i.model.isNotificationsPanelMessage() && i.broadcast("nyt:messaging-count-received", -1), t.removeClass("is-unread").addClass("is-read")
                }, e)
            },
            showOnce: function() {
                this.model.showOnce()
            },
            acknowledged: function(t) {
                var i = e(t.currentTarget).attr("href");
                t.preventDefault(), this.settings.dismissAcknowledged && this.model.acknowledged(), this.local(this, "nyt:messaging-message-view-acknowledged", this), i = this.trackingAppendParams(i, {
                    action: "Click",
                    contentCollection: this.model.get("sub_type") || "",
                    contentID: this.model.get("id")
                }), i !== window.location.href ? window.location.href = i : window.location.reload()
            },
            expired: function() {
                this.model.expired(), this.local(this, "nyt:messaging-message-view-expired", this)
            },
            dismissed: function(e) {
                this.model.dismissed(), this.local(this, "nyt:messaging-message-view-dismissed", this), e.preventDefault()
            },
            popupDismissed: function() {
                this.model.setRead(), this.markRead(0)
            },
            popupAcknowledged: function() {
                this.model.setRead(), this.markRead()
            }
        });
        return a
    }), define("shared/messaging/models/message", ["backbone/nyt", "underscore/nyt", "foundation/models/base-model", "foundation/models/page-storage"], function(e, t, i, s) {
        "use strict";
        var n = i.extend({
            defaults: {
                display_type_id: 1,
                id: "",
                title: "",
                status: "new",
                sub_type: "",
                label: "",
                pub_date: "",
                start_time: "",
                end_time: "",
                links: [],
                buttons: [],
                payload: {},
                message_type: "",
                thumb: !1,
                comment_body: !1,
                timestamp: !1,
                location: "",
                unread: !0,
                version: 1,
                customMarkup: null,
                isDummy: !1
            },
            initialize: function() {
                var e, t = this.get("display_type_id"),
                    i = this.get("start_time"),
                    s = this.get("version"),
                    n = 5 === t,
                    a = this.getPrimaryLink();
                n && s > 1 ? (e = this.get("last_modified"), this.set("timestamp", e)) : this.set("timestamp", i), this.isNotificationsPanelMessage() && this.set({
                    unfollowText: n ? "Stop receiving" : "Unfollow",
                    confirmText: n ? "Turn off" : "Unfollow",
                    abortText: n ? "Cancel" : "Keep following",
                    confirmedText: n ? "You will no longer receive" : "You are no longer following"
                }), n && this.set({
                    following: "comment notifications",
                    tag: "follow.comment-notifications"
                }), this.isNotificationsPanelMessage() && void 0 === this.get("popup_unread") && this.set("popup_unread", !0), a && this.set("link", a)
            },
            showOnce: function() {
                this.setRead(), this.saveToLocalStorage()
            },
            setStatus: function(e) {
                this.set("status", e)
            },
            displayed: function() {
                this.set("unread", !1), this.set("status", "displayed")
            },
            acknowledged: function() {
                this.set("unread", !1), this.set("status", "acknowledged"), this.saveToLocalStorage()
            },
            expired: function() {
                this.set("unread", !1), this.set("status", "expired"), this.saveToLocalStorage()
            },
            dismissed: function() {
                this.set("unread", !1), this.set("status", "dismissed"), this.saveToLocalStorage()
            },
            getPrimaryLink: function() {
                var e = this.get("links");
                return e && e[0] && e[0].url ? e[0].url : null
            },
            applyMetadata: function(e) {
                var t, i, s;
                e && (i = e[0], s = e[2], this.set("version", i), this.set("unread", s), e.length > 3 && (t = e[3], this.set("popup_unread", t)))
            },
            updateProperties: function(e) {
                var t, i, s, n, a = ["byline", "comment_body", "display_name", "display_location", "emphasis", "end_time", "following", "headline", "last_modified", "links", "sub_type", "tag", "thumb", "timestamp", "title", "link"];
                if (e)
                    for (t = 0; t < a.length; t += 1) n = a[t], i = this.get(n), s = e.get(n), i !== s && this.set(n, s)
            },
            getCombinedEmphasis: function() {
                var e, i, s, n, a, o = [],
                    r = {},
                    l = this.get("emphasis"),
                    d = this.get("links");
                if (l && l.length > 0 && void 0 !== l[0].offset && l[0].count && (r.emphasize = l), d && d.length > 0 && void 0 !== d[0].offset && d[0].count && (r["link-text"] = d), t.isEmpty(r)) return !1;
                for (e in r)
                    if (s = r[e], s && s.length > 0)
                        for (i = 0; i < s.length; i += 1) a = this.isNotificationsPanelMessage() ? t.omit(s[i], "url") : s[i], n = t.extend({
                            treatment: e
                        }, a), o.push(n);
                return o
            },
            setRead: function() {
                this.set("unread", !1), this.broadcast("nyt:messaging-message-state-update", this)
            },
            setPopupRead: function() {
                this.set("popup_unread", !1), this.broadcast("nyt:messaging-message-state-update", this)
            },
            saveToLocalStorage: function() {
                var e, t, i, n, a;
                this.isNotificationsPanelMessage() || this.get("isDummy") || (e = this.get("id"), t = this.get("version"), i = (new Date).getTime(), n = s.get("messaging"), a = n ? n + "," + e : e, t && (a = a + "-" + t + "-" + i), s.set("messaging", a))
            },
            isNotificationsPanelMessage: function() {
                return this.get("display_type_id") >= 5
            }
        });
        return n
    }), define("shared/messaging/collections/messages", ["jquery/nyt", "underscore/nyt", "backbone/nyt", "foundation/collections/base-collection", "foundation/views/websockets-transport", "shared/messaging/models/message", "foundation/hosts", "foundation/cookies", "foundation/models/page-storage"], function(e, t, i, s, n, a, o, r, l) {
        "use strict";
        var d = s.extend({
            model: a,
            url: o.msg + "/svc/message/v1/list/global.json",
            pageStorageKey: "messaging",
            defaultSettings: {
                webSockets: !0,
                longPoll: !1,
                fauxLongPoll: !1,
                interval: 10,
                cachePullDelay: 5
            },
            initialize: function(e) {
                this.cleanLocalStorage(), this.settings = t.extend({}, this.defaultSettings, e), t.bindAll(this, "fetch", "fetchSuccess", "handleSave", "stopSaving"), this.received = {}, this.serverSaveQueue = [], this.statusFragments = {}, this.beingProcessed = !1, this.followStarts = {}, this.lastReceived = !1, this.cachePullOver = !1, this.pageManager.isDomReady() ? this.prepareToConnect() : this.subscribe(this.pageManager, "nyt:page-ready", this.prepareToConnect), this.subscribe(this, "change:status", this.saveMessageEverywhere), this.subscribe("nyt:messaging-message-state-update", this.saveMessageEverywhere), this.storageKey = "nyt:ab-tests", this.testName = "velcroSocialFollow", this.shouldPromptForFacebookLike() && this.addFacebookSdk(function(e) {
                    var t = this;
                    this.subscribe(this, "change:status", this.handleVelcroDismissed), setTimeout(function() {
                        t.addSocialFollowSuggest(e)
                    }, 1e3)
                })
            },
            prepareToConnect: function() {
                this.initWebSockets()
            },
            initWebSockets: function() {
                var t = r.readCookie("NYT-S") || "";
                n.registerClient({
                    name: "messaging",
                    collection: this,
                    fabrikApp: "hermes.push",
                    cookies: {
                        "nyt-s": t
                    },
                    handleMessage: this.handleMessage,
                    notifyOnError: e.noop,
                    handleFailover: this.switchToHTTP
                })
            },
            makeHTTPRequest: function() {
                var e = this;
                this.url = o.msg + "/svc/message/v1/list/global.json", this.fetch({
                    success: function(t, i) {
                        e.fetchSuccess(t, i)
                    },
                    error: function() {}
                })
            },
            switchToHTTP: function(e) {
                e.settings.fauxLongPoll = !0, e.settings.webSockets = !1, e.stopSaving(), e.makeHTTPRequest()
            },
            sync: function(e, t, s) {
                return this.settings.longPoll ? (s.timeout = 2e3, i.sync(e, t, s)) : (s.cache = !1, i.sync(e, t, s))
            },
            parse: function(e) {
                return e && e.results ? e.results.messages : void 0
            },
            handleMessage: function(e, t) {
                var i;
                t.websocketConnected || t.handleSave(), e.body && (i = JSON.parse(e.body), t.fetchSuccess(t, i))
            },
            fetchSuccess: function(e, i) {
                var s, n, a, o, r, l, d = {},
                    h = e || this;
                if (i && !t.isArray(i) && (i = [i]), i)
                    for (s = 0, n = i.length; n > s; s += 1) l = this.preprocessMessage(i[s]), l && (a = l.get("id"), o = l.get("title"), h.add(l), r = this.categorizeMessage(l), d[r] = d[r] || [], this.received[a] = o, d[r].push(l));
                if (t.isEmpty(d)) return !1;
                for (r in d) h.trigger(r, d[r]);
                this.settings.fauxLongPoll && window.setTimeout(function() {
                    h.makeHTTPRequest()
                }, 1e3 * h.settings.interval)
            },
            preprocessMessage: function(e) {
                var t;
                return this.cachePullOver || this.checkCachePullEnd(), this.interceptFollows(e) && this.ensureMessageID(e) && this.interceptFragments(e) && this.ensureUniqueTitles(e) && (t = this.handleUpdateableData(e)) ? this.ensureActive(t) : !1
            },
            interceptFollows: function(e) {
                return e.follows ? (t.isEmpty(this.followStarts) && (this.followStarts = e.follows), this.broadcast("nyt:messaging-follow-data-received", e.follows), !1) : e
            },
            ensureMessageID: function(e) {
                return e.id || e.messageId ? e : !1
            },
            interceptFragments: function(e) {
                return e.title ? e : (this.isExpired(e) || this.updateMessageData(e.messageId, this.extractMessageMetadata(e)), !1)
            },
            ensureUniqueTitles: function(e) {
                return 5 !== e.display_type_id && this.titleExists(e.title) ? !1 : e
            },
            handleUpdateableData: function(e) {
                var t, i, s;
                if (this.statusFragments[e.id] ? (t = this.statusFragments[e.id], delete this.statusFragments[e.id]) : this.get(e.id) && (t = this.extractMessageMetadata(this.get(e.id))), t) {
                    if (i = this.extractMessageMetadata(e), s = this.unionOfState(t, i), s.toString() === t.toString() && this.get(e.id)) return !1;
                    if (e = new a(e), this.get(e.id)) return this.updateMessageData(e.id, s, e), !1;
                    e.applyMetadata(s)
                }
                return e = e.get ? e : new a(e)
            },
            ensureActive: function(e) {
                return this.isExpired(e) || this.isInactive(e) || this.isInLocalStorage(e) || this.isBeforeSubscribed(e) ? !1 : e
            },
            categorizeMessage: function(e) {
                var t, i = e.get("display_type_id");
                switch (i) {
                    case 1:
                        e.get("label") || e.set("label", "Breaking News"), t = "nyt:messaging-breaking-news-received";
                        break;
                    case 2:
                        e.get("label") || e.set("label", "Account Alert"), t = "nyt:messaging-account-alert-received";
                        break;
                    case 3:
                        e.get("label") || e.set("label", "Live Video"), t = "nyt:messaging-video-received";
                        break;
                    case 4:
                        t = "nyt:messaging-velcro-received";
                        break;
                    case 5:
                        t = "nyt:messaging-notification-received";
                        break;
                    case 6:
                        t = "nyt:messaging-follow-notice-received";
                        break;
                    default:
                        t = "nyt:messaging-message-received"
                }
                return t
            },
            isExpired: function(e) {
                var t, i = e.get ? e.get("end_time") : e.end_time,
                    s = (new Date).getTime();
                return i ? (t = new Date(1e3 * i).getTime(), s > t) : void 0
            },
            titleExists: function(i) {
                var s = t.values(this.received);
                return e.inArray(i, s) > -1;
            },
            isInactive: function(e) {
                return e && e.get ? !e.get("unread") && !e.isNotificationsPanelMessage() : !0
            },
            isBeforeSubscribed: function(e) {
                var t, i = e.get("tag");
                return (this.pageManager.flag("unfollowComments") || 5 !== e.get("display_type_id")) && e.isNotificationsPanelMessage() ? (i && (t = this.followStarts[i]), t && t.start ? t.start > e.get("start_time") : !0) : !1
            },
            handleSave: function() {
                var e;
                for (this.websocketConnected = !0; this.serverSaveQueue.length > 0;) e = this.serverSaveQueue.shift(), this.saveMessageToFabrik(e)
            },
            stopSaving: function() {
                this.websocketConnected = !1
            },
            unionOfState: function(e, t) {
                var i, s, n = e[1],
                    a = e[0] > t[0] ? e[0] : t[0],
                    o = e[2] && t[2];
                return e.length > 3 && (s = e[3] && t[3]), e[0] !== t[0] && 5 === n && (o = !0), i = [a, n, o], void 0 !== s && i.push(s), i
            },
            updateMessageData: function(e, t, i) {
                var s, n, a = this.get(e) ? this.extractMessageMetadata(this.get(e)) : this.statusFragments[e];
                return a ? (n = this.unionOfState(t, a), void(n.toString() !== a.toString() && (this.get(e) ? (s = {
                    id: e,
                    update: n,
                    message: i
                }, this.broadcast("nyt:messaging-existing-message-update", s)) : this.statusFragments[e] = n))) : void(this.statusFragments[e] = t)
            },
            isInLocalStorage: function(i) {
                var s = [],
                    n = [],
                    a = l.get(this.pageStorageKey),
                    o = i.get("id").toString();
                return a ? (s = a.split(","), n = t.map(s, function(e) {
                    return e.split("-")[0]
                }), e.inArray(o, n) > -1) : !1
            },
            cleanLocalStorage: function() {
                var e, t, i, s, n, a, o, r = l.get(this.pageStorageKey);
                if (r)
                    for (e = r.split(","), i = 0; i < e.length; i++) t = e[i], s = t.split("-")[2], n = (new Date).getTime(), s && (a = (n - s) / 1e3, o = Math.floor(a / 86400), o > 7 && this.deleteInLocalStorage(t))
            },
            deleteInLocalStorage: function(e) {
                var t = l.get(this.pageStorageKey),
                    i = new RegExp(e + ",?"),
                    s = t.replace(i, "");
                l.set(this.pageStorageKey, s)
            },
            saveMessageEverywhere: function(e) {
                e && (this.websocketConnected ? this.saveMessageToFabrik(e) : this.serverSaveQueue.push(e))
            },
            saveMessageToFabrik: function(e) {
                var t, i = e.get("popup_unread"),
                    s = e.get("display_type_id"),
                    a = 6 === s;
                (this.allowedToSend(e) || !this.pageManager.flag("limitFabrikSave")) && (t = {
                    status: e.get("status"),
                    messageId: e.get("id"),
                    version: e.get("version") || 1,
                    date: (new Date).getTime(),
                    start_time: e.get("start_time"),
                    end_time: e.get("end_time"),
                    display_type_id: s,
                    unread: e.get("unread")
                }, a && (t.tag = e.get("tag")), void 0 !== i && (t.popup_unread = i), this.settings.webSockets && n.publish({
                    action: "send",
                    client_app: "hermes.push",
                    message: t
                }))
            },
            extractMessageMetadata: function(e) {
                var t, i = e.version || e.get("version") || 1,
                    s = e.display_type_id || e.get("display_type_id"),
                    n = e.get ? e.get("unread") : e.unread,
                    a = e.get ? e.get("popup_unread") : e.popup_unread;
                return void 0 === n && (n = !0), t = [i, s, n], void 0 !== a && t.push(a), t
            },
            allowedToSend: function(e) {
                var t = e.get("display_type_id");
                return e.get("isDummy") ? !1 : 4 === t || 5 === t || 6 === t ? !0 : !1
            },
            checkCachePullEnd: function() {
                var e = (new Date).getTime();
                this.lastReceived || (this.lastReceived = e), e - this.lastReceived > 1e3 * this.settings.cachePullDelay ? (this.cachePullOver = !0, this.broadcast("nyt:messaging-cache-pull-over", e)) : this.lastReceived = e
            },
            shouldPromptForFacebookLike: function() {
                var e, t;
                return this.pageManager.flag(this.testName) && "1" === this.isUserVariant(this.testName) ? "global" === this.pageManager.getEdition() && "homepage" === this.pageManager.getApplicationName() ? !1 : (t = l.get(this.storageKey) || {}, t[this.testName] && t[this.testName].dismissed ? !1 : (e = this.getSessionStorage(this.storageKey), e[this.testName] && e[this.testName].displayCount >= 3 ? !1 : !0)) : !1
            },
            getSessionStorage: function(e) {
                var t = window.sessionStorage.getItem(e);
                if (t) try {
                    return JSON.parse(t)
                } catch (i) {}
                return {}
            },
            setSessionStorage: function(e, t) {
                window.sessionStorage.setItem(e, JSON.stringify(t))
            },
            addFacebookSdk: function(e) {
                var t, i = this,
                    s = "facebook-jssdk",
                    n = document.getElementsByTagName("script")[0];
                document.getElementById(s) || (t = document.createElement("script"), t.id = s, t.src = "//connect.facebook.net/en_US/sdk.js", n.parentNode.insertBefore(t, n), window.fbAsyncInit = function() {
                    window.FB.init({
                        appId: "9869919170",
                        xfbml: !0,
                        version: "v2.3"
                    }), window.FB.getLoginStatus(function(t) {
                        var s = "connected" === t.status || "not_authorized" === t.status;
                        e && e.call(i, s)
                    }), window.FB.Event.subscribe("edge.create", function() {
                        i.handleLikeButtonClicked(!0)
                    }), window.FB.Event.subscribe("edge.remove", function() {
                        i.handleLikeButtonClicked(!1)
                    })
                })
            },
            addSocialFollowSuggest: function(e) {
                var i = this,
                    s = e ? 410 : 245,
                    n = Math.floor((new Date).getTime() / 1e3);
                t.bind(this.handleVelcroRendered, this), this.subscribe("nyt:messaging-velcro-rendered", this.handleVelcroRendered), this.fetchSuccess(this, {
                    isDummy: !0,
                    display_type_id: 4,
                    customMarkup: "<span class='fb-like' data-href='https://www.facebook.com/nytimes' data-layout='standard' data-width='" + s + "' data-action='like' data-show-faces='false' data-share='false'></span>",
                    title: "The New York Times on Facebook — a hub for conversation about news and ideas.",
                    emphasis: [{
                        offset: 0,
                        count: 18,
                        text: "The New York Times"
                    }],
                    sub_type: "FacebookSuggestion",
                    status: "new",
                    version: 1,
                    id: this.testName,
                    start_time: n,
                    end_time: n + 3600,
                    closeButtonPreference: !0
                }), this.subscribeOnce("nyt:messaging-message-suggestions-hidden", function() {
                    i.adjustSessionDisplayCount(!1)
                })
            },
            handleVelcroRendered: function(e) {
                var t = e.model.get("id"),
                    i = e.$el.find(".message-extra");
                if (t === this.testName && i.length) {
                    try {
                        window.FB.XFBML.parse(i[0])
                    } catch (s) {}
                    this.adjustSessionDisplayCount(!0)
                }
            },
            adjustSessionDisplayCount: function(e) {
                var t, i;
                t = this.getSessionStorage(this.storageKey), i = t[this.testName] || {}, i.displayCount = i.displayCount || 0, e ? i.displayCount += 1 : i.displayCount = Math.max(0, i.displayCount -= 1), t[this.testName] = i, this.setSessionStorage(this.storageKey, t)
            },
            handleLikeButtonClicked: function(e) {
                var t = this.get(this.testName);
                t && (this.setTestComplete(), this.broadcast("nyt:messaging-velcroSocialFollow-like-button-clicked", {
                    model: t,
                    wasLiked: e
                }))
            },
            handleVelcroDismissed: function(e) {
                e.get("id") === this.testName && "dismissed" === e.get("status") && this.setTestComplete()
            },
            setTestComplete: function() {
                var e = l.get(this.storageKey) || {};
                e[this.testName] = {
                    dismissed: !0,
                    date: Math.floor((new Date).getTime() / 1e3)
                }, l.set(this.storageKey, t.clone(e))
            }
        });
        return d
    }), define("shared/messaging/instances/messages", ["shared/messaging/collections/messages"], function(e) {
        "use strict";
        return new e
    }), define("shared/messaging/views/messenger-mixin", ["jquery/nyt", "underscore/nyt", "shared/messaging/views/message", "shared/messaging/instances/messages", "shared/messaging/templates"], function(e, t, i, s, n) {
        "use strict";
        var a = {
            template: n.messenger,
            mixinSettings: {
                id: null,
                notifyWhen: null,
                messageType: null,
                parent: null,
                template: "message",
                newestFirst: !0,
                closeButton: !0,
                expiration: !1,
                animationSpeed: 200,
                expirationAfterPause: null,
                fadeOutDelay: 1500,
                dismissAcknowledged: !0,
                trackingVersion: ""
            },
            events: {
                "click .action-link": "trackLinkClicks",
                "click .action-button": "trackLinkClicks"
            },
            initialize: function(e) {
                this.options = t.extend({}, this.mixinSettings, this.defaultSettings, e), this.subscribe(this, "nyt:messaging-message-rendered", this.afterMessageReceived), this.subscribe(this, "nyt:messaging-message-removed", this.afterMessageRemoved), this.subscribe(this, "nyt:messaging-message-" + this.options.id + "-displayed nyt:messaging-message-cleared", this.addLastMessageClass), this.subscribe(this, "nyt:messaging-message-" + this.options.id + "-displayed", this.trackImpressions), this.delegateEvents(), this.collection = s, this.active = {
                    messages: {}
                }, this.notActive = {
                    messages: {}
                }, this.received = {
                    messages: {}
                }, this.newestTime = 0, this.oldestTime = 1 / 0, this.pageManager.isDomReady() ? this.render() : this.subscribe(this.pageManager, "nyt:page-ready", this.render), this.trackingBaseData = {
                    module: "Notification",
                    version: this.options.trackingVersion,
                    region: "FixedTop"
                }, this.local(this, "nyt:messaging-messenger-initialized")
            },
            render: function() {
                return this.$parent = this.options.parent ? this.options.parent() : this.$body, this.rendered || (this.$el.hide().addClass(this.options.id).append(this.template(this.options)), this.$parent.prepend(this.$el), this.rendered = !0, this.local(this, "nyt:messaging-messenger-rendered"), this.prepareView(), this.subscribe(this.collection, this.options.notifyWhen, this.notify)), this
            },
            notify: function(i) {
                var s, n, a = this,
                    o = [];
                t.each(i || [], function(e) {
                    n = e.get("id"), n && o.push(e)
                }), s = o.length > 0 ? function() {
                    a.createMessageViews(o)
                } : e.noop, this.pageManager.isDomReady() ? s() : this.subscribe(this.pageManager, "nyt:page-ready", t.debounce(s, 0))
            },
            createMessageViews: function(e) {
                return e && t.each(e || [], function(e) {
                    var t, s = e.get("closeButtonPreference");
                    t = new i({
                        model: e,
                        template: this.options.template,
                        closeButton: void 0 !== s ? s : this.options.closeButton,
                        dismissAcknowledged: this.options.dismissAcknowledged
                    }), this.subscribe(t, "nyt:messaging-message-view-expired", this.removeMessage), this.subscribe(t, "nyt:messaging-message-view-dismissed", this.removeMessage), this.subscribe(t, "nyt:messaging-message-view-dismissed", this.trackDismissal), this.addMessage(t)
                }, this), this
            },
            addMessage: function(t) {
                var i, s, n, a, o, r, l, d, h, c, u, m;
                if (t) {
                    if (i = t.model.get("id"), s = !0, n = this.options.newestFirst ? "prepend" : "append", u = t.render().$el, m = this.$(".message-bed"), this.received.messages[i] = t, this.active.messages[i] = t, a = this.countMessages(), this.options.newestFirst && (o = t.model.get("timestamp"), o > this.newestTime && (this.newestTime = o), o < this.oldestTime && (this.oldestTime = o), o <= this.oldestTime ? n = "append" : o < this.newestTime && (s = !1)), s) m[n](u);
                    else
                        for (r = this.$(".message-bed").find(".message-container"), d = r.length - 1, l = d; - 1 !== l; l -= 1)
                            if (c = e(r[l]), h = c.find(".message").data("timestamp"), h > o) {
                                c.after(u);
                                break
                            }
                    t.$el.data("messageId", i), this.local(this, "nyt:messaging-message-rendered", t, a)
                }
            },
            removeMessage: function(e) {
                var t, i;
                e && (t = e.model.get("id"), this.notActive.messages[t] = e, this.active.messages[t] && delete this.active.messages[t], i = this.countMessages(), this.local(this, "nyt:messaging-message-removed", e, i))
            },
            addLastMessageClass: function() {
                this.$(".message-container").removeClass("last-message-container").last().addClass("last-message-container")
            },
            dimensions: function() {
                return {
                    width: this.$el.find(".message-bed").outerWidth(!0),
                    height: this.$el.find(".message-bed").outerHeight(!0)
                }
            },
            countMessages: function() {
                return t.size(this.active.messages)
            },
            trackImpressions: function(e) {
                var t, i;
                e = e || "", t = this.received.messages[e], i = this.getcontentCollection(t) || "", this.trackingTriggerImpression("messaging-impression", {
                    action: "Impression",
                    contentCollection: i,
                    eventName: "Impression",
                    contentID: e,
                    priority: t.model.get("isDummy")
                })
            },
            trackDismissal: function(e) {
                var t = e.model.get("id"),
                    i = this.getcontentCollection(e);
                this.trackingTrigger("messaging-dismissal", {
                    action: "Click",
                    contentCollection: i,
                    eventName: "DismissNotification",
                    contentID: t,
                    priority: e.model.get("isDummy")
                })
            },
            trackLinkClicks: function(t) {
                var i = e(t.currentTarget),
                    s = i.parents(".message-container").data("messageId"),
                    n = this.received.messages[s],
                    a = this.getcontentCollection(n),
                    o = this.trackingAppendParams(i.attr("href"), {
                        action: "Click",
                        contentCollection: a,
                        contentID: s
                    });
                i.attr("href", o)
            },
            getcontentCollection: function(e) {
                return e.model.get("sub_type") ? e.model.get("sub_type") : ""
            }
        };
        return a
    }), define("shared/messaging/views/move-furniture-mixin", ["jquery/nyt"], function(e) {
        "use strict";
        var t = {
            moveFurniture: function(t, i, s) {
                var n, a, o, r = this,
                    l = this.options.animationSpeed || 200;
                "add" === i ? n = "+=" + t : "subtract" === i && (n = "-=" + t), a = function(e) {
                    e.animate({
                        marginTop: n
                    }, l)
                }, o = function(t) {
                    t.promise().done(function() {
                        e(this).css({
                            marginTop: n
                        })
                    })
                }, s ? (this.$el.promise().done(function() {
                    e(this).css("height", n), r.broadcast("nyt:messaging-" + r.options.messageType + "-after")
                }), this.messagesHeight = this.dimensions().height, this.broadcast("nyt:messaging-" + this.options.messageType + "-move-furniture", o, n, this)) : (this.$el.animate({
                    height: n
                }, l, function() {
                    r.messagesHeight = r.dimensions().height, r.broadcast("nyt:messaging-" + r.options.messageType + "-after")
                }), this.broadcast("nyt:messaging-" + this.options.messageType + "-move-furniture", a, n, this))
            }
        };
        return t
    }), define("shared/messaging/views/critical-alerts", ["jquery/nyt", "underscore/nyt", "foundation/views/base-view", "shared/messaging/views/messenger-mixin", "shared/messaging/views/move-furniture-mixin"], function(e, t, i, s, n) {
        "use strict";
        var a = i.registerView("messaging").extend(t.extend({}, n, s, {
            defaultSettings: {
                messageType: "critical-alerts",
                parent: function() {
                    return 0 === e("#critical-alerts").length && e("body").prepend('<div id="critical-alerts"></div>'), e("#critical-alerts")
                }
            },
            prepareView: function() {
                this.messagesHeight = 0, this.$el.addClass("alerts"), this.$el.parent("#critical-alerts").addClass("critical-alerts messenger"), this.$el.css("height", "0")
            },
            afterMessageReceived: function(e, t) {
                var i, s = 0;
                e && t > 0 && (this.broadcast("nyt:messaging-message-" + this.options.id + "-received", e, this), 1 === t && (s += this.openMessenger()), e.reveal(!0), e.displayed(), s += e.dimensions().height, this.moveFurniture(s, "add"), i = e.model.get("id"), this.local(this, "nyt:messaging-message-" + this.options.id + "-displayed", i), this.createMessageClone(e), this.alignMessages(), this.options.expiration && this.startTimer(e))
            },
            startTimer: function(e) {
                var t;
                window.setTimeout(function() {
                    t = e.model.get("status"), t && "dismissed" !== t && "expired" !== t && e.trigger("nyt:messaging-message-expired")
                }, 60 * this.options.expiration * 1e3)
            },
            openMessenger: function() {
                var e;
                return this.$el.show(), this.$el.find(".message-bed").show(), e = this.dimensions().height, this.subscribe(this.pageManager, "nyt:page-resize", this.handleWindowResize), this.broadcast("nyt:messaging-messenger-" + this.options.id + "-opened", this), e
            },
            afterMessageRemoved: function(e, t) {
                var i = 0;
                e && null !== t && (i += e.dimensions().height, e.$el.hide(), this.local(this, "nyt:messaging-message-cleared"), 0 === t && (i += this.closeMessenger()), this.broadcast("nyt:messaging-message-" + this.options.id + "-closed", e, this), this.moveFurniture(i, "subtract", !0))
            },
            closeMessenger: function() {
                var t = this.dimensions().height,
                    i = this;
                return this.$el.hide(), this.$el.find(".message-bed").hide(), this.stopListening(this.pageManager, "nyt:page-resize"), this.broadcast("nyt:messaging-messenger-" + this.options.id + "-closed", this), this.$el.promise().done(function() {
                    e(this).siblings(".alerts").is(":hidden") && i.broadcast("nyt:messaging-message-" + i.options.messageType + "-closed", i)
                }), t
            },
            createMessageClone: function(e) {
                e.$el.find(".message").clone().addClass("hidden-message").wrapInner('<div class="message-wrap" />').appendTo(e.$el)
            },
            handleWindowResize: function() {
                var e, t, i, s = this;
                this.$el.promise().done(function() {
                    t = s.dimensions().height, i = s.messagesHeight, t > i ? (e = t - i, s.moveFurniture(e, "add", !0), s.messagesHeight = t) : i > t && (e = i - t, s.moveFurniture(e, "subtract", !0), s.messagesHeight = t), s.alignMessages()
                })
            },
            maxMessageWidth: function() {
                var e = this.$(".message-container").width();
                this.$(".message:not(.hidden-message)").css({
                    "max-width": e + "px"
                })
            },
            alignMessages: function() {
                var e = 0,
                    i = this.active.messages;
                t.size(i) > 0 && (t.each(i, function(t) {
                    var i = t.$el.find(".hidden-message .message-wrap").outerWidth();
                    i > e && (e = i)
                }), this.$el.find(".message:not(.hidden-message)").css({
                    width: e + 2 + "px"
                }), this.maxMessageWidth())
            }
        }));
        return a
    }), define("shared/messaging/views/suggestions", ["jquery/nyt", "underscore/nyt", "foundation/views/base-view", "shared/messaging/views/messenger-mixin", "shared/messaging/views/move-furniture-mixin"], function(e, t, i, s, n) {
        "use strict";
        var a = i.registerView("messaging").extend(t.extend({}, n, s, {
            nytEvents: {
                "nyt:masthead-storytheme": "toggleTheme",
                "nyt:masthead-contenttheme": "toggleTheme",
                "nyt:messaging-message-breaking-news-alerts-received": "hideMessenger",
                "nyt:messaging-message-account-alerts-received": "hideMessenger"
            },
            defaultSettings: {
                messageType: "suggestions",
                closeButton: !1,
                trackingVersion: "Velcro"
            },
            prepareView: function() {
                this.messagePresent = !1, this.stayHidden = !1, this.$el.addClass("messenger"), this.$el.css("height", "0"), this.pageManager.flag("velcroSocialFollow") && "1" === this.isUserVariant("velcroSocialFollow") && this.subscribe("nyt:messaging-velcroSocialFollow-like-button-clicked", this.handleLikeButtonClicked)
            },
            afterMessageReceived: function(t) {
                var i, s, n = e("#account-alerts"),
                    a = e("#breaking-news-alerts"),
                    o = e("#masthead");
                t && this.$el.is(":hidden") && n.is(":hidden") && a.is(":hidden") && (this.stayHidden || this.messagePresent || (t.reveal(!0), t.displayed(), t.showOnce(), this.messagePresent = !0, o.hasClass("theme-in-story") || (this.openMessenger(), i = this.dimensions().height, this.moveFurniture(i, "add"), s = t.model.get("id"), this.broadcast("nyt:messaging-velcro-rendered", t), this.local(this, "nyt:messaging-message-" + this.options.id + "-displayed", s))))
            },
            openMessenger: function() {
                this.$el.show(), this.broadcast("nyt:messaging-messenger-" + this.options.id + "-opened", this)
            },
            afterMessageRemoved: function(e) {
                var t = this.dimensions().height;
                e && (e.$el.hide(), this.moveFurniture(t, "subtract", !0), this.broadcast("nyt:messaging-message-" + this.options.id + "-closed", e, this), this.closeMessenger())
            },
            closeMessenger: function() {
                this.$el.hide(), this.broadcast("nyt:messaging-messenger-" + this.options.id + "-closed", this)
            },
            hideMessenger: function() {
                var e = this.dimensions().height;
                this.$el.is(":visible") && (this.$el.hide(), this.moveFurniture(e, "subtract", !0)), this.broadcast("nyt:messaging-message-" + this.options.id + "-hidden", this), this.stayHidden = !0
            },
            showMessenger: function() {
                var e = this.dimensions().height;
                this.moveFurniture(e, "add"), this.broadcast("nyt:messaging-message-" + this.options.id + "-shown", this), this.$el.show()
            },
            toggleTheme: function(t) {
                var i, s = e("#account-alerts"),
                    n = e("#breaking-news-alerts"),
                    a = t ? "hide" : "show";
                "hide" === a && this.$el.is(":visible") ? (i = this.dimensions().height, this.moveFurniture(i, "subtract", !0), this.$el.addClass("theme-changed"), this.$el.hide()) : "show" === a && this.$el.is(":hidden") && s.is(":hidden") && !this.stayHidden && this.messagePresent && s.is(":hidden") && n.is(":hidden") && (this.$el.show(), i = this.dimensions().height, this.moveFurniture(i, "add", !0), this.$el.removeClass("theme-changed")), this.broadcast("nyt:messaging-message" + this.options.id + a, i, this)
            },
            handleLikeButtonClicked: function(e) {
                e.model && void 0 !== e.wasLiked && this.trackingTrigger("velcro-social-follow-fb-click", {
                    action: "Click",
                    contentCollection: e.model.get("sub_type"),
                    eventName: e.wasLiked ? "LikeNYTimes" : "UnlikeNYTimes",
                    contentID: e.model.get("id"),
                    priority: e.model.get("isDummy")
                })
            }
        }));
        return a
    }), define("shared/messaging/views/announcements", ["jquery/nyt", "underscore/nyt", "foundation/views/base-view", "shared/messaging/views/messenger-mixin"], function(e, t, i, s) {
        "use strict";
        var n = i.registerView("messaging").extend(t.extend({}, s, {
            nytEvents: {
                "nyt:page-resize": "adjustWidth"
            },
            defaultSettings: {
                messageType: "announcements",
                parent: function() {
                    return e("#masthead").find(".container")
                },
                animationSpeed: 400,
                expiration: 30,
                expirationAfterPause: 3,
                trackingVersion: "LiveVideo"
            },
            prepareView: function() {
                var e = this,
                    t = 1e3 * this.options.expirationAfterPause;
                this.messagePresent = !1, this.timer = null, this.currentMessageId = null, this.widthDiff = 45, this.$el.addClass("messenger"), this.adjustWidth(), this.$el.on("mouseenter", function() {
                    e.clearTimer()
                }), this.$el.on("mouseleave", function() {
                    e.startTimer(t)
                })
            },
            afterMessageReceived: function(e) {
                var t = e.model.get("id"),
                    i = this,
                    s = 1e3 * this.options.expiration;
                e && (this.messagePresent ? window.setTimeout(function() {
                    i.afterMessageReceived(e)
                }, s) : (e.reveal(!0), e.displayed(), this.local(this, "nyt:messaging-message-" + this.options.id + "-displayed", t), this.messagePresent = !0, this.openMessenger(), this.currentMessageId = t, this.startTimer(s)))
            },
            startTimer: function(e) {
                var t = this.currentMessageId,
                    i = this.active.messages[t],
                    s = function() {
                        i && i.trigger("nyt:messaging-message-expired")
                    };
                e = e || 5e3, this.timer = window.setTimeout(s, e)
            },
            clearTimer: function() {
                window.clearTimeout(this.timer)
            },
            openMessenger: function() {
                var e = this.options.animationSpeed || 500;
                this.$el.stop(!0).show().animate({
                    top: 0
                }, e), this.broadcast("nyt:messaging-messenger-" + this.options.id + "-opened", this)
            },
            afterMessageRemoved: function(e) {
                e && this.closeMessenger(e)
            },
            closeMessenger: function(t) {
                var i = this.dimensions().height,
                    s = this.options.animationSpeed || 500,
                    n = this;
                t && this.$el.stop(!0).animate({
                    top: "-" + i
                }, s, function() {
                    e(this).hide(), t.$el.hide(), n.messagePresent = !1, n.broadcast("nyt:messaging-messenger-" + n.options.id + "-closed", n)
                })
            },
            adjustWidth: function() {
                var t, i = e("#masthead"),
                    s = i.width(),
                    n = this.widthDiff,
                    a = this.pageManager.getCurrentBreakpoint(),
                    o = 0;
                a > 1020 ? (10060 >= a && (o = parseInt(i.css("margin-left"), 10)), t = s - (2 * n + o), this.$el.css("width", t + "px"), this.$el.css("left", n + "px")) : (this.$el.css("left", "0px"), this.$el.css("width", "100%"))
            }
        }));
        return n
    }), define("shared/messaging/models/follow", ["underscore/nyt", "foundation/models/base-model"], function(e, t) {
        "use strict";
        var i = t.extend({
            defaults: {
                tag: "",
                type: "",
                following: "",
                thumb: "",
                description: "",
                isFollowing: !1
            },
            follow: function() {
                this.set("isFollowing", !0), this.broadcast("nyt:messaging-following-" + this.id)
            },
            unfollow: function() {
                this.set("isFollowing", !1), this.broadcast("nyt:messaging-unfollowing-" + this.id)
            },
            isFollowing: function() {
                return this.get("isFollowing")
            },
            getButtonText: function() {
                return e.pick(this.toJSON(), ["followText", "followingText", "unfollowText"])
            }
        });
        return i
    }), define("shared/messaging/views/follow-onboarding", ["jquery/nyt", "underscore/nyt", "foundation/views/base-view", "shared/modal/views/modal"], function(e, t, i, s) {
        "use strict";
        var n = i.registerView("messaging").extend({
            defaults: {
                featureName: "",
                extractTemplateData: function(e) {
                    return e
                },
                animationDuration: 1e3,
                modalDefaults: {
                    className: "",
                    superclass: "",
                    template: function() {},
                    modalOptions: {
                        tailDirection: "up-right",
                        disableBindings: !0,
                        toggleSpeed: 200
                    },
                    onShow: function() {},
                    onHide: function() {}
                },
                allows: {}
            },
            initialize: function(e) {
                var i, s, n, a = this;
                if (!e.types) return !1;
                this.modals = {}, this.settings = t.extend({}, this.defaults, e), this.modalSettings = {}, this.settings.modalOptions = t.extend({}, this.defaults.modalOptions, e.modalOptions), this.extractTemplateData = this.settings.extractTemplateData, this.allows = t.extend({}, this.defaults.allows, e.allows);
                for (i in e.types) this.modals[i] = {}, this.modalSettings[i] = t.extend({}, this.settings.modalDefaults, e.types[i]), this.modalSettings[i].modalOptions = t.extend({}, this.settings.modalDefaults.modalOptions, e.types[i].modalOptions), s = this.modalSettings[i].modalOptions.addlClasses, n = this.modalSettings[i].className + " " + this.modalSettings[i].superclass, s = s ? s + " " + n : n, s.replace(/\s/g, "").length > 0 && (this.modalSettings[i].modalOptions.addlClasses = s);
                return this.subscribe("nyt:" + this.settings.featureName + "-onboarding-show", function(e) {
                    a.handleModalOpen(e.type, e)
                }), this.subscribe("nyt:" + this.settings.featureName + "-onboarding-hide", function(e) {
                    a.handleModalClose(e.type, e)
                }), this
            },
            createNewModal: function(i, n) {
                var a = this,
                    o = n ? n.binding : void 0,
                    r = n && n.modalOptions ? n.modalOptions : {},
                    l = this.modalSettings[i];
                return new s(t.extend({}, this.settings.modalOptions, l.modalOptions, r, {
                    id: this.settings.featureName + "-tooltip-" + i,
                    modalContent: l.template(a.extractTemplateData(n)),
                    binding: o,
                    openCallback: function() {
                        a.trackOnboardingEvent("impression", i, o), l.onShow(a), e("#notifications-tooltip-" + i).find(".dismiss-button").on("click", function() {
                            a.trackOnboardingEvent("click", i, o)
                        })
                    },
                    closeCallback: function() {
                        l.onHide(a)
                    },
                    instanceData: n
                }))
            },
            showModal: function(e) {
                e && (this.modals[e].addToPage().open(), this.broadcast("nyt:" + this.settings.featureName + "-onboarding-shown", e))
            },
            hideModal: function(e) {
                e && (this.modals[e].close().removeFromPage(), this.broadcast("nyt:" + this.settings.featureName + "-onboarding-hidden", this), this.modals[e] = !1)
            },
            handleModalOpen: function(e, t) {
                (t.force || e && this.allows[e]) && (this.modals[e] = this.createNewModal(e, t), this.showModal(e), this.allows[e] = !1)
            },
            handleModalClose: function(e) {
                e && !t.isEmpty(this.modals[e]) && this.hideModal(e)
            },
            trackOnboardingEvent: function(i, s, n) {
                var a, o, r, l, d, h, c = "impression" === i;
                s && (r = {
                    version: "Follow" + s.toUpperCase().slice(0, 1) + s.slice(1),
                    module: "follow",
                    eventName: c ? "tooltip-shown" : "tooltip-CTA",
                    priority: c
                }, l = ["marginalia", "next-in", "notifications-modal", "extended-byline", "collection-heading", "masthead"], o = t.isString(n) ? e(n) : n, o && o.length && (d = t.find(l, function(e) {
                    return o.parents("." + e).length > 0
                })), d && (r.region = d), a = c ? "trackingTriggerImpression" : "trackingTrigger", h = c ? void 0 : "interaction", this[a]("follow-events", r, h))
            }
        });
        return n
    }), define("shared/messaging/collections/follows", ["jquery/nyt", "underscore/nyt", "foundation/collections/base-collection", "shared/messaging/models/follow", "shared/messaging/views/follow-onboarding", "shared/messaging/templates", "foundation/hosts"], function(e, t, i, s, n, a, o) {
        "use strict";
        var r = i.extend({
            model: s,
            defaultSettings: {},
            initialize: function(e) {
                this.settings = t.extend({}, this.defaultSettings, e), this.followSorts = !1, this.followQueue = [], this.followsInitialized = !1, this.knowsSubscriptionData = !1, this.followLater = {}, this.followedAlready = !1, this.onboarding = null, this.stateKeys = {
                    onboardWelcome: "follow.onboard-welcome",
                    onboardSuggest: "follow.onboard-suggest",
                    onboardConfirm: "follow.onboard-confirm",
                    betaWhitelist: "follow.whitelist"
                }, t.bindAll(this, "createOnboardingInstance", "handleOnboardingComplete"), this.pageManager.isDomReady() ? this.getFollowables() : this.subscribe(this.pageManager, "nyt:page-ready", this.getFollowables), this.subscribe("nyt:messaging-follow-data-received", this.handleFollowingDataReceived), this.subscribe("nyt:messaging-unfollow-tag", this.unsubscribeFromFollowable), this.subscribe("nyt:messaging-follow-tag", this.subscribeToFollowable), this.subscribe("nyt:notifications-onboarding-complete", this.handleOnboardingComplete), this.subscribe("nyt:notifications-instantiate-onboarding", this.createOnboardingInstance)
            },
            changeSubscription: function(t, i, s) {
                var n = o.followApi + "/" + i + ".json";
                e.ajax({
                    url: n,
                    type: t
                }).done(s)
            },
            unsubscribeFromFollowable: function(e) {
                var t = this.get(e);
                t && t.unfollow(), this.changeSubscription("DELETE", e, function() {})
            },
            subscribeToFollowable: function(e) {
                var t = this.get(e);
                t && (t.follow(), this.followedAlready || "follow" === e.slice(0, 6) || (this.broadcast("nyt:notifications-onboarding-show", {
                    type: "confirm",
                    model: t
                }), this.followedAlready = !0)), this.changeSubscription("POST", e, function() {})
            },
            getFollowables: function() {
                var i = this;
                e.ajax({
                    url: o.followableList + "/available_follows.jsonp",
                    dataType: "jsonp",
                    jsonpCallback: "followablesCallback"
                }).done(function(e) {
                    var s, n;
                    if (!e) return !1;
                    if (e.followables)
                        for (s in e.followables) n = e.followables[s], n.id = s, i.add(n);
                    i.followSorts = t.omit(e, "followables"), i.followsInitialized = !0, i.local(i, "nyt:messaging-followables-received")
                })
            },
            handleFollowingDataReceived: function(e) {
                var t = this;
                this.knowsSubscriptionData || !this.pageManager.flag("followingRelease") && !e[this.stateKeys.betaWhitelist] || (this.knowsSubscriptionData = !0, this.pageManager.setMeta("nyt:messaging-user-has-ability-to-follow", "true"), this.broadcast("nyt:messaging-user-has-ability-to-follow"), this.followsInitialized ? this.followFollowables(e) : (this.followQueue = e, this.subscribe(this, "nyt:messaging-followables-received", this.followFollowables)), this.pageManager.getMeta("nyt:messaging-notifications-panel-active") ? this.handleOnboardingReady(e) : this.subscribe("nyt:messaing-notifications-panel-active", function() {
                    t.handleOnboardingReady(e)
                }))
            },
            handleOnboardingReady: function(e) {
                e && !e[this.stateKeys.onboardConfirm] && "homepage" !== this.pageManager.getApplicationName() && (this.createOnboardingInstance({
                    following: e
                }), e[this.stateKeys.onboardWelcome] || this.broadcast("nyt:notifications-onboarding-show", {
                    type: "welcome",
                    binding: ".notifications-button"
                }))
            },
            createOnboardingInstance: function(e) {
                !this.onboarding && e.following && (this.onboarding = new n({
                    featureName: "notifications",
                    extractTemplateData: function(e) {
                        return e && e.model && e.model.get ? {
                            collectionName: e.model.get("following")
                        } : {}
                    },
                    types: {
                        welcome: {
                            template: a.onboardingIntroducingNotifications,
                            className: "notifications-tooltip",
                            superclass: "tooltip",
                            modalOptions: {
                                tailTopOffset: -8,
                                tailLeftOffset: -1,
                                fixedOverride: !0
                            },
                            onShow: function(t) {
                                var i = function() {
                                    t.broadcast("nyt:notifications-onboarding-hide", {
                                        type: "welcome"
                                    })
                                };
                                t.broadcast("nyt:notifications-onboarding-complete", "welcome"), "homepage" === t.pageManager.getApplicationName() ? t.subscribeOnce("nyt:masthead-hidden", i) : t.subscribeOnce("nyt:masthead-storytheme", i), e.cbExtension && e.cbExtension(t.modals.welcome)
                            }
                        },
                        suggest: {
                            template: a.onboardingSuggestFollow,
                            className: "notifications-tooltip",
                            superclass: "tooltip",
                            modalOptions: {
                                tailDirection: "down-right"
                            },
                            onShow: function(t) {
                                t.broadcast("nyt:notifications-onboarding-complete", "suggest"), t.modals.suggest.settings.fixedOverride && t.subscribeOnce("nyt:masthead-storytheme", function() {
                                    t.broadcast("nyt:notifications-onboarding-hide", {
                                        type: "suggest"
                                    })
                                }), e.cbExtension && e.cbExtension(t.modals.suggest)
                            }
                        },
                        confirm: {
                            template: a.onboardingFirstFollow,
                            className: "notifications-confirmation",
                            modalOptions: {
                                modalTitle: '<i class="icon"></i>Success!',
                                hasOverlay: !0,
                                hasCloseButton: !0,
                                tailDirection: "centered"
                            },
                            onShow: function(e) {
                                e.broadcast("nyt:notifications-onboarding-complete", "confirm")
                            }
                        }
                    },
                    modalOptions: {
                        modalFooter: e.footerOverride || '<button class="button dismiss-button">Ok, got it</button>'
                    },
                    allows: {
                        welcome: !e.following[this.stateKeys.onboardWelcome],
                        suggest: !e.following[this.stateKeys.onboardSuggest],
                        confirm: !e.following[this.stateKeys.onboardConfirm]
                    }
                }), this.broadcast("nyt:messaging-user-onboarding-start"))
            },
            followFollowables: function(e) {
                var i, s, n = e || this.followQueue;
                for (n = t.isArray(n) ? n : t.keys(n); n.length > 0;) i = n.shift(), s = this.get(i), s ? s.follow() : this.followLater[i] = !0;
                this.handleFollowDataReady()
            },
            handleFollowDataReady: function() {
                var e, t = this.createOrderedFullList();
                e = this.pageManager.flag("moreFollowSuggestions") ? t : this.generateFollowSuggestions(), this.broadcast("nyt:messaging-follow-suggestions-received", e), this.broadcast("nyt:messaging-followable-list-received", t)
            },
            generateFollowSuggestions: function(e) {
                var i, s, n = [],
                    a = [],
                    o = this.followSorts.weighted || this.followSorts.alpha || t.pluck(this.models, "id"),
                    r = t.clone(o);
                for (e = e || 3; n.length < e;)
                    if (r.length > 0) {
                        if (i = r.shift(), s = this.get(i), !s) continue;
                        s.isFollowing() ? a.push(s) : n.push(s)
                    } else {
                        if (0 === a.length) break;
                        n.push(a.shift())
                    }
                return n
            },
            createOrderedFullList: function(e) {
                var i, s, n, a, o = [];
                for (a = t.pluck(this.models, "id"), e = e || this.followSorts.alpha || a, i = 0; i < e.length; i += 1) n = this.followSorts.alpha[i], s = this.get(n), s && o.push(s);
                return o
            },
            getModelFromMeta: function(e) {
                var t, i, s = this.pageManager.getMeta("applicationName");
                return "article" !== s && "collection" !== s ? void 0 : (t = this.pageManager.getMeta("CT") + "." + this.pageManager.getMeta("CN"), t !== e ? void 0 : (i = this.add({
                    following: this.pageManager.getMeta("nyt-collection:display-name"),
                    id: t,
                    tag: t,
                    thumb: "collection" === s ? this.pageManager.getMeta("og:image") : void 0,
                    description: this.pageManager.getMeta("nyt-collection:tagline")
                }), this.followLater[t] && i.follow(), i))
            },
            handleOnboardingComplete: function(e) {
                var t;
                this.pageManager.flag("followingRelease") && this.isUserLoggedIn === !1 || (t = {
                    welcome: this.stateKeys.onboardWelcome,
                    suggest: this.stateKeys.onboardSuggest,
                    confirm: this.stateKeys.onboardConfirm
                }, t[e] && this.subscribeToFollowable(t[e]))
            }
        });
        return r
    }), define("shared/messaging/instances/follows", ["foundation/views/page-manager", "shared/messaging/collections/follows"], function(e, t) {
        "use strict";
        return e.flag("followFeature") ? new t : {}
    }), define("shared/messaging/views/notification-modal", ["jquery/nyt", "underscore/nyt", "foundation/views/base-view", "shared/messaging/views/messenger-mixin", "shared/messaging/templates", "shared/messaging/views/messenger-format-mixin", "shared/modal/views/modal"], function(e, t, i, s, n, a, o) {
        "use strict";
        var r = i.extend({
            defaultSettings: {
                expiration: 7,
                stackSize: 3,
                modalHeight: 91,
                modalMargin: 6,
                truncateTextHeight: 34
            },
            template: n.notificationModals,
            el: "#notification-modals",
            nytEvents: {
                "nyt:messaging-notification-archive-opened": "closeModals"
            },
            initialize: function(e) {
                this.options = t.extend({}, this.defaultSettings, e), this.queue = {}, this.active = {}, this.timer = {}, this.maxHeight = this.options.stackSize * this.options.modalHeight + this.options.modalMargin, this.$el.css({
                    "max-height": this.maxHeight + "px"
                })
            },
            instantiateModal: function(i, s) {
                var n = this,
                    r = new o({
                        id: "notification-modal-" + s,
                        hasCloseButton: !0,
                        modalContent: n.template(t.extend(i.toJSON(), {
                            link: i.getPrimaryLink(),
                            emphasize: a.emphasizeTitle,
                            emphasis: i.getCombinedEmphasis()
                        })),
                        tailDirection: "up",
                        autoPosition: !1,
                        closeOnClick: !1,
                        toggleSpeed: 400,
                        openCallback: function() {
                            this.$el.css("left", 5)
                        },
                        closeCallback: function() {
                            n.closeModal(s)
                        }
                    });
                return r.addToPage("#notification-modals"), r.$el.data("messageId", s), r.$el.on("click", function(e) {
                    var t;
                    e.preventDefault(), n.local(n, "nyt:messaging-notification-modal-clicked", s), n.closeModal(s),
                        t = n.trackingAppendParams(i.get("link"), {
                            module: "notification",
                            version: "NotificationPopup",
                            action: "click",
                            region: "TopBar",
                            eventName: "click",
                            contentCollection: i.get("tag")
                        }), n.broadcast("nyt:messaging-notifications-navigate", t)
                }), r.$el.find(".modal-close").on("click", function(e) {
                    e.stopPropagation(), n.local(n, "nyt:messaging-notification-modal-closed", s), n.closeModal(s), n.trackNotificationClose(i)
                }), r.$el.on("mouseenter", function() {
                    e(this).parent().children(".active").each(function() {
                        var t = e(this).data("timerId");
                        n.clearTimer(t)
                    })
                }), r.$el.on("mouseleave", function() {
                    e(this).parent().children(".active").each(function() {
                        var t = n.startTimer(s, 2e3);
                        e(this).data("timerId", t)
                    })
                }), r
            },
            render: function(e) {
                var t, i, s, n, a, o, r = this.options.truncateTextHeight;
                e && (t = e.model.get("id"), i = this.instantiateModal(e.model, t), t && i && (s = i.$el.find(".message"), n = s.find(".timestamp"), a = n.attr("datetime"), i.open(), i.truncateText(s.find("a"), r), o = this.prettyDate(a), o && n.text(o), this.showOrWait(t, i)))
            },
            showOrWait: function(e, t) {
                var i, s = t.$el.position().top,
                    n = 1e3 * this.options.expiration;
                s >= this.maxHeight ? this.queue[e] = t : (this.queue[e] && delete this.queue[e], this.active[e] = t, t.$el.addClass("active"), i = this.startTimer(e, n), t.$el.data("timerId", i))
            },
            startTimer: function(e, t) {
                var i, s, n = this,
                    a = function() {
                        s = n.active[e], s && s.close()
                    };
                return i = window.setTimeout(a, t)
            },
            clearTimer: function(e) {
                e && window.clearTimeout(e)
            },
            closeModal: function(e) {
                var t, i = this.active[e];
                i && (t = i.$el.data("timerId"), t && this.clearTimer(t), i.removeFromPage(), this.active[e] && delete this.active[e], this.queue[e] && delete this.queue[e]), this.showNext()
            },
            closeModals: function() {
                var e, t;
                for (e in this.queue) t = this.queue[e], t.removeFromPage(), delete this.queue[e];
                for (e in this.active) t = this.active[e], t.removeFromPage(), delete this.active[e]
            },
            showNext: function() {
                var e;
                for (e in this.queue) this.showOrWait(e, this.queue[e])
            },
            trackNotificationClose: function(e) {
                e && e.get && this.trackingTrigger("notification-events", {
                    module: "notification",
                    version: "NotificationPopup",
                    action: "close",
                    region: "TopBar",
                    contentId: e.get("link"),
                    contentCollection: e.get("tag")
                }, "interaction")
            }
        });
        return r
    }), define("shared/messaging/views/follow-button", ["jquery/nyt", "underscore/nyt", "foundation/views/base-view", "foundation/models/user-data", "shared/messaging/templates", "shared/messaging/instances/follows"], function(e, t, i, s, n, a) {
        "use strict";
        var o = i.registerView("messaging").extend({
            className: "follow-button-container",
            defaults: {
                template: n.followButton,
                followingText: "Following",
                followText: "Follow",
                unfollowText: "Unfollow"
            },
            initialize: function(e) {
                this.settings = t.extend({}, this.defaults, e), this.template = this.settings.template, e.$el && (this.model = a.get(e.$el.data("collection-id")), this.model || (this.model = a.getModelFromMeta(e.$el.data("collection-id")))), this.model && (this.settings = t.extend(this.settings, this.model.getButtonText()), this.subscribe("nyt:messaging-following-" + this.model.id, this.updateFollowView), this.subscribe("nyt:messaging-unfollowing-" + this.model.id, this.updateFollowView), e.$el && e.$el.replaceWith(this.render().$el))
            },
            render: function() {
                var i = this,
                    s = t.extend(i.model.toJSON(), i.getRenderVars()),
                    n = i.template(s);
                return i.$el.html(n), i.$el.on("click", ".follow-button", function() {
                    var t, s;
                    return i.trackFollowButtonClick(e(this)), void 0 === i.isUserLoggedIn ? !1 : i.isUserLoggedIn ? (s = i.model.get("tag"), i.model.isFollowing() ? i.broadcast("nyt:messaging-unfollow-tag", s) : i.broadcast("nyt:messaging-follow-tag", s), !1) : (t = "Log in to follow " + i.model.get("following"), i.broadcast("nyt:loginmodal-open", {
                        modalTitle: t,
                        registrationPlatform: "follow_button"
                    }), !1)
                }), i.$el.on("focusin mouseenter", ".follow-button", function() {
                    var t = e(this),
                        s = t.parent().parent(),
                        n = {
                            tailDirection: "down-right",
                            fixedOverride: !1
                        };
                    t.hasClass("is-following") ? t.addClass("active").find(".button-text").html(i.settings.unfollowText) : s.hasClass("follow-option") || (s.hasClass("collection-heading") ? n.tailTopOffset = 3 : s.hasClass("collection-meta") ? n.tailTopOffset = -2 : s.hasClass("collection-header") ? (n.tailDirection = "up-left", n.tailTopOffset = -2, n.tailLeftOffset = -44) : s.hasClass("user-tools-button-group") ? (n.tailDirection = "up-right", n.tailTopOffset = -2, n.fixedOverride = !0) : s.hasClass("extended-byline") && (n.tailDirection = "up-left"), i.broadcast("nyt:notifications-onboarding-show", {
                        type: "suggest",
                        binding: i.$el,
                        model: i.model,
                        modalOptions: n
                    }))
                }), i.$el.on("mouseleave focusout", ".follow-button.is-following", function() {
                    e(this).removeClass("active").find(".button-text").html(i.settings.followingText)
                }), this
            },
            getRenderVars: function() {
                var e = {};
                return this.model.isFollowing() ? (e.buttonText = this.settings.followingText, e.classes = "is-following") : (e.buttonText = this.settings.followText, e.classes = ""), e
            },
            updateFollowView: function() {
                var e = this.getRenderVars(),
                    t = this.$el.find(".follow-button"),
                    i = t.find(".button-text");
                t.removeClass("is-following active").addClass(e.classes), i.html(e.buttonText)
            },
            trackFollowButtonClick: function(i) {
                var s, n, a = this.model.get("id").split("."),
                    o = {
                        module: "follow",
                        state: this.model.isFollowing() ? "following" : "not-following",
                        action: "click",
                        contentId: a[1] || "",
                        version: a[0] || "",
                        eventName: this.model.isFollowing() ? "unfollow" : "follow",
                        mData: {
                            textLabel: !0
                        }
                    },
                    r = ["marginalia", "next-in", "notifications-modal", "extended-byline", "collection-heading", "masthead"],
                    l = ["notifications", "follow-options"];
                s = t.find(r, function(e) {
                    return i.parents("." + e).length > 0
                }), s && (o.region = s), "notifications-modal" === s && (n = t.find(l, function(e) {
                    return i.parents("." + e).length > 0
                }), n && (o.state = "follow-options" === n ? "customize" : "notification", o.contentPlacement = e(".notifications-modal ." + n + " .follow-button").index(i) + 1)), this.trackingTrigger("follow-events", o, "interaction")
            },
            handleUserReady: function() {
                this.isUserLoggedIn = s.isLoggedIn()
            }
        });
        return o
    }), define("shared/messaging/views/follow", ["underscore/nyt", "foundation/views/base-view", "shared/messaging/views/follow-button", "shared/messaging/templates"], function(e, t, i, s) {
        "use strict";
        var n = t.registerView("messaging").extend({
            className: "follow-option",
            defaults: {
                template: s.followInfo
            },
            initialize: function(t) {
                this.settings = e.extend({}, this.defaults, t), this.template = this.settings.template, this.followButton = new i({
                    model: this.model
                }), this.subscribe("nyt:messaging-following-" + this.model.id, this.updateFollowView), this.subscribe("nyt:messaging-unfollowing-" + this.model.id, this.updateFollowView)
            },
            render: function() {
                var t = e.extend(this.model.toJSON(), {
                        followClass: this.getFollowClass()
                    }),
                    i = this.template(t);
                return this.$el.html(i).append(this.followButton.render().$el), this
            },
            getFollowClass: function() {
                return this.model.isFollowing() ? "following" : ""
            },
            updateFollowView: function() {
                var e = this.getFollowClass(),
                    t = this.$el.find(".follow-info");
                t.removeClass("following").addClass(e)
            }
        });
        return n
    }), define("shared/messaging/views/notifications", ["jquery/nyt", "underscore/nyt", "foundation/views/base-view", "foundation/models/user-data", "shared/messaging/instances/follows", "shared/messaging/views/messenger-mixin", "shared/messaging/views/notification-modal", "shared/messaging/views/follow", "shared/messaging/templates", "shared/modal/views/modal"], function(e, t, i, s, n, a, o, r, l, d) {
        "use strict";
        var h = i.registerView("messaging").extend(t.extend({}, a, {
            defaultSettings: {
                messageType: "notifications",
                parent: function() {
                    var t = new d({
                        id: "notifications-modal",
                        binding: ".notifications-button",
                        modalTitle: "Notifications",
                        headerContent: "<button class='button customize-button hidden' id='toggle-customize-button'>Customize</button>",
                        modalFooter: '<p class="disclaimer">This is a beta version of notifications. <a class="user-action" href="mailto:messaging.feedback@nytimes.com?Subject=Notifications feedback">Send feedback &raquo;</a></p>',
                        tailDirection: "up-right",
                        tailTopOffset: -8,
                        tailLeftOffset: -1,
                        width: "360px",
                        toggleSpeed: 1,
                        fixedOverride: this.isFixed,
                        openCallback: function() {
                            this.$target.addClass("active"), this.subscribedAlready || (this.subscribe("nyt:comments-panel-opened", this.close), this.subscribe("nyt:loginmodal-open", this.close), "homepage" === this.pageManager.getApplicationName() ? this.subscribe("nyt:masthead-hidden", this.close) : this.subscribe("nyt:masthead-storytheme", this.close), this.subscribedAlready = !0), this.broadcast("nyt:messaging-notification-archive-opened", this)
                        },
                        closeCallback: function() {
                            this.$target.removeClass("active"), this.broadcast("nyt:messaging-notification-archive-closed")
                        }
                    });
                    return t.addToPage(), e("#notifications-modal").find(".modal-content")
                },
                template: "notificationsModal",
                fadeOutDelay: 3e3,
                trackingVersion: "ReaderActivity",
                timestampUpdateFreq: 3e4,
                truncateTextHeight: 34,
                isFixed: !0,
                scrollCheckHeight: 15
            },
            nytEvents: {
                "nyt:messaging-notification-archive-opened": "handleArchivePanelOpened",
                "nyt:messaging-notification-archive-closed": "handleArchivePanelClosed",
                "nyt:messaging-count-received": "updateCounter",
                "nyt:messaging-existing-message-update": "updateMessageView",
                "nyt:messaging-critical-alerts-move-furniture": "movePanelForOtherAlerts",
                "nyt:messaging-suggestions-move-furniture": "movePanelForAlerts",
                "nyt:messaging-follow-suggestions-received": "addSuggestedFollows",
                "nyt:messaging-followable-list-received": "createFollowableList",
                "nyt:messaging-cache-pull-over": "setCachePullOver",
                "nyt:messaging-notifications-navigate": "handleNavigationRequired",
                "nyt:messaging-notifications-panel-active": "setupPanel"
            },
            events: {
                "click .unsubscribe-button": "confirmUnfollowIntent",
                "click .unfollow-button": "confirmUnfollowed",
                "click .keep-following-button": "restoreOriginalFollowable",
                "click .undo-action-button": "undoUnfollowFollowable",
                "click .message-link": "handleMessageClicked"
            },
            prepareView: function() {
                t.bindAll(this, "trackArchiveAction"), this.notificationModal = new o, this.$el.find(".message-bed").append(l.notificationsModal({
                    show: "default"
                })), this.$archivePanel = e("#notifications-modal"), this.$modalContent = this.$archivePanel.find(".modal-content"), this.$notificationsModal = this.$archivePanel.find(".notifications-modal"), this.messageCount = 0, this.archiveOpen = !1, this.timestampsUpdating = !1, this.sliding = !1, this.maxHeight = parseInt(this.$modalContent.css("max-height"), 10), this.isUnfollowing = !1, this.unfollowing = {
                    model: void 0,
                    $el: void 0
                }, this.cachePullOver = !1, this.modalsEnabled = !1, this.lastScrollCheck = 0, this.unreadMessages = [], this.subscribe(this.notificationModal, "nyt:messaging-notification-modal-clicked", this.handleMessageAcknowledged), this.subscribe(this.notificationModal, "nyt:messaging-notification-modal-closed", this.handleMessageDismissed), this.pageManager.setMeta("nyt:messaging-notifications-panel-active", "true"), this.broadcast("nyt:messaging-notifications-panel-active"), this.$el.show(), this.disablePageScrollOnHover()
            },
            afterMessageReceived: function(e) {
                var t, i, s = this.$archivePanel.is(":visible");
                e && (t = e.model.get("unread"), i = e.model.get("popup_unread"), t && (this.broadcast("nyt:messaging-count-received", 1), this.unreadMessages.push(e), !s && i && this.displayPopup(e)), this.hideDefaultNotification(), e.reveal(!0), s && (this.truncateCommentBodies(), this.markAppropriateMessagesRead()), this.addBottomBorder())
            },
            setCachePullOver: function() {
                this.cachePullOver = !0
            },
            displayPopup: function(e) {
                this.cachePullOver && this.modalsEnabled && this.notificationModal.render(e), e.model.setPopupRead()
            },
            markRead: function(e) {
                var t = this.active.messages[e];
                t.displayed()
            },
            handleMessageAcknowledged: function(e) {
                this.broadcast("nyt:messaging-modal-" + e + "-acknowledged")
            },
            handleMessageDismissed: function(e) {
                this.broadcast("nyt:messaging-modal-" + e + "-dismissed")
            },
            handleArchivePanelOpened: function() {
                var e = this;
                e.archiveOpen = !0, e.timestampsUpdating || (e.updateTimestamps(e), e.timestampsUpdating = setInterval(function() {
                    e.updateTimestamps(e)
                }, e.timestampUpdateFreq)), e.markAppropriateMessagesRead(), e.truncateCommentBodies(), e.addBottomBorder(), e.trackArchiveAction("open")
            },
            handleArchivePanelClosed: function() {
                this.archiveOpen = !1, this.stopUpdatingTimestamps(), this.trackArchiveAction("close"), this.isUnfollowing && this.restoreOriginalFollowable()
            },
            isMessageVisible: function(e) {
                var t, i, s, n, a;
                return this.$modalContent.find(".follow-options").is(":visible") ? !1 : (t = this.$modalContent.offset().top, i = t + this.$modalContent.height(), s = e.$el.find(".message-title"), n = s.offset().top, a = n + s.height(), n >= t && i >= a)
            },
            markAppropriateMessagesRead: function() {
                var t, i, s, n, a, o = this,
                    r = [];
                for (i = 0; i < this.unreadMessages.length; i++) n = this.unreadMessages[i], t = n.model.get("id"), a = this.isMessageVisible(n), s = n.model.get("unread"), a && s ? (n.displayed(this.options.fadeOutDelay), this.local(this, "nyt:messaging-message-" + this.options.id + "-displayed", t)) : !a && s && r.push(n);
                this.unreadMessages = r, this.watchingWhichMessagesAreSeen || (this.$modalContent.on("scroll", function() {
                    var t = e(this).scrollTop(),
                        i = Math.abs(t - o.lastScrollCheck),
                        s = i / o.options.scrollCheckHeight > 1;
                    o.unreadMessages.length > 0 && s && (o.markAppropriateMessagesRead(), o.lastScrollCheck = t)
                }), this.watchingWhichMessagesAreSeen = !0)
            },
            updateCounter: function(e) {
                var t, i;
                void 0 !== e && (t = this.messageCount + e, this.messageCount = Math.max(t, 0), i = {
                    count: this.messageCount,
                    delta: e
                }, this.broadcast("nyt:messaging-notification-count-update", i))
            },
            showDefaultNotification: function() {
                this.$el.find(".default-message").show()
            },
            hideDefaultNotification: function() {
                var e = this.$el.find(".message-default").closest(".message-container");
                "block" === e.css("display") && e.hide()
            },
            disablePageScrollOnHover: function() {
                this.$modalContent.on("mousewheel DOMMouseScroll", function(t) {
                    var i = 0;
                    "mousewheel" === t.type ? i = -1 * t.originalEvent.wheelDelta : "DOMMouseScroll" === t.type && (i = 40 * t.originalEvent.detail), i && (t.preventDefault(), e(this).scrollTop(i + e(this).scrollTop()))
                })
            },
            addBottomBorder: function() {
                var t = this.dimensions().height,
                    i = parseInt(this.$modalContent.css("max-height"), 10);
                t > i && (e("#notifications-modal").find(".modal").addClass("scroll-active"), this.$modalContent.find(".comment-text").data("truncate", !0))
            },
            handleMessageClicked: function(t) {
                var i, s, n, a, o;
                t.preventDefault(), i = e(t.currentTarget), s = i.closest(".message-container"), a = s.data("messageId"), o = this.collection.get(a), n = this.trackingAppendParams(i.attr("href"), {
                    module: "notification",
                    version: "NotificationPanel",
                    action: "click",
                    region: "TopBar",
                    eventName: "click",
                    contentCollection: o ? o.get("tag") : "",
                    contentPlacement: this.determineMessagePlacement(s)
                }), this.handleNavigationRequired(n)
            },
            handleNavigationRequired: function(e) {
                var t, i, s, n = window.location.href.split("#")[0] === e.split("#")[0];
                window.location.href = e, t = e.split("#")[1], t && n && (s = t.split("="), i = s[1], "permid" === s[0] && i && this.broadcast("nyt:community-commentspanel-open", i))
            },
            trackArchiveAction: function(e) {
                this.trackingTrigger("notification-events", {
                    module: "notification",
                    version: "NotificationPanel",
                    action: e,
                    region: "TopBar"
                }, "interaction")
            },
            confirmUnfollowIntent: function(t) {
                var i, s, n = e(t.currentTarget).closest(".message-container"),
                    a = this.collection.get(n.data("id"));
                this.trackInlineUnfollow("dismiss", n, a), this.isUnfollowing && this.restoreOriginalFollowable(), a.set("originalHTML", n.html()), t.preventDefault(), t.stopPropagation(), i = n.height(), n.css({
                    height: i
                }), n.find(".unsubscribe-button").remove(), s = l.followConfirmation(a.toJSON()), n.find(".message").replaceWith(s), this.isUnfollowing = !0, this.unfollowing = {
                    $el: n,
                    model: a
                }
            },
            confirmUnfollowed: function(t) {
                var i, s = e(t.currentTarget).closest(".message-container"),
                    n = this.collection.get(s.data("id")),
                    a = n.get("tag");
                this.trackInlineUnfollow("unfollowing", s, n), t.preventDefault(), t.stopPropagation(), this.broadcast("nyt:messaging-unfollow-tag", a), i = l.followUnfollowed(n.toJSON()), s.css({
                    height: "auto"
                }), s.find(".message").replaceWith(i), this.isUnfollowing = !1
            },
            restoreOriginalFollowable: function(t) {
                var i = t ? e(t.currentTarget).closest(".message-container") : this.unfollowing.$el,
                    s = t ? this.collection.get(i.data("id")) : this.unfollowing.model;
                return t && (t.preventDefault(), t.stopPropagation()), t && t.currentTarget && e(t.currentTarget).hasClass("keep-following-button") && this.trackInlineUnfollow("keepfollowing", i, s), i.find(".message").replaceWith(s.get("originalHTML")), i.css({
                    height: "auto"
                }), this.isUnfollowing = !1, s
            },
            undoUnfollowFollowable: function(t) {
                var i = e(t.currentTarget).closest(".message-container"),
                    s = this.restoreOriginalFollowable(t),
                    n = s.get("tag");
                this.trackInlineUnfollow("follow", i, s), this.broadcast("nyt:messaging-follow-tag", n)
            },
            updateMessageView: function(e) {
                var t, i, s = this.received.messages[e.id],
                    n = s.model;
                t = n.get("unread"), n.applyMetadata(e.update), i = n.get("unread"), e.message && n.updateProperties(e.message), !t && i ? this.broadcast("nyt:messaging-count-received", 1) : t && !i && this.broadcast("nyt:messaging-count-received", -1), i ? (s.$el.detach(), s.render(), this.$el.find(".message-bed").prepend(s.$el), s.reveal(!0), this.archiveOpen && this.markAppropriateMessagesRead()) : s.render().reveal(!0)
            },
            movePanelForOtherAlerts: function(e) {
                var t;
                this.archiveOpen && (t = this.$archivePanel.find(".notifications-modal"), e(t))
            },
            updateTimestamps: function(t) {
                e(".notifications-modal .timestamp").each(function() {
                    var i = e(this),
                        s = 1e3 * parseInt(i.attr("datetime"), 10),
                        n = t.prettyDate(s);
                    n && i.html(n)
                })
            },
            stopUpdatingTimestamps: function() {
                this.updating && (clearInterval(this.updating), this.updating = !1)
            },
            addSuggestedFollows: function(e) {
                var t, i, s, n = this,
                    a = n.$el.find(".follow-suggestions");
                for (i = 0; i < e.length; i += 1) t = e[i], s = new r({
                    model: t
                }), a.append(s.render().$el)
            },
            createFollowableList: function(e) {
                var t, i, s, n = this;
                for (this.$archivePanel.find("#toggle-customize-button").removeClass("hidden"), this.$modalContent.append("<div class='follow-options'><h4 class='follow-options-heading'>Follow columns and columnists</h4></div>"), s = this.$modalContent.find(".follow-options"), t = 0; t < e.length; t += 1) i = new r({
                    model: e[t]
                }), s.append(i.render().$el);
                this.$archivePanel.find(".modal-header").on("click", ".button", function(e) {
                    e.preventDefault(), e.stopPropagation(), n.sliding || (n.sliding = !0, n.toggleFollowableView(e, function() {
                        n.sliding = !1
                    }))
                })
            },
            toggleFollowableView: function(e, t, i) {
                var s, n = this,
                    a = this.$archivePanel.find(".modal-header");
                s = this.prepareToAnimateFollows(), i = i || 250, this.trackPanelCustomizeToggle(e, s.$showing), a.find("#toggle-customize-button").toggleClass("active"), s.wrapButton ? a.find(".modal-heading").wrap("<button class='button back-button'></button>") : a.find(".modal-heading").unwrap(), n.$modalContent.removeClass("scroll-active").css({
                    height: s.destinationHeight
                }).addClass("is-animating"), s.$showing.addClass("is-animating").css({
                    width: s.width,
                    "max-height": n.maxHeight,
                    left: s.moveShowingTo
                }), s.$toShow.addClass("is-animating").css({
                    width: s.width,
                    left: 0
                }), setTimeout(function() {
                    s.scrollActive && n.$notificationsModal.addClass("scroll-active"), s.$showing.removeClass("is-animating scroll-active").css({
                        display: "none"
                    }), s.$toShow.removeClass("is-animating scroll-active").css({
                        width: "auto"
                    }), n.$modalContent.removeClass("is-animating").css({
                        height: "auto"
                    }), t && t()
                }, i)
            },
            prepareToAnimateFollows: function() {
                var e, t, i, s, n, a = this.$modalContent.find(".follow-options"),
                    o = this.$modalContent.width(),
                    r = this.$modalContent.height(),
                    l = this.maxHeight;
                return s = !1, n = a.is(":hidden"), e = n ? this.$el : a, t = n ? a : this.$el, this.$modalContent.css({
                    height: r
                }), l = t.css({
                    display: "inherit",
                    width: o
                }).height(), l >= this.maxHeight ? (t.addClass("scroll-active"), s = !0) : this.$notificationsModal.removeClass("scroll-active"), r === this.maxHeight && e.addClass("scroll-active"), l = l > this.maxHeight ? this.maxHeight : l, i = n ? -o : o, {
                    $showing: e,
                    $toShow: t,
                    wrapButton: n,
                    destinationHeight: l,
                    moveShowingTo: i,
                    width: o,
                    scrollActive: s
                }
            },
            truncateCommentBodies: function() {
                var t = this;
                this.$modalContent.find(".comment-text").each(function() {
                    var i = e(this);
                    i.data("truncate") && (t.truncateText(i, t.options.truncateTextHeight), i.data("truncate", !1))
                })
            },
            determineMessagePlacement: function(t) {
                return e(".notifications-modal .notifications .message-container:visible").index(t) + 1
            },
            trackPanelCustomizeToggle: function(t, i) {
                i && this.trackingTrigger("notification-events", {
                    module: "follow",
                    state: i.hasClass("follow-options") ? "customize" : "notification",
                    action: "click",
                    version: "NotificationPanel",
                    region: "TopBar",
                    contentId: e(t.currentTarget).hasClass("back-button") ? "back-button" : "customize-button",
                    eventName: "click"
                }, "interaction")
            },
            trackInlineUnfollow: function(e, t, i) {
                var s;
                e && (s = i.get("tag").split("."), this.trackingTrigger("notification-events", {
                    module: "follow",
                    state: "notification-unfollow",
                    action: "click",
                    contentId: s[1],
                    version: s[0],
                    eventName: e,
                    region: "TopBar",
                    contentPlacement: this.determineMessagePlacement(t)
                }, "interaction"))
            },
            handleUserReady: function() {
                this.pageManager.flag("followingRelease") && (this.isUserLoggedIn = s.isLoggedIn(), n.isUserLoggedIn = s.isLoggedIn(), this.setupPanel())
            },
            setupPanel: function() {
                var t;
                if (this.pageManager.getMeta("nyt:messaging-notifications-panel-active")) {
                    if (t = e(".notifications-button"), !this.pageManager.flag("followingRelease")) return t.removeClass("hidden"), void(this.modalsEnabled = !0);
                    if (void 0 !== this.isUserLoggedIn) return t.removeClass("hidden"), this.isUserLoggedIn ? void(this.modalsEnabled = !0) : void this.handleAnonInteractions(t)
                }
            },
            handleAnonInteractions: function(e) {
                var t = this,
                    i = (new Date).getTime() - 6e4;
                this.broadcast("nyt:notifications-instantiate-onboarding", {
                    following: {
                        "follow.whitelist": {
                            start: i
                        },
                        "follow.onboard-welcome": {
                            start: i
                        }
                    },
                    footerOverride: '<button class="button login-button">Log in</button>',
                    cbExtension: function(e) {
                        var i, s, n, a = e.settings.instanceData ? e.settings.instanceData.type : null;
                        a && (i = e.settings.instanceData ? e.settings.instanceData.model : null, s = "Log in to follow", i && (s = s + " " + i.get("following"), n = "follow_button"), e.$el.find(".login-button").on("click", function(e) {
                            e.stopPropagation(), t.broadcast("nyt:notifications-onboarding-hide", {
                                type: a
                            }), t.broadcast("nyt:loginmodal-open", {
                                modalTitle: s,
                                registrationPlatform: n || "follow_bell"
                            })
                        }))
                    }
                }), e.hover(function() {
                    t.anonOnboardingShown || (t.anonOnboardingShown = !0, t.broadcast("nyt:notifications-onboarding-show", {
                        type: "welcome",
                        binding: ".notifications-button",
                        force: !0
                    }))
                }), e.click(function(e) {
                    e.stopPropagation(), t.broadcast("nyt:loginmodal-open", {
                        modalTitle: "Log in to follow",
                        registrationPlatform: "follow_bell"
                    })
                })
            }
        }));
        return h
    }), define("homepage/instances/messaging", ["jquery/nyt", "foundation/views/page-manager", "shared/messaging/views/critical-alerts", "shared/messaging/views/suggestions", "shared/messaging/views/announcements", "shared/messaging/views/notifications"], function(e, t, i, s, n, a) {
        "use strict";
        var o = t.getMeta("nyt:messaging-user-has-ability-to-follow"),
            r = function() {
                t.flag("followFeature") && new a({
                    id: "notifications",
                    notifyWhen: "nyt:messaging-notification-received nyt:messaging-follow-notice-received",
                    isFixed: !1
                })
            };
        t.$html.hasClass("lt-ie9") || (new s({
            id: "suggestions",
            notifyWhen: "nyt:messaging-velcro-received"
        }), new i({
            id: "breaking-news-alerts",
            notifyWhen: "nyt:messaging-breaking-news-received",
            expiration: 20,
            dismissAcknowledged: !1,
            trackingVersion: "BreakingNews"
        }), new i({
            id: "account-alerts",
            notifyWhen: "nyt:messaging-account-alert-received",
            expiration: 10,
            trackingVersion: "UserAccounts"
        }), new n({
            id: "announcements",
            notifyWhen: "nyt:messaging-video-received",
            parent: function() {
                return e("#announcements-container")
            }
        }), o || t.flag("followingRelease") ? r() : t.listenToOnce(t, "nyt:messaging-user-has-ability-to-follow", r))
    }), define("shared/navigation/templates", ["underscore/nyt"], function(_) {
        var templates = {};
        return templates.mainPanel = function(obj) {
            var __t, __p = "";
            Array.prototype.join;
            with(obj || {}) {
                __p += '<div class="sections">\n';
                var count = 1;
                __p += "\n", _.each(level1, function(e) {
                    __p += '\n<div class="section ' + (null == (__t = isVisible(e[0], count) === !1 ? "hidden" : "") ? "" : __t) + '">\n<ul class="menu" role="menubar">\n', _.each(e, function(e) {
                        __p += "\n" + (null == (__t = liTemplate({
                            model: e,
                            isVisible: isVisible(e, count)
                        })) ? "" : __t) + "\n", count += iterateTemplateCount(e), __p += "\n"
                    }), __p += "\n", count += 1, __p += "\n</ul>\n</div>\n"
                }), __p += "\n</div>"
            }
            return __p
        }, templates.menuItem = function(obj) {
            var __t, __p = "";
            Array.prototype.join;
            with(obj || {}) __p += '<li role="presentation" class="' + (null == (__t = isVisible === !1 ? "hidden" : "menuitem-visible") ? "" : __t) + '">\n<a id="navId-' + (null == (__t = model.getTaxonomyId()) ? "" : __t) + '"\nclass="' + (null == (__t = model.getEdition()) ? "" : __t) + " " + (null == (__t = model.hasChildren() ? "expandable" : "") ? "" : __t) + '"\nrole="menuitem" ' + (null == (__t = model.getPath() ? ' href="' + model.getPath() + '"' : ' tabindex="0"') ? "" : __t) + "\n" + (null == (__t = model.hasChildren() ? ' aria-haspopup="true" aria-expanded="false"' : "") ? "" : __t) + ">\n" + (null == (__t = model.get("name")) ? "" : __t) + "\n", model.hasChildren() && (__p += '\n<div class="arrow arrow-right">\n<div class="arrow-conceal"></div>\n</div>\n', model.getLevel() > 1 && (__p += '\n<div class="arrow arrow-left">\n<div class="arrow-conceal"></div>\n</div>\n'), __p += "\n"), __p += "\n</a>\n</li>";
            return __p
        }, templates.mobileNav = function(obj) {
            var __t, __p = "";
            Array.prototype.join;
            with(obj || {}) __p += '<section class="edition-navigation">\n<h2 class="section-heading visually-hidden">Navigation Section</h2>\n<ul class="menu">\n<li class="' + (null == (__t = isGlobalEdition ? "" : "active") ? "" : __t) + '"><a href="http://mobile.nytimes.com/"><span>U.S. Edition</span></a></li>\n</ul>\n<ul class="menu">\n<li class="' + (null == (__t = isGlobalEdition ? "active" : "") ? "" : __t) + '"><a href="http://mobile.nytimes.com/international/"><span>International Edition</span></a></li>\n</ul>\n</section>\n<section class="primary-navigation">\n<h2 class="section-heading visually-hidden">Navigation Section</h2>\n<ul class="menu">\n<li><a href="http://mobile.nytimes.com/' + (null == (__t = isGlobalEdition ? "international/" : "") ? "" : __t) + '"><span>Home</span></a></li>\n<li><a href="http://mobile.nytimes.com/world/"><span>World</span></a></li>\n<li><a href="http://mobile.nytimes.com/national/"><span>U.S. ' + (null == (__t = isGlobalEdition ? "News" : "") ? "" : __t) + '</span></a></li>\n<li><a href="http://mobile.nytimes.com/politics/"><span>' + (null == (__t = isGlobalEdition ? "U.S." : "") ? "" : __t) + ' Politics</span></a></li>\n<li><a href="http://mobile.nytimes.com/upshot/"><span>The Upshot</span></a></li>\n<li><a href="http://mobile.nytimes.com/nyregion/"><span>New York</span></a></li>\n<li><a href="http://mobile.nytimes.com/' + (null == (__t = isGlobalEdition ? "international/" : "") ? "" : __t) + 'business/"><span>Business ' + (null == (__t = isGlobalEdition ? "" : "Day") ? "" : __t) + '</span></a></li>\n<li><a href="http://mobile.nytimes.com/technology/"><span>Technology</span></a></li>\n<li><a href="http://mobile.nytimes.com/' + (null == (__t = isGlobalEdition ? "international/" : "") ? "" : __t) + 'sports/"><span>Sports</span></a></li>\n</ul>\n<ul class="menu">\n<li><a href="http://mobile.nytimes.com/' + (null == (__t = isGlobalEdition ? "international/" : "") ? "" : __t) + 'opinion/"><span>Opinion</span></a></li>\n<li><a href="http://mobile.nytimes.com/science/"><span>Science</span></a></li>\n<li><a href="http://mobile.nytimes.com/health/"><span>Health</span></a></li>\n<li><a href="http://mobile.nytimes.com/' + (null == (__t = isGlobalEdition ? "international/" : "") ? "" : __t) + 'arts/"><span>Arts</span></a></li>\n<li><a href="http://mobile.nytimes.com/' + (null == (__t = isGlobalEdition ? "international/" : "") ? "" : __t) + 'style/"><span>Style</span></a></li>\n<li><a href="http://mobile.nytimes.com/photos/"><span>Photos</span></a></li>\n<li><a href="http://mobile.nytimes.com/video/"><span>Video</span></a></li>\n<li><a href="http://mobile.nytimes.com/most-emailed/"><span>Most Emailed</span></a></li>\n<li><a href="http://mobile.nytimes.com/times-insider/"><span>Times Premier</span></a></li>\n</ul>\n</section>\n<section class="secondary-navigation">\n<h2 class="section-heading visually-hidden">Navigation Section</h2>\n<ul class="menu">\n<li><a href="http://mobile.nytimes.com/automobiles/"><span>Automobiles</span></a></li>\n<li><a href="http://mobile.nytimes.com/blogs/"><span>Blogs</span></a></li>\n<li><a href="http://mobile.nytimes.com/books/"><span>Books</span></a></li>\n<li><a href="http://mobile.nytimes.com/' + (null == (__t = isGlobalEdition ? "international/" : "") ? "" : __t) + 'dining/"><span>Food</span></a></li>\n<li><a href="http://mobile.nytimes.com/education/"><span>Education</span></a></li>\n<li><a href="http://mobile.nytimes.com/magazine/"><span>Magazine</span></a></li>\n<li><a href="http://mobile.nytimes.com/mens-style/"><span>Men\'s Style</span></a></li>\n<li><a href="http://mobile.nytimes.com/movies/"><span>Movies</span></a></li>\n<li><a href="http://mobile.nytimes.com/music/"><span>Music</span></a></li>\n<li><a href="http://mobile.nytimes.com/business/media/"><span>Media &amp; Advertising</span></a></li>\n<li><a href="http://mobile.nytimes.com/obituaries/"><span>Obituaries</span></a></li>\n</ul>\n<ul class="menu">\n<li><a href="http://mobile.nytimes.com/publiceditor/"><span>Public Editor</span></a></li>\n', isGlobalEdition || (__p += '\n<li><a href="http://mobile.nytimes.com/realestate/"><span>Real Estate</span></a></li>\n'), __p += '\n<li><a href="http://mobile.nytimes.com/opinion/sundayreview/"><span>Sunday Review</span></a></li>\n', isGlobalEdition && (__p += '\n<li><a href="http://mobile.nytimes.com/opinion/international/greathomes/"><span>Great Homes and Destinations</span></a></li>\n'), __p += '\n<li><a href="http://mobile.nytimes.com/tmagazine/"><span>T Magazine</span></a></li>\n<li><a href="http://mobile.nytimes.com/television/"><span>Television</span></a></li>\n<li><a href="http://mobile.nytimes.com/theater/"><span>Theater</span></a></li>\n<li><a href="http://mobile.nytimes.com/timeswire/"><span>Times Wire</span></a></li>\n<li><a href="http://mobile.nytimes.com/travel/"><span>Travel</span></a></li>\n<li><a href="http://mobile.nytimes.com/weddings/"><span>Weddings</span></a></li>\n<li><a href="http://nytlive.nytimes.com/womenintheworld/"><span>Women In The World</span></a></li>\n<li><a href="http://mobile.nytimes.com/corrections/"><span>Corrections</span></a></li>\n</ul>\n</section>\n<section class="tertiary-navigation">\n<h2 class="section-heading visually-hidden">Navigation Section</h2>\n<ul class="menu">\n<li><a href="http://mobile.nytimes.com/recommendations/"><span>Recommendations</span></a></li>\n</ul>\n<ul class="menu">\n<li><a href="http://mobile.nytimes.com/saved/"><span>Saved</span></a></li>\n</ul>\n</section>\n<section class="settings ' + (null == (__t = userData.isLoggedIn() ? "" : "hidden") ? "" : __t) + '">\n<h2 class="section-heading visually-hidden">Navigation Section</h2>\n<ul class="menu">\n<li><span class="label">Account:</span> ' + (null == (__t = userData.getUserName()) ? "" : __t) + '</li>\n</ul>\n</section>\n<section class="logout ' + (null == (__t = userData.isLoggedIn() ? "" : "hidden") ? "" : __t) + '">\n<h2 class="section-heading visually-hidden">Navigation Section</h2>\n<ul class="menu">\n<li><a href="http://mobile.nytimes.com/logout"><span>Log out</span></a></li>\n</ul>\n</section>\n<section class="account ' + (null == (__t = userData.isLoggedIn() ? "hidden" : "") ? "" : __t) + '">\n<h2 class="section-heading visually-hidden">Navigation Section</h2>\n<ul class="menu">\n<li><a href="http://www.nytimes.com/mowweb/ftnotlog"><span>Subscribe</span></a></li>\n</ul>\n<ul class="menu">\n<li><a href="https://myaccount.nytimes.com/mobile/login/smart/index.html?EXIT_URI=' + (null == (__t = encodeURIComponent(window.location)) ? "" : __t) + '"><span>Log In</span></a></li>\n</ul>\n</section>';
            return __p
        }, templates.navigationModalContent = function(obj) {
            var __t, __p = "";
            Array.prototype.join;
            with(obj || {}) __p += '<div class="secondary-container">\n' + (null == (__t = secondary) ? "" : __t) + '\n</div>\n<div class="tertiary-container">\n' + (null == (__t = tertiary) ? "" : __t) + "\n</div>";
            return __p
        }, templates.secondaryPanel = function(obj) {
            var __t, __p = "";
            Array.prototype.join;
            with(obj || {}) {
                __p += '<div class="secondary-container">\n<div class="header">\n<h5 class="section-heading"><a href="" role="menuitem"></a></h5>\n</div>\n';
                var count = 1;
                __p += "", _.each(level2, function(e) {
                    __p += '\n<div class="section" data-parent="navId-' + (null == (__t = e[0].getParentId()) ? "" : __t) + '">\n<ul class="secondary" role="menu">\n', _.each(e, function(e) {
                        __p += "\n" + (null == (__t = liTemplate({
                            model: e,
                            isVisible: !0
                        })) ? "" : __t) + "\n"
                    }), __p += "\n</ul>\n</div><!-- close secondary " + (null == (__t = e[0].getParentId()) ? "" : __t) + " sections -->\n"
                }), __p += "", _.each(level1, function(e) {
                    __p += '\n<div class="section section-more ' + (null == (__t = isVisible(e[0], count, !0) === !1 ? "hidden" : "") ? "" : __t) + '"  data-parent="navId-more-section">\n<ul class="secondary" role="menu">\n', _.each(e, function(e) {
                        __p += "\n" + (null == (__t = liTemplate({
                                model: e,
                                isVisible: isVisible(e, count, !0)
                            })) ? "" : __t) + "\n", count += iterateTemplateCount(e),
                            __p += "\n"
                    }), __p += "\n", count += 1, __p += "\n</ul>\n</div>\n"
                }), __p += "</div><!-- close secondary modal -->"
            }
            return __p
        }, templates.tertiaryPanel = function(obj) {
            var __t, __p = "";
            Array.prototype.join;
            with(obj || {}) __p += '<div class="header">\n<h5 class="section-heading"><a href="" role="menuitem"></a></h5>\n</div>\n', _.each(level3, function(e, t) {
                __p += '\n<ul class="tertiary" data-parent="navId-' + (null == (__t = e[0].getParentId()) ? "" : __t) + '" role="menu">\n', _.each(e, function(e, t) {
                    __p += "\n" + (null == (__t = liTemplate({
                        model: e,
                        isVisible: !0
                    })) ? "" : __t) + "\n"
                }), __p += "\n</ul>\n"
            }), __p += "";
            return __p
        }, templates
    }), define("shared/data/models/section", ["backbone/nyt"], function(e) {
        "use strict";
        var t = e.Model.extend({
            defaults: {
                name: "",
                edition: "",
                className: "",
                path: "",
                show_in_nav: !0,
                hasSubsections: !1,
                level: 1,
                taxonomyId: ""
            },
            getTaxonomyId: function() {
                return this.get("taxonomyId")
            },
            getParentId: function() {
                return this.get("parent")
            },
            getEdition: function() {
                var e = this.get("edition");
                return "global" === e ? "international" : e
            },
            hasChildren: function() {
                return this.get("hasSubsections")
            },
            getPath: function() {
                return this.get("path")
            },
            getLevel: function() {
                return this.get("level")
            }
        });
        return t
    }), define("shared/data/collections/taxonomy", ["backbone/nyt", "underscore/nyt", "foundation/collections/base-collection", "shared/data/models/section", "foundation/hosts", "foundation/models/user-data"], function(e, t, i, s, n) {
        "use strict";
        var a = i.extend({
            url: n.json + "/services/json/taxonomy/v2/flat.jsonp",
            model: s,
            sectionMarkers: ["C5BFA7D5-359C-427B-90E6-6B7245A6CDD8", "5C13EEDD-D905-4D8C-A284-6859EA434563", "8FB1308A-FFE4-4BED-ADF6-659A680D0884", "6101A43A-8BDE-45FF-AAD5-EF7396F83AC9", "FED853D9-D192-46F6-8D18-447803EB4A7B"],
            initialize: function() {
                this.editionString = "us" === this.pageManager.getEdition() ? "domestic" : "global", this.level1 = [], this.level2 = [], this.level3 = [], this.fetch()
            },
            sync: function(t, i, s) {
                return s.dataType = "jsonp", s.jsonpCallback = "jsonTaxonomyCallback", s.cache = !0, e.sync(t, i, s)
            },
            parse: function(i) {
                var n, a, o, r = 0,
                    l = new e.Collection,
                    d = t.map(i.elements, function(e) {
                        return e.taxonomyId = e.id, e.id = r++, e
                    });
                for (l.model = s, l.reset(d), n = l.where({
                        parent: null
                    }), a = 0, r = 0, o = n.length; o > r; r += 1) t.indexOf(this.sectionMarkers, n[r].get("taxonomyId")) >= 0 && (this.levelData(l, n.slice(a, r), 0), a = r);
                return this.levelData(l, n.slice(a, n.length), 0), this.level1.push([new s({
                    name: "More",
                    taxonomyId: "more-section",
                    hasSubsections: !0
                })]), l.toJSON()
            },
            levelData: function(e, i, s) {
                var n, a, o, r, l, d, h;
                if (t.isArray(i))
                    for (this["level" + (s + 1)].push(i), n = 0, a = i.length; a > n; n += 1) this.levelData(e, i[n], s + 1);
                else 3 > s && (h = e.where({
                    taxonomyId: i.get("taxonomyId")
                }).length > 1, o = e.where({
                    parent: i.get("taxonomyId"),
                    show_in_nav: !0
                }), h && (o = t.uniq(o, function(e) {
                    return e.get("taxonomyId")
                }))), r = o && o.length > 0, i.set("className", i.get("name").replace(/[^a-zA-Z0-9]/g, "").toLowerCase()), i.set("hasSubsections", r), i.set("level", s), l = i.get("alternate_editions"), l && l[this.editionString] && (d = e.findWhere({
                    taxonomyId: l[this.editionString]
                }), i.set("editionName", d.get("name")), i.set("editionPath", d.get("path"))), r && this.levelData(e, o, s)
            },
            getPrimarySections: function() {
                return this.level1
            },
            getSecondarySections: function() {
                return this.level2
            },
            getTertiarySections: function() {
                return this.level3
            },
            getSectionByKeyword: function(e) {
                return this.find(function(t) {
                    var i = t.get("path") || "";
                    return i.indexOf("/" + e + "/index.html") > 0
                })
            }
        });
        return a
    }), define("shared/data/instances/taxonomy", ["shared/data/collections/taxonomy"], function(e) {
        "use strict";
        return new e
    }), define("shared/navigation/views/navigation", ["module", "jquery/nyt", "underscore/nyt", "foundation/views/base-view", "foundation/views/page-manager", "foundation/hosts", "foundation/models/user-data", "shared/modal/views/modal", "shared/navigation/templates", "shared/data/instances/taxonomy"], function(e, t, i, s, n, a, o, r, l, d) {
        "use strict";
        var h = s.registerView("navigation").extend({
            module: e,
            el: "#navigation",
            navTemplate: l.navigation,
            modalTemplate: l.navigationModalContent,
            events: {
                mouseleave: "delayedClose",
                mouseenter: "cancelDelayedClose",
                "mouseenter li a": "tryPrimaryHover",
                "mouseleave li a.expandable": "delayedModalClose",
                "click li a": "activatePrimaryItem",
                "click .menu a[href]": "handlePrimaryNavigationClick"
            },
            nytEvents: {
                "nyt:masthead-section-click": "toggle",
                "nyt:navigation-toggle-ready": "toggle",
                "nyt:navigation-edge-click": "open",
                "nyt:navigation-edge-mouse-enter": "delayedOpen",
                "nyt:navigation-edge-mouse-leave": "cancelDelayedOpen",
                "nyt:messaging-critical-alerts-move-furniture": "moveNav",
                "nyt:messaging-suggestions-move-furniture": "moveNav",
                "nyt:a11y-enabled": "enableA11Nav",
                "nyt:a11y-disabled": "disableA11yNav"
            },
            defaultSettings: {
                panelwidth: 210,
                navTimeout: 500,
                navAnimation: 150,
                hoverTimeout: 500,
                intentRangeLower: 10,
                intentRangeUpper: 170,
                maxMouseLocs: 2,
                a11yEnabled: !1
            },
            modalSettings: {
                id: "navigation-modal",
                modalTitle: "",
                modalContent: "",
                tailDirection: "left-top",
                closeOnClick: !1,
                fixedOverride: !0,
                autoPosition: !0,
                positionTailSide: !0,
                toggleSpeed: 1
            },
            mouseLocs: [],
            navIds: {
                REAL_ESTATE: "navId-92720057-BCB6-4BDB-9351-12F29393259F",
                OPINION_DOMESTIC: "navId-09736473-CB3F-4B2F-9772-3AF128ABE12D",
                OPINION_INTERNATIONAL: "navId-AD8090D7-4137-4D71-84C8-70DA3BD89778",
                MORE: "navId-more-section"
            },
            navLevels: {
                PRIMARY: 1,
                SECONDARY: 2,
                TERTIARY: 3
            },
            initialize: function(e) {
                i.bindAll(this, "tryPrimaryHover", "trySecondaryHover", "open", "close", "render", "saveMousePosition", "delayedOpen", "delayedClose", "cancelDelayedOpen", "cancelDelayedClose", "delayedModalOpen", "delayedModalClose", "cancelDelayedModalOpen", "cancelDelayedModalClose", "delayedPrimaryHover", "cancelDelayedPrimaryHover", "delayedSecondaryHover", "cancelDelayedSecondaryHover", "handleClickClose", "handleTapClose", "detectFalsePositive", "isNavItemVisible", "iterateTemplateCount"), this.settings = i.extend({}, this.defaultSettings, e), this.singlePanelWidth = this.settings.panelwidth + "px", this.singlePanelPartlyShut = this.settings.panelwidth - 20 + "px", this.isNavAnimating = !1, this.timer = {}, d.length > 0 ? this.render() : this.subscribeOnce(d, "sync", this.render), this.$document.on("click", "#navigation-modal a[href]", i.bind(this.handleModalClick, this)), this.trackingBaseData = {
                    module: "SectionsNav",
                    action: "click",
                    version: "BrowseTree",
                    region: "TopBar"
                }
            },
            handleUserReady: function() {
                this.updateCrosswordSubscriptionLink()
            },
            updateCrosswordSubscriptionLink: function() {
                var e = o.isTabletSubscriber(),
                    i = o.isSmartphoneSubscriber(),
                    s = o.isHomeDeliverySubscriber(),
                    n = o.isPremierSubscriber(),
                    r = o.isOpinionSubscriber(),
                    l = o.isCrosswordsSubscriber(),
                    d = a.www + "/subscriptions/games/lp8J6KQ.html?campaignId=49W96",
                    h = a.www + "/subscriptions/games/lp897H9.html?campaignId=49W8Y";
                (e || i || s || n || r) && !l ? t("#nyt-crossword").attr("href", d) : l || t("#nyt-crossword").attr("href", h)
            },
            handlePrimaryNavigationClick: function(e) {
                var i = t(e.currentTarget),
                    s = this.trackingAppendParams(i.attr("href"), {
                        contentCollection: t.trim(i.text())
                    });
                i.attr("href", s)
            },
            handleModalClick: function(e) {

                var i = t(e.currentTarget),
                    s = t.trim(t("#navigation-modal").find(".secondary-container .header").text()),
                    n = this.trackingAppendParams(i.attr("href"), {
                        contentCollection: s + "/" + t.trim(i.text()),
                        contentPlacement: i.closest("ul").hasClass("secondary") ? 2 : 3
                    });
                i.attr("href", n)
            },
            moveNav: function(e) {
                e(this.$el)
            },
            render: function() {
                var e, t, s, n = 23,
                    a = 33,
                    o = this,
                    h = this.$body.find(".navigation-modal");
                this.navItemsInView = n, this.navItemsInView = Math.floor((this.pageManager.getViewport().height - 41) / 26), this.pageManager.isMobile() ? this.navItemsInView = n : this.navItemsInView > a ? this.navItemsInView = a : this.navItemsInView < n && (this.navItemsInView = n), this.$el.html(l.mainPanel({
                    level1: d.getPrimarySections(),
                    liTemplate: l.menuItem,
                    isVisible: this.isNavItemVisible,
                    iterateTemplateCount: this.iterateTemplateCount
                })), e = l.secondaryPanel({
                    level1: i.initial(d.getPrimarySections()),
                    level2: d.getSecondarySections(),
                    liTemplate: l.menuItem,
                    isVisible: this.isNavItemVisible,
                    iterateTemplateCount: this.iterateTemplateCount
                }), t = l.tertiaryPanel({
                    level3: d.getTertiarySections(),
                    liTemplate: l.menuItem
                }), h.eq(0).remove(), this.modalSettings.modalContent = l.navigationModalContent({
                    secondary: e,
                    tertiary: t
                }), this.navigationModal = new r(this.modalSettings), this.navigationModal.addToPage(), this.navigationModal.$modal.on("mouseover", ".secondary li a", o.trySecondaryHover).on("click", ".secondary li a.expandable", o.activateSecondaryItem).on("mouseenter", ".tertiary-container", o.cancelDelayedSecondaryHover).on("mouseenter", function() {
                    o.cancelDelayedClose(), o.cancelDelayedModalClose(), o.cancelDelayedPrimaryHover()
                }).on("mouseleave", function() {
                    o.delayedClose(), o.delayedModalClose()
                }), this.navigationModal.$modal.find(".secondary-container .hidden .menuitem-visible").eq(0).closest(".section").removeClass("hidden"), s = this.navigationModal.$modal.find(".section-more"), this.moreInModalHeight = 25 * s.find(".menuitem-visible").length + 30 * s.not(".hidden").length + 45
            },
            isNavItemVisible: function(e, t, i) {
                return i ? t > this.navItemsInView && "more-section" !== e.getTaxonomyId() : t <= this.navItemsInView || "more-section" === e.getTaxonomyId()
            },
            iterateTemplateCount: function(e) {
                var t = "global" === this.pageManager.getEdition() ? "international" : "domestic";
                return e.getEdition() && t !== e.getEdition() ? 0 : 1
            },
            toggle: function() {
                this.$el.hasClass("active") ? this.close() : this.open()
            },
            open: function() {
                var e = this,
                    t = {
                        width: e.singlePanelPartlyShut,
                        display: "block",
                        opacity: "0"
                    },
                    i = {
                        width: e.singlePanelWidth,
                        opacity: "1"
                    };
                this.isNavAnimating || this.$el.hasClass("active") !== !1 || (this.$el.css(t), this.$el.toggleClass("active"), this.$html.toggleClass("navigation-active"), this.isNavAnimating = !0, this.$el.animate(i, this.settings.navAnimation, function() {
                    e.isNavAnimating = !1, e.$body.on("click", e.handleTapClose)
                }), this.pageManager.isMobile() && this.$body.css("cursor", "pointer"), this.settings.a11yEnabled && this.toggleFocusEvents(!0), this.broadcast("nyt:navigation-opened", this), this.$document.on("mousemove", this.saveMousePosition))
            },
            close: function() {
                var e, t, i;
                this.isNavAnimating || this.$el.hasClass("active") !== !0 || (e = this, t = this.$el.css("marginTop"), i = {
                    width: this.singlePanelPartlyShut,
                    opacity: "0"
                }, this.navigationModal.close(), this.resetNav(this.navLevels.SECONDARY), this.isNavAnimating = !0, this.$el.animate(i, this.settings.navAnimation, function() {
                    e.$el.toggleClass("active"), e.$html.toggleClass("navigation-active"), e.$body.off("click", e.handleClickClose), e.$body.off("click", e.handleTapClose), e.$el.removeAttr("style"), e.$el.css("marginTop", t), e.$el.find("a").removeClass("active"), e.isNavAnimating = !1
                }), this.pageManager.isMobile() && this.$body.css("cursor", ""), this.settings.a11yEnabled && this.toggleFocusEvents(!1), this.broadcast("nyt:navigation-closed", this), this.$document.off("mousemove", this.saveMousePosition))
            },
            resetNav: function(e) {
                var t = this.navigationModal.$modal;
                e === this.navLevels.SECONDARY && t.find(".section").removeClass("active"), t.find(".secondary a").removeClass("active"), t.find(".tertiary").removeClass("active"), t.find(".modal-content").removeClass("expanded"), t.find(".section-heading a").removeClass("active")
            },
            activatePrimaryItem: function(e) {
                var i, s, n, a, o, r, l = t(e.target).closest("a");
                e.stopPropagation(), l.hasClass("active") || this.isNavAnimating !== !1 || (l.hasClass("expandable") ? (i = this.navigationModal, s = i.$modal.find('[data-parent="' + l.attr("id") + '"]').find("li").length, n = 55, a = 29 * s, o = a + n, l.attr("id") === this.navIds.REAL_ESTATE ? o = 200 : l.attr("id") === this.navIds.MORE ? o = this.moreInModalHeight || 553 : (l.attr("id") === this.navIds.OPINION_DOMESTIC || l.attr("id") === this.navIds.OPINION_INTERNATIONAL) && (o = 357), this.cancelDelayedModalClose(), this.resetNav(this.navLevels.SECONDARY), i.$modal.height(o), e.currentTarget = e.target, i.open(e), this.moveModalArrow(), this.$el.find("a").removeClass("active").attr("aria-expanded", "false"), l.addClass("active").attr("aria-expanded", "true"), i.$modal.find(".secondary").removeClass("active"), r = i.$modal.find(".secondary-container .section-heading"), this.setHeadingText(l, r), i.$modal.find('[data-parent="' + l.attr("id") + '"]').addClass("active"), this.broadcast("nyt:navigation-level-one-open", i.$modal)) : this.modalClose())
            },
            setHeadingText: function(e, t) {
                e.attr("href") ? t.html('<a href="' + e.attr("href") + '" tabinxdex="0" role="menuitem" class="active">' + e.text() + "</a>") : t.html(e.text())
            },
            moveModalArrow: function() {
                var e, i, s, n = this.navigationModal.$modal,
                    a = 12,
                    o = 18,
                    r = 39,
                    l = this.settings.panelwidth - 10;
                t("html").hasClass("viewport-large-70") && (l += t("#navigation-edge").width()), n.css("left", l + "px"), e = n.find(".modal-pointer"), e.hasClass("modal-pointer-left") ? (i = Math.floor(n.outerHeight() / 2) - o, e.css("top", i + "px")) : e.hasClass("modal-pointer-left-top") ? e.css("top", a, "px") : e.hasClass("modal-pointer-left-bottom") && (s = n.outerHeight() - r, e.css("top", s + "px"))
            },
            activateSecondaryItem: function(e) {
                var i, s, n = t(e.target).closest("a");
                n.hasClass("active") || this.isNavAnimating !== !1 || (e.preventDefault(), i = this.navigationModal.$modal, n.hasClass("expandable") ? (this.resetNav(this.navLevels.TERTIARY), i.find(".modal-content").addClass("expanded"), s = i.find(".tertiary-container .section-heading"), this.setHeadingText(n, s), i.find('[data-parent="' + n.attr("id") + '"]').eq(0).addClass("active"), n.addClass("active").attr("aria-expanded", "true"), this.broadcast("nyt:navigation-level-two-open", i.find(".tertiary-container"))) : (this.resetNav(this.navLevels.TERTIARY), n.addClass("active")))
            },
            tryPrimaryHover: function(e) {
                var i, s = t(e.target).closest("a"),
                    n = s.hasClass("expandable");
                this.cancelDelayedClose(), n && this.cancelDelayedModalClose(), this.cancelDelayedPrimaryHover(), this.$el.find("li a.active").length > 0 ? (i = this.getAngle(this.mouseLocs[0], this.mouseLocs[1]), i > this.defaultSettings.intentRangeLower && i < this.defaultSettings.intentRangeUpper ? this.delayedPrimaryHover(e) : this.activatePrimaryItem(e)) : this.activatePrimaryItem(e)
            },
            trySecondaryHover: function(e) {
                var t;
                this.cancelDelayedClose(), this.cancelDelayedModalClose(), this.cancelDelayedSecondaryHover(), this.navigationModal.$modal.find(".modal-content").hasClass("expanded") ? (t = this.getAngle(this.mouseLocs[0], this.mouseLocs[1]), t > this.defaultSettings.intentRangeLower && t < this.defaultSettings.intentRangeUpper ? this.delayedSecondaryHover(e) : this.activateSecondaryItem(e)) : this.activateSecondaryItem(e)
            },
            getAngle: function(e, t) {
                var i, s, n, a, o, r, l;
                return e && t ? (i = e.x, s = e.y, n = t.x, a = t.y, o = n - i, r = a - s, l = Math.round(180 * Math.atan2(o, r) / Math.PI * 10) / 10) : null
            },
            delayedOpen: function() {
                this.timer.navOpen = window.setTimeout(this.open, this.defaultSettings.navTimeout)
            },
            delayedClose: function() {
                this.timer.navClose = window.setTimeout(this.close, this.defaultSettings.navTimeout)
            },
            cancelDelayedOpen: function() {
                window.clearTimeout(this.timer.navOpen)
            },
            cancelDelayedClose: function() {
                window.clearTimeout(this.timer.navClose)
            },
            delayedModalOpen: function() {
                this.timer.modalOpen = window.setTimeout(this.navigationModal.open, this.defaultSettings.navTimeout)
            },
            delayedModalClose: function() {
                var e = this;
                this.cancelDelayedPrimaryHover(), this.cancelDelayedSecondaryHover(), this.timer.modalClose = window.setTimeout(function() {
                    e.modalClose()
                }, this.defaultSettings.navTimeout)
            },
            modalClose: function() {
                this.$el.find("a").removeClass("active"), this.navigationModal.close()
            },
            cancelDelayedModalOpen: function() {
                window.clearTimeout(this.timer.modalOpen)
            },
            cancelDelayedModalClose: function() {
                window.clearTimeout(this.timer.modalClose)
            },
            delayedPrimaryHover: function(e) {
                var t = this;
                t.timer.primaryHoverIntent = window.setTimeout(function() {
                    t.activatePrimaryItem(e)
                }, this.defaultSettings.hoverTimeout)
            },
            cancelDelayedPrimaryHover: function() {
                window.clearTimeout(this.timer.primaryHoverIntent)
            },
            delayedSecondaryHover: function(e) {
                var t = this;
                t.timer.secondaryHoverIntent = window.setTimeout(function() {
                    t.activateSecondaryItem(e)
                }, this.defaultSettings.hoverTimeout)
            },
            cancelDelayedSecondaryHover: function() {
                window.clearTimeout(this.timer.secondaryHoverIntent)
            },
            handleClickClose: function(e) {
                0 === t(e.target).closest("#navigation, #navigation-modal").length && this.close()
            },
            handleTapClose: function(e) {
                0 === t(e.target).closest("#navigation, #navigation-modal").length && this.close()
            },
            saveMousePosition: function(e) {
                this.mouseLocs.length > 1 ? (this.mouseLocs[1].x !== e.pageX || this.mouseLocs[1].y !== e.pageY) && (this.mouseLocs.push({
                    x: e.pageX,
                    y: e.pageY
                }), this.mouseLocs.length > this.defaultSettings.maxMouseLocs && this.mouseLocs.shift()) : this.mouseLocs.push({
                    x: e.pageX,
                    y: e.pageY
                })
            },
            toggleFocusEvents: function(e) {
                var t = e ? "subscribe" : "stopSubscribing";
                this[t]("nyt:page-key-tab nyt:page-key-up-a11y nyt:page-key-down-a11y", this.handleFocusKey), this[t]("nyt:page-key-esc-a11y nyt:page-key-left-a11y", this.handleCollapseKey), this[t]("nyt:page-key-enter nyt:page-key-right-a11y", this.handleExpandKey), this[t]("nyt:navigation-level-one-open nyt:navigation-level-two-open", this.addFocusableElements), e ? (this.focusableElements = [], this.addFocusableElements(), this.$document.on("mousemove", this.detectFalsePositive)) : delete this.focusableElements
            },
            addFocusableElements: function(e) {
                var t, s;
                this.settings.a11yEnabled && (e && e.length > 0 ? s = ".active a[role=menuitem]:visible, .section-heading a.active[role=menuitem]:visible" : (e = this.$el, s = "a[role=menuitem]:visible, .section-heading a.active[role=menuitem]:visible"), t = e.find(s).toArray(), this.focusableElements.push({
                    first: t[0],
                    all: t,
                    last: i.last(t)
                }), t[0].focus())
            },
            handleFocusKey: function(e) {
                var t = i.last(this.focusableElements),
                    s = this.getKeyDirection(e),
                    n = document.activeElement;
                if (n === t.last && "forward" === s) t.first.focus();
                else if (n === t.first && "backward" === s) t.last.focus();
                else if ("forward" === s) t.all[i.indexOf(t.all, n) + 1].focus();
                else {
                    if ("backward" !== s) return;
                    t.all[i.indexOf(t.all, n) - 1].focus()
                }
                e.preventDefault()
            },
            handleCollapseKey: function() {
                var e;
                this.focusableElements.pop(), e = i.last(this.focusableElements), this.focusableElements.length > 1 ? (this.resetNav(this.navLevels.TERTIARY), e.active.focus()) : this.focusableElements.length > 0 ? (this.modalClose(), e.active.focus()) : this.close()
            },
            handleExpandKey: function(e) {
                var s = t(document.activeElement),
                    n = i.last(this.focusableElements);
                n.active = s, s.hasClass("expandable") && (e.preventDefault(), s.closest(".secondary").length > 0 ? this.activateSecondaryItem(e) : this.activatePrimaryItem(e))
            },
            detectFalsePositive: i.throttle(function(e) {
                t(e.target).is('a[role="menuitem"], li[role="presentation"') && this.disableA11yNav()
            }, 1e3),
            getKeyDirection: function(e) {
                var t = "",
                    i = this.pageManager.KEYS,
                    s = e && e.keyCode ? e.keyCode : null;
                switch (s) {
                    case i.UP:
                    case i.LEFT:
                        t = "backward";
                        break;
                    case i.DOWN:
                    case i.RIGHT:
                    case i.TAB:
                        t = "forward"
                }
                return t
            },
            enableA11Nav: function() {
                this.settings.a11yEnabled = !0
            },
            disableA11yNav: function() {
                this.settings.a11yEnabled = !1, this.toggleFocusEvents(!1), this.$document.off("mousemove", this.detectFalsePositive)
            }
        });
        return h
    }), define("homepage/views/navigation/mini", ["underscore/nyt", "jquery/nyt", "foundation/views/base-view", "foundation/models/user-data"], function(e, t, i, s) {
        "use strict";
        var n = i.extend({
            el: "#mini-navigation",
            events: {
                "click .all-sections-button": "handleSectionsClick",
                "click .sections-button": "handleSectionsClick"
            },
            shortcuts: {
                crosswords: "3300eb4c-284f-4484-af31-0d7d1dba4f4c",
                timespremier: "99c17804-a343-4a76-bf04-f5793ada48d1"
            },
            initialize: function() {
                e.bindAll(this, "distinguishOptions")
            },
            handleDomReady: function() {
                s.ready(this.distinguishOptions)
            },
            distinguishOptions: function() {
                s.isLoggedIn() && this.handleLoggedInOptions()
            },
            handleLoggedInOptions: function() {
                s.isPremierSubscriber() && this.$el.find(".mini-navigation-menu .shortcuts-" + this.shortcuts.timespremier).addClass("enabled"), s.isCrosswordsSubscriber() && !s.isPremierSubscriber() && this.$el.find(".mini-navigation-menu .shortcuts-" + this.shortcuts.crosswords).addClass("enabled")
            },
            handleSectionsClick: function(e) {
                this.broadcast("nyt:navigation-toggle-ready", e)
            },
            handleSearchClick: function(e) {
                this.broadcast("nyt:navigation-search-click", e)
            }
        });
        return n
    }), define("homepage/views/navigation/in-content-theme", ["jquery/nyt", "underscore/nyt", "foundation/views/base-view"], function(e, t, i) {
        "use strict";
        var s = i.extend({
            el: "#mini-navigation",
            nytEvents: {
                "nyt:page-scroll": "toggleTheme"
            },
            defaultSettings: {
                themeClass: "theme-in-content",
                themeEventName: "nyt:mini-navigation-contenttheme"
            },
            navOffset: null,
            initialize: function(e) {
                this.settings = t.extend({}, this.defaultSettings, e), this.navOffset = this.$el.offset().top
            },
            handleDomReady: function() {
                this.toggleTheme()
            },
            toggleTheme: function() {
                var e = this.pageManager.getViewport().top,
                    t = this.$el.hasClass(this.settings.themeClass),
                    i = e > this.navOffset;
                i && !t ? (this.addTheme(), this.broadcast(this.settings.themeEventName, !0)) : !i && t && (this.removeTheme(), this.broadcast(this.settings.themeEventName, !1))
            },
            addTheme: function() {
                this.$el.addClass(this.settings.themeClass)
            },
            removeTheme: function() {
                this.$el.removeClass(this.settings.themeClass)
            }
        });
        return s
    }), define("homepage/instances/navigation", ["shared/navigation/views/navigation", "homepage/views/navigation/mini", "homepage/views/navigation/in-content-theme"], function(e, t, i) {
        "use strict";
        new e, new t, new i
    }), define("homepage/views/inside-nyt/inside-nyt", ["underscore/nyt", "jquery/nyt", "foundation/views/base-view", "homepage/templates"], function(e, t, i, s) {
        "use strict";
        var n = i.extend({
            el: "#inside-nyt-browser",
            settings: {
                visibleItems: 6
            },
            hammerSettings: {
                drag_block_vertical: !0,
                swipe_velocity: .7,
                drag_min_distance: 3
            },
            events: {
                "click .navigation-control .next:not(.deactivated)": "handleNextArrowClick",
                "click .navigation-control .previous:not(.deactivated)": "handlePreviousArrowClick",
                "dragstart .carousel": "handleDragStart",
                "drag .carousel": "handleDrag",
                "swipe .carousel": "handleSwipe"
            },
            nytEvents: {
                "nyt:ads-rendered": "checkMothAdRendered"
            },
            currentPosition: 0,
            mothAdPosition: 4,
            initialize: function() {
                this.trackingBaseData = {
                    action: "click",
                    region: "inside-nyt-region",
                    version: "Moth"
                }
            },
            handleDomReady: function() {
                var e;
                this.$carousel = this.$el.find(".carousel"), this.$menu = this.$carousel.find(".menu"), this.injectMothAdContainer(), this.$items = this.$menu.find("li"), this.totalItems = this.$items.length, this.itemWidth = this.$items.eq(1).width() + parseInt(this.$items.eq(1).css("margin-left"), 10), this.totalWidth = this.$items.length * this.itemWidth, this.isAnimating = !1, this.pointer = 1, this.$menu.css("width", this.totalWidth + "px"), this.assignCustomEasing(), this.totalItems <= this.settings.visibleItems && this.$el.find(".navigation-control").hide(), e = Math.max(this.$menu.height(), this.$carousel.height()) + 3, this.$carousel.height(e), this.$items.height(e)
            },
            animateToPointer: function(e) {
                var t = this,
                    i = (e - 1) * this.itemWidth;
                t.isAnimating = !0, t.$menu.animate({
                    left: "-" + i + "px"
                }, function() {
                    t.isAnimating = !1, t.activateArrows(e)
                })
            },
            activateArrows: function(e) {
                var i = t(".navigation-control"),
                    s = this.totalItems - this.settings.visibleItems + 1;
                i.find("button").removeClass("deactivated"), 1 === e ? i.find(".previous").addClass("deactivated") : e === s && i.find(".next").addClass("deactivated")
            },
            getNextRemainingItems: function() {
                return this.totalItems - this.pointer - this.settings.visibleItems
            },
            getPreviousRemainingItems: function() {
                return this.pointer - 1
            },
            getNextPointerValue: function() {
                return this.getNextRemainingItems() < this.settings.visibleItems ? this.pointer + this.getNextRemainingItems() + 1 : this.pointer + this.settings.visibleItems
            },
            getPreviousPointerValue: function() {
                return this.getPreviousRemainingItems() < this.settings.visibleItems ? this.pointer - this.getPreviousRemainingItems() : this.pointer - this.settings.visibleItems
            },
            next: function() {
                var e = this.getNextPointerValue();
                this.pointer !== e && (this.animateToPointer(e), this.pointer = e)
            },
            previous: function() {
                var e = this.getPreviousPointerValue();
                this.pointer !== e && (this.animateToPointer(e), this.pointer = e)
            },
            handleNextArrowClick: function() {
                this.isAnimating === !1 && this.next(), this.trackingTrigger("moth-forwardscroll-click", {
                    module: "inside-nyt-region",
                    eventName: "MOTH-ForwardScroll"
                })
            },
            handlePreviousArrowClick: function() {
                this.isAnimating === !1 && this.previous(), this.trackingTrigger("moth-backwardscroll-click", {
                    module: "inside-nyt-region",
                    eventName: "MOTH-BackwardScroll"
                })
            },
            handleDragStart: function() {
                this.currentPosition = this.$menu.css("left")
            },
            handleDrag: function(e) {
                var t, i;
                e.gesture.preventDefault(), this.stopSwipeAnimation(), t = parseInt(this.currentPosition, 10), i = this.checkLeftValue(t + e.gesture.deltaX), this.$menu.css("left", i + "px")
            },
            handleSwipe: function(e) {
                var t, i, s, n, a = this,
                    o = {},
                    r = 2e3;
                e.gesture.preventDefault(), this.stopSwipeAnimation(), t = 1 + e.gesture.distance / a.$el.width(), i = e.gesture.deltaX * t, n = r / e.gesture.velocityX, s = this.checkLeftValue(parseInt(a.$menu.css("left"), 10) + i), o = {
                    duration: n,
                    easing: "easeOutCirc"
                }, this.animateSwipe(s, o)
            },
            animateSwipe: function(e, t) {
                this.$menu.animate({
                    left: e
                }, t)
            },
            stopSwipeAnimation: function() {
                this.$menu.stop()
            },
            checkLeftValue: function(e) {
                var t = -1 * (this.totalWidth - this.settings.visibleItems * this.itemWidth);
                return e > 0 && (e = 0), t > e && (e = t), e
            },
            assignCustomEasing: function() {
                return t.easing.easeOutCirc = function(e, t, i, s, n) {
                    return s * Math.sqrt(1 - (t = t / n - 1) * t) + i
                }, this
            },
            injectMothAdContainer: function() {
                var e, t, i = this.$menu.children();
                i.length >= 4 && (e = i.eq(this.mothAdPosition - 1), t = e.clone(), t.html(s.mothAd()), e.after(t), this.broadcast("nyt:moth-ad-container-rendered"))
            }
        });
        return n
    }), define("homepage/instances/inside-nyt", ["homepage/views/inside-nyt/inside-nyt"], function(e) {
        "use strict";
        new e
    }), define("shared/slideshow/templates", ["underscore/nyt"], function(_) {
        var templates = {};
        return templates.embeddedSlideshow = function(obj) {
            var __t, __p = "";
            Array.prototype.join;
            with(obj || {}) __p += "", isLede === !1 && (__p += '\n<h4 class="headline">' + (null == (__t = headline) ? "" : __t) + "</h4>\n"), __p += '<div class="container">\n<div class="content-container">\n<div class="image"></div>\n<div class="caption-container">\n<figcaption class="caption" itemprop="description"></figcaption>\n</div>\n</div>\n</div><nav class="arrow-navigation">\n<span class="counter"></span>\n<button class="arrow-navigation-previous">\n<span class="visually-hidden">Go to previous slide</span>\n<div class="arrow arrow-left">\n<div class="arrow-conceal"></div>\n</div>\n</button>\n<button class="arrow-navigation-next">\n<span class="visually-hidden">Go to next slide</span>\n<div class="arrow arrow-right">\n<div class="arrow-conceal"></div>\n</div>\n</button>\n</nav>';
            return __p
        }, templates.embeddedSlideshowHP = function(obj) {
            var __p = "";
            Array.prototype.join;
            with(obj || {}) __p += '<div class="content-container">\n<div class="image"></div>\n<nav class="arrow-navigation">\n<button class="arrow-navigation-previous">\n<span class="visually-hidden">Go to previous slide</span>\n<div class="arrow arrow-left">\n<div class="arrow-conceal"></div>\n</div>\n</button>\n<button class="arrow-navigation-next">\n<span class="visually-hidden">Go to next slide</span>\n<div class="arrow arrow-right">\n<div class="arrow-conceal"></div>\n</div>\n</button>\n<span class="counter"></span>\n</nav>\n<figcaption class="caption" itemprop="description"></figcaption>\n</div>';
            return __p
        }, templates.image = function(obj) {
            var __t, __p = "";
            Array.prototype.join;
            with(obj || {}) __p += "", __p += "homepage" === applicationName ? '\n<a href="' + (null == (__t = url) ? "" : __t) + '" style="display:none;"><img src="' + (null == (__t = src) ? "" : __t) + '" data-caption="" /></a>\n' : '\n<img src="' + (null == (__t = src) ? "" : __t) + '" data-caption="" style="display:none;" />\n<nav class="image-navigation previous">\n<span class="visually-hidden">Go to previous slide</span>\n</nav>\n<nav class="image-navigation next">\n<span class="visually-hidden">Go to next slide</span>\n</nav>\n', __p += "";
            return __p
        }, templates.imageInfo = function(obj) {
            var __t, __p = "";
            Array.prototype.join;
            with(obj || {}) __p += '<span class="caption-control" style="display:none;">\n<span class="caption-text">\n' + (null == (__t = caption) ? "" : __t) + '\n</span>\n<span class="credit" itemprop="copyrightHolder">\n<span class="visually-hidden">Credit</span>\n' + (null == (__t = credit) ? "" : __t) + "\n</span>\n</span>";
            return __p
        }, templates
    }), define("shared/slideshow/views/embedded-slideshow", ["jquery/nyt", "underscore/nyt", "backbone/nyt", "foundation/collections/base-collection", "foundation/views/base-view", "shared/slideshow/templates"], function(e, t, i, s, n, a) {
        "use strict";
        var o = n.extend({
            speed: 1e3,
            defaultSlideshowCaptionHeight: 50,
            ledeSlideshowCaptionHeight: 67,
            ledeSquareSlideshowSideCaptionHeight: 245,
            firstSlide: !0,
            hammerSettings: {
                tap_max_touchtime: 400,
                swipe_velocity: .1,
                drag_min_distance: 3
            },
            imageShapes: {
                PANORAMIC: "ratio-panoramic",
                LANDSCAPE: "ratio-landscape",
                SQUARE: "ratio-square",
                PORTRAIT: "ratio-portrait"
            },
            slideshowTypes: {
                MIXED: "mixed",
                ALLPORTRAIT: "allPortrait",
                ALLSQUARE: "allSquare"
            },
            $prevArrow: e(),
            $nextArrow: e(),
            $captionText: e(),
            events: {
                "click .arrow-navigation-previous": "prevAsset",
                "click .arrow-navigation-next": "nextAsset",
                "click .image-navigation.previous": "prevAsset",
                "click .image-navigation.next": "nextAsset",
                "mouseenter .image-navigation.previous": "lightPrevArrow",
                "mouseleave .image-navigation.previous": "unLightPrevArrow",
                "mouseenter .image-navigation.next": "lightNextArrow",
                "mouseleave .image-navigation.next": "unLightNextArrow",
                drag: "handleDrag",
                swipeleft: "nextAsset",
                swiperight: "prevAsset"
            },
            initialize: function(e) {
                this.assetIndex = 0, t.bindAll(this, "prevAsset", "nextAsset", "lightPrevArrow", "unLightPrevArrow", "lightNextArrow", "unLightNextArrow"), e.showOnInit || this.$el.hide(), this.$body.off("click", ".slideshow"), this.isMobile = this.pageManager.isMobile(), this.isLede = this.isSlideshowLede(), this.trackingBaseData = {
                    module: "Slideshow",
                    action: "click",
                    contentCollection: this.pageManager.getMeta("article:section"),
                    version: "Embedded",
                    region: "Body"
                }, this.captionList = e.captionList, this.cropList = e.cropList, this.template = e.template || "embeddedSlideshow", this.truncateCaptions = "boolean" == typeof e.truncateCaption ? e.truncateCaption : !0
            },
            handleDomReady: function() {
                var e = a[this.template];
                this.getAssetsFromJSON(this.$el, this.captionList, this.cropList), this.setSlideshowClass(), this.$el.append(e({
                    headline: this.headline,
                    collection: this.collection,
                    isMobile: this.isMobile,
                    isLede: this.isLede
                })), this.$prevArrow = this.$el.find(".arrow-navigation-previous"), this.$nextArrow = this.$el.find(".arrow-navigation-next"), this.render(), this.setCounter(), this.$el.fadeIn(this.speed), this.trackingBaseData.contentID = this.assetID, this.debouncedHandleWindowResize = t.debounce(this.handleWindowResize, 250), this.isSlideshowLede() && this.subscribe(this.pageManager, "nyt:page-resize", this.debouncedHandleWindowResize)
            },
            findBasedOnList: function(e, t) {
                var i;
                for (i = 0; i <= t.length; i += 1)
                    if (e.hasOwnProperty(t[i])) return e[t[i]];
                return {}
            },
            getImageShape: function(e, t) {
                var i = 1.7,
                    s = 1.1,
                    n = .9,
                    a = e / t;
                return a > i ? this.imageShapes.PANORAMIC : a > s ? this.imageShapes.LANDSCAPE : a > n ? this.imageShapes.SQUARE : this.imageShapes.PORTRAIT
            },
            getAssetsFromJSON: function(i, n, a) {
                var o, r, l, d = this,
                    h = i.find("script").get(0).innerHTML,
                    c = e.parseJSON(h),
                    u = !0,
                    m = !0,
                    p = 0;
                this.slideshowType = this.slideshowTypes.MIXED, this.headline = c.headline || "", this.assetID = c.id;
                try {
                    c = t.map(c.imageslideshow.slides, function(e) {
                        return o = d.findBasedOnList(e.image_crops, a), r = d.findBasedOnList(e.caption, n), l = d.getImageShape(o.width, o.height), p = p > o.height ? p : o.height, l !== d.imageShapes.PORTRAIT && (u = !1), l !== d.imageShapes.SQUARE && (m = !1), o ? {
                            src: o.url,
                            caption: r,
                            credit: e.credit,
                            imageShape: l
                        } : null
                    })
                } catch (g) {
                    c = []
                }
                c = t.filter(c, function(e) {
                    return !!e
                }), u ? this.slideshowType = this.slideshowTypes.ALLPORTRAIT : m && (this.slideshowType = this.slideshowTypes.ALLSQUARE), this.tallestImageHeight = p, this.collection = new s, this.collection.reset(c)
            },
            render: function() {
                var i, s, n, o, r = new Image,
                    l = this.$el.find("figure").get("context").getAttribute("data-url"),
                    d = this.pageManager.getApplicationName(),
                    h = this.$el.find(".image"),
                    c = this.$el.find(".caption"),
                    u = this.$el.find(".loader-container"),
                    m = this;
                return i = this.collection.at(this.assetIndex), s = e(a.image({
                    src: i.get("src"),
                    url: l,
                    applicationName: d
                })), n = e(a.imageInfo({
                    caption: i.get("caption"),
                    credit: i.get("credit")
                })), h.html(s), this.isMobile || "homepage" !== d || h.css("height", this.tallestImageHeight), u.css("margin-bottom", 0), c.html(n), this.$captionText = this.$el.find(".caption-text"), n.fadeIn(this.speed), o = i.get("imageShape"), this.$el.find(".container").removeClass(t.values(this.imageShapes).join(" ")).addClass(o), r.onload = function() {
                    var e;
                    s.fadeIn(m.speed, function() {
                        m.toggleLoader(!1)
                    }), m.truncateCaptions && (e = m.getTruncationHeight(o), m.truncateText(m.$captionText, e, !0))
                }, r.src = i.get("src"), this
            },
            nextAsset: function(e) {
                var t;
                e.stopPropagation(), this.moveIndex(1), this.render(), this.setCounter(), t = this.assetIndex + 1, this.trackingTrigger("embedded-slideshow-next-image", {
                    eventName: "NextAsset-" + t + (t === this.collection.length ? "-Finish" : ""),
                    mdata: {
                        currentSlide: t,
                        totalSlides: this.collection.length
                    }
                })
            },
            prevAsset: function(e) {
                var t;
                e.stopPropagation(), this.moveIndex(-1), this.render(), this.setCounter(), t = this.assetIndex + 1, this.trackingTrigger("embedded-slideshow-prev-image", {
                    eventName: "PrevAsset-" + t + (t === this.collection.length ? "-Finish" : ""),
                    mdata: {
                        currentSlide: t,
                        totalSlides: this.collection.length
                    }
                })
            },
            setCounter: function() {
                var e;
                this.$counter = this.$el.find(".counter"), e = this.assetIndex, this.$counter.html(e + 1 + " of " + this.collection.length)
            },
            moveIndex: function(e) {
                var t = this.assetIndex,
                    i = this.collection.length;
                t += e, t === i ? t = 0 : -1 === t && (t = i - 1), this.assetIndex = t
            },
            handleDrag: function(e) {
                var t = e.gesture;
                ("right" === t.direction || "left" === t.direction) && t.preventDefault()
            },
            getTruncationHeight: function(e) {
                return this.isWideLedeSquareNoAdSlideshow() ? this.ledeSquareSlideshowSideCaptionHeight : this.isLedeMixedNoAdSlideshow() ? this.defaultSlideshowCaptionHeight : this.isSlideshowLede() ? this.ledeSlideshowCaptionHeight : this.slideshowType === this.slideshowTypes.ALLPORTRAIT ? 300 : this.slideshowType === this.slideshowTypes.ALLSQUARE ? 184 : e === this.imageShapes.PORTRAIT ? 290 : e === this.imageShapes.SQUARE ? 224 : this.defaultSlideshowCaptionHeight
            },
            isSlideshowLede: function() {
                return this.$el.hasClass("lede")
            },
            setSlideshowClass: function() {
                var e, t = this.slideshowType;
                (t === this.slideshowTypes.ALLPORTRAIT || t === this.slideshowTypes.ALLSQUARE) && (e = t.replace(/^all/, "format-all-").toLowerCase(), this.$el.addClass(e))
            },
            hasLedeAd: function() {
                var e = this.pageManager.$html;
                return e.hasClass("has-xxl") || e.hasClass("has-big-ad") || e.hasClass("has-half-page")
            },
            toggleLoader: function(e) {
                var t = this.$el.find(".loader-container");
                e ? t.show() : t.hide()
            },
            lightPrevArrow: function() {
                this.unLightNextArrow(), this.$prevArrow.addClass("hover")
            },
            unLightPrevArrow: function() {
                this.$prevArrow.removeClass("hover")
            },
            lightNextArrow: function() {
                this.unLightPrevArrow(), this.$nextArrow.addClass("hover")
            },
            unLightNextArrow: function() {
                this.$nextArrow.removeClass("hover")
            },
            isWideLedeSquareNoAdSlideshow: function() {
                var e = this.pageManager.getCurrentBreakpoint();
                return !this.hasLedeAd() && this.isSlideshowLede() && this.slideshowType === this.slideshowTypes.ALLSQUARE && e >= 1030 ? !0 : !1
            },
            isLedeMixedNoAdSlideshow: function() {
                return !this.hasLedeAd() && this.isSlideshowLede() && this.slideshowType === this.slideshowTypes.MIXED ? !0 : !1
            },
            handleWindowResize: function() {
                var e;
                this.truncateCaptions && (e = this.ledeSlideshowCaptionHeight, this.isWideLedeSquareNoAdSlideshow() && (e = this.ledeSquareSlideshowSideCaptionHeight), this.truncateText(this.$captionText, e, !0))
            }
        });
        return o
    }), define("homepage/instances/embedded-slideshow", ["jquery/nyt", "shared/slideshow/views/embedded-slideshow"], function(e, t) {
        "use strict";
        var i, s;
        e("body").find(".slideshow").each(function(n, a) {
            "inline" === e(this).data("media-action") && (s = ["largeWidescreen573", "largeHorizontal375"], e(this).data("crop") && (s = [e(this).data("crop")]), i = {
                el: a,
                captionList: ["short"],
                cropList: s,
                showOnInit: !0,
                template: "embeddedSlideshowHP"
            }, new t(i))
        })
    }), define("shared/page/helpers/page-mixin", ["jquery/nyt"], function(e) {
        "use strict";
        var t = {
            handleSwipe: function(e) {
                this.broadcast("nyt:app-swipe", e, e.gesture.direction)
            },
            handleSwipeStartEnd: function(e) {
                var t = "swipestart" === e.type ? "start" : "end";
                this.broadcast("nyt:app-swipe", e, t)
            },
            handleDrag: function(t) {
                !t || e(t.srcElement).closest(".slideshow").length > 0 || this.broadcast("nyt:app-drag", t, t.gesture.direction)
            },
            handleDragStartEnd: function(t) {
                var i = "dragstart" === t.type ? "start" : "end";
                !t || e(t.srcElement).closest(".slideshow").length > 0 || this.broadcast("nyt:app-drag", t, i)
            },
            truncateCaptionText: function() {
                var t = this;
                this.$el.find("figure").each(function() {
                    var i, s, n = 88,
                        a = e(this);
                    a.hasClass("layout-small-vertical") || a.hasClass("layout-small-horizontal") || a.hasClass("has-adjacency layout-large-horizontal") ? (s = a.find(".caption-text"), s >= 1 && s.html().indexOf("<") < 0 && t.truncateText(s, n, !0)) : a.hasClass("layout-large-horizontal") ? (i = a.find("img").height() - n, s = a.find(".caption-text"), s >= 1 && s.html().indexOf("<") < 0 && t.truncateText(s, i, !0)) : a.hasClass("photo") && a.hasClass("inline") && (s = a.find(".caption-text"), s >= 1 && s.html().indexOf("<") < 0 && t.truncateText(s, n, !0))
                })
            }
        };
        return t
    }), define("shared/page/helpers/inactivity-timer-mixin", ["underscore/nyt", "jquery/nyt"], function(e, t) {
        "use strict";
        var i = {
            inactivityTimerTimeout: null,
            inactivityTimerDuration: 6e5,
            inactivityTimerEnabled: !1,
            inactivityTimerLocked: !1,
            preInactivityTimerEnabled: !0,
            bindInactivityTimerEvents: function() {
                e.bindAll(this, "startInactivityTimer", "enableInactivityTimer", "disableInactivityTimer", "reenableInactivityTimer", "completeInactivityTimer"), this.subscribe("nyt:inactivity-timer-enable", this.handleTimerEnable), this.subscribe("nyt:inactivity-timer-disable", this.handleTimerDisable), this.subscribe("nyt:user-activity", this.reenableInactivityTimer)
            },
            handleTimerEnable: function() {
                this.unlockInactivityTimer(), this.preInactivityTimerEnableDuration ? setTimeout(this.enableInactivityTimer, this.preInactivityTimerEnableDuration) : this.enableInactivityTimer()
            },
            handleTimerDisable: function() {
                this.disableInactivityTimer(), this.lockInactivityTimer()
            },
            startInactivityTimer: function() {
                var e = this;
                this.inactivityTimerTimeout && this.stopInactivityTimer(), this.inactivityTimerTimeout = window.setTimeout(function() {
                    e.disableInactivityTimer(), e.lockInactivityTimer(), e.completeInactivityTimer()
                }, this.inactivityTimerDuration)
            },
            enableInactivityTimer: function() {
                this.inactivityTimerEnabled || this.inactivityTimerLocked || (this.preInactivityTimerEnabled = !1, this.inactivityTimerEnabled = !0, this.startInactivityTimer())
            },
            disableInactivityTimer: function() {
                this.inactivityTimerEnabled && !this.inactivityTimerLocked && (this.inactivityTimerEnabled = !1, this.stopInactivityTimer())
            },
            reenableInactivityTimer: function() {
                this.inactivityTimerEnabled && !this.inactivityTimerLocked && (this.disableInactivityTimer(), this.enableInactivityTimer())
            },
            stopInactivityTimer: function() {
                window.clearTimeout(this.inactivityTimerTimeout), this.inactivityTimerTimeout = null
            },
            lockInactivityTimer: function() {
                this.inactivityTimerLocked = !0
            },
            unlockInactivityTimer: function() {
                this.inactivityTimerLocked = !1
            },
            completeInactivityTimer: t.noop
        };
        return i
    }), define("shared/community/models/static-comment-service", ["foundation/models/base-model"], function(e) {
        "use strict";
        var t = e.extend({
            defaults: {
                assetID: 0,
                assetURL: "",
                createDate: 0,
                commentCount: 0,
                canSubmit: 0
            },
            canSubmit: function() {
                return parseInt(this.get("canSubmit"), 10) > 0
            }
        });
        return t
    }), define("shared/community/collections/static-comment-service", ["foundation/collections/base-collection", "shared/community/models/static-comment-service", "foundation/hosts"], function(e, t, i) {
        "use strict";
        var s = e.extend({
            url: i.s1 + "/ugc/comments/commentData.json",
            model: t,
            parse: function(e) {
                return e && e.results ? e.results.assets : []
            },
            getCommentCountByURL: function(e) {
                return this.findWhere({
                    assetURL: e
                }) ? this.findWhere({
                    assetURL: e
                }).get("commentCount") : -1
            }
        });
        return s
    }), define("homepage/instances/comment-counts", ["shared/community/collections/static-comment-service"], function(e) {
        "use strict";
        return new e
    }), define("homepage/views/homepage", ["underscore/nyt", "jquery/nyt", "foundation/models/user-data", "foundation/helpers/utils", "foundation/views/base-view", "shared/page/helpers/page-mixin", "shared/page/helpers/inactivity-timer-mixin", "homepage/instances/comment-counts", "foundation/cookies"], function(e, t, i, s, n, a, o, r, l) {
        "use strict";
        var d = n.extend(a).extend(o).extend({
            el: "body",
            events: {
                "click #markets-search-label": "handleMarketsSearchClick",
                "click .top-news a, .pocket-region a, .region .opinion a": "handleTopNewsClick",
                "click .region .day-part a, .region .markets .story": "handleDayPartClick",
                "click .classifieds .real-estate .story, .classifieds .job-market .story": "handleTopNewsClick",
                "click .well a": "handleWellClick",
                "click #recommendations .most-emailed a": "handleMostEmailedClick",
                "click #recommendations .most-viewed a": "handleMostViewedClick",
                "click #recommendations .recommended a": "handleRecommendedClick",
                "click #mobile-banner a": "removeMobileCookie"
            },
            nytEvents: {
                "nyt:video-play": "handleVideoPlay",
                "nyt:video-ad-start": "handleVideoPlay",
                "nyt:video-video-paused": "handleVideoStop",
                "nyt:video-complete": "handleVideoStop",
                "nyt:page-scroll": "handlePageScrolled",
                "nyt:on-focus": "handleOnFocus"
            },
            sectionMapping: {
                World: "world",
                BusinessDay: "business",
                Opinion: "opinion",
                "U.S.": "us",
                Technology: "technology",
                Arts: "arts",
                Politics: "politics",
                Sports: "sports",
                Movies: "movies",
                NewYork: "nyregion",
                Obituaries: "obituaries",
                Theater: "theater",
                Science: "science",
                Travel: "travel",
                Television: "television",
                Health: "health",
                Food: "food",
                Books: "books",
                Education: "education",
                TimesInsider: "times-insider",
                SundayReview: "sunday-review",
                RealEstate: "realestate",
                "Fashion&Style": "fashion",
                Magazine: "magazine",
                Automobiles: "automobiles",
                TMagazine: "t-magazine",
                TheUpshot: "upshot",
                InternationalOpinion: "opinion",
                InternationalArts: "arts",
                InternationalBusiness: "business",
                InternationalStyle: "fashion",
                InternationalSports: "sports",
                "GreatHomes&Destinations": "realestate",
                "U.S.Politics": "politics"
            },
            inactivityTimerDuration: 6e4,
            preInactivityTimerEnableDuration: 3e5,
            timestampCounter: 0,
            adUnitMetrics: [],
            initialize: function() {
                var e = this.pageManager.getUrlParam("activity-rate"),
                    i = this.pageManager.getUrlParam("inactivity-rate");
                e && (this.preInactivityTimerEnableDuration = e), i && (this.inactivityTimerDuration = i), this.pageManager.flag("paidPostFivePackMock") && "1" === this.isUserVariant("paidPostFivePackMock") && t("#paid-post-five-pack-mock").removeClass("hidden")
            },
            handleDomReady: function() {
                var e, i, s, n, a;
                if (this.bindInactivityTimerEvents(), this.updateCommentCounts(), this.updateTimestamps(), this.determineMobileVersionVisibility(), this.setDaypartItemHeight(), setTimeout(this.enableInactivityTimer, this.preInactivityTimerEnableDuration), this.pageManager.flag("hpVisibilityTracking")) {
                    for (e = [], "undefined" != typeof window.NYTADX && (e = window.NYTADX.positions), a = 0; a < e.length; a++) i = t("#" + e[a]), s = 0, 1 === i.length && (s = i.offset().top - 50), n = i.height(), s > 0 && this.adUnitMetrics.push({
                        ad: e[a],
                        loadPoint: s,
                        height: n,
                        seen: !1
                    });
                    this.handlePageScrolled(!0)
                }
            },
            handlePageScrolled: function(i) {
                var s, n, a, o, r;
                if (this.pageManager.flag("hpVisibilityTracking")) {
                    for (s = t(window).scrollTop(), n = t(window).height(), a = {}, o = 0; o < this.adUnitMetrics.length; o++) r = this.adUnitMetrics[o], r.seen === !1 && r.loadPoint < s + n && (r.seen = !0, a[r.ad] = !0);
                    i && e.extend(a, {
                        onDomReady: !0
                    }), e.isEmpty(a) || this.trackingTrigger("hp-ad-visibility-scroll", a)
                }
            },
            updateTimestamps: function() {
                var e = this,
                    i = t("section:not(.times-wire) .timestamp"),
                    s = 6e4;
                e.timestampCounter += 1, e.timestampCounter <= 20 && (s = 1e3), this.renderTimestamps(i, !1), setTimeout(function() {
                    e.updateTimestamps()
                }, s)
            },
            renderTimestamps: function(e, i) {
                var s, n = this,
                    a = function(e) {
                        return e >= 3600 ? !0 : void 0
                    };
                e.each(function() {
                    var e = t(this).data("utc-timestamp"),
                        o = Math.ceil(Math.log(e + 1) / Math.LN10),
                        r = 13;
                    e = r > o ? e * Math.pow(10, r - o) : e, s = n.prettyDate(e, i, a), s && t(this).text(s)
                })
            },
            updateCommentCounts: function() {
                r.length > 0 ? this.renderCommentCounts() : (r.fetch(), this.subscribeOnce(r, "sync", this.renderCommentCounts))
            },
            renderCommentCounts: function() {
                var e, i, s;
                this.$linkList = this.$el.find(".comments-link"), this.$linkList.each(function() {
                    e = t(this).attr("href").match(/[^?#]+/)[0], i = r.getCommentCountByURL(e), i > 0 && (s = 1 === i ? " Comment" : " Comments", t(this).find(".comment-count").html(i + s))
                })
            },
            handleMarketsSearchClick: function() {
                t(".markets-search").addClass("active")
            },
            completeInactivityTimer: function() {
                var t, i, n, a = window.location.href,
                    o = {
                        "WT.z_jog": "1"
                    },
                    r = !0;
                if (this.pageManager.flag("hpVisibilityTracking")) try {
                    i = document.visibilityState.substr(0, 3)
                } catch (l) {
                    i = "e"
                }
                if (this.pageManager.flag("hpVisibilityTracking") || this.pageManager.flag("hpViewability")) {
                    try {
                        t = (document.hasFocus() + "").charAt(0)
                    } catch (l) {
                        t = "e"
                    }
                    r = "e" === i || "vis" === i ? !0 : !1, e.extend(o, {
                        hF: t,
                        vS: i
                    })
                }
                n = s.appendQueryParams(a, o), (!this.pageManager.flag("hpViewability") || this.pageManager.currentlyHasFocus || r) && (window.location.href = n)
            },
            handleOnFocus: function() {
                this.pageManager.flag("hpViewability") && !this.preInactivityTimerEnabled && this.completeInactivityTimer()
            },
            handleAnchorClick: function(e, i) {
                var n, a = t(e.target);
                i = i || {}, a.is("a") || (a = a.parents("a")), n = a.attr("href"), n && (n = s.appendQueryParams(n, i), a.attr("href", n))
            },
            handleTopNewsClick: function(e) {
                this.handleAnchorClick(e, {
                    hp: ""
                })
            },
            handleDayPartClick: function(e) {
                this.handleAnchorClick(e, {
                    src: "dayp"
                })
            },
            handleWellClick: function(e) {
                var i = t(e.target),
                    s = i.closest("ul").prev().children("a").text().replace(/\u00bb|\s+/g, ""),
                    n = this.sectionMapping[s] || "";
                this.handleAnchorClick(e, {
                    hpw: "",
                    rref: n
                })
            },
            handleMostEmailedClick: function(e) {
                this.handleAnchorClick(e, {
                    src: "me"
                })
            },
            handleMostViewedClick: function(e) {
                this.handleAnchorClick(e, {
                    src: "mv"
                })
            },
            handleRecommendedClick: function(e) {
                this.handleAnchorClick(e, {
                    src: "rechp"
                })
            },
            handleVideoPlay: function(e) {
                t(e.container).closest(".video").find(".caption").fadeTo(200, 0), this.broadcast("nyt:inactivity-timer-disable")
            },
            handleVideoStop: function() {
                this.broadcast("nyt:inactivity-timer-enable")
            },
            determineMobileVersionVisibility: function() {
                var e = l.readCookie("nyt-mobile");
                "0" === e && t("#mobile-banner").removeClass("hidden")
            },
            removeMobileCookie: function() {
                l.deleteCookie("nyt-mobile")
            },
            handleUserReady: function() {
                var e = i.isCrosswordsSubscriber(),
                    s = i.isPremierSubscriber(),
                    n = i.isTabletSubscriber() || i.isSmartphoneSubscriber() || i.isHomeDeliverySubscriber();
                (n || s || e) && (t(".c-column .user-subscriptions").removeClass("hidden"), n && e ? t("#times-premier-crossword-subscription").removeClass("hidden") : n || s ? t("#times-premier-subscription").removeClass("hidden") : e && t("#crossword-subscription").removeClass("hidden"))
            },
            setDaypartItemHeight: function() {
                var e = this.$el.find(".span-ab-bottom-region .split-3-layout"),
                    t = e.find(".section-heading"),
                    i = e.find(".column"),
                    s = 10,
                    n = e.height() - t.height() - s;
                e.height(n), i.height(n)
            }
        });
        return d
    }), define("homepage/instances/homepage", ["homepage/views/homepage"], function(e) {
        "use strict";
        new e
    }), define("homepage/views/tracking/tracking", ["jquery/nyt", "underscore/nyt", "foundation/views/base-view"], function(e, t, i) {
        "use strict";
        var s = i.extend({
            el: "body",
            events: {
                "click .region a": "handleStoryClick",
                "click .site-index a": "handleSiteIndexClick",
                "click .mini-navigation a": "handleMiniNavClick",
                "click .most-emailed a": "handleMostEmailedClick",
                "click .most-viewed a": "handleMostViewedClick",
                "click .recommended a": "handleRecommendedClick",
                "click .markets-modal a": "handleMarketsClick",
                "click .video-playlist": "handleVideoScrollClick"
            },
            nytEvents: {
                "nyt:page-scroll-after": "handleScroll"
            },
            initialize: function() {
                this.lastScrollTop = 0, this.maxScrollDepth = 0, this.maxScrollTop = this.$body.height() - this.$window.height(), this.trackingBaseData = {
                    action: "click",
                    pgtype: "Homepage"
                }
            },
            handleStoryClick: function(t) {
                var i, s, n = {},
                    a = e(t.currentTarget),
                    o = a.closest(".region").attr("class").match(/[A-z-]+region/)[0],
                    r = this.getTrackingVersion(a);
                r && (n.version = r), i = this.getModRef(a), i && (n.modref = i), n.module = this.getTrackingModule(a) || o, n.region = this.getGeographicalRegionMappingBasedOnScoopRegion(o), n["WT.nav"] = this.getGeographicalRegionMappingBasedOnScoopRegion(o), "span-ab-bottom-region" === o && (n.module = "mini-moth"), s = this.trackingAppendParams(a.attr("href"), n), a.attr("href", s)
            },
            getGeographicalRegionMappingBasedOnScoopRegion: function(e) {
                var t = e;
                switch (e) {
                    case "well-region":
                        t = "bottom-well";
                        break;
                    case "span-ab-bottom-region":
                        t = "top-stories-below";
                        break;
                    case "first-column-region":
                    case "second-column-region":
                    case "third-column-region":
                    case "span-ab-top-region":
                    case "photo-spot-region":
                    case "span-ab-lede-package-region":
                    case "a-lede-package-region":
                    case "b-lede-package-region":
                    case "bottom-span-promo-region":
                        t = "top-news"
                }
                return t
            },
            getTrackingModule: function(e) {
                var t = e.attr("class") || "";
                return t.indexOf("times-video-link") >= 0 ? "times-video" : t.indexOf("explore-all-videos-link") >= 0 ? "more-video" : t.indexOf("watch-link") >= 0 ? "watch-in-times-video" : void 0
            },
            getTrackingVersion: function(e) {
                var t, i = e.attr("class") || "",
                    s = e.closest("article").data("collection-renderstyle");
                return "Moth" === s ? t = e.closest("li").index() <= 5 ? "Moth-Visible" : "Moth-Hidden" : i.indexOf("times-video-link") >= 0 || i.indexOf("watch-link") >= 0 ? t = "timesvideo-heading" : i.indexOf("explore-all-videos-link") >= 0 && (t = "morevideo-link"), t || ""
            },
            getModRef: function(e) {
                var t = this.getReferType(e);
                return 0 !== e.closest(".theme-comments").length ? "HPCommentsRefer" : 0 !== e.closest(".refer").length ? t : ""
            },
            getReferType: function(e) {
                var t = e.find(".icon");
                return t.hasClass("video") ? "HPVideoRefer" : t.hasClass("audio") ? "HPAudioRefer" : t.hasClass("interactive") ? "HPInteractiveRefer" : t.hasClass("slideshow") ? "HPSlideshowRefer" : t.hasClass("graphic") ? "HPGraphicRefer" : t.hasClass("map") ? "HPMapRefer" : ""
            },
            handleMiniNavClick: function(t) {
                var i = e(t.currentTarget),
                    s = this.trackingAppendParams(i.attr("href"), {
                        region: "TopBar",
                        module: "HPMiniNav",
                        contentCollection: i.html(),
                        "WT.nav": "page"
                    });
                i.attr("href", s)
            },
            handleMarketsClick: function(t) {
                var i = e(t.currentTarget),
                    s = this.trackingAppendParams(i.attr("href"), {
                        region: "TopBar",
                        module: "HPMiniNav",
                        contentCollection: "Markets",
                        "WT.nav": "page"
                    });
                i.attr("href", s)
            },
            handleVideoScrollClick: function(t) {
                var i = e(t.target),
                    s = i.closest("li"),
                    n = s.index(),
                    a = s.find(".headline").text(),
                    o = {
                        pgtype: "Homepage",
                        action: "click",
                        region: "video-player-region",
                        module: "video-side-scroll",
                        contentPlacement: n,
                        contentId: a
                    };
                this.trackingTriggerRaw("video-player-side-scroll", o, "interaction")
            },
            handleSiteIndexClick: function(t) {
                var i, s = e(t.currentTarget),
                    n = {
                        region: "SiteIndex",
                        module: "SiteIndex",
                        contentCollection: s.html(),
                        "WT.nav": "footer-nav"
                    };
                s.find(".nyt-logo").length > 0 && (n.contentCollection = "NYTlogoHome"), s.parents(".user-action").length > 0 && (n.contentCollection = "GoToHPCTA"), i = this.trackingAppendParams(s.attr("href"), n), s.attr("href", i)
            },
            handleMostEmailedClick: function(t) {
                var i = e(t.currentTarget),
                    s = this.trackingAppendParams(i.attr("href"), {
                        region: "CColumn",
                        module: "MostEmailed",
                        version: "Full",
                        src: "me",
                        "WT.nav": "MostEmailed"
                    });
                i.attr("href", s)
            },
            handleMostViewedClick: function(t) {
                var i = e(t.currentTarget),
                    s = this.trackingAppendParams(i.attr("href"), {
                        region: "CColumn",
                        module: "MostViewed",
                        version: "Full",
                        src: "mv",
                        "WT.nav": "MostViewed"
                    });
                i.attr("href", s)
            },
            handleRecommendedClick: function(t) {
                var i = e(t.currentTarget),
                    s = this.trackingAppendParams(i.attr("href"), {
                        region: "CColumn",
                        module: "Recommendation",
                        src: "rechp",
                        "WT.nav": "RecEngine"
                    });
                i.attr("href", s)
            },
            updateScrollDepth: function() {
                var e = this.lastScrollTop / this.maxScrollTop * 100,
                    t = 25 * Math.floor(e / 25);
                t > this.maxScrollDepth && (this.maxScrollDepth = t, this.trackingTriggerRaw("scroll-depth", {
                    module: "Page",
                    depth: t
                }, "interaction"))
            },
            handleScroll: function() {
                var e = this.$window.scrollTop(),
                    t = e - this.lastScrollTop;
                100 > t || (this.lastScrollTop = e, this.updateScrollDepth())
            }
        });
        return s
    }), define("homepage/instances/tracking", ["homepage/views/tracking/tracking"], function(e) {
        "use strict";
        new e
    }), define("shared/video/models/playlist-videos", ["backbone/nyt", "foundation/models/base-model", "foundation/hosts"], function(e, t, i) {
        "use strict";
        var s = t.extend({
            url: i.www + "/svc/video/api/v2/playlist/",
            fetchData: function(e, t, i, s) {
                var n = this,
                    a = [],
                    o = e.playlistId || "1194811622188";
                this.success = t, this.error = i, this.passThroughCallback = s, e.count && a.push("count=" + e.count), e.skip && a.push("skip=" + e.skip), this.url += o, a.length > 0 && (this.url += "?" + a.join("&")), this.fetch({
                    success: function(e) {
                        n.success && (n.passThroughCallback && "function" == typeof n.passThroughCallback ? n.success(e, n.passThroughCallback) : n.success(e))
                    },
                    error: function(e) {
                        n.error && n.error(e)
                    }
                })
            },
            sync: function(t, i, s) {
                return s.dataType = "jsonp", s.timeout = 1e4, s.cache = !0, s.jsonp = "callback", s.jsonpCallback = "hpPlaylistCallback", e.sync(t, i, s)
            }
        });
        return s
    }), define("homepage/helpers/image-utils", [], function() {
        "use strict";
        var e = {
            getCropUrl: function(e, t) {
                var i, s;
                if (!e || 0 === e.length || !t || 0 === t.length) return !1;
                for (i = 0; i < t.length; i++)
                    for (s = 0; s < e.length; s++)
                        if (e[s].type === t[i] && "" !== e[s].url) return e[s].url;
                return !1
            }
        };
        return e
    }), define("homepage/views/video/playlist-item", ["jquery/nyt", "underscore/nyt", "backbone/nyt", "foundation/hosts", "homepage/templates", "foundation/views/base-view", "homepage/helpers/image-utils"], function(e, t, i, s, n, a, o) {
        "use strict";
        var r = a.extend({
            template: n.playlistItem,
            cropPreferences: ["videoSixteenByNine150", "wide"],
            initialize: function(e) {
                this.video = e.video, this.video.playlist.parent_channel && this.video.playlist.parent_channel.headline ? this.kicker = this.video.playlist.parent_channel.headline : this.kicker = this.video.playlist.headline, this.thumbnailSrc = this.getThumbnailUrl(), this.duration = this.durationFromMilliseconds(this.video.duration), this.headline = this.video.headline
            },
            render: function() {
                return this.template({
                    kicker: this.kicker,
                    thumbnailSrc: this.thumbnailSrc,
                    duration: this.duration,
                    headline: this.headline
                })
            },
            getThumbnailUrl: function() {
                var e;
                return e = o.getCropUrl(this.video.images, this.cropPreferences), e || (e = "video/static-timesvideo/img/video-default-16by9-225x126.png"), [s.image, e].join("/")
            }
        });
        return r
    }), define("homepage/views/video/playlist", ["jquery/nyt", "underscore/nyt", "foundation/views/base-view", "shared/video/models/playlist-videos", "homepage/views/video/playlist-item"], function(e, t, i, s, n) {
        "use strict";
        var a = i.extend({
            nytEvents: {
                "nyt:video-player-finished": "selectNextThumb"
            },
            initialize: function(i) {
                t.bindAll(this, "processPlaylistVideos", "processPlaylistVideosError"), this.options = e.extend({
                    perPage: 10
                }, i), this.videos = [], this.currentPage = 0, this.requestData = !0, this.element = this.options.container, this.$videoPlaylist = this.element.find(".video-playlist"), this.fetchPlaylistVideos(), this.registerEvents()
            },
            registerEvents: function() {
                var t = this,
                    i = ".video-playlist li";
                this.element.on("click", i, function() {
                    var i = e(this);
                    t.selectThumb(i, {
                        click: !0
                    })
                })
            },
            tuckFirstThumbUnder: function() {
                var e = 124,
                    t = this.element.find(".video-playlist-container"),
                    i = this;
                t.animate({
                    scrollTop: e
                }, {
                    complete: function() {
                        i.$videoPlaylist.find("li").first().addClass("selected")
                    }
                })
            },
            selectNextThumb: function() {
                var e, t = this.$videoPlaylist.find("li.selected");
                t.length > 0 && (e = t.next(), e.length > 0 && this.selectThumb(e.first(), {
                    click: !1
                }))
            },
            selectThumb: function(e, t) {
                var i = e.index(),
                    s = this.videos[i];
                this.$videoPlaylist.find("li").removeClass("selected"), e.addClass("selected"), this.scrollTo(e), t.click ? this.broadcast("nyt:video-playlist-selected", s) : this.broadcast("nyt:video-playlist-autoplay-next", s)
            },
            scrollTo: function(e) {
                var t = e.position().top,
                    i = this.element.find(".video-playlist-container");
                i.animate({
                    scrollTop: t
                })
            },
            fetchPlaylistVideos: function(e) {
                this.playlist = new s, this.playlist.fetchData({
                    playlistId: this.options.playlistId,
                    count: this.options.perPage,
                    skip: this.currentPage * this.options.perPage
                }, this.processPlaylistVideos, this.processPlaylistVideosError, e)
            },
            processPlaylistVideos: function(e, t) {
                this.videos = this.videos.concat(e.get("videos")), 0 === this.currentPage && this.broadcast("nyt:video-playlist-loaded", this.videos[0]), this.renderThumbnails(), 0 === this.currentPage && this.tuckFirstThumbUnder(), this.currentPage += 1, "function" == typeof t && t()
            },
            processPlaylistVideosError: function(e, t) {
                "function" == typeof t && t()
            },
            renderThumbnails: function() {
                var t, i, s, a, o = this.playlist.get("videos"),
                    r = this,
                    l = this.element.find(".loader-container");
                for (l && this.handleLoader("remove"), t = this.options.thumbsMax || o.length, e(".video-playlist-container").scroll(function() {
                        r.scrollPercentage = 100 * this.scrollTop / (this.scrollHeight - this.clientHeight)
                    }), this.updateScroll(), i = 0; t > i; i++) s = new n({
                    video: o[i]
                }), a = e(s.render()), this.$videoPlaylist.append(a);
                this.handleLoader("append")
            },
            handleLoader: function(t) {
                "append" === t ? e('<li class="loader-container"><div class="loader"><span class="visually-hidden">Loading...</span></div></li>').appendTo(this.$videoPlaylist) : this.$videoPlaylist.find(".loader-container").remove()
            },
            renderMoreButton: function() {
                var t = e('<li class ="button-container"><a href="http://www.nytimes.com/video?src=vidm" class="user-action button">More videos &raquo;</a></li>');
                this.$videoPlaylist.append(t), this.handleLoader("remove")
            },
            updateScroll: function() {
                var e = this;
                window.requestAnimationFrame(t.bind(this.updateScroll, this)), e.scrollPercentage >= 99 && e.requestData && (e.requestData = !1, e.fetchPlaylistVideos(function() {
                    e.requestData = !0, e.$videoPlaylist.find("li").length >= 100 && (e.requestData = !1, e.renderMoreButton())
                }))
            }
        });
        return a
    }),
    function(e, t) {
        "use strict";
        "function" == typeof define && define.amd ? define("shared/video/libs/inactivity-timer-manager", [], t) : e.InactvityTimerManager = t()
    }(this, function() {
        "use strict";

        function e(e, t) {
            if (this.disableIntervalId = null, this.pageManager = e, this.disableInterval = t || 3e4, !e) throw new Error("InactvityTimerManager:: pageManger must be provided")
        }
        return e.prototype.disable = function(e) {
            e = e || this, e.disableIntervalId || (e.disableIntervalId = setInterval(e.disable, e.disableInterval, e)), e.pageManager.trigger("nyt:inactivity-timer-disable")
        }, e.prototype.enable = function() {
            clearInterval(this.disableIntervalId), this.disableIntervalId = null, this.pageManager.trigger("nyt:inactivity-timer-enable")
        }, e
    }), define("homepage/views/video/metadata", ["jquery/nyt", "underscore/nyt", "backbone/nyt", "homepage/templates", "foundation/views/base-view"], function(e, t, i, s, n) {
        "use strict";
        var a = n.extend({
            template: s.videoMetadata,
            initialize: function(e) {
                this.video = e.video
            },
            render: function() {
                return this.$el.html(this.template({
                    byline: this.getByline(),
                    permalink: this.getPermalink()
                })), this
            },
            getByline: function() {
                return [this.getVideoCredit(), this.getPosterCredit()].join(" ").trim()
            },
            getPermalink: function() {
                return [this.video.domain, this.video.publish_url].join("")
            },
            getVideoCredit: function() {
                var e = "";
                return this.video.byline && "" !== this.video.byline && (e = 0 === this.video.byline.toLowerCase().indexOf("by ") ? this.video.byline + "." : "By " + this.video.byline + "."), e
            },
            getPosterCredit: function() {
                var e = "";
                return this.video.images[0] && this.video.images[0].credit && "" !== this.video.images[0].credit && (e = "Image by " + this.video.images[0].credit + "."), e
            }
        });
        return a
    }), define("homepage/views/video/poster", ["jquery/nyt", "underscore/nyt", "backbone/nyt", "homepage/templates", "foundation/views/base-view"], function(e, t, i, s, n) {
        "use strict";
        var a = n.extend({
            template: s.videoPoster,
            initialize: function(e) {
                this.video = e.video
            },
            render: function() {
                var t = e(this.template({
                    duration: this.getDuration(),
                    headline: this.video.headline,
                    summary: this.video.summary
                }));
                return t = this.insertKickerLabel(t), t = this.insertChannel(t), this.$el.html(t), this
            },
            insertKickerLabel: function(t) {
                return this.video.playlist.parent_channel && void 0 !== this.video.playlist.parent_channel.headline && e("<span/>", {
                    "class": "kicker-label",
                    text: this.video.playlist.parent_channel.headline
                }).insertBefore(t.find(".duration")), t
            },
            insertChannel: function(t) {
                var i = "";
                return this.video.playlist.parent_channel && this.video.playlist.parent_channel.headline !== this.video.playlist.headline && (void 0 === this.video.playlist.parent_channel.headline && (i = "margin-left:0"), e("<span/>", {
                    "class": "channel",
                    style: i,
                    text: this.video.playlist.headline
                }).insertBefore(t.find(".duration"))), t
            },
            getDuration: function() {
                return this.durationFromMilliseconds(this.video.duration)
            }
        });
        return a
    }), define("shared/sharetools/models/share-data", ["foundation/models/base-model"], function(e) {
        "use strict";
        var t = e.extend({
            dataAttributes: {
                URL: "data-url",
                TITLE: "data-title",
                MEDIA: "data-media",
                DESCRIPTION: "data-description",
                PUBLICATION_DATE: "data-publish-date",
                CONTENT_TYPE: "data-content-type",
                AUTHOR: "data-author",
                VIA: "data-via"
            },
            initialize: function(e) {
                this.$container = e
            },
            getUrl: function() {
                var e = this.$container.attr(this.dataAttributes.URL);
                return e ? e : this.pageManager.getCanonical()
            },
            setUrl: function(e) {
                this.$container.attr(this.dataAttributes.URL, e)
            },
            getTitle: function() {
                var e = this.$container.attr(this.dataAttributes.TITLE);
                return e ? e : this.pageManager.getMeta("og:title")
            },
            setTitle: function(e) {
                this.$container.attr(this.dataAttributes.TITLE, e)
            },
            getAuthor: function() {
                var e = this.$container.attr(this.dataAttributes.AUTHOR);
                return e ? e : this.pageManager.getMeta("byl")
            },
            setAuthor: function(e) {
                this.$container.attr(this.dataAttributes.AUTHOR, e)
            },
            getMedia: function() {
                var e = this.$container.attr(this.dataAttributes.MEDIA);
                return e ? e : this.pageManager.getMeta("og:image")
            },
            setMedia: function(e) {
                this.$container.attr(this.dataAttributes.MEDIA, e)
            },
            getDescription: function() {
                var e = this.$container.attr(this.dataAttributes.DESCRIPTION);
                return e ? e : this.pageManager.getMeta("description")
            },
            setDescription: function(e) {
                this.$container.attr(this.dataAttributes.DESCRIPTION, e)
            },
            getPublicationDate: function() {
                var e = this.$container.attr(this.dataAttributes.PUBLICATION_DATE);
                return e ? e : this.pageManager.getMeta("DISPLAYDATE")
            },
            setPublicationDate: function(e) {
                this.$container.attr(this.dataAttributes.PUBLICATION_DATE, e)
            },
            getVia: function() {
                var e = this.$container.attr(this.dataAttributes.VIA),
                    t = this.pageManager.getMeta("twitter:site");
                return e ? e : "upshot" === this.pageManager.getMeta("CG") ? "UpshotNYT" : t && "@nytimes" !== t ? t.replace("@", "") : ""
            },
            setVia: function(e) {
                this.$container.attr(this.dataAttributes.VIA, e)
            },
            getContentType: function() {
                var e = this.$container.attr(this.dataAttributes.CONTENT_TYPE);
                return e ? e : "Content"
            },
            setContentType: function(e) {
                this.$container.attr(this.dataAttributes.CONTENT_TYPE, e)
            }
        });
        return t
    }), define("shared/sharetools/templates", ["underscore/nyt"], function(_) {
        var templates = {};
        return templates.emailModal = function(obj) {
            var __t, __p = "";
            Array.prototype.join;
            with(obj || {}) __p += '<iframe src="' + (null == (__t = emailThisUrl) ? "" : __t) + (null == (__t = dataUrl) ? "" : __t) + '" title="Email This" id="emailthis" scrolling="' + (null == (__t = scrolling) ? "" : __t) + '" marginheight="0" marginwidth="0" frameborder="0"></iframe>';
            return __p
        }, templates.savemodal = function(obj) {
            var __t, __p = "";
            Array.prototype.join;
            with(obj || {}) __p += '<ul class="instructions">\n<li>This item has been saved to read later from any device. </li>\n<li>Access saved items through your user name at the top of the page.</li>\n</ul>\n<p><a href="' + (null == (__t = link) ? "" : __t) + '">View Saved Items</a><p>\n<button class="button dismiss-button">OK</button>';
            return __p
        }, templates.shareTool = function(obj) {
            var __t, __p = "";
            Array.prototype.join;
            with(obj || {}) __p += '<a href="javascript:;" data-share="' + (null == (__t = id) ? "" : __t) + '" data-modal-title="' + (null == (__t = loginModalTitle) ? "" : __t) + '"><i class="icon sprite-icon"></i><span class="sharetool-text ' + (null == (__t = isLabelHidden === !0 ? "visually-hidden" : "") ? "" : __t) + '">' + (null == (__t = label) ? "" : __t) + "</span></a>";
            return __p
        }, templates.shareTools = function(obj) {
            var __t, __p = "";
            Array.prototype.join;
            with(obj || {}) __p += "<ul>\n", _.each(shares, function(e) {
                __p += '\n<li class="sharetool ' + (null == (__t = e.type) ? "" : __t) + "-sharetool " + (null == (__t = config[e.type].loginRequired ? "login-modal-trigger" : "") ? "" : __t) + '" data-modal-title="' + (null == (__t = config[e.type].loginModalText || "") ? "" : __t) + '">\n<a href="javascript:;" data-share="' + (null == (__t = e.type) ? "" : __t) + '"><i class="icon sprite-icon"></i><span class="sharetool-text">' + (null == (__t = e.label) ? "" : __t) + "</span></a>\n</li>\n"
            }), __p += "\n</ul>";
            return __p
        }, templates.shareToolsModal = function(obj) {
            var __t, __p = "";
            Array.prototype.join;
            with(obj || {}) __p += '<div class="section share ', isCompact && (__p += "compact-share-tools"), __p += '">\n<ul class="sharetools-menu">\n' + (null == (__t = standardToolsList) ? "" : __t) + '\n</ul>\n<form class="short-url-form">\n<div class="control">\n<div class="label-container"><label for="short-url-input">Permalink</label></div>\n<div class="field-container">\n<input id="short-url-input" class="short-url-input text" type="text" name="short-url-input" value="' + (null == (__t = shortUrl) ? "" : __t) + '" readonly="readonly" />\n</div>\n</div>\n</form>\n', isCompact && showTools && (__p += '\n<form class="embed-url-form">\n<div class="control">\n<div class="label-container"><label for="embed-input">Embed</label></div>\n<div class="field-container">\n<input id="embed-input" class="embed-input text" type="text" name="embed-input" readonly="readonly" />\n</div>\n</div>\n</form>\n'), __p += "\n</div><!--close section -->\n", !isCompact && showTools && (__p += '\n<div class="section tools">\n<h4 class="modal-heading">Tools</h4>\n<ul class="sharetools-menu">\n' + (null == (__t = articleToolsList) ? "" : __t) + "\n</ul>\n</div><!--close section -->\n"), __p += "";
            return __p
        }, templates.shareToolsModalFooter = function(obj) {
            var __t, __p = "";
            Array.prototype.join;
            with(obj || {}) __p += '<div class="ad show-all-sharetool-modal-ad hidden">\n<small class="ad-sponsor">' + (null == (__t = toolTypeSponsor) ? "" : __t) + " Tools Sponsored By</small>\n</div>";
            return __p
        }, templates.showAllSharetoolCompactModal = function(obj) {
            var __t, __p = "";
            Array.prototype.join;
            with(obj || {}) __p += '<div class="section share">\n<ul class="sharetools-menu">\n' + (null == (__t = showAllLinkList) ? "" : __t) + '\n</ul>\n</div> <!--close section -->\n<div class="section tools">\n<ul class="sharetools-menu">\n' + (null == (__t = showAllToolList) ? "" : __t) + '\n</ul>\n<div class="control permalink-control">\n<div class="label-container">\n<label for="permalink-input" class="sharetools-label">Permalink</label>\n</div>\n<div class="field-container">\n<input id="permalink-input" type="text" class="text short-url-input" placeholder="" readonly="readonly" />\n<span class="textbox-fade"></span>\n</div>\n</div><!-- close control -->\n<div class="control embed-control">\n<div class="label-container">\n<label for="embed-input" class="sharetools-label">Embed</label>\n</div>\n<div class="field-container">\n<input id="embed-input" type="text" class="text embed-input" placeholder="" readonly="readonly" />\n<span class="textbox-fade"></span>\n</div>\n</div><!-- close control -->\n</div><!--close section -->';
            return __p
        }, templates.showAllSharetoolModal = function(obj) {
            var __t, __p = "";
            Array.prototype.join;
            with(obj || {}) __p += '<div class="section share">\n<ul class="sharetools-menu">\n' + (null == (__t = showAllLinkList) ? "" : __t) + '\n</ul>\n<form class="short-url-form">\n<div class="control">\n<div class="label-container"><label for="short-url-input">Permalink</label></div>\n<div class="field-container">\n<input id="short-url-input" class="short-url-input text" type="text" name="short-url-input" value="' + (null == (__t = shortUrl) ? "" : __t) + '" readonly="readonly" />\n</div>\n</div>\n</form>\n</div> <!--close section -->\n<div class="section tools">\n<h5 class="modal-heading">Tools</h5>\n<ul class="sharetools-menu">\n' + (null == (__t = showAllToolList) ? "" : __t) + "\n</ul>\n</div><!--close section -->";
            return __p
        }, templates.showallLinks = function(obj) {
            var __t, __p = "";
            Array.prototype.join;
            with(obj || {}) __p += '<li class="sharetool ' + (null == (__t = shareObj.type) ? "" : __t) + "-sharetool " + (null == (__t = config.loginRequired ? "login-modal-trigger" : "") ? "" : __t) + '" data-modal-title="' + (null == (__t = config.loginModalText || "") ? "" : __t) + '">\n<a href="javascript:;" data-share="' + (null == (__t = shareObj.type) ? "" : __t) + '"><i class="icon sprite-icon"></i>' + (null == (__t = shareObj.label) ? "" : __t) + "</a>\n</li>";
            return __p
        }, templates
    }), define("shared/sharetools/views/email", ["jquery/nyt", "underscore/nyt", "foundation/hosts", "foundation/views/base-view", "shared/modal/views/modal", "shared/sharetools/templates"], function(e, t, i, s, n, a) {
        "use strict";
        var o = s.extend({
            template: a.emailModal,
            className: "email-view-container",
            frameSize: {
                small: 507,
                full: 867,
                ad: 285
            },
            defaultSettings: {
                emailThisUrl: "https:" + i.www + "/mem/email-this.html?url=",
                scrolling: window.Modernizr.postmessage ? "no" : "yes"
            },
            defaultModalSettings: {
                id: "email-share-modal",
                modalTitle: "Email This Article",
                binding: ".email-sharetool",
                tailDirection: "centered",
                hasOverlay: !0,
                hasCloseButton: !0,
                modalContent: ""
            },
            initialize: function(e) {
                var i = this;
                t.bindAll(this, "handlePostMessage", "responsive"), this.settings = t.extend({}, this.defaultSettings, e), this.frameState = "full", this.modalSettings = t.extend({}, this.defaultModalSettings, {
                    openCallback: function() {
                        window.Modernizr.postmessage && (window.addEventListener ? window.addEventListener("message", i.handlePostMessage, !1) : window.attachEvent("onmessage", i.handlePostMessage)), i.listenTo(i.pageManager, "nyt:page-breakpoint", i.responsive)
                    },
                    closeCallback: function() {
                        this.removeFromPage(), window.addEventListener ? window.removeEventListener("message", i.handlePostMessage, !1) : window.detachEvent("onmessage", i.handlePostMessage), i.stopListening(i.pageManager, "nyt:page-breakpoint", i.responsive)
                    }
                }), this.prepareUrls(), this.render()
            },
            render: function() {
                this.modalSettings.modalContent = this.template(this.settings), this.emailModal = new n(this.modalSettings), this.emailModal.addToPage(), t.defer(this.responsive, this.pageManager.getCurrentBreakpoint())
            },
            responsive: function(e) {
                var t = this.emailModal.$modal.find("iframe");
                1010 >= e && "full" === this.frameState && (t.css("height", t.height() + this.frameSize.ad + "px").width(this.frameSize.small), this.frameSize.state = "small", this.emailModal.positionDialog()), e > 1010 && "small" === this.frameState && (t.css("height", t.height() - this.frameSize.ad + "px").width(this.frameSize.full), this.frameState = "full", this.emailModal.positionDialog())
            },
            handlePostMessage: function(e) {
                var t;
                /\.nytimes\.com$/.test(e.origin) && (t = e.data.match(/(.+)\:(.+)/), t && "frameheight" === t[1] ? this.$el.css("height", t[2]) : t && "closewindow" === t[1] ? this.emailModal.close() : t && "loginredirect" === t[1] && (window.location = i.myaccount + "/auth/login?URI=" + encodeURIComponent(window.location.href)))
            },
            prepareUrls: function() {
                "string" == typeof this.settings.dataUrl && -1 === this.settings.dataUrl.indexOf("http") && (this.settings.dataUrl = "http:" + i.www + this.settings.dataUrl)
            }
        });
        return o
    }), define("shared/sharetools/helpers/share-tools-config", ["underscore/nyt"], function(e) {
        "use strict";
        var t = {
                width: 600,
                height: 450,
                adPosition: "Frame4A",
                overlayAdPosition: "Frame6A",
                isModalMember: !0,
                isArticleTool: !1,
                isInDefaultSet: !1,
                isPopup: !0,
                usesShortUrl: !1,
                shareDataParameters: {},
                shareServiceParameters: {}
            },
            i = function(i) {
                var s = e.extend({}, t, i);
                return Object.freeze ? Object.freeze(s) : s
            },
            s = {
                EMAIL: i({
                    label: "Email",
                    isInDefaultSet: !0,
                    requiresLogin: !0,
                    loginModalTitle: "Log in to email",
                    modalDisplayOrder: 1
                }),
                FACEBOOK: i({
                    label: "Share",
                    isInDefaultSet: !0,
                    url: "http://www.facebook.com/sharer.php",
                    smid: "fb-share",
                    modalDisplayOrder: 3,
                    shareDataParameters: {
                        url: "u"
                    }
                }),
                GOOGLE: i({
                    label: "Google+",
                    url: "https://plus.google.com/share",
                    smid: "go-share",
                    height: 600,
                    modalDisplayOrder: 4,
                    shareDataParameters: {
                        url: "url"
                    },
                    shareServiceParameters: {
                        hl: "en-US"
                    }
                }),
                REDDIT: i({
                    label: "Reddit",
                    url: "http://www.reddit.com/submit",
                    smid: "re-share",
                    width: 854,
                    height: 550,
                    modalDisplayOrder: 6,
                    shareDataParameters: {
                        url: "url",
                        title: "title"
                    }
                }),
                PINTEREST: i({
                    label: "Pin",
                    url: "https://www.pinterest.com/pin/create/button/",
                    smid: "pin-share",
                    width: 750,
                    height: 330,
                    modalDisplayOrder: 7,
                    shareDataParameters: {
                        url: "url",
                        media: "media",
                        description: "description"
                    }
                }),
                TWITTER: i({
                    label: "Tweet",
                    isInDefaultSet: !0,
                    url: "https://twitter.com/share",
                    smid: "tw-share",
                    usesShortUrl: !0,
                    modalDisplayOrder: 5,
                    shareDataParameters: {
                        url: "url",
                        title: "text"
                    }
                }),
                LINKEDIN: i({
                    label: "Linkedin",
                    url: "http://www.linkedin.com/shareArticle",
                    smid: "li-share",
                    width: 750,
                    modalDisplayOrder: 2,
                    shareDataParameters: {
                        url: "url",
                        title: "title",
                        description: "summary"
                    },
                    shareServiceParameters: {
                        mini: "true",
                        source: "The New York Times"
                    }
                }),
                SAVE: i({
                    label: "Save",
                    isInDefaultSet: !0,
                    isArticleTool: !0,
                    loginModalTitle: "Log in to save",
                    modalDisplayOrder: 1
                }),
                PRINT: i({
                    label: "Print",
                    isArticleTool: !0,
                    modalDisplayOrder: 3,
                    shareServiceParameters: {
                        pagewanted: "print"
                    }
                }),
                REPRINTS: i({
                    label: "Reprints",
                    isArticleTool: !0,
                    isModalMember: !0,
                    url: "https://s100.copyright.com/AppDispatchServlet",
                    modalDisplayOrder: 2,
                    shareDataParameters: {
                        url: "contentID"
                    },
                    shareServiceParameters: {
                        publisherName: "The New York Times",
                        publication: "nytimes.com",
                        token: "",
                        orderBeanReset: "true",
                        postType: "",
                        wordCount: "",
                        title: document.title,
                        publicationDate: "",
                        author: ""
                    }
                }),
                EMBED: i({
                    label: "Embed",
                    isArticleTool: !1,
                    isInDefaultSet: !1,
                    isModalMember: !1
                }),
                "SHOW-ALL": i({
                    label: "More",
                    isInDefaultSet: !0,
                    isModalMember: !1,
                    isModalTrigger: !0
                }),
                AD: i({
                    label: "Advertisement",
                    isInDefaultSet: !0,
                    isModalMember: !1
                })
            };
        return Object.freeze ? Object.freeze(s) : s
    }), define("shared/sharetools/models/saved-article", ["jquery/nyt", "underscore/nyt", "backbone/nyt", "foundation/models/base-model"], function(e, t, i, s) {
        "use strict";
        var n = s.extend({
            getThumbnail: function() {
                var e, t, i = this.get("relatedAssets") ? this.get("relatedAssets") : this.get("sectionFrontImages");
                if (i && i[0] && i[0].crops) {
                    i = i[0].crops;
                    for (e in i)
                        if ("mediumThreeByTwo210" === e) {
                            t = i[e];
                            break
                        }
                }
                return t
            },
            getSummary: function() {
                return this.get("summary")
            },
            getBylineHTML: function() {
                return this.get("byline")
            },
            getByline: function() {
                var t = e("<div>", {
                    html: this.getBylineHTML()
                }).text();
                return t
            },
            getTitle: function() {
                return this.get("title")
            },
            getUrl: function() {
                return this.get("url")
            },
            getDate: function() {
                return 1e3 * this.get("pubDate")
            },
            getActive: function() {
                return this.get("active")
            },
            getFormattedDate: function() {
                var e = new Date(this.getDate());
                return this.dateHelper.getMonthName(e.getMonth()) + " " + e.getDate() + ", " + e.getFullYear()
            },
            getThumbUrl: function() {
                return this.getThumbnail().url
            },
            getCaption: function() {
                var e = "",
                    t = this.get("relatedAssets") ? this.get("relatedAssets") : this.get("sectionFrontImages");
                return t && t[0] && t[0].caption && (e = t[0].caption), e
            },
            hasThumb: function() {
                return !!this.getThumbnail()
            }
        });
        return n
    }), define("shared/sharetools/collections/cross-platform-save", ["jquery/nyt", "underscore/nyt", "backbone/nyt", "foundation/collections/base-collection", "foundation/hosts", "foundation/lib/auth/userauth", "shared/sharetools/models/saved-article"], function(e, t, i, s, n, a, o) {
        "use strict";
        var r = s.extend({
            model: o,
            offset: 0,
            limit: 20,
            apiCommand: {
                save: "add",
                list: "list",
                count: "counts",
                remove: "archive"
            },
            url: n.du + "/svc/profile/reading-list/v1/",
            save: function(e) {
                var t = this;
                this.sync(this.apiCommand.save, e, null).done(function(i) {
                    t.add(i), t.trigger("nyt:xps-saved", e, i)
                }).fail(function() {
                    t.trigger("nyt:xps-failed", e)
                })
            },
            removeSavedArticle: function(e) {
                var t = this;
                this.sync(this.apiCommand.remove, e, null).done(function(i) {
                    t.remove(i), t.trigger("nyt:xps-article-removed", e, i)
                }).fail(function() {
                    t.trigger("nyt:xps-failed", e)
                })
            },
            getCount: function() {
                var e = this;
                this.sync(this.apiCommand.count, null, null).done(function(t) {
                    e.totalCount = t.active, e.trigger("nyt:xps-count-retrieved", t)
                }).fail(function() {
                    e.totalCount = !1, e.trigger("nyt:xps-failed")
                })
            },
            getSavedArticles: function() {
                var e = this,
                    t = "?offset=" + this.offset + "&limit=" + this.limit;
                e.reset(), this.sync(this.apiCommand.list, null, t).done(function(t) {
                    e.add(t), e.trigger("nyt:xps-articles-loaded", t)
                }).fail(function() {
                    e.trigger("nyt:xps-failed")
                })
            },
            getNextSavedArticles: function() {
                return this.offset += this.limit, this.limit = 10, this.totalCount > this.offset ? (this.getSavedArticles(), this.totalCount <= this.offset + this.limit && this.trigger("nyt:xps-finished"), !0) : !1
            },
            sync: function(t, i, s) {
                var n = new e.Deferred,
                    o = setTimeout(function() {
                        n.reject()
                    }, 5e3),
                    r = {
                        url: i
                    },
                    l = {
                        type: "GET",
                        jsonp: "callback",
                        jsonpCallback: "xpsCallback_" + t,
                        dataType: "jsonp",
                        cache: !0,
                        url: this.url + t + ".jsonp" + ("list" === t ? s : ""),
                        data: "",
                        success: function(e) {
                            clearTimeout(o), e && e.assets ? n.resolve(e.assets) : e && e.counts ? n.resolve(e.counts) : e && "archive" === t ? n.resolve(e) : n.reject()
                        }
                    };
                return a.getToken().done(function(t, i, s) {
                    t && i && "undefined" != typeof s && (l.data += "&token=" + t), l.data += "&data=" + JSON.stringify(r), e.ajax(l)
                }), n.promise()
            }
        });
        return r
    }), define("shared/sharetools/instances/cross-platform-save", ["shared/sharetools/collections/cross-platform-save"], function(e) {
        "use strict";
        return new e
    }), define("shared/sharetools/collections/short-url", ["jquery/nyt", "backbone/nyt", "foundation/collections/base-collection"], function(e, t, i) {
        "use strict";
        var s = i.extend({
            url: "http://www.nytimes.com/svc/bitly/shorten.jsonp",
            initialize: function() {
                this.currentUrlRequest = "", this.addCurrentPage()
            },
            sync: function(e, i, s) {
                return s.dataType = "jsonp", s.jsonpCallback = "shortUrlCallback", s.jsonp = "callback", s.cache = !0, s.data = {
                    url: this.currentUrlRequest
                }, t.sync(e, i, s)
            },
            parse: function(e) {
                return {
                    url: this.currentUrlRequest,
                    shortUrl: e.payload ? e.payload.short_url : ""
                }
            },
            addCurrentPage: function() {
                var t, i = this.pageManager.getCanonical();
                t = "1" === this.pageManager.getUrlParam("rico") && "undefined" != typeof this.pageManager.getUrlParam("share_url") ? this.pageManager.getUrlParam("share_url") : e("#masthead").find(".story-short-url").text(), i && t && this.add({
                    url: i,
                    shortUrl: t
                })
            },
            getRicoUrl: function(e) {
                var t = this.pageManager.getUrlParam("share_url"),
                    i = document.createElement("a");
                return i.href = e, i.pathname === location.pathname && t && 7 === t.indexOf("r-i.co/") ? t : void 0
            },
            requestUrl: function(e) {
                var t, i = this.findWhere({
                    url: e
                });
                return i ? i.get("shortUrl") : (t = this.getRicoUrl(e)) ? t : (this.currentUrlRequest = e, void this.fetch())
            }
        });
        return s
    }), define("shared/sharetools/instances/short-url", ["shared/sharetools/collections/short-url"], function(e) {
        "use strict";
        return new e
    }), define("shared/sharetools/views/common-mixin", ["jquery/nyt", "underscore/nyt", "foundation/hosts", "foundation/models/user-data", "foundation/models/page-storage", "foundation/tracking/tracking-mixin", "shared/modal/views/modal", "shared/sharetools/templates", "shared/sharetools/views/email", "shared/sharetools/helpers/share-tools-config", "shared/sharetools/instances/cross-platform-save", "shared/sharetools/instances/short-url"], function(e, t, i, s, n, a, o, r, l, d, h, c) {
        "use strict";
        var u = {
            handleShareAction: function(t, i) {
                var n = e(t.target),
                    a = n.attr("data-share") || n.parent().attr("data-share"),
                    o = a && d[a.toUpperCase()];
                return o ? (i && this.modal && this.modal.close(), "imageslideshow" !== this.pageManager.getMeta("PT") && this.trackShareData(a, o, i), o === d.EMBED ? void this.triggerEmbedLoginModal(t) : void(o.isModalTrigger ? this.broadcast("nyt:open-share-modal", {
                    instanceContainer: this.$instanceContainer
                }) : o === d.EMAIL ? this.isMobileShareTools() ? this.openMailToLink() : s.isLoggedIn() ? new l({
                    dataUrl: this.shareData.getUrl()
                }) : this.triggerLoginModal(t, "Log in to email") : o === d.PRINT ? window.print() : o === d.SAVE ? s.isLoggedIn() ? this.saveItem() : this.triggerLoginModal(t, "Log in to save") : o.isPopup && this.popupShareWindow(o))) : void 0
            },
            handleModalShareAction: function(e) {
                this.handleShareAction(e, !0)
            },
            triggerLoginModal: function(e, t) {
                e.preventDefault(), e.stopPropagation(), this.broadcast("nyt:loginmodal-open", {
                    modalTitle: t
                })
            },
            triggerEmbedLoginModal: function(t) {
                t.stopPropagation(), e(".show-all-sharetool a").trigger("click"), this.$body.find(".show-all-sharetool-modal #embed-input").select()
            },
            popupShareWindow: function(e) {
                e.usesShortUrl ? this.handleShortUrlShareAction(e) : window.open(this.buildShareServiceUrl(e), "_blank", this.getPopupWindowFeatures(e))
            },
            getPopupWindowFeatures: function(e) {
                return "toolbar=0,status=0,height=" + e.height + ",width=" + e.width + ",scrollbars=yes,resizable=yes"
            },
            buildShareServiceUrl: function(e) {
                var t, i = [],
                    s = e.smid,
                    n = e.shareDataParameters,
                    a = e.shareServiceParameters,
                    o = {
                        url: this.shareData.getUrl(),
                        title: this.shareData.getTitle(),
                        description: this.shareData.getDescription(),
                        media: this.shareData.getMedia()
                    };
                if (s && (o.url += this.getQuerystringDelimiter(o.url), o.url += "smid=" + s), n)
                    for (t in n) n.hasOwnProperty(t) && o.hasOwnProperty(t) && i.push(n[t] + "=" + encodeURIComponent(o[t]));
                if (a) {
                    a.hasOwnProperty("publicationDate") && (a.publicationDate = this.shareData.getPublicationDate()), a.hasOwnProperty("author") && (a.author = this.shareData.getAuthor());
                    for (t in a) a.hasOwnProperty(t) && i.push(t + "=" + encodeURIComponent(a[t]))
                }
                return e.url + "?" + i.join("&")
            },
            handleShortUrlShareAction: function(t) {
                var i, s, n, a, o = this,
                    r = this.shareData.getUrl(),
                    l = t.smid;
                /(?:iPad|iPhone)/.test(navigator.userAgent) ? (a = e("#masthead").find(".story-short-url").text() || this.pageManager.getCanonical(), i = t.url + "?url=" + encodeURIComponent(a) + "&text=" + encodeURIComponent(o.shareData.getTitle()), window.open(i, "_blank", this.getPopupWindowFeatures(t))) : (s = window.open("", "_blank", this.getPopupWindowFeatures(t)), n = function(e) {
                    var i = o.shareData.getVia();
                    e = t.url + "?url=" + encodeURIComponent(e) + "&text=" + encodeURIComponent(o.shareData.getTitle()), i && (e += "&via=" + encodeURIComponent(i)), s.location.href = e
                }, l && !this.pageManager.isMobile() && (r += this.getQuerystringDelimiter(r), r += "smid=" + l), i = c.requestUrl(r) || "", i ? n(i) : this.listenToOnce(c, "add", function() {
                    var e = c.findWhere({
                        url: r
                    });
                    e && n(e.get("shortUrl"))
                }))
            },
            getQuerystringDelimiter: function(e) {
                return -1 === e.indexOf("?") ? "?" : "&"
            },
            saveItem: function() {
                var e, t, s, a, o = this,
                    l = this.shareData.getUrl();
                t = function() {
                    var e = "sharetools_hasSaves";
                    n.get(e) !== !0 ? (a(), n.set(e, !0)) : s()
                }, s = function() {
                    o.showModal({
                        id: "save-item-growl-modal",
                        modalTitle: '<i class="icon"></i>Saved',
                        tailDirection: "centered",
                        openCallback: function() {
                            window.setTimeout(this.removeFromPage, 2e3)
                        }
                    })
                }, a = function() {
                    o.showModal({
                        id: "save-item-modal",
                        modalTitle: '<i class="icon"></i>Saved',
                        modalContent: r.savemodal({
                            link: i.www + "/saved"
                        }),
                        hasOverlay: !0,
                        hasCloseButton: !0,
                        tailDirection: "centered",
                        closeCallback: function() {
                            this.removeFromPage()
                        }
                    })
                }, e = h.where({
                    url: l
                }), e.length ? s() : (this.subscribeOnce(h, "nyt:xps-saved", t), h.save(l))
            },
            trackShareData: function(e, t, i) {
                var s = {};
                this.trackingBaseData = {
                    module: "ShareTools",
                    action: "click",
                    version: this.shareData.getContentType(),
                    contentCollection: this.pageManager.getMeta("article:section")
                }, i ? (s.region = "ToolsMenu", s.version = "Content") : s.region = this.trackingRegion, t.isArticleTool ? (s.module = "ArticleTools", s.eventName = "ArticleTool-" + e) : "show-all" === e ? s.eventName = "Share-ShowAll" : s.eventName = "Share-" + e, this.trackingTrigger("share-tools-click", s)
            },
            showModal: function(e) {
                var i = new o(e);
                i.addToPage(), t.defer(i.open)
            },
            isMobileShareTools: function() {
                return this.pageManager.getCurrentBreakpoint() < 1e3
            },
            openMailToLink: function() {
                var e = "%0A%0A",
                    t = encodeURIComponent(this.shareData.getTitle()),
                    i = encodeURIComponent(this.shareData.getDescription()),
                    s = encodeURIComponent(this.shareData.getUrl()),
                    n = "NYTimes.com: " + t,
                    a = "From The New York Times:" + e + t + e + i + e + s;
                window.location = "mailto:?subject=" + n + "&body=" + a
            }
        };
        return u
    }), define("shared/sharetools/views/share-tool", ["jquery/nyt", "underscore/nyt", "foundation/views/base-view", "shared/sharetools/views/common-mixin", "shared/sharetools/templates"], function(e, t, i, s, n) {
        "use strict";
        var a = i.extend(t.extend({}, s, {
            tagName: "li",
            events: {
                click: "handleShareAction"
            },
            initialize: function(e) {
                this.toolId = e.toolId, this.toolConfig = e.toolConfig, this.label = e.customLabel || this.toolConfig.label, this.loginModalTitle = this.toolConfig.loginModalTitle || "", this.$instanceContainer = e.instanceContainer, this.shareData = e.shareData, this.trackingRegion = e.trackingRegion, "" === e.customLabel && (this.isLabelHidden = !0)
            },
            render: function() {
                var e, t, i = this.toolId.toLowerCase();
                return this.isAdView() ? (e = this.pageManager.getCurrentBreakpoint() <= 1020 ? "Position1" : "Frame4A", this.$instanceContainer.find(".sharetools-inline-article-ad").attr("id", e), this.broadcast("nyt:ad-library:dfp:queue-placement", e), this.$instanceContainer.find("#" + e).removeClass("hidden")) : (t = n.shareTool({
                    id: i,
                    label: this.label,
                    loginModalTitle: this.loginModalTitle,
                    isLabelHidden: this.isLabelHidden
                }), this.$el.addClass("sharetool " + i + "-sharetool"), this.$el.append(t)), this
            },
            isAdView: function() {
                return "AD" === this.toolId
            }
        }));
        return a
    }), define("shared/sharetools/views/containers-mixin", ["jquery/nyt", "underscore/nyt", "shared/sharetools/models/share-data", "shared/sharetools/views/share-tool", "shared/sharetools/helpers/share-tools-config"], function(e, t, i, s, n) {
        "use strict";
        var a = {
            getToolIdsAndCustomLabels: function(e) {
                var t, i, s, a;
                if (this.toolIds = [], this.customLabels = {}, e)
                    for (e = e.split(","), t = 0, s = e.length; s > t; t++) i = e[t].toUpperCase(), a = i.indexOf("|"), -1 !== a && (i = i.substring(0, a), this.customLabels[i] = e[t].substr(a + 1)), this.toolIds.push(i);
                else
                    for (i in n) n.hasOwnProperty(i) && n[i].isInDefaultSet === !0 && this.toolIds.push(i)
            },
            instantiateViews: function(e) {
                var i, a, o, r, l, d = [];
                for (i = 0, a = e.length; a > i; i++) o = e[i], r = this.customLabels && this.customLabels[o], n.hasOwnProperty(o) && (l = {
                    toolId: o,
                    toolConfig: n[o],
                    instanceContainer: this.$instanceContainer,
                    shareData: this.shareData,
                    trackingRegion: this.trackingRegion
                }, t.isString(r) && (l.customLabel = r), d.push(new s(l)));
                return d
            },
            renderToolViews: function() {
                var e, t, i;
                for (t = this.instantiateViews(this.toolIds), e = 0, i = t.length; i > e; e++) t[e].isAdView() ? t[e].render() : this.$el.append(t[e].render().el)
            },
            getToolViewsMarkup: function(t) {
                var i, s = document.createElement("div"),
                    n = this.instantiateViews(t),
                    a = n.length;
                for (i = 0; a > i; i++) s.appendChild(n[i].render().el);
                return e(s).html()
            }
        };
        return a
    }), define("shared/ad/collections/ads", ["backbone/nyt", "underscore/nyt", "foundation/collections/base-collection", "foundation/hosts", "shared/ad/models/ad"], function(e, t, i, s, n) {
        "use strict";
        var a = i.extend({
            deliveryProofParams: ["adxforce", "debug"],
            adForceLookup: {
                leaderboard: "728x90testnyt5",
                billboard: "970x90horiztest",
                pushdown: "testnyt5pushdown",
                halfpage: "mediamindhalfexptest",
                xxl: "nyt5xxltestpickletag",
                bigad: "middlerighttest"
            },
            initialize: function(e, i) {
                return i ? (this.options = i, t.isUndefined(this.pageManager.getMeta("adxPage")) ? this.host = this.pageManager.getUrlParam("adx_campaign") || i.adx_campaign || "www.nytimes.com" : (this.host = "", this.options.page = this.pageManager.getMeta("adxPage")), this.interstitial = i.interstitial ? 1 : 0, void this.setPageParameter()) : !1
            },
            setPageParameter: function() {
                var e;
                this.options.page || (e = location.pathname, e = e.replace(/\d{4}/, "yr").replace(/\d{2}/, "mo").replace(/\d{2}/, "day"), this.options.page = this.host + e)
            },
            model: n,
            url: s.adx + "/adx/bin/adxrun.html",
            sync: function(i, s, n) {
                var a = this,
                    o = ["nyt5"];
                return n.dataType = "jsonp", n.jsonp = "jsonp", n.data = {
                    page: a.options.page,
                    positions: a.options.positions.join(","),
                    autoconfirm: a.options.autoconfirm || 0,
                    v: 3,
                    cpp: 1,
                    attributes: "nyt5",
                    interstitials: this.interstitial
                }, this.options.cpp === !1 && (delete n.data.interstitials, delete n.data.cpp), n.data = a.assignDeliveryProofParams(n.data), "undefined" != typeof this.pageManager.getUrlParam("hp") && o.push("hp"), "undefined" != typeof this.pageManager.getUrlParam("src") && o.push("src-" + this.pageManager.getUrlParam("src")), "undefined" != typeof a.options.keywords && (o = t.union(o, a.chainKeywords(a.options.keywords))), n.data.keywords = t.filter(o, function(e) {
                    return !("undefined" == typeof e || "" === e)
                }).join(","), e.sync(i, s, n)
            },
            assignDeliveryProofParams: function(e) {
                var i, s, n = {};
                for (i = this.deliveryProofParams.length - 1; i >= 0; i -= 1) s = this.pageManager.getUrlParam(this.deliveryProofParams[i]), "undefined" != typeof s && (n[this.deliveryProofParams[i]] = s || "1");
                return t.extend(e, n)
            },
            chainKeywords: function(e) {
                var t, i, s = e.length,
                    n = [],
                    a = this;
                for (t = 0; s > t; t += 1) i = a.adForceLookup[e[t]], n.push(i || e[t]);
                return "1" === this.pageManager.getUrlParam("rico") && n.push(this.pageManager.getUrlParam("keywords")), n
            },
            parse: function(e) {
                var i = e.ads;
                return i = t.map(i, function(e, t) {
                    var i = e.isInlineSafe;
                    return e.name = t, e.isInlineSafe = "Y" === i || "true" === i, e
                }), "undefined" != typeof this.pageManager.getUrlParam("debug") && (window.adx_debug_output = e, console.log("adx debug page: ", this.options.page), console.log("adx debug positions: ", this.options.positions.join(",")), console.log("adx debug output: ", e), console.log("adx debug keywords: ", this.chainKeywords(this.options.keywords).join(","))), i
            },
            getConfirmPixel: function() {
                return this.confirmPixel ? this.confirmPixel.creative : void 0
            }
        });
        return a
    }), define("shared/ad/templates", ["underscore/nyt"], function(_) {
        var templates = {};
        return templates.iFrameStyleSheet = function(obj) {
            var __p = "";
            Array.prototype.join;
            with(obj || {}) __p += '<style type="text/css">\nbody {\nmargin: 0;\noverflow: hidden;\n}a img {\nborder: none;\n}\n</style>';
            return __p
        }, templates.interstitialModal = function(obj) {
            var __p = "";
            Array.prototype.join;
            with(obj || {}) __p += '<div id="Interstitial" class="ad interstitial-ad"></div><p class="user-action dismiss-button">Continue &raquo;</p>';
            return __p
        }, templates.ribbonInterstitial = function(obj) {
            var __p = "";
            Array.prototype.join;
            with(obj || {}) __p += '<div class="ribbon-interstitial-ad-overlay">\n<h4 class="ad-heading"> Advertisement </h4>\n<div id="RibbonInterstitial" class="ad ribbon-interstitial-ad"> </div>\n</div>';
            return __p
        }, templates
    }), define("shared/ad/views/ads", ["underscore/nyt", "jquery/nyt", "foundation/views/base-view", "foundation/views/ad-view-manager", "shared/ad/collections/ads", "shared/ad/templates", "shared/modal/views/modal"], function(e, t, i, s, n, a, o) {
        "use strict";
        var r = i.registerView("ads").extend({
            el: ".ad",
            template: a,
            pushdownWidth: "970",
            billboardHeight: "90",
            navBreakPoint: 10040,
            positions: null,
            blocking: !1,
            adShown: {},
            initialize: function(t) {
                e.bindAll(this, "completeInterstitial", "renderAd"), this.options = t || this.options || {}, this.positions = [], this.preInitialize(), this.local(this, "nyt:ads-pre-initialize"), this.detectTragedy(), this.setAdParametersOnOptions(), this.scope = this.options.scope || this.scope, this.confirm = !0, this.ads = new n([], this.options), this.subscribe(this.ads, "sync", this.receiveAds), this.secondaryIframeClass = "frame-for-" + this.scope, this.listenTo(this.pageManager, "nyt:page-breakpoint", this.responsive), this.postInitialize(), this.local(this, "nyt:ads-post-initialize"), this.subscribe("nyt:ads-new-placement", this.handleRemoteAdRequest), this.subscribe("nyt:ads-fire-ribbon-interstitial", this.fireRibbonInterstitial), this.subscribe("nyt:slideshow-ad", this.fireSlideShowAd), this.addAmazonKeywords ? this.getAmazonAds() : this.requestAds()
            },
            getAmazonAds: function() {
                window.amznads = {
                    updateAds: function(t) {
                        window.amazonAdData = t.ads, window.amazonAdSlots = e.keys(window.amazonAdData)
                    },
                    renderAd: function(e, t) {
                        var i, s;
                        window.amazonAdData && window.amazonAdData[t] ? (e.write(window.amazonAdData[t]), e.close()) : (i = {
                            c: "dtb",
                            src: "3030",
                            kvmismatch: 1,
                            pubReturnedKey: t,
                            aaxReturnedKeys: window.amazonAdSlots,
                            cb: Math.round(1e7 * Math.random()),
                            u: window.encodeURIComponent(window.location.host + window.location.pathname),
                            ua: encodeURIComponent(window.navigator.userAgent)
                        }, s = window.encodeURIComponent(JSON.stringify(i)), e.write('<img src="//aax.amazon-adsystem.com/x/px/p/0/' + s + '"/>'), e.close())
                    }
                }, this.getAmazonKeywordsAndRequestAds()
            },
            getAmazonKeywordsAndRequestAds: function() {
                var e = this,
                    i = "3030",
                    s = encodeURIComponent(document.location);
                try {
                    s = encodeURIComponent("" + window.top.location)
                } catch (n) {}
                t.ajax({
                    url: "//aax.amazon-adsystem.com/e/dtb/bid?src=" + i + "&u=" + s + "&cb=" + Math.round(1e7 * Math.random()),
                    dataType: "script"
                }).done(function() {
                    e.addAmazonKeywords()
                }).always(function() {
                    e.requestAds()
                })
            },
            preInitialize: t.noop,
            postInitialize: t.noop,
            responsive: t.noop,
            setHtmlClasses: t.noop,
            requestAds: function() {
                this.options.response ? (this.ads.reset(this.ads.parse(this.options.response)), this.ads.trigger("sync")) : this.ads.fetch()
            },
            receiveAds: function() {
                this.hasInterstitial() || this.checkAds()
            },
            resizeTopAd: e.debounce(function() {
                var e, i = this.ads.findWhere({
                    name: "TopAd"
                });
                i && (e = i.get("height"), e && 90 > e && t("#TopAd").css("min-height", parseInt(e, 10)))
            }, 1e3),
            checkAds: function() {
                var i, s, n, a, o, r = this;
                for (this.removeAds(), i = this.getReturnedAdNames(this.pageManager.isDomReady()), this.pageManager.isDomReady() || this.subscribe("nyt:page-ready", function() {
                        r.getReturnedAdNames(!0)
                    }), i && i.length > 0 && (this.pageManager.getMeta("ads_adNames") || this.pageManager.setMeta("ads_adNames", this.returnAdNames())), e.indexOf(i, "TopAd") < 0 ? (o = t("#TopAd"), 0 === o.length && o.addClass("hidden")) : r.resizeTopAd(), a = this.getPositions(), s = 0, n = a.length; n > s; s += 1) t("#" + a[s]).toggleClass("hidden", r.isAdUnavailable(i, a[s]));
                e.indexOf(this.options.positions, "Middle1C") >= 0 && !this.ads.findWhere({
                    name: "Middle1C"
                }) && t("#TopNavAd, .search-flyout-panel .ad").addClass("hidden"), e.defer(function() {
                    r.broadcast("nyt:ads-rendered", r)
                }), r.setHtmlClasses(), e.delay(function() {
                    r.loadGoogleAdScript()
                }, 1200)
            },
            loadGoogleAdScript: function() {
                var e, i, s;
                0 === t("#SponLink, #SponLinkA, #HPSponLink, #TopAd1, #MiddleRightN").length || this.pageManager.getMeta("googleAdScriptInjected") || (e = "script", i = document.createElement(e), s = document.getElementsByTagName(e)[0], i.src = "http://pagead2.googlesyndication.com/pagead/js/adsbygoogle.js", s.parentNode.insertBefore(i, s), this.pageManager.setMeta("googleAdScriptInjected", "true"))
            },
            renderAd: function(e) {
                e.page = e.page || this.ads.options.page, e.frameStyle = e.frameStyle || this.template.iFrameStyleSheet(), e.secondaryIframeClass = e.secondaryIframeClass || this.secondaryIframeClass, s.render(e)
            },
            renderAdByPositionName: function(i, s) {
                var n = t("#" + i);
                return s || (s = this.ads.where({
                    name: i
                })[0]), n.length && s || "ADX_CLIENTSIDE" === i ? (this.isCreativeBlank(s) || n.removeClass("hidden"), e.defer(this.renderAd, {
                    model: s,
                    el: n
                }), !0) : !1
            },
            handleRemoteAdRequest: function(e) {
                this.ads.length > 0 && this.renderAdByPositionName(e)
            },
            getPositions: function() {
                return this.options.positions
            },
            detectTragedy: function() {
                var e = this.pageManager.getMeta("ad_sensitivity");
                e && (this.options.page = "www.nytimes.com/" + e)
            },
            returnAdNames: function() {
                return this.ads.pluck("name")
            },
            cleanHtmlClasses: function() {
                this.htmlClasses && this.$html.removeClass(e.values(this.htmlClasses).join(" "))
            },
            isDirectlySold: function(e) {
                var t = this.ads.where({
                    name: e
                })[0].attributes.isDirectlySold;
                return "true" === t
            },
            returnAdParametersObject: function() {
                var t = this.pageManager.getUrlParam("ad-keywords"),
                    i = this.pageManager.getUrlParam("ad-positions");
                return {
                    keywords: e.isString(t) ? [t] : t,
                    positions: e.isString(i) ? [i] : i
                }
            },
            setAdParametersOnOptions: function() {
                var t = this.returnAdParametersObject();
                this.options.keywords = e.union(this.options.keywords, t.keywords), t.positions && (this.options.positions = t.positions)
            },
            isPlaceholderInViewport: function(e) {
                var i;
                return !e || e && 0 === e.length ? !1 : (i = e.get(0).getBoundingClientRect(), i.top + e.height() >= 0 && i.left + e.width() >= 0 && i.bottom - e.height() <= t(window).height() && i.right - e.width() <= t(window).width())
            },
            isCreativeBlank: function(e) {
                var t = e.get("classification");
                return "blank" === t || "blank-but-count-imps" === t
            },
            handleApplicationAd: function(e) {
                var t, i;
                return t = e.get("name"), i = this.renderAdByPositionName(t, e)
            },
            getReturnedAdNames: function(e) {
                var t = this,
                    i = [];
                return e = "undefined" != typeof e ? e : !1, this.ads.length > 0 && this.ads.each(function(s) {
                    e ? t.handleApplicationAd(s) ? i.push(s.get("name")) : t.confirm = !1 : i.push(s.get("name"))
                }), i
            },
            isAdUnavailable: function(t, i) {
                return e.indexOf(t, i) < 0 || this.isCreativeBlank(this.ads.where({
                    name: i
                })[0])
            },
            removeAds: function() {
                t("." + this.secondaryIframeClass).remove()
            },
            isHalfPage: function(e, t) {
                return 300 === parseInt(e, 10) && 600 === parseInt(t, 10)
            },
            isPushdown: function(e, t) {
                return e === this.pushdownWidth && t !== this.billboardHeight
            },
            handleTopNav: function(i) {
                var s, n, a, o, r = t("#SponsorAd"),
                    l = r.find("iframe"),
                    d = t("#TopNavAd"),
                    h = d.find("iframe");
                return s = this.ads.findWhere({
                    name: "Middle1C"
                }), a = i < this.navBreakPoint && 0 === l.length, o = i >= this.navBreakPoint && 0 === h.length, s && (a || o) ? (a ? (n = r, h.remove()) : (n = d, l.remove()), e.defer(this.renderAd, {
                    el: n,
                    model: s
                }), !0) : !1
            },
            fireSlideShowAd: function(e) {
                var i = this.ads.findWhere({
                        name: e.position
                    }),
                    s = t('<div class="ad-wrapper"></div>');
                this.adShown[e.position] || "object" != typeof i || (this.adShown[e.position] = !0, e.el.html(s), this.renderAd({
                    el: s,
                    model: i
                }), this.broadcast("nyt:slideshow-ad-render", i))
            },
            hasInterstitial: function() {
                var e, t = this.ads.findWhere({
                    name: "Interstitial"
                });
                return t ? (e = t.get("timeout") ? 1e3 * parseInt(t.get("timeout"), 10) : 15e3, this.createInterstitial(t, this.completeInterstitial, e), !0) : !1
            },
            fireRibbonInterstitial: function() {
                var e = this.pageManager.getViewport();
                this.$shell.prepend(a.ribbonInterstitial()), this.renderAdByPositionName("RibbonInterstitial"), this.$shell.find("#main").addClass("visually-hidden").end().find(".ribbon-interstitial-ad-overlay").css("height", e.height - 150).find("iframe").css("width", "")
            },
            createInterstitial: function(e, t, i) {
                var s = this;
                this.interstitialModal = new o({
                    id: "interstitial-ad-modal",
                    modalTitle: "advertisement",
                    tailDirection: "fixed",
                    hasOverlay: !0,
                    hasCloseButton: !0,
                    width: e.get("width"),
                    height: e.get("height"),
                    modalContent: a.interstitialModal(),
                    closeCallback: t,
                    openCallback: function() {
                        s.renderAdByPositionName(e.get("name"))
                    }
                }).addToPage().open(), i && (s.closeTimeout = window.setTimeout(this.interstitialModal.close, i))
            },
            completeInterstitial: function(e) {
                window.clearTimeout(this.closeTimeout), this.interstitialModal.removeFromPage(), this.ads.remove(e), this.checkAds()
            }
        });
        return r
    }), define("shared/sharetools/views/share-tools-modal-container", ["jquery/nyt", "underscore/nyt", "foundation/views/base-view", "shared/modal/views/modal", "shared/ad/views/ads", "shared/sharetools/helpers/share-tools-config", "shared/sharetools/views/share-tool", "shared/sharetools/views/common-mixin", "shared/sharetools/views/containers-mixin", "shared/sharetools/instances/short-url", "shared/sharetools/templates"], function(e, t, i, s, n, a, o, r, l, d, h) {
        "use strict";
        var c = i.extend(t.extend({}, r, l, {
            events: {
                click: "handleModalShareAction"
            },
            defaultModalSettings: {
                id: "show-all-sharetool-modal",
                modalTitle: "share",
                binding: ".show-all-sharetool",
                tailDirection: "up",
                hasOverlay: !1,
                hasCloseButton: !1,
                positionTailSide: !1,
                autoPosition: !1,
                modalContent: "",
                toolTypeSponsor: "Share",
                tailLeftOffset: 0,
                tailTopOffset: 0,
                openCallback: function() {
                    this.$target.addClass("active")
                },
                closeCallback: function() {
                    this.$target.removeClass("active"), this.removeFromPage()
                }
            },
            initialize: function(i) {
                this.$instanceContainer = i.instanceContainer,
                    this.trackingRegion = i.trackingRegion, this.shareData = i.shareData, this.configIds = i.modalSettings.shares, this.showTools = i.modalSettings.hasOwnProperty("showTools") ? i.modalSettings.showTools : !0, this.modalSettings = t.extend({}, this.defaultModalSettings, i.modalSettings), this.modalSettings.modalFooter = h.shareToolsModalFooter({
                        toolTypeSponsor: this.modalSettings.toolTypeSponsor
                    }), this.isMobileShareTools() && (this.modalSettings = t.extend({}, this.modalSettings, {
                        tailDirection: "centered",
                        hasCloseButton: !0,
                        hasOverlay: !0,
                        positionTailSide: !1,
                        autoPosition: !1
                    })), this.el = document.createElement("ul"), this.el.className = "sharetools-menu", this.$el = e(this.el), this.urlWithSmid = this.shareData.getUrl(), this.urlWithSmid += -1 === this.urlWithSmid.indexOf("?") ? "?" : "&", this.urlWithSmid += "smid=pl-share", this.permalink = d.requestUrl(this.urlWithSmid) || "", this.permalink || this.listenToOnce(d, "add", this.handleShortUrl), this.render()
            },
            render: function() {
                var e = "Frame6A";
                this.modalSettings.modalContent = h.shareToolsModal(this.buildMarkup()), this.modal = new s(this.modalSettings), this.setElement(this.modal.$modal), this.modalSettings.embedCode && this.modal.$modal.find(".embed-input").val(this.modalSettings.embedCode), this.modal.$modal.find(".show-all-sharetool-modal-ad").attr("id", e), this.modal.addToPage(), this.isMobileShareTools() || this.broadcast("nyt:ad-library:dfp:request-placement", e)
            },
            buildMarkup: function() {
                var e, i, s, n = this,
                    o = [],
                    r = [],
                    l = function(e) {
                        var i;
                        a.hasOwnProperty(e) && (i = t.extend({}, a[e], {
                            id: e
                        }), a[e].isArticleTool ? "REPRINTS" === e ? "article" !== n.pageManager.getMeta("PT") || /\/(?:aponline|reuters|opinion|t-magazine|magazine)\//.test(n.shareData.getUrl()) || "books" === n.pageManager.getMeta("CG") && "Review" === n.pageManager.getMeta("tom") || r.push(i) : a[e].isArticleTool && r.push(i) : o.push(i))
                    };
                if (this.configIds)
                    for (this.getToolIdsAndCustomLabels(this.configIds), e = 0, s = this.toolIds.length; s > e; e++) l(this.toolIds[e]);
                else {
                    for (i in a) a[i].isModalMember && l(i);
                    o = t.sortBy(o, function(e) {
                        return e.modalDisplayOrder
                    }), r = t.sortBy(r, function(e) {
                        return e.modalDisplayOrder
                    })
                }
                return {
                    shortUrl: this.permalink,
                    showTools: this.showTools,
                    isCompact: "homepage" === n.pageManager.getApplicationName(),
                    standardToolsList: this.getToolViewsMarkup(t.pluck(o, "id")),
                    articleToolsList: this.getToolViewsMarkup(t.pluck(r, "id"))
                }
            },
            handleShortUrl: function() {
                var e = d.findWhere({
                    url: this.urlWithSmid
                });
                e && this.modal.$modal.find(".short-url-input").val(e.get("shortUrl"))
            }
        }));
        return c
    }), define("shared/sharetools/views/share-tools-container", ["jquery/nyt", "underscore/nyt", "foundation/views/base-view", "shared/sharetools/models/share-data", "shared/sharetools/views/containers-mixin", "shared/sharetools/views/share-tools-modal-container"], function(e, t, i, s, n, a) {
        "use strict";
        var o = i.extend(t.extend({}, n, {
            initializedAttribute: "data-share-tools-initialized",
            initialize: function(t) {
                this.$instanceContainer = t.el, this.trackingRegion = t.trackingRegion || "", this.$instanceContainer && !this.$instanceContainer.attr(this.initializedAttribute) && (this.getToolIdsAndCustomLabels(this.$instanceContainer.data("shares")), this.shareData = new s(this.$instanceContainer), this.el = document.createElement("ul"), this.$el = e(this.el), t.modalSettings && this.subscribe("nyt:open-share-modal", function(e) {
                    e.instanceContainer && this.$instanceContainer.get(0) === e.instanceContainer.get(0) && new a({
                        instanceContainer: e.instanceContainer,
                        modalSettings: t.modalSettings,
                        trackingRegion: this.trackingRegion,
                        shareData: this.shareData
                    })
                }), this.render())
            },
            render: function() {
                var i, s = void 0 !== t.find(this.toolIds, function(e) {
                        return "AD" === e
                    }),
                    n = this.$instanceContainer.find(".sharetools-inline-article-ad");
                this.renderToolViews(), this.$instanceContainer.attr(this.initializedAttribute, "1"), s && n.length ? this.$el.insertBefore(n) : this.$instanceContainer.append(this.el), i = this.$el.closest(".sharetools").attr("id"), "sharetools-masthead" === i && (this.isTemplateMinimal() || this.hasCoverMedia()) && e("#sharetools-masthead .show-all-sharetool .sharetool-text").text("Share")
            },
            isTemplateMinimal: function() {
                return this.$html.hasClass("template-minimal") ? !0 : void 0
            },
            hasCoverMedia: function() {
                return this.$html.hasClass("has-cover-media") ? !0 : void 0
            }
        }));
        return o
    }), define("homepage/views/video/player", ["jquery/nyt", "underscore/nyt", "foundation/views/base-view", "foundation/views/page-manager", "shared/video/libs/inactivity-timer-manager", "foundation/hosts", "homepage/helpers/image-utils", "homepage/views/video/metadata", "homepage/views/video/poster", "shared/sharetools/views/share-tools-container", "shared/sharetools/models/share-data"], function(e, t, i, s, n, a, o, r, l, d, h) {
        "use strict";
        var c, u = i.extend({
            nytEvents: {
                "nyt:video-playlist-selected": "loadSelectedVideo",
                "nyt:video-playlist-autoplay-next": "loadAutoplayedVideo"
            },
            initialize: function(i) {
                t.bindAll(this, "subscribeToEvents", "onVideoComplete", "onVideoPlay", "onVideoPaused", "onAdStart", "onAdComplete", "onVideoRendered"), this.options = e.extend({
                    name: "",
                    videoWidth: 768,
                    videoHeight: 432,
                    playerType: "homepage",
                    debug: !1
                }, i), this.element = this.options.container, this.$videoPlayer = this.element.find(".video-player"), this.$poster = this.element.find(".poster"), this.video = this.options.video, this.$shareTools = this.$videoPlayer.find(".sharetools"), this.shareData = new h(this.$shareTools), this.metadataView = new r({
                    el: this.element.find("figcaption.credit"),
                    video: this.video
                }).render(), s.flag("videoVHSHomepageCover") ? this.renderPlayer() : this.setupPoster(), this.initializeShareTools(), this.element.removeClass("invisible"), this.inactivityTimerManager = new n(s), this.broadcast("nyt:video-playlist-ready")
            },
            setupPoster: function() {
                this.$poster.attr("src", this.getPosterUrl()), this.posterOverlay = new l({
                    el: this.$videoPlayer.find(".media-action-overlay"),
                    video: this.video
                }).render(), this.registerPosterEvents()
            },
            registerPosterEvents: function() {
                var e = this,
                    t = ".video-player .media-action-overlay";
                this.element.on("click", t, function() {
                    e.renderPlayer()
                })
            },
            loadSelectedVideo: function(e) {
                this.video = e, this.userInitiatedNext = !0, this.refreshVideo()
            },
            loadAutoplayedVideo: function(e) {
                this.video = e, this.userInitiatedNext = !1, this.refreshVideo()
            },
            refreshVideo: function() {
                this.metadataView.video = this.video, this.metadataView.render(), this.renderPlayer(), this.setVideoPlayerShareData()
            },
            renderPlayer: function() {
                var e = this,
                    t = window.location.host,
                    i = this.element.find(".video-player-container");
                return this.videoPlayer && this.videoPlayer.video ? (this.videoPlayer.options.userInitiatedNext = this.userInitiatedNext, void this.videoPlayer.load(this.video.id, !0)) : s.flag("videoVHSHomepageCover") && this.videoPlayer && !this.videoPlayer.video ? (this.videoPlayer.on(c.api.events.RENDERED, this.onVideoRendered), this.videoPlayer.modules.poster.hide(), void this.videoPlayer.render()) : (i.css({
                    width: this.options.videoWidth + "px",
                    height: this.options.videoHeight + "px"
                }), this.$poster.addClass("hidden"), this.$videoPlayer.find(".media-action-overlay").addClass("hidden"), i.attr("id", "video_" + this.video.id), i.empty(), this.vhsConfig = {
                    container: "video_" + this.video.id,
                    id: this.video.id,
                    width: e.options.videoWidth,
                    height: e.options.videoHeight,
                    autoplay: !0,
                    type: e.options.playerType,
                    userInitiatedPlay: !0,
                    siteSection: "homepage_large_homepage",
                    controlsOverlay: {
                        mode: "article"
                    },
                    cover: !1
                }, s.flag("videoVHSHomepageCover") && (this.vhsConfig.autoplay = !1, this.vhsConfig.cover = s.isDesktop() ? {
                    mode: "article"
                } : {
                    mode: "mobile"
                }), (t.indexOf("dev.") > -1 || t.indexOf("stg.") > -1 || t.indexOf("sbx.") > -1) && (this.vhsConfig.env = "staging"), void require(["vhs"], function(t) {
                    c = t, e.videoPlayer = c.player(e.vhsConfig), e.videoPlayer.on(c.api.events.READY, e.subscribeToEvents)
                }))
            },
            subscribeToEvents: function() {
                this.videoPlayer && (this.videoPlayer.on(c.api.events.ENDED, this.onVideoComplete), this.videoPlayer.on(c.api.events.PLAY, this.onVideoPlay), this.videoPlayer.on(c.api.events.PAUSE, this.onVideoPaused), this.videoPlayer.on(c.api.events.AD_STARTED, this.onAdStart), this.videoPlayer.on(c.api.events.AD_COMPLETED, this.onAdComplete))
            },
            onVideoRendered: function() {
                this.videoPlayer.off(c.api.events.RENDERED, this.onVideoRendered), this.videoPlayer.options.userInitiatedNext = this.userInitiatedNext, this.videoPlayer.load(this.video.id, !0)
            },
            onVideoComplete: function() {
                var e = this;
                setTimeout(function() {
                    e.broadcast("nyt:video-player-finished"), e.inactivityTimerManager.enable()
                }, 100)
            },
            onVideoPlay: function() {
                this.inactivityTimerManager.disable()
            },
            onVideoPaused: function() {
                this.inactivityTimerManager.enable()
            },
            onAdStart: function() {
                this.inactivityTimerManager.disable()
            },
            onAdComplete: function() {
                this.inactivityTimerManager.enable()
            },
            initializeShareTools: function() {
                var e = '<iframe width="480" height="373" frameborder="0" scrolling="no" marginheight="0" marginwidth="0" id="nyt_video_player" title="New York Times Video - Embed Player" src="http://graphics8.nytimes.com/bcvideo/1.0/iframe/embed.html?videoId=' + this.video.id + '&playerType=embed"></iframe>';
                this.setVideoPlayerShareData(), new d({
                    trackingRegion: "video-player-region",
                    el: this.$shareTools,
                    modalSettings: {
                        modalTitle: "share this video",
                        tailDirection: "down-right",
                        positionTailSide: !1,
                        autoPosition: !1,
                        toggleSpeed: 1,
                        embedCode: e
                    }
                })
            },
            setVideoPlayerShareData: function() {
                var e = this.video,
                    t = "http:" + a.www + (e.publish_url || "/video");
                this.shareData.setUrl(t), this.shareData.setDescription(e.summary), this.shareData.setTitle(e.headline)
            },
            getPosterUrl: function() {
                var e;
                return e = o.getCropUrl(this.video.images, ["videoSixteenByNine768", "videoSmall"]), e || (e = "video/static-timesvideo/img/video-default-16by9-1050x591.png"), [a.image, e].join("/")
            }
        });
        return u
    }), define("homepage/views/video/video-section", ["jquery/nyt", "underscore/nyt", "foundation/views/base-view", "homepage/views/video/playlist", "homepage/views/video/player"], function(e, t, i, s, n) {
        "use strict";
        var a = i.extend({
            nytEvents: {
                "nyt:video-playlist-loaded": "configurePlayer",
                "nyt:video-playlist-ready": "setup"
            },
            initialize: function(i) {
                var n = this;
                t.bindAll(this, "handleMediaHover"), this.options = e.extend({}, i), this.vhsConfig = {
                    container: this.options.el,
                    referenceId: this.options.playlistID,
                    thumbWidth: 90,
                    videoWidth: "100%",
                    videoHeight: "100%"
                }, this.playlistView = new s({
                    container: this.options.el,
                    playlistId: this.options.playlistID
                }), this.visibleTimer = setTimeout(function() {
                    n.unHideVideoRegion()
                }, 3e3)
            },
            configurePlayer: function(e) {
                this.playerView = new n({
                    container: this.vhsConfig.container,
                    video: e
                }), this.unHideVideoRegion()
            },
            unHideVideoRegion: function() {
                e(".video-player-region").removeClass("invisible"), e(".video-section").removeClass("invisible")
            },
            setup: function() {
                this.$carousel = e("#extVidPlayerThumbsWrapper"), this.$menu = e("#extVidPlayerThumbs"), this.$el = e(".video-section"), this.$scroller = e(".video-playlist-container"), this.$items = this.$menu.find("li"), this.totalItems = this.$items.length, this.itemWidth = this.$items.eq(1).width() + parseInt(this.$items.eq(1).css("margin-right"), 10), this.totalWidth = this.$items.length * this.itemWidth + 20, this.isAnimating = !1, this.pointer = 1, this.$menu.css("width", this.totalWidth + "px"), this.preventOverScroll(), this.summaryHeight = this.$el.find(".video-player .media-action-overlay .summary").height(), this.pageManager.isDesktop() && (this.$el.on("mouseenter", ".video-player .media-action-overlay", this.handleMediaHover), this.$el.on("mouseleave", ".video-player .media-action-overlay", this.handleMediaHover))
            },
            preventOverScroll: function() {
                var t = this.$scroller.height(),
                    i = "DOMMouseScroll mousewheel",
                    s = function(i) {
                        var s = e(this),
                            n = this.scrollTop,
                            a = this.scrollHeight,
                            o = "DOMMouseScroll" === i.type ? -40 * i.originalEvent.detail : i.originalEvent.wheelDelta,
                            r = o > 0,
                            l = function() {
                                return i.stopPropagation(), i.preventDefault(), i.returnValue = !1, !1
                            };
                        return !r && -o > a - t - n ? (s.scrollTop(a), l()) : r && o > n ? (s.scrollTop(0), l()) : void 0
                    };
                this.$scroller.off(i, s).on(i, s)
            },
            handleMediaHover: function(e) {
                var t = this,
                    i = this.$el.find(".video-player .media-action-overlay"),
                    s = i.find(".summary");
                "mouseenter" === e.type ? (s.show(), s.css({
                    height: 0,
                    opacity: 0
                }), s.stop().animate({
                    height: t.summaryHeight,
                    opacity: 1
                }, 200)) : s.stop().animate({
                    height: 0,
                    opacity: 0
                }, 200, function() {
                    s.hide()
                })
            }
        });
        return a
    }), define("homepage/instances/video-band", ["jquery/nyt", "underscore/nyt", "foundation/views/page-manager", "homepage/views/video/video-section"], function(e, t, i, s) {
        "use strict";
        var n, a;
        n = function() {
            var t, s, n;
            return t = e("#video-player-region"), s = t.length > 0 && window.pageYOffset + window.innerHeight > t.position().top - 200, n = i.isComponentVisible(t), n || s ? (a(), t.find("#video-module-loader").hide(), !0) : !1
        }, a = function() {
            i.stopListening(i, "nyt:page-scroll", n), e(".video-section").each(function() {
                var t = e(this);
                new s({
                    el: t,
                    playlistID: t.data("playlist-id")
                })
            })
        }, n() || i.listenTo(i, "nyt:page-scroll", n)
    }), define("shared/video/models/video", ["backbone/nyt", "foundation/models/base-model"], function(e, t) {
        "use strict";
        var i = t.extend({
            playerPositions: {
                POSITION_LEDE: "position_lede",
                POSITION_INLINE: "position_inline",
                POSITION_EMBEDDED: "position_embedded",
                POSITION_PHOTOSPOT: "position_photospot"
            },
            playerTypes: {
                ARTICLE_MODAL: "article-modal",
                ARTICLE_LEDE: "article-lede",
                ARTICLE_EMBEDDED: "article-embedded",
                BLOG: "blog",
                PHOTOSPOT: "photospot"
            },
            videoEvents: {
                VIDEO_COMPLETE: "nyt:video-complete",
                PLAY_CLICKED: "nyt:video-play-clicked",
                VIDEO_PLAY: "nyt:video-play",
                VIDEO_PAUSED: "nyt:video-video-paused",
                AD_START: "nyt:video-ad-start",
                AD_COMPLETE: "nyt:video-ad-complete",
                VIDEO_FULLSCREEN: "nyt:video-fullscreen",
                VIDEO_EXIT_FULLSCREEN: "nyt:video-exit-fullscreen",
                KILL_VIDEO: "nyt:video-kill",
                HIDE_VIDEO_END_CARD: "nyt:video-end-card-hide",
                MEDIA_CHANGE: "nyt:video-media-change"
            },
            clickableElements: [".video-share span", ".video-share i.icon", ".video-share a"],
            initialize: function() {
                this.videoObject = null, this.isVideoFullscreen = !1, this.isAdPlaying = !1
            },
            pause: function() {
                var e = this.get("videoObject");
                e && e.pause()
            },
            kill: function() {
                this.local(this, this.videoEvents.KILL_VIDEO, this.videoObject)
            },
            hideVideoEndCard: function() {
                this.local(this, this.videoEvents.HIDE_VIDEO_END_CARD, this)
            }
        });
        return i
    }), define("shared/video/models/video-end-card", ["backbone/nyt", "foundation/models/base-model", "foundation/hosts"], function(e, t, i) {
        "use strict";
        var s = t.extend({
            PAUSE_STATE: "pause",
            COMPLETE_STATE: "complete",
            maxThumbs: 4,
            autoplayTimeout: 5,
            currentPlaylistIndex: 0,
            cachedPlaylist: null,
            defaults: {
                permalink: "http://www.nytimes.com/video",
                videoTitle: "NYTimes Video",
                videoDescription: "",
                videoStillImgUrl: "http://graphics8.nytimes.com/images/section/video/library/default-video-posterframe.png",
                playlistDisplayName: "Latest Video",
                playlistId: 1194811622182,
                playlistUrl: "http://www.nytimes.com/video/landing/latest-video/1194811622182/index.html",
                tags: []
            },
            initialize: function(e) {
                this.videoModel = e.videoModel, this.videoId = this.videoModel.get("videoId"), this.videoObject = this.videoModel.get("videoObject"), this.videoInnerContainer = this.videoModel.get("videoInnerContainer"), this.playlistVideosDataModel = null, this.playlistMetaDataModel = null, this.staticBaseUrl = i.image + "/"
            }
        });
        return s
    }), define("shared/video/templates", ["underscore/nyt"], function(_) {
        var templates = {};
        return templates.video = function(obj) {
            var __t, __p = "";
            Array.prototype.join;
            with(obj || {}) __p += '<div id="' + (null == (__t = outerId) ? "" : __t) + '" class="video-bind">\n<div id="' + (null == (__t = innerId) ? "" : __t) + '" class="video-container"></div>\n</div>';
            return __p
        }, templates.videoEndCard = function(obj) {
            var __t, __p = "";
            Array.prototype.join;
            with(obj || {}) __p += '<div class="video-end-card layout-small"><button class="video-end-card-play-button"><i class=\'icon sprite-icon\'></i><span>Replay Video</span></button><div class="video-share sharetools theme-classic" data-shares="show-all|Share" data-url="' + (null == (__t = permalink) ? "" : __t) + '" data-title="' + (null == (__t = videoTitle) ? "" : __t) + '" data-description="' + (null == (__t = videoDescription) ? "" : __t) + '">\n</div><div class="video-end-card-videos">\n<h5 class="video-end-card-section-heading video-end-card-section-heading-loading">\n<a href="' + (null == (__t = playlistUrl) ? "" : __t) + '" style="opacity: 1;">More in ' + (null == (__t = playlistDisplayName) ? "" : __t) + ' &raquo;</a>\n</h5>\n<div class="video-end-card-thumbs">\n<span class="video-end-card-loader"></span>\n</div>\n</div>\n</div>';
            return __p
        }, templates.videoEndCardIcon = function(obj) {
            var __t, __p = "";
            Array.prototype.join;
            with(obj || {}) __p += '<i class="icon sprite-icon"></i><span>' + (null == (__t = iconText) ? "" : __t) + "</span>";
            return __p
        }, templates.videoEndCardThumb = function(obj) {
            var __t, __p = "";
            Array.prototype.join;
            with(obj || {}) __p += '<div class="video-end-card-thumb item-' + (null == (__t = itemIndex) ? "" : __t) + " " + (null == (__t = itemOrdinal) ? "" : __t) + '">\n<a href="' + (null == (__t = thumbLink) ? "" : __t) + '" alt="' + (null == (__t = thumbDesc) ? "" : __t) + '" title="' + (null == (__t = thumbDesc) ? "" : __t) + '" data-videoid="' + (null == (__t = thumbVideoId) ? "" : __t) + '" data-index="' + (null == (__t = thumbIndex) ? "" : __t) + '">\n', "first" == itemOrdinal && (__p += '\n<p class="autoplayMeta off ' + (null == (__t = thumbAutoPlayPaused) ? "" : __t) + '">\n<span class="countdownControl"></span>\n<span class="countdown">Playing in <span>' + (null == (__t = thumbAutoPlayRemainingTime) ? "" : __t) + "</span>...</span>\n</p>\n"), __p += '\n<span class="video-end-card-thumb-image">\n<img src="' + (null == (__t = thumbImg) ? "" : __t) + '">\n</span>\n<h4 class="video-headline">' + (null == (__t = thumbDesc) ? "" : __t) + "</h4>\n</a>\n</div>";
            return __p
        }, templates
    }), define("shared/video/models/playlist-metadata", ["backbone/nyt", "foundation/models/base-model"], function(e, t) {
        "use strict";
        var i = t.extend({
            url: "http://www.nytimes.com/svc/video/api/v2/playlists",
            initialize: function(e) {
                this.allPlaylistData = null, this.apiEnv = e.apiEnv || "production", "staging" === this.apiEnv && (this.url = "http://www.stg.nytimes.com/svc/video/api/v2/playlists")
            },
            sync: function(t, i, s) {
                return s.dataType = "json", s.timeout = 1e4, s.cache = !0, e.sync(t, i, s)
            },
            getPlaylistMetaData: function(e, t, i) {
                var s = this;
                this.playlistId = e, this.success = t, this.error = i, this.allPlaylistData ? this.findPlaylistById(this.allPlaylistData, this.playlistId, this.success, this.error) : this.fetch({
                    success: function(e) {
                        s.allPlaylistData = e, s.findPlaylistById(e, s.playlistId, s.success, s.error)
                    },
                    error: function(e) {
                        s.error && s.error(e)
                    }
                })
            },
            getPlaylistNode: function(e, t) {
                var i, s;
                if (e)
                    for (s in e)
                        if (i = e[s], parseInt(i.knews_id, 10) === t) return i;
                return {}
            },
            findPlaylistById: function(e, t, i, s) {
                var n, a, o;
                if (this.playlistId = t, this.success = i, this.error = s, n = e.toJSON(), a = n.plst_all, o = this.getPlaylistNode(a, this.playlistId)) {
                    if (!this.success) return o;
                    this.success(o)
                } else this.error && this.error({
                    message: "Could not find playlist in all playlists data."
                })
            }
        });
        return i
    }), define("shared/video/models/video-thumb", ["backbone/nyt", "foundation/models/base-model"], function(e, t) {
        "use strict";
        var i = t.extend({
            defaults: {
                itemIndex: "",
                itemOrdinal: "",
                thumbLink: "",
                thumbImg: "",
                thumbDesc: "",
                thumbAutoPlayPaused: "",
                thumbAutoPlayRemainingTime: "5"
            }
        });
        return i
    }), define("shared/video/collections/video-thumbs", ["backbone/nyt", "underscore/nyt", "foundation/collections/base-collection", "shared/video/models/video-thumb"], function(e, t, i, s) {
        "use strict";
        var n = i.extend({
            model: s
        });
        return n
    }), define("shared/video/views/video-thumb", ["jquery/nyt", "underscore/nyt", "backbone/nyt", "shared/video/templates", "foundation/views/base-view"], function(e, t, i, s, n) {
        "use strict";
        var a = n.extend({
            thumbTemplate: s.videoEndCardThumb,
            render: function() {
                return this.thumbTemplate(this.model.toJSON())
            }
        });
        return a
    }), define("shared/sharetools/helpers/sharetools-config", [], function() {
        "use strict";
        var e = {};
        return e.common = {
            mainClassName: "shareTools",
            itemClassName: "shareToolsItem",
            defaultActiveShares: "email,facebook,twitter,save,show-all|more,ad",
            defaultShowAllShares: "facebook|Share,email|Email,twitter|Tweet,linkedin|LinkedIn,google|Google+,reddit|Reddit,save|Save,reprints|Reprints,print|Print,ad",
            defaultUrl: window.location.href.replace(/#.*/, ""),
            defaultTitle: document.title,
            defaultDescription: "",
            defaultAdPosition: "Frame4A",
            defaultOverlayAdPosition: "Frame6A",
            defaultWidth: 600,
            defaultHeight: 450,
            defaultTransition: "fade",
            labelSpecialChar: "|",
            hasAd: !1,
            loadedAdPositions: [],
            shortUrlApi: "http://www.nytimes.com/svc/bitly/shorten.jsonp",
            emailThisUrl: "https://www.nytimes.com/mem/email-this.html?url=",
            count: 0
        }, e.tools = {
            facebook: {
                active: !0,
                onShowAll: !0,
                label: "Facebook",
                postUrl: "http://www.facebook.com/sharer.php",
                postType: "popup",
                shareParameters: {
                    url: "u"
                },
                smid: "fb-share",
                width: 655,
                height: 430
            },
            twitter: {
                active: !0,
                onShowAll: !0,
                label: "Twitter",
                postUrl: "https://twitter.com/share",
                postType: "popup",
                shareParameters: {
                    url: "url",
                    title: "text",
                    via: "via"
                },
                smid: "tw-share",
                width: 600,
                height: 450
            },
            google: {
                active: !0,
                onShowAll: !0,
                label: "Google+",
                postUrl: "https://plus.google.com/share",
                postType: "popup",
                shareParameters: {
                    url: "url"
                },
                urlParameters: {
                    hl: "en-US"
                },
                smid: "go-share",
                width: 600,
                height: 600
            },
            tumblr: {
                active: !0,
                onShowAll: !0,
                label: "Tumblr",
                postUrl: "http://www.tumblr.com/share/link",
                postType: "popup",
                shareParameters: {
                    url: "url",
                    title: "name",
                    description: "description"
                },
                smid: "tu-share",
                width: 560
            },
            linkedin: {
                active: !0,
                onShowAll: !0,
                label: "Linkedin",
                postUrl: "http://www.linkedin.com/shareArticle",
                postType: "popup",
                shareParameters: {
                    url: "url",
                    title: "title",
                    description: "summary"
                },
                urlParameters: {
                    mini: "true",
                    source: "The New York Times"
                },
                smid: "li-share",
                width: 750,
                height: 450
            },
            reddit: {
                active: !0,
                onShowAll: !0,
                label: "Reddit",
                postUrl: "http://www.reddit.com/submit",
                postType: "popup",
                shareParameters: {
                    url: "url",
                    title: "title"
                },
                smid: "re-share",
                width: 854,
                height: 550
            },
            email: {
                loginModalText: "Log in to email",
                active: !0,
                onShowAll: !0,
                label: "Email",
                loginRequired: !0
            },
            permalink: {
                active: !0,
                onShowAll: !0,
                label: "Permalink",
                postUrl: "http://www.nytimes.com/export_html/common/new_article_post.html",
                postType: "popup",
                shareParameters: {
                    url: "url",
                    title: "title",
                    description: "summary"
                },
                smid: "pl-share",
                width: 460,
                height: 380,
                loginRequired: !1
            },
            "show-all": {
                active: !0,
                onShowAll: !1,
                label: "Show All"
            },
            reprints: {
                active: !0,
                onShowAll: !1,
                label: "Reprints",
                postUrl: "https://s100.copyright.com/AppDispatchServlet",
                postType: "popup",
                shareParameters: {
                    url: "contentID"
                },
                urlParameters: {
                    publisherName: "The New York Times",
                    publication: "nytimes.com",
                    token: "",
                    orderBeanReset: "true",
                    postType: "",
                    wordCount: "",
                    title: document.title,
                    publicationDate: "",
                    author: ""
                }
            },
            save: {
                loginModalText: "Log in to save",
                active: !0,
                onShowAll: !1,
                label: "Save",
                postUrl: e.common.defaultUrl.replace(/\?.*/, ""),
                loginRequired: !0
            },
            print: {
                active: !0,
                onShowAll: !1,
                label: "Print",
                postUrl: e.common.defaultUrl,
                postType: "link",
                urlParameters: {
                    pagewanted: "print"
                }
            },
            ad: {
                active: !0,
                onShowAll: !1,
                label: "Advertisement"
            },
            embed: {
                active: !0,
                onShowAll: !0,
                label: "Embed",
                loginRequired: !1
            },
            pinterest: {
                active: !0,
                onShowAll: !0,
                label: "Pinterest",
                postUrl: "https://www.pinterest.com/pin/create/button/",
                postType: "popup",
                shareParameters: {
                    url: "url",
                    media: "media",
                    description: "description"
                },
                smid: "pin-share",
                width: 600,
                height: 450,
                loginRequired: !1
            }
        }, e
    }), define("shared/sharetools/helpers/sharetools-mixin", ["jquery/nyt", "underscore/nyt", "foundation/views/base-view", "shared/sharetools/templates", "shared/ad/views/ads", "shared/sharetools/views/email", "shared/modal/views/modal", "shared/sharetools/instances/cross-platform-save", "foundation/models/page-storage", "foundation/hosts", "foundation/models/user-data", "shared/sharetools/helpers/sharetools-config", "shared/sharetools/instances/short-url"], function(e, t, i, s, n, a, o, r, l, d, h, c, u) {
        "use strict";
        var m = {
            getDataAttrs: function(e, i) {
                var s, n, a, o = i || this.$el.data(),
                    r = (o.shares || c.common[e ? "defaultShowAllShares" : "defaultActiveShares"]).split(","),
                    l = [],
                    d = c.common.hasAd;
                for (e && (c.common.defaultUrl.indexOf("aponline") > -1 || c.common.defaultUrl.indexOf("reuters") > -1 || c.common.defaultUrl.indexOf("magazine") > -1 || c.common.defaultUrl.indexOf("t-magazine") > -1) && (r = t.without(r, "reprints|Reprints")), n = 0, a = r.length; a > n; n += 1) r[n].indexOf("|") > 0 ? (s = r[n].split("|"), l.push({
                    type: s[0],
                    label: s[1]
                })) : "ad" === r[n] ? d = !0 : l.push({
                    type: r[n],
                    label: r[n]
                });
                return c.tools.reprints.urlParameters.publicationDate = o.publishDate, t.extend({}, {
                    inlineTools: l,
                    ad: d,
                    url: c.common.defaultUrl,
                    title: c.common.defaultTitle,
                    description: c.common.defaultDescription
                }, o)
            },
            setUpConfigOptions: function() {
                c.common.defaultTitle = this.pageManager.getMeta("og:title") || document.title, c.common.defaultDescription = this.pageManager.getMeta("description") || ""
            },
            isMobileSharetools: function() {
                return this.pageManager.getCurrentBreakpoint() < 1e3
            },
            openMailToLink: function() {
                var e = "%0A%0A",
                    t = encodeURIComponent(this.settings.title),
                    i = encodeURIComponent(this.settings.description),
                    s = encodeURIComponent(this.settings.url),
                    n = "NYTimes.com: " + t,
                    a = "From The New York Times:" + e + t + e + i + e + s;
                window.location = "mailto:?subject=" + n + "&body=" + a
            },
            handleShortUrlShareAction: function(t, i) {
                var s, n, a, o = this,
                    r = i || this.settings.url,
                    l = this.createAnchor(r);
                return /(?:iPad|iPhone)/.test(navigator.userAgent) ? (a = e("#masthead").find(".story-short-url").text() || this.pageManager.getCanonical(), s = t.postUrl + "?url=" + encodeURIComponent(a) + "&text=" + encodeURIComponent(document.title), void window.open(s, t.label + "Share", "toolbar=0,status=0,height=" + t.height + ",width=" + t.width + ",scrollbars=yes,resizable=yes")) : (n = window.open("", t.label + "Share", "toolbar=0,status=0,height=" + t.height + ",width=" + t.width + ",scrollbars=yes,resizable=yes"), t.smid && !this.pageManager.isMobile() && (l.search += 0 === l.search.indexOf("?") ? "&" : "?", l.search += "smid=" + t.smid, r = l.href), s = u.requestUrl(r) || "", s ? this.shortUrlRedirect(s, t, n) : this.listenToOnce(u, "add", function() {
                    var e = u.findWhere({
                        url: r
                    });
                    e && o.shortUrlRedirect(e.get("shortUrl"), t, n)
                }), void(navigator.userAgent.match(/iPad/i) && navigator.userAgent.match(/Safari/i) && this.shortUrlRedirect(e("#masthead").find(".story-short-url").text(), t, n)))
            },
            shortUrlRedirect: function(i, s, n) {
                var a, o, r, l = [],
                    d = t.extend({}, this.settings);
                s.shareParameters && d && (r = this.getTrackingParam(), r && (s.shareParameters.smv = r, d.smv = null), e.each(s.shareParameters, function(e, t) {
                    a = "url" === e ? i : d[e], a ? l.push(t + "=" + encodeURIComponent(a)) : null === a && l.push(t)
                })), l = l.join("&"), o = s.postUrl + this.paramChar(s.postUrl) + l, this.shoveUrlToNewWindow(o, n)
            },
            shoveUrlToNewWindow: function(e, t) {
                t.document.location = e, t.document.close()
            },
            itemSaved: function() {
                l.get("sharetools_hasSaves") !== !0 ? (this.firstTimeSaveModal(), l.set("sharetools_hasSaves", !0)) : this.growlSaveModal()
            },
            growlSaveModal: function() {
                var e = new o({
                    id: "save-item-growl-modal",
                    modalTitle: '<i class="icon"></i>Saved',
                    tailDirection: "centered",
                    openCallback: function() {
                        window.setTimeout(this.removeFromPage, 2e3)
                    }
                }).addToPage();
                t.defer(e.open)
            },
            firstTimeSaveModal: function() {
                var e = new o({
                    id: "save-item-modal",
                    modalTitle: '<i class="icon"></i>Saved',
                    modalContent: s.savemodal({
                        link: d.www + "/saved"
                    }),
                    hasOverlay: !0,
                    hasCloseButton: !0,
                    tailDirection: "centered",
                    closeCallback: function() {
                        this.removeFromPage()
                    }
                }).addToPage();
                t.defer(e.open)
            },
            saveAction: function() {
                var e = r.where({
                    url: this.settings.url
                });
                return h.isLoggedIn() ? void(0 === e.length ? (this.subscribeOnce(r, "nyt:xps-saved", this.itemSaved), r.save(this.settings.url)) : this.growlSaveModal()) : !0
            },
            paramChar: function(e) {
                return -1 !== e.indexOf("?") ? "&" : "?"
            },
            buildUrl: function(i, s) {
                var n, a, o, r = c.tools[i],
                    l = [],
                    d = r.postUrl,
                    h = t.extend({}, s || this.settings),
                    m = this.getTrackingParam();
                return m && (r.urlParameters = r.urlParameters || {}, r.urlParameters[m] = null), a = u.getRicoUrl(h.url), a && "email" !== i && (h.url = a), o = this.createAnchor(h.url), r.smid && (o.search += 0 === o.search.indexOf("?") ? "&" : "?", o.search += "smid=" + r.smid, h.url = o.href), r.shareParameters && h && e.each(r.shareParameters, function(e, t) {
                    n = h[e], l.push(t + "=" + encodeURIComponent(n))
                }), r.urlParameters && e.each(r.urlParameters, function(e, t) {
                    null !== t ? l.push(e + "=" + encodeURIComponent(t)) : l.push(e)
                }), l = l.join("&"), d = d + this.paramChar(d) + l
            },
            popupShareAction: function(e, t) {
                var i = c.tools[e],
                    s = i.width ? i.width : c.common.defaultWidth,
                    n = i.height ? i.height : c.common.defaultHeight,
                    a = this.buildUrl(e, t);
                window.open(a, e + "Share", "toolbar=0,status=0,height=" + n + ",width=" + s + ",scrollbars=yes,resizable=yes")
            },
            getTrackingParam: function() {
                var e = this.isUserVariant("articleSharetools"),
                    t = "smv" + e;
                return "string" == typeof e ? t : void 0
            }
        };
        return m
    }), define("shared/sharetools/views/showall", ["jquery/nyt", "underscore/nyt", "foundation/views/base-view", "shared/modal/views/modal", "shared/ad/views/ads", "shared/sharetools/templates", "shared/sharetools/helpers/sharetools-config", "shared/sharetools/helpers/sharetools-mixin", "shared/sharetools/views/email", "foundation/models/user-data", "shared/sharetools/instances/short-url"], function(e, t, i, s, n, a, o, r, l, d, h) {
        "use strict";
        var c = i.extend(t.extend({}, r, {
            events: {
                "click .sharetool": "handleLinkClick",
                "click .short-url-input, .text": "handleInputSelect"
            },
            className: "show-all-view-container",
            defaultModalSettings: {
                id: "show-all-sharetool-modal",
                modalTitle: "share this video",
                binding: ".show-all-sharetool",
                tailDirection: "up",
                hasOverlay: !1,
                hasCloseButton: !1,
                positionTailSide: !1,
                autoPosition: !1,
                modalContent: "",
                tailLeftOffset: 0,
                tailTopOffset: 0,
                template: "showAllSharetoolModal",
                openCallback: function() {
                    this.$target.addClass("active")
                },
                closeCallback: function() {
                    this.$target.removeClass("active"), this.removeFromPage()
                }
            },
            articleTools: ["save", "print", "reprints"],
            initialize: function(e, i) {
                var s;
                t.bindAll(this, "handleShortUrl"), this.settings = t.extend({}, this.getDataAttrs(!0, i)), this.modalSettings = t.extend({}, this.defaultModalSettings, e), this.isMobileSharetools() && (this.modalSettings = t.extend({}, this.modalSettings, {
                    tailDirection: "centered",
                    hasCloseButton: !0,
                    hasOverlay: !0,
                    positionTailSide: !1,
                    autoPosition: !1
                })), s = this.createAnchor(this.settings.url), s.search += 0 === s.search.indexOf("?") ? "&" : "?", s.search += "smid=pl-share", this.settings.permalinkUrlWithSmid = s.href, this.settings.shortUrl = h.requestUrl(this.settings.permalinkUrlWithSmid) || "", this.settings.shortUrl || this.listenToOnce(h, "add", this.handleShortUrl), this.render(), this.trackingBaseData = {
                    module: "ShareTools",
                    action: "click",
                    contentCollection: this.pageManager.getMeta("article:section")
                }
            },
            render: function() {
                var e = this.settings.ad ? "Frame6A" : "";
                this.modalSettings.modalContent = a[this.modalSettings.template](this.buildShareHTML()), this.modalSettings.modalFooter = a.shareToolsModalFooter({
                    toolTypeSponsor: "Share"
                }), this.showAllModal = new s(this.modalSettings), this.setElement(this.showAllModal.$modal), this.showAllModal.$modal.find(".show-all-sharetool-modal-ad").attr("id", e), this.showAllModal.addToPage(), this.settings.ad && this.pageManager.getCurrentBreakpoint() >= 1e3 && new n({
                    positions: [e],
                    scope: "modal",
                    autoconfirm: 0
                }), this.settings.embedCode && this.handleEmbedCode(), this.settings.shortUrl && this.handleShortUrl()
            },
            buildShareHTML: function() {
                var e, i, s, n = this.settings.inlineTools,
                    r = "",
                    l = "";
                for (e = 0, i = n.length; i > e; e += 1) s = a.showallLinks({
                    shareObj: n[e],
                    config: o.tools[n[e].type]
                }), t.indexOf(this.articleTools, n[e].type) >= 0 ? l += s : r += s;
                return {
                    shortUrl: this.settings.shortUrl,
                    showAllLinkList: r,
                    showAllToolList: l
                }
            },
            handleShortUrl: function() {
                var e = h.findWhere({
                    url: this.settings.permalinkUrlWithSmid
                });
                e && (this.settings.shortUrl = e.get("shortUrl"), this.showAllModal.$modal.find(".short-url-input").val(this.settings.shortUrl))
            },
            handleEmbedCode: function() {
                this.settings.embedCode && this.showAllModal.$modal.find(".embed-input").val(this.settings.embedCode)
            },
            handleInputSelect: function(e) {
                e.target.select()
            },
            handleLinkClick: function(t) {
                var i = e(t.target),
                    s = i.data("share") || i.parent().data("share"),
                    n = "popup" === o.tools[s].postType ? "popup" : s,
                    a = {
                        version: this.settings.contentType || "Content",
                        region: "ToolsMenu"
                    };
                switch (this.showAllModal.close(), "save" === s || "reprints" === s || "print" === s ? (a.module = "ArticleTools", a.eventName = "ArticleTool-" + s) : a.eventName = "Share-" + s, this.trackingTrigger("share-tools-click", a), n) {
                    case "email":
                        this.isMobileSharetools() ? this.openMailToLink() : d.isLoggedIn() && new l({
                            dataUrl: this.settings.url
                        });
                        break;
                    case "popup":
                        "twitter" === s ? this.handleShortUrlShareAction(o.tools[s]) : this.popupShareAction(s);
                        break;
                    case "save":
                        this.saveAction();
                        break;
                    case "reprints":
                        this.popupShareAction(s);
                        break;
                    case "print":
                        window.print()
                }
            }
        }));
        return c
    }), define("shared/sharetools/views/sharetools", ["jquery/nyt", "underscore/nyt", "foundation/views/base-view", "shared/sharetools/templates", "shared/sharetools/views/email", "shared/sharetools/views/showall", "shared/sharetools/instances/cross-platform-save", "foundation/models/user-data", "shared/sharetools/helpers/sharetools-config", "shared/sharetools/helpers/sharetools-mixin"], function(e, t, i, s, n, a, o, r, l, d) {
        "use strict";
        var h = i.registerView("sharetools").extend(t.extend({}, d, {
            events: {
                "click .sharetool": "handleShareAction"
            },
            defaultModalData: {
                shares: "facebook|Share,email|Email,twitter|Tweet,linkedin|LinkedIn,google|Google+,reddit|Reddit,save|Save,reprints|Reprints,print|Print,ad"
            },
            initialize: function(e) {
                0 === this.$el.length || this.$el.hasClass("sharetools-init") || (this.settings = t.extend({}, this.getDataAttrs(), e), this.modalSettings = t.extend({}, e.showAllModalSettings), this.modalData = t.extend({}, this.$el.data(), this.defaultModalData, e.showAllModalData), this.$el.addClass("sharetools"), this.setUpConfigOptions(), this.render(), this.trackingBaseData = {
                    module: "ShareTools",
                    version: this.$el.data("content-type") || "Content",
                    action: "click",
                    contentCollection: this.pageManager.getMeta("article:section"),
                    pgtype: this.pageManager.getMeta("PT")
                })
            },
            render: function() {
                var t, i = this.$el.find(".sharetools-inline-article-ad"),
                    n = s.shareTools({
                        shares: this.settings.inlineTools,
                        config: l.tools
                    });
                return this.$el.addClass("sharetools-init"), i.length > 0 ? e(n).insertBefore(this.$el.find(".sharetools-inline-article-ad")) : this.$el.append(n), this.settings.ad && (t = this.pageManager.getCurrentBreakpoint() <= 1020 ? "Position1" : "Frame4A", this.$el.find(".sharetools-inline-article-ad").attr("id", t), this.broadcast("nyt:ads-new-placement", t)), this
            },
            handleShareAction: function(t) {
                var i = e(t.target),
                    s = i.data("share") || i.parent().data("share"),
                    o = "popup" === l.tools[s].postType ? "popup" : s,
                    d = this.trackingBaseData;
                switch (i.parents(".video-player-region").size() > 0 ? d.region = "video-player-region" : i.parents("#main").size() > 0 ? d.region = "Body" : i.parents("#masthead").size() > 0 && (d.region = "TopBar"), "show-all" === s ? d.eventName = "Share-ShowAll" : "save" === s || "reprints" === s || "print" === s ? (d.module = "ArticleTools", d.eventName = "ArticleTool-" + s) : d.eventName = "Share-" + s, this.trackingTrigger("share-tools-click", d), o) {
                    case "email":
                        this.isMobileSharetools() ? this.openMailToLink() : r.isLoggedIn() && new n({
                            dataUrl: this.settings.url
                        });
                        break;
                    case "save":
                        this.saveAction();
                        break;
                    case "popup":
                        "twitter" === s ? this.handleShortUrlShareAction(l.tools[s]) : this.popupShareAction(s);
                        break;
                    case "embed":
                        t.stopPropagation(), this.$(".show-all-sharetool a").trigger("click"), this.$body.find(".show-all-sharetool-modal #embed-input").select();
                        break;
                    case "show-all":
                        new a(this.modalSettings, this.modalData)
                }
            },
            changeActiveState: function() {
                this.$(".show-all-sharetool").hasClass("active") ? this.$(".show-all-sharetool").removeClass("active") : this.$(".show-all-sharetool").addClass("active")
            }
        }));
        return h
    }),
    function(e, t) {
        "use strict";
        "function" == typeof define && define.amd ? define("shared/video/libs/countdown-timer", ["jquery/nyt"], t) : e.amdWeb = t(e.$)
    }(this, function(e) {
        "use strict";

        function t(t, i) {
            this.timeout = 1e3 * t, this.interval = 1e3 * i || 1e3, this.running = !1, this.startTime = 0, this.ticks = 0, this.pauseTime = 0, this.runTime = 0, this.intervalId = null, this.resumeId = null, this.active = !0, this.$emitter = e({}), this.tick = e.proxy(this.tick, this)
        }
        return t.prototype.start = function() {
            var e = this,
                t = 0;
            this.active && (this.pauseTime ? (t = this.interval - this.runTime % this.interval, this.pauseTime = 0, this.emit("resume")) : this.emit("start"), this.running = !0, this.startTime = (new Date).getTime(), this.resumeId = setTimeout(function() {
                t > 0 && e.tick(), e.running && (e.intervalId = setInterval(e.tick, e.interval))
            }, t))
        }, t.prototype.tick = function() {
            var e;
            this.ticks++, e = this.timeout - this.ticks * this.interval, 0 >= e ? this.complete() : this.emit({
                type: "tick",
                timeLeft: e / 1e3
            })
        }, t.prototype.on = function(e, t) {
            this.$emitter.on(e, t)
        }, t.prototype.emit = function(e, t) {
            this.$emitter.trigger(e, t)
        }, t.prototype.complete = function() {
            this.emit("complete"), this.stop()
        }, t.prototype.stop = function() {
            clearInterval(this.intervalId), clearInterval(this.resumeId), this.emit("stop"), this.$emitter.off(), this.running = !1, this.startTime = 0, this.pauseTime = 0, this.runTime = 0, this.ticks = 0
        }, t.prototype.pause = function() {
            this.running && (clearInterval(this.intervalId), clearInterval(this.resumeId), this.emit("pause"), this.running = !1, this.pauseTime = (new Date).getTime(), this.runTime += this.pauseTime - this.startTime)
        }, t
    }), define("shared/video/views/video-end-card", ["jquery/nyt", "underscore/nyt", "shared/video/templates", "foundation/views/base-view", "shared/video/models/playlist-videos", "shared/video/models/playlist-metadata", "shared/video/collections/video-thumbs", "shared/video/views/video-thumb", "shared/sharetools/views/sharetools", "foundation/views/page-manager", "shared/video/libs/countdown-timer"], function(e, t, i, s, n, a, o, r, l, d, h) {
        "use strict";
        var c = s.extend({
            initialize: function(e) {
                var s = window.location.host;
                t.bindAll(this, "processPlaylistVideos", "processPlaylistVideosError", "processPlaylistMetaData", "processPlaylistMetaDataError", "replayVideo", "resumeVideo", "onClickVideoOverlayHandler", "onMouseEnterVideoOverlayHandler", "onMouseLeaveVideoOverlayHandler", "onThumbClicked", "changeVideo", "initializeAutoPlayCountdown", "hideVideoEndCard", "stopAutoPlayCountdown"), this.videoModel = this.model.videoModel, this.videoObject = this.model.videoObject, this.currentPlaylistIndex = this.model.currentPlaylistIndex, this.enableAutoPlayCountdown = e.enableAutoPlayCountdown, this.cachedPlaylist = this.model.cachedPlaylist, this.autoplayTimeout = this.model.autoplayTimeout, this.enableAutoPlayCountdown && (this.countdown = new h(this.autoplayTimeout)), this.excludedAutoplayPlaylists = [1194812888716, 0x5af310a56ca7], this.apiEnv = "production", ("www.dev.nytimes.com" === s || "www.stg.nytimes.com" === s || "www.sbx.nytimes.com" === s) && (this.excludedAutoplayPlaylists = [1194812888716, 0x5af310a5dfd7], this.apiEnv = "staging"), this.videoEndCardTemplate = i.videoEndCard, this.iconTextTemplate = i.videoEndCardIcon, this.iconTextReplayHTML = this.iconTextTemplate({
                    iconText: "Replay Video"
                }), this.iconTextResumeHTML = this.iconTextTemplate({
                    iconText: "Resume Video"
                }), this.$videoInnerContainer = this.model.videoInnerContainer, this.$videoEndCard = null, this.$videoEndCardThumbsContainer = null, this.$videoEndCardVideosSectionHeading = null, this.$videoEndCardVideosSectionHeadingLink = null, this.$videoEndCardVideosReplayButton = null, this.registerListeners(), this.getVideoData(), this.listenTo(this.videoModel, this.videoModel.videoEvents.KILL_VIDEO, this.onKill), this.listenTo(this.videoModel, this.videoModel.videoEvents.HIDE_VIDEO_END_CARD, this.hideVideoEndCard), this.listenTo(this.pageManager, "nyt:page-breakpoint", this.onBreakpoint)
            },
            registerListeners: function() {
                var e = this.videoModel.videoEvents;
                this.listenTo(this.pageManager, e.VIDEO_COMPLETE, this.onVideoComplete), this.listenTo(this.pageManager, e.PLAY_CLICKED, this.onVideoPlayClicked), this.listenTo(this.pageManager, e.VIDEO_PLAY, this.onVideoPlay), this.listenTo(this.pageManager, e.VIDEO_PAUSED, this.onVideoPaused), this.listenTo(this.pageManager, e.AD_START, this.onAdStart)
            },
            unregisterListeners: function() {
                var e = this.videoModel.videoEvents;
                this.stopListening(this.pageManager, e.VIDEO_COMPLETE, this.onVideoComplete), this.stopListening(this.pageManager, e.PLAY_CLICKED, this.onVideoPlayClicked), this.stopListening(this.pageManager, e.VIDEO_PLAY, this.onVideoPlay), this.stopListening(this.pageManager, e.VIDEO_PAUSED, this.onVideoPaused), this.stopListening(this.pageManager, e.AD_START, this.onAdStart)
            },
            onVideoComplete: function(e) {
                e === this.videoModel.get("videoObject") && this.showVideoEndCard(this.model.COMPLETE_STATE)
            },
            onVideoPlayClicked: function(e) {
                e === this.videoModel.get("videoObject") && "playing" !== this.videoObject.status && "adplaying" !== this.videoObject.status && this.showVideoEndCard(this.model.PAUSE_STATE)
            },
            onVideoPaused: function() {},
            onVideoPlay: function(e) {
                e === this.videoModel.get("videoObject") && this.hideVideoEndCard()
            },
            onAdStart: function(e) {
                e === this.videoModel.get("videoObject") && this.hideVideoEndCard()
            },
            getVideoData: function() {
                var t, i, s = "";
                if (this.videoObject && (t = this.videoObject._data)) {
                    this.videoModel.get("orphanVideo") ? this.model.set("permalink", e('link[rel="canonical"]').attr("href")) : this.model.set("permalink", t.domain + t.publish_url), this.model.set("videoTitle", t.headline), this.model.set("videoDescription", t.summary);
                    for (i in t.images)
                        if ("videoSmall" === t.images[i].type) {
                            s = this.model.staticBaseUrl + t.images[i].url;
                            break
                        }
                    this.model.set("videoStillImgUrl", s), t.playlist && this.model.set("playlistId", t.playlist.id || 1194811622182)
                }
            },
            getPlaylistId: function(e) {
                var t = /nytp_([^,]+)/.exec(e.join(","))[1];
                return parseInt(t, 10) || 1194811622182
            },
            showVideoEndCard: function(e) {
                var t, i = this;
                if (t = e, !this.videoModel.isVideoFullscreen) {
                    if (!this.$videoEndCard) {
                        this.render(), this.$videoEndCard = this.$videoInnerContainer.find(".video-end-card"), this.$videoEndCardThumbsContainer = this.$videoEndCard.find(".video-end-card-thumbs"), this.$videoEndCardVideosSectionHeading = this.$videoEndCard.find(".video-end-card-section-heading"), this.$videoEndCardVideosSectionHeadingLink = this.$videoEndCardVideosSectionHeading.find("a");
                        try {
                            new l({
                                el: this.$videoEndCard.find(".video-share"),
                                showAllModalSettings: {
                                    hasOverlay: !0,
                                    tailDirection: "fixed",
                                    hasCloseButton: !0
                                },
                                showAllModalData: {
                                    shares: "facebook|Facebook,email|Email,twitter|Twitter,linkedin|LinkedIn,google|Google+,reddit|Reddit,save|Save,ad"
                                }
                            })
                        } catch (s) {
                            this.$videoEndCard.find(".video-share").hide()
                        }
                    }
                    this.$videoEndCard && (this.onSetEndCardTemplateClass(this.videoModel.get("videoOuterContainer")), this.$videoEndCardVideosReplayButton = this.$videoEndCard.find(".video-end-card-play-button"), t === this.model.COMPLETE_STATE ? this.$videoEndCardVideosReplayButton.removeClass("video-end-card-resume-button").html(this.iconTextReplayHTML).on("click", this.replayVideo) : t === this.model.PAUSE_STATE && this.$videoEndCardVideosReplayButton.addClass("video-end-card-resume-button").html(this.iconTextResumeHTML).on("click", this.resumeVideo), this.videoObject.modules.controls.hide(), this.$videoEndCard.fadeIn(500), null === this.cachedPlaylist ? (this.getVideoData(), this.fetchPlaylistVideos(function() {
                        i.initializeAutoPlayCountdown(t)
                    }), this.fetchPlaylistMetaData()) : i.initializeAutoPlayCountdown(t), this.$videoEndCard.on("click", this.onClickVideoOverlayHandler), this.$videoEndCard.on("mouseenter", this.onMouseEnterVideoOverlayHandler), this.$videoEndCard.on("mouseleave", this.onMouseLeaveVideoOverlayHandler))
                }
            },
            onBreakpoint: function() {
                this.onSetEndCardTemplateClass(this.videoModel.get("videoOuterContainer"))
            },
            initializeAutoPlayCountdown: function(e) {
                function t(e) {
                    o.text(e.timeLeft)
                }

                function i() {
                    a.remove(), r.changeVideo(l.data("videoid"), l.data("index"), !1)
                }

                function s() {
                    l.off("click", r.onThumbClicked), l.on("click", function(e) {
                        a.toggleClass("paused"), a.hasClass("paused") ? r.countdown.pause() : r.countdown.start(), e.stopPropagation(), e.preventDefault()
                    })
                }

                function n() {
                    l.off("click"), l.on("click", r.onThumbClicked), o.text(r.autoplayTimeout), a.addClass("off"), a.removeClass("paused")
                }
                var a, o, r = this,
                    l = this.$videoEndCard.find(".video-end-card-thumb.first a");
                this.enableAutoPlayCountdown && e !== this.model.PAUSE_STATE && -1 === this.excludedAutoplayPlaylists.indexOf(this.model.get("playlistId")) && !this.videoModel.get("orphanVideo") && (a = this.$videoEndCard.find(".video-end-card-thumb.first .autoplayMeta"), o = a.find(".countdown span"), a.removeClass("off"), this.countdown.on("tick", t), this.countdown.on("complete", i), this.countdown.on("start", s), this.countdown.on("stop", n), this.countdown.start())
            },
            stopAutoPlayCountdown: function() {
                this.enableAutoPlayCountdown && this.countdown.stop()
            },
            onSetEndCardTemplateClass: function(e) {
                var t, i = e,
                    s = "layout-large",
                    n = "layout-medium",
                    a = "layout-small";
                i && this.$videoEndCard && (t = i.width(), t >= 720 ? this.$videoEndCard.removeClass("hidden").addClass(a).addClass(n).addClass(s) : t >= 600 ? this.$videoEndCard.removeClass("hidden").addClass(a).addClass(n).removeClass(s) : t >= 450 ? this.$videoEndCard.removeClass("hidden").addClass(a).removeClass(n).removeClass(s) : this.$videoEndCard.addClass("hidden"), !this.videoObject || "playing" !== this.videoObject.status && "adplaying" !== this.videoObject.status || this.hideVideoEndCard())
            },
            onClickVideoOverlayHandler: function(t) {
                var i = this.videoModel.clickableElements,
                    s = i.join(", "),
                    n = e(t.target).is(s);
                n || t.stopPropagation()
            },
            onMouseEnterVideoOverlayHandler: function(e) {
                e.stopPropagation(), this.$videoEndCardVideosReplayButton && this.$videoEndCardVideosReplayButton.addClass("expand")
            },
            onMouseLeaveVideoOverlayHandler: function() {
                this.$videoEndCardVideosReplayButton && this.$videoEndCardVideosReplayButton.removeClass("expand")
            },
            hideVideoEndCard: function(t, i) {
                var s;
                t = t || 500, this.stopAutoPlayCountdown(), this.$videoEndCard && this.$videoEndCard.is(":visible") && (s = this, this.$videoEndCard.fadeOut(t, function() {
                    e(this).hide(), s.$videoEndCardVideosReplayButton.off("click"), s.$videoEndCard.off("click"), i && i()
                }))
            },
            fetchPlaylistVideos: function(e) {
                this.model.playlistVideosDataModel || (this.model.playlistVideosDataModel = new n, this.model.playlistVideosDataModel.fetchData({
                    playlistId: this.model.get("playlistId")
                }, this.processPlaylistVideos, this.processPlaylistVideosError, e))
            },
            processPlaylistVideos: function(t, i) {
                var s, n, a, l, d, h, c, u, m;
                if (n = t.toJSON(), s = this, n)
                    if (null === this.cachedPlaylist && (this.cachedPlaylist = t), this.$videoEndCardThumbsContainer.empty(), n.videos) {
                        if (a = n.videos.length, this.currentPlaylistIndex >= a) return;
                        for (l = 0, this.videoThumbs = new o, h = this.currentPlaylistIndex; a > h; h++)
                            if (d = n.videos[h], m = this.model.get("videoStillImgUrl"), d.id !== this.videoModel.get("videoId")) {
                                if (!(l < this.model.maxThumbs)) break;
                                for (c in d.images)
                                    if ("videoSmall" === d.images[c].type) {
                                        m = this.model.staticBaseUrl + d.images[c].url;
                                        break
                                    }
                                u = {
                                    itemIndex: l,
                                    itemOrdinal: 0 === l ? "first" : l === this.model.maxThumbs - 1 ? "last" : "",
                                    thumbLink: d.domain + d.publish_url,
                                    thumbImg: m,
                                    thumbDesc: d.headline,
                                    thumbVideoId: d.id,
                                    thumbIndex: h,
                                    thumbAutoPlayRemainingTime: this.autoplayTimeout
                                }, this.videoThumbs.add(u), l += 1
                            }
                        this.currentPlaylistIndex = h, this.videoThumbs.each(function(t) {
                            var i = new r({
                                    model: t
                                }),
                                n = e(i.render()),
                                a = parseInt(t.get("itemIndex"), 10),
                                o = 250 * a;
                            s.$videoEndCardThumbsContainer.append(n), n.find("a").on("click", s.onThumbClicked), setTimeout(function() {
                                n.addClass("fade-in")
                            }, o)
                        }), i && "function" == typeof i && i()
                    } else this.processPlaylistError()
            },
            onThumbClicked: function() {
                var e = this.$videoEndCard.find(".video-end-card-thumb.first .autoplayMeta");
                e.hasClass("paused") || (this.countdown.pause(), e.addClass("paused"))
            },
            changeVideo: function(e, t, i) {
                var s = this;
                this.hideVideoEndCard(200, function() {
                    s.currentPlaylistIndex = t + 1, s.videoObject.options.userInitiatedNext = i, s.videoObject.load(e, !0), s.processPlaylistVideos(s.cachedPlaylist)
                })
            },
            processPlaylistVideosError: function() {
                this.$videoEndCardThumbsContainer.empty(), this.$videoEndCardThumbsContainer.append('<p class="error">There was an error retrieving more videos.</p>')
            },
            fetchPlaylistMetaData: function() {
                this.model.playlistMetaDataModel || (this.model.playlistMetaDataModel = new a({
                    apiEnv: this.apiEnv
                }), this.model.playlistMetaDataModel.getPlaylistMetaData(this.model.get("playlistId"), this.processPlaylistMetaData, this.processPlaylistMetaDataError))
            },
            processPlaylistMetaData: function(e) {
                var t = e;
                t && t.publish_url && t.display_name && (this.model.set("playlistUrl", ["http://www.nytimes.com", t.publish_url].join("")), this.model.set("playlistDisplayName", t.display_name), this.$videoEndCardVideosSectionHeadingLink.attr("href", this.model.get("playlistUrl")).html("More in " + this.model.get("playlistDisplayName"))), this.$videoEndCardVideosSectionHeading.css({
                    opacity: 0
                }).removeClass("video-end-card-section-heading-loading").fadeTo(200, 1)
            },
            processPlaylistMetaDataError: function() {
                this.$videoEndCardVideosSectionHeading.css({
                    opacity: 0
                }).removeClass("video-end-card-section-heading-loading").fadeTo(200, 1)
            },
            replayVideo: function() {
                this.videoObject.play(), this.hideVideoEndCard()
            },
            resumeVideo: function() {
                this.videoObject.play(), this.hideVideoEndCard()
            },
            render: function() {
                var e;
                return this.$videoEndCard || (this.$videoInnerContainer.find(".video-end-card").remove(), e = this.videoEndCardTemplate(this.model.toJSON()), this.$videoInnerContainer.append(e)), this
            },
            onKill: function() {
                this.stopListening(this.videoModel, this.videoModel.videoEvents.KILL_VIDEO, this.onKill), this.unregisterListeners(), this.$videoEndCard && this.$videoEndCard.remove(), this.model.clear(), this.remove()
            }
        });
        return c
    }), define("shared/video/views/video", ["jquery/nyt", "underscore/nyt", "backbone/nyt", "foundation/collections/base-collection", "foundation/views/base-view", "foundation/hosts", "shared/video/models/video-end-card", "shared/video/views/video-end-card", "foundation/views/page-manager", "shared/video/libs/inactivity-timer-manager", "shared/video/templates", "shared/video/models/video", "shared/sharetools/views/share-tools-container", "shared/sharetools/models/share-data"], function(e, t, i, s, n, a, o, r, l, d, h, c, u, m) {
        "use strict";
        var p, g;
        return g = l.flag("videoVHSCover") ? n.extend({
            initialize: function() {
                var e = this,
                    i = window.location.host,
                    s = new c,
                    n = this.model.get("videoId"),
                    a = this.model.get("width"),
                    o = this.model.get("height"),
                    r = this.model.get("videoFigure"),
                    u = this.model.get("pagePosition") || s.playerPositions.POSITION_EMBEDDED,
                    g = this.model.get("autoStart") === !1 ? !1 : !0,
                    f = this.model.get("playerType") || "article",
                    v = "video_inner_" + u + "_",
                    y = "video_outer_" + u + "_",
                    b = this.model.get("userInitiatedPlay") || !1,
                    w = this.model.get("orphanVideo") || !1,
                    _ = this.model.get("shareOptionsUrl") || null,
                    C = h.video,
                    T = C({
                        outerId: y + n,
                        innerId: v + n
                    });
                t.bindAll(this, "handleVHSLoad", "onPlayerReady", "onKillVideo", "onVideoComplete", "onVideoPlay", "onPlayClicked", "onVideoPaused", "onAdStart", "onAdComplete", "onFullscreen", "onExitFullscreen", "onClickVideoHandler", "onMediaChange", "initializeShareTools"), this.genericVideoModel = s, this.shareOptions = this.setShareOptions(f, w, _), r.prepend(T), this.vhsConfig = {
                    container: v + n,
                    width: a,
                    height: o,
                    id: n,
                    autoplay: g,
                    type: f,
                    userInitiatedPlay: b,
                    controlsOverlay: {
                        mode: "article"
                    },
                    cover: {
                        mode: "article"
                    },
                    endSlate: !1,
                    shareOptions: this.shareOptions
                }, this.pageManager.isDesktop() || (this.vhsConfig.cover.mode = "mobile"), f === s.playerTypes.PHOTOSPOT && (this.inactivityTimerManager = new d(l), this.vhsConfig.cover.mode = "duration", this.vhsConfig.endSlate = !0), (i.indexOf("dev.") > -1 || i.indexOf("stg.") > -1 || i.indexOf("sbx.") > -1) && (this.vhsConfig.env = "staging"), this.$shareTools = r.find(".sharetools"), this.shareData = new m(this.$shareTools), require(["vhs"], function(t) {
                    p = t, e.handleVHSLoad()
                })
            },
            setShareOptions: function(t, i, s) {
                var n = {},
                    a = null,
                    o = null;
                return s && (n.url = s), !i || s ? n : (a = e('meta[name="articleid"]').attr("content"), o = e('link[rel="canonical"]').attr("href"), "blog" === t && o ? n.blogPostUrl = o : a ? (n.articleId = a, n.articleCanonical = o) : o && (n.url = o), n)
            },
            handleVHSLoad: function() {
                var e = this.model.get("videoId"),
                    t = this.model.get("videoFigure"),
                    i = t.find(".video-bind"),
                    s = t.find(".video-container");
                this.video = p.player(this.vhsConfig), this.video && (this.model.set("videoObject", this.video), this.model.set("videoId", e), this.model.set("videoInnerContainer", s), this.model.set("videoOuterContainer", i), this.video.on(p.api.events.LOADED, this.onPlayerReady)), t.on("click", this.onClickVideoHandler)
            },
            initializeShareTools: function() {
                var e = this.model.get("videoId"),
                    t = '<iframe allowfullscreen="true" width="480" height="373" frameborder="0" scrolling="no" marginheight="0" marginwidth="0" id="nyt_video_player" title="New York Times Video - Embed Player" src="http://graphics8.nytimes.com/video/players/offsite/index.html?videoId=' + e + '&playerType=embed"></iframe>';
                this.setVideoPlayerShareData(), new u({
                    trackingRegion: "video-player-region",
                    el: this.$shareTools,
                    modalSettings: {
                        modalTitle: "share this video",
                        tailDirection: "down-right",
                        positionTailSide: !1,
                        autoPosition: !1,
                        toggleSpeed: 1,
                        embedCode: t
                    }
                })
            },
            setVideoPlayerShareData: function() {
                var e = this.video,
                    t = "http:" + a.www + (e._data.publish_url || "/video");
                this.shareOptions && (t = this.shareOptions.blogPostUrl || this.shareOptions.articleCanonical || this.shareOptions.url || t), this.shareData.setVia("nytvideo"), this.shareData.setUrl(t), this.shareData.setDescription(e._data.summary), this.shareData.setTitle(e._data.headline)
            },
            onClickVideoHandler: function(t) {
                var i = this.model.clickableElements,
                    s = i.join(", "),
                    n = e(t.target).is(s);
                n || t.stopPropagation()
            },
            createVideoEndCard: function() {
                this.vhsConfig.endSlate || (this.videoEndCardModel = new o({
                    videoModel: this.model
                }), this.videoEndCardView = new r({
                    model: this.videoEndCardModel,
                    enableAutoPlayCountdown: this.model.get("pagePosition") === this.model.playerPositions.POSITION_LEDE
                }))
            },
            onPlayerReady: function() {
                l.flag("videoVHSShareTools") && this.initializeShareTools(), this.bindVideoEvents(), this.createVideoEndCard(), this.listenTo(this.model, this.model.videoEvents.KILL_VIDEO, this.onKillVideo)
            },
            onKillVideo: function() {
                var e = this.model.get("videoObject"),
                    t = this.model.get("videoFigure"),
                    i = this.model.get("videoOuterContainer");
                this.stopListening(this.model, this.model.videoEvents.KILL_VIDEO, this.onKillVideo), this.bindVideoEvents(!0), this.model.set("videoObject", null), this.model.set("videoInnerContainer", null), this.model.set("videoOuterContainer", null), e && e.destroy(), t.off("click"), i.remove(), t.remove(), this.remove()
            },
            bindVideoEvents: function(e) {
                var t, i = {},
                    s = {};
                if (e = e || !1, this.video) {
                    if (i[p.api.events.ENDED] = this.onVideoComplete, i[p.api.events.PLAY] = this.onVideoPlay, i[p.api.events.PAUSE] = this.onVideoPaused, i[p.api.events.AD_STARTED] = this.onAdStart, i[p.api.events.AD_COMPLETED] = this.onAdComplete, i[p.api.events.GO_FULLSCREEN] = this.onFullscreen, i[p.api.events.EXIT_FULLSCREEN] = this.onExitFullscreen, i[p.api.events.LOAD_START] = this.onMediaChange, s[p.api.events.READY] = this.onPlayerReady, e)
                        for (t in s) s.hasOwnProperty(t) && (i[t] = s[t]);
                    for (t in i) i.hasOwnProperty(t) && (e ? this.video.off(t, i[t]) : this.video.on(t, i[t]))
                }
            },
            onVideoComplete: function() {
                this.broadcast(this.model.videoEvents.VIDEO_COMPLETE, this.video), this.inactivityTimerManager && this.inactivityTimerManager.enable()
            },
            onVideoPlay: function() {
                this.model.isAdPlaying = !1, this.broadcast(this.model.videoEvents.VIDEO_PLAY, this.video), this.inactivityTimerManager && this.inactivityTimerManager.disable()
            },
            onPlayClicked: function() {
                this.broadcast(this.model.videoEvents.PLAY_CLICKED, this.video)
            },
            onVideoPaused: function() {
                this.broadcast(this.model.videoEvents.VIDEO_PAUSED, this.video), this.inactivityTimerManager && this.inactivityTimerManager.enable()
            },
            onAdStart: function() {
                this.model.isAdPlaying = !0, this.broadcast(this.model.videoEvents.AD_START, this.video), this.inactivityTimerManager && this.inactivityTimerManager.disable()
            },
            onAdComplete: function() {
                this.model.isAdPlaying = !1, this.broadcast(this.model.videoEvents.AD_COMPLETE, this.video), this.inactivityTimerManager && this.inactivityTimerManager.enable()
            },
            onFullscreen: function() {
                this.model.isVideoFullscreen = !0, this.broadcast(this.model.videoEvents.VIDEO_FULLSCREEN, this.video)
            },
            onExitFullscreen: function() {
                this.model.isVideoFullscreen = !1, this.broadcast(this.model.videoEvents.VIDEO_EXIT_FULLSCREEN, this.video)
            },
            onMediaChange: function() {
                this.broadcast(this.model.videoEvents.MEDIA_CHANGE, this.video), l.flag("videoVHSShareTools") && this.setVideoPlayerShareData()
            }
        }) : n.extend({
            initialize: function() {
                var e = this,
                    i = window.location.host,
                    s = new c,
                    n = this.model.get("videoId"),
                    a = this.model.get("width"),
                    o = this.model.get("height"),
                    r = this.model.get("videoFigure"),
                    u = this.model.get("pagePosition") || s.playerPositions.POSITION_EMBEDDED,
                    m = this.model.get("autoStart") === !1 ? !1 : !0,
                    g = this.model.get("playerType") || "article",
                    f = "video_inner_" + u + "_",
                    v = "video_outer_" + u + "_",
                    y = this.model.get("userInitiatedPlay") || !1,
                    b = this.model.get("orphanVideo") || !1,
                    w = this.model.get("shareOptionsUrl") || null,
                    _ = h.video,
                    C = _({
                        outerId: v + n,
                        innerId: f + n
                    });
                t.bindAll(this, "handleVHSLoad", "onTemplateReady", "onKillVideo", "onVideoComplete", "onVideoPlay", "onPlayClicked", "onVideoPaused", "onAdStart", "onAdComplete", "onFullscreen", "onExitFullscreen", "onClickVideoHandler", "onMediaChange"), this.genericVideoModel = s, r.prepend(C), this.vhsConfig = {
                    container: f + n,
                    width: a,
                    height: o,
                    id: n,
                    autoplay: m,
                    type: g,
                    userInitiatedPlay: y,
                    controlsOverlay: {
                        mode: "article"
                    },
                    cover: !1,
                    endSlate: !1,
                    shareOptions: this.setShareOptions(g, b, w)
                }, "photospot" === g && (this.inactivityTimerManager = new d(l), this.vhsConfig.cover = !0, this.vhsConfig.endSlate = !0), (i.indexOf("dev.") > -1 || i.indexOf("stg.") > -1 || i.indexOf("sbx.") > -1) && (this.vhsConfig.env = "staging"), require(["vhs"], function(t) {
                    p = t, e.handleVHSLoad()
                })
            },
            setShareOptions: function(t, i, s) {
                var n = {},
                    a = null,
                    o = null;
                return s && (n.url = s), !i || s ? n : (a = e('meta[name="articleid"]').attr("content"), o = e('link[rel="canonical"]').attr("href"), "blog" === t && o ? n.blogPostUrl = o : a ? n.articleId = a : o && (n.url = o), n)
            },
            handleVHSLoad: function() {
                var e = this.model.get("videoId"),
                    t = this.model.get("videoFigure"),
                    i = t.find(".video-bind"),
                    s = t.find(".video-container");
                this.video = p.player(this.vhsConfig), this.video && (this.model.set("videoObject", this.video), this.model.set("videoId", e), this.model.set("videoInnerContainer", s), this.model.set("videoOuterContainer", i), this.video.on(p.api.events.LOADED, this.onTemplateReady)), t.on("click", this.onClickVideoHandler)
            },
            onClickVideoHandler: function(t) {
                var i = this.model.clickableElements,
                    s = i.join(", "),
                    n = e(t.target).is(s);
                n || t.stopPropagation()
            },
            createVideoEndCard: function() {
                this.vhsConfig.endSlate || (this.videoEndCardModel = new o({
                    videoModel: this.model
                }), this.videoEndCardView = new r({
                    model: this.videoEndCardModel,
                    enableAutoPlayCountdown: this.model.get("pagePosition") === this.model.playerPositions.POSITION_LEDE
                }))
            },
            onTemplateReady: function() {
                this.registerVideoEvents(), this.createVideoEndCard(), this.video && this.broadcast(this.model.videoEvents.TEMPLATE_READY, this.video), this.listenTo(this.model, this.model.videoEvents.KILL_VIDEO, this.onKillVideo)
            },
            onKillVideo: function() {
                var e = this.model.get("videoObject"),
                    t = this.model.get("videoFigure"),
                    i = this.model.get("videoOuterContainer");
                this.stopListening(this.model, this.model.videoEvents.KILL_VIDEO, this.onKillVideo), this.unregisterVideoEvents(), e && e.destroy(), t.off("click"), i.remove(), t.remove(), this.remove()
            },
            registerVideoEvents: function() {
                this.video && (this.video.on(p.api.events.ENDED, this.onVideoComplete), this.video.on(p.api.events.PLAY, this.onVideoPlay), this.video.on(p.api.events.PAUSE, this.onVideoPaused), this.video.on(p.api.events.AD_STARTED, this.onAdStart), this.video.on(p.api.events.AD_COMPLETED, this.onAdComplete), this.video.on(p.api.events.GO_FULLSCREEN, this.onFullscreen), this.video.on(p.api.events.EXIT_FULLSCREEN, this.onExitFullscreen), this.video.on(p.api.events.LOAD_START, this.onMediaChange))
            },
            unregisterVideoEvents: function() {
                this.video && (this.video.off(p.api.events.LOADED, this.onTemplateReady), this.video.off(p.api.events.ENDED, this.onVideoComplete), this.video.off(p.api.events.PLAY, this.onVideoPlay), this.video.off(p.api.events.PAUSE, this.onVideoPaused), this.video.off(p.api.events.AD_STARTED, this.onAdStart), this.video.off(p.api.events.AD_COMPLETED, this.onAdComplete), this.video.off(p.api.events.GO_FULLSCREEN, this.onFullscreen), this.video.off(p.api.events.EXIT_FULLSCREEN, this.onExitFullscreen), this.video.off(p.api.events.LOAD_START, this.onMediaChange))
            },
            onVideoComplete: function() {
                this.broadcast(this.model.videoEvents.VIDEO_COMPLETE, this.video), this.inactivityTimerManager && this.inactivityTimerManager.enable()
            },
            onVideoPlay: function() {
                this.model.isAdPlaying = !1, this.broadcast(this.model.videoEvents.VIDEO_PLAY, this.video), this.inactivityTimerManager && this.inactivityTimerManager.disable()
            },
            onPlayClicked: function() {
                this.broadcast(this.model.videoEvents.PLAY_CLICKED, this.video)
            },
            onVideoPaused: function() {
                this.broadcast(this.model.videoEvents.VIDEO_PAUSED, this.video), this.inactivityTimerManager && this.inactivityTimerManager.enable()
            },
            onAdStart: function() {
                this.model.isAdPlaying = !0, this.broadcast(this.model.videoEvents.AD_START, this.video), this.inactivityTimerManager && this.inactivityTimerManager.disable()
            },
            onAdComplete: function() {
                this.model.isAdPlaying = !1, this.broadcast(this.model.videoEvents.AD_COMPLETE, this.video), this.inactivityTimerManager && this.inactivityTimerManager.enable()
            },
            onFullscreen: function() {
                this.model.isVideoFullscreen = !0, this.broadcast(this.model.videoEvents.VIDEO_FULLSCREEN, this.video)
            },
            onExitFullscreen: function() {
                this.model.isVideoFullscreen = !1, this.broadcast(this.model.videoEvents.VIDEO_EXIT_FULLSCREEN, this.video)
            },
            onMediaChange: function() {
                this.broadcast(this.model.videoEvents.MEDIA_CHANGE, this.video)
            }
        })
    }), define("shared/mediaviewer/templates", ["underscore/nyt"], function(_) {
        var templates = {};
        return templates.bigAd3 = function(obj) {
            var __p = "";
            Array.prototype.join;
            with(obj || {}) __p += '<div id="BigAd3" class="ad big-ad3" style="display:none;"></div>';
            return __p
        }, templates.continueButton = function(obj) {
            var __t, __p = "";
            Array.prototype.join;
            with(obj || {}) __p += '<div class="media-viewer-continue" style="display:none;">\n<span class="continue-text"> ' + (null == (__t = message) ? "" : __t) + ' </span>\n<div class="continue-arrow arrow-right">\n<div class="arrow-conceal"></div>\n</div>\n</div>';
            return __p
        }, templates.image = function(obj) {
            var __t, __p = "";
            Array.prototype.join;
            with(obj || {}) __p += '<figure class="media-viewer-asset" style="visibility:hidden;">\n<img src="' + (null == (__t = src) ? "" : __t) + '" data-caption="" style="opacity:0;" />\n<nav class="image-navigation previous">\n<span class="visually-hidden">Go to previous slide</span>\n</nav>\n<nav class="image-navigation next">\n<span class="visually-hidden">Go to next slide</span>\n</nav>\n<figcaption class="caption" style="display:none;">\n<span class="caption-text">\n' + (null == (__t = caption) ? "" : __t) + '\n</span>\n<span class="credit">\n' + (null == (__t = credit) ? "" : __t) + "\n</span>\n</figcaption>\n</figure>";
            return __p
        }, templates.mediaViewer = function(obj) {
            var __p = "";
            Array.prototype.join;
            with(obj || {}) __p += '<aside id="media-viewer" class="media-viewer" style="display:none;">\n<button class="button close-button"><i class="icon"></i><span class="visually-hidden">Close this overlay</span></button>\n<h2 class="media-viewer-headline"></h2>\n<div class="media-viewer-wrapper"></div>\n<nav class="media-viewer-nav">\n<div class="media-viewer-counter"></div>\n<div class="media-viewer-previous">\n<span class="visually-hidden">Go to previous</span>\n<div class="arrow arrow-left">\n<div class="arrow-conceal"></div>\n</div>\n</div>\n<div class="media-viewer-next">\n<span class="visually-hidden">Go to next</span>\n<div class="arrow arrow-right">\n<div class="arrow-conceal"></div>\n</div>\n</div></nav>\n<div class="loader-container" style="display:none;">\n<div class="loader loader-t-logo-32x32-ecedeb-ffffff"><span class="visually-hidden">Loading...</span></div>\n</div>\n</aside>';
            return __p
        }, templates.mediaViewerIcon = function(obj) {
            var __t, __p = "";
            Array.prototype.join;
            with(obj || {}) __p += '<div class="' + (null == (__t = classes) ? "" : __t) + '">\n<i class="icon sprite-icon"></i>\n</div>';
            return __p
        }, templates.video = function(obj) {
            var __t, __p = "";
            Array.prototype.join;
            with(obj || {}) __p += '<figure class="media-viewer-asset media-viewer-video media video" data-videoId="' + (null == (__t = videoId) ? "" : __t) + '" style="visibility:hidden;">\n<figcaption class="caption">\n<span class="credit">\n' + (null == (__t = credit) ? "" : __t) + "\n</span>\n</figcaption>\n</figure>";
            return __p
        }, templates
    }), define("shared/mediaviewer/views/media-viewer", ["jquery/nyt", "underscore/nyt", "backbone/nyt", "foundation/collections/base-collection", "foundation/views/base-view", "shared/mediaviewer/templates"], function(e, t, i, s, n, a) {
        "use strict";
        var o = n.registerView("media-viewer").extend({
            templates: a,
            collection: new s,
            speed: 400,
            assetIndex: 0,
            stepsTaken: 0,
            marginForImage: 160,
            clickableElements: ["img", "nav div", ".caption", ".credit", ".media-viewer-video", ".video-share span", ".video-share i.icon", ".video-share a", ".image-navigation"],
            candidateClass: "media-viewer-candidate",
            overlayClass: "media-action-overlay",
            slideshowClass: "slideshow.promo.launch-media-viewer",
            isVideo: !1,
            videoId: 0,
            contentType: "",
            $prevArrow: e(),
            $nextArrow: e(),
            settings: {
                minWidth: 700,
                minHeight: 550,
                topMargin: 60,
                basicMargin: 30,
                captionGutter: 15,
                navGutter: 45,
                captionRatio: .8,
                imageAspectRatio: 1.3
            },
            events: {
                "click .media-viewer-previous": "prevAsset",
                "click .media-viewer-next": "nextAsset",
                "click .image-navigation.previous": "prevAsset",
                "click .image-navigation.next": "nextAsset",
                "click .media-viewer-asset img": "nextAsset",
                click: "decideClose",
                "mouseenter .image-navigation.previous": "lightPrevArrow",
                "mouseleave .image-navigation.previous": "unLightPrevArrow",
                "mouseenter .image-navigation.next": "lightNextArrow",
                "mouseleave .image-navigation.next": "unLightNextArrow"
            },
            nytEvents: {
                "nyt:page-key-esc": "forceClose",
                "nyt:page-resize-after": "renderFromResize",
                "nyt:mediaviewer-left": "prevAsset",
                "nyt:mediaviewer-right": "nextAsset",
                "nyt:open-media-viewer": "renderForEmbeddedSlideshow",
                "nyt:route:slideshow": "initFromDeepLink"
            },
            initialize: function() {
                t.bindAll(this, "renderForSlideshow", "renderFromSymbol", "renderFromClick", "writeVideoTemplateToViewer", "nextAsset", "prevAsset", "pinchClose"),
                    this.pageManager.addRoute("slideshow/:slideshowId(/:imageId)", "slideshow"), this.setElement(this.templates.mediaViewer()), this.subscribe("nyt:slideshow-ad-render", this.renderSlideshowAd)
            },
            handleDomReady: function() {
                this.$body.on("click", "." + this.slideshowClass, this.renderForSlideshow).on("click", "." + this.overlayClass, this.renderFromSymbol).on("click", "." + this.candidateClass, this.renderFromClick), this.hammer && (this.hammer(this.el).on("swiperight", this.prevAsset), this.hammer(this.el).on("swipeleft", this.nextAsset), this.hammer(this.el).on("pinch", this.pinchClose)), this.$candidates = e("." + this.candidateClass), this.$headline = this.$(".media-viewer-headline"), this.$wrapper = this.$(".media-viewer-wrapper"), this.$counter = this.$(".media-viewer-counter"), this.$nav = this.$(".media-viewer-nav"), this.$body.find("#main").append(this.$el), this.$prevArrow = this.$el.find(".media-viewer-previous"), this.$nextArrow = this.$el.find(".media-viewer-next"), this.addViewerIcon(), this.trackingBaseData = {
                    action: "click",
                    contentCollection: this.pageManager.getMeta("article:section"),
                    region: "Body"
                }, this.pageManager.checkRoute()
            },
            initFromDeepLink: function(t) {
                var i, s = t[0],
                    n = t.length > 1 ? parseInt(t[1], 10) : null,
                    a = e("#slideshow-" + s);
                return a.size() > 0 ? (this.getAssetsFromJSON(a), n && (i = this.collection.findWhere({
                    id: n
                })), "undefined" == typeof i && (i = this.collection.at(0)), this.$el.addClass("theme-dark"), this.changeLoader("dark"), this.contentType = "slideshow", this.assetIndex = this.collection.indexOf(i), void this.render(i)) : void 0
            },
            addViewerIcon: function() {
                var t = this.templates.mediaViewerIcon({
                    classes: this.overlayClass
                });
                this.$candidates.each(function() {
                    e(this).after(t)
                })
            },
            changeLoader: function(e) {
                var t = this.$el.find(".loader"),
                    i = "loader-t-logo-32x32-ecedeb-ffffff",
                    s = "loader-t-logo-32x32-333333-121212";
                "dark" === e ? t.removeClass(i).addClass(s) : "light" === e && t.removeClass(s).addClass(i)
            },
            getDimension: function(e, t, i, s) {
                var n = this.pageManager.getViewport(),
                    a = n.width - i,
                    o = n.height - s;
                return e > a && (t *= a / e, e = a), t > o && (e *= o / t, t = o), {
                    width: Math.round(e),
                    height: Math.round(t)
                }
            },
            getAssetsFromJSON: function(i) {
                var s = i.find("script").get(0).innerHTML,
                    n = e.parseJSON(s),
                    a = n.id;
                this.headline = n.headline, n = t.map(n.imageslideshow.slides, function(e) {
                    var t, i = "",
                        s = "";
                    return e && e.image_crops && (t = e.image_crops, t.superJumbo ? i = t.superJumbo.url : t.jumbo ? i = t.jumbo.url : t.articleLarge ? i = t.articleLarge.url : t.slide ? i = t.slide.url : t.popup && (i = t.popup.url)), e && e.caption && (e.caption.full ? s = e.caption.full : e.caption["short"] && (s = e.caption["short"])), {
                        id: e.data_id,
                        src: i,
                        caption: s,
                        credit: e.credit
                    }
                }), this.collection.reset(n), this.collection.slideshowId = a
            },
            getAssetsFromDOM: function() {

                var i, s = [];
                this.$candidates.each(function() {
                    i = {
                        src: e(this).data("mediaviewer-src"),
                        caption: e(this).data("mediaviewer-caption"),
                        credit: e(this).data("mediaviewer-credit")
                    }, s.push(i)
                }), this.collection.reset(t.uniq(s, function(e) {
                    return e.src
                }))
            },
            broadcastAd: function() {
                var e = "",
                    t = 0 === this.assetIndex,
                    i = this.collection.length,
                    s = this.end();
                if (t && !s) e = "Slideshow_int";
                else {
                    if (!(i > 3 && s)) return !1;
                    e = "Slideshow_end"
                }
                return this.broadcast("nyt:slideshow-ad", {
                    el: this.$wrapper,
                    position: e
                }), this.adRendered
            },
            renderSlideshowAd: function(t) {
                var i, s, n, a, o, r, l;
                "slideshow" === this.contentType && (i = this, s = this.pageManager.getCurrentBreakpoint(), n = this.$wrapper.find(".ad-wrapper"), a = 2 * parseInt(n.css("padding-left"), 10), o = parseInt(t.get("width"), 10), r = parseInt(t.get("height"), 10), l = e(this.templates.continueButton({
                    message: this.end() ? "RETURN TO ARTICLE" : "CONTINUE SLIDE SHOW"
                })), this.$adBtn = l, n.append(l).css({
                    width: o,
                    height: r,
                    "margin-left": -(o + a) / 2,
                    "margin-top": -(r + a) / 2
                }), this.$nav.find(".media-viewer-previous").hide(), this.$counter.hide(), this.$headline.text(this.headline || ""), this.adRendered = !0, this.toggleLoader(!1), this.start(), this.active(!0), l.show().on("click", function(e) {
                    e.stopPropagation(), e.preventDefault(), i.renderAfterAd()
                }), s >= 1e3 && 1030 > s && l.hide())
            },
            renderAfterAd: function() {
                this.dismissAd(), this.render()
            },
            dismissAd: function() {
                this.$adBtn.off("click").hide(), this.$wrapper.html(""), this.$counter.show(), this.$nav.find(".media-viewer-previous").show(), this.adRendered = !1
            },
            renderForSlideshow: function(t) {
                var i;
                e(t.target).hasClass("skip-to-text-link") || (i = e(t.currentTarget), "modal" === i.data("media-action") && (this.assetIndex = 0, this.$el.addClass("theme-dark"), this.changeLoader("dark"), this.getAssetsFromJSON(i), this.contentType = "slideshow", this.render()))
            },
            renderForEmbeddedSlideshow: function(e, t) {
                this.assetIndex = t, this.$el.addClass("theme-dark"), this.changeLoader("dark"), this.getAssetsFromJSON(e), this.contentType = "embedded-slideshow", this.render()
            },
            renderFromSymbol: function(t) {
                e(t.currentTarget).siblings("." + this.candidateClass).trigger("click")
            },
            renderFromResize: function() {
                var t;
                this.adRendered || (this.isActive && this.isVideo ? (t = e("figure.media-viewer-video"), this.handleVideo(t)) : this.isActive && this.render())
            },
            renderFromClick: function(t) {
                var i;
                this.getAssetsFromDOM(), i = this.collection.findWhere({
                    src: e(t.target).data("mediaviewer-src")
                }), this.assetIndex = this.collection.indexOf(i), this.contentType = "images", this.render(i)
            },
            renderForVideo: function(e, t) {
                this.videoModel = e, this.videoCallback = t, this.$el.addClass("theme-dark"), this.changeLoader("dark"), this.isVideo = !0, this.render(e)
            },
            writeVideoTemplateToViewer: function() {
                var t = this.videoModel ? this.videoModel.get("videoId") : this.videoId,
                    i = this.$body.find("figure[data-videoid=" + t + "] .video-credit"),
                    s = e(this.templates.video({
                        videoId: t,
                        credit: i.html()
                    }));
                this.handleVideo(s), this.$wrapper.html(s), this.pageManager.isMobile() ? "function" == typeof this.videoCallback && this.videoCallback() : this.broadcast("nyt:mediaviewer-open")
            },
            render: function(e) {
                var t = this;
                if (t.toggleLoader(!0), !this.broadcastAd()) {
                    if (this.isVideo) this.renderVideo();
                    else {
                        if (this.end()) return t.toggleLoader(!1), void this.close(!0);
                        this.renderImage(e)
                    }
                    this.active(!0), this.$body.css("overflow", "hidden"), this.$document.on("touchmove", function(e) {
                        e.preventDefault()
                    }), this.setCounter(), this.toggleNav()
                }
            },
            renderVideo: function() {
                var e, t = this;
                this.pageManager.isMobile() ? (this.start(), this.writeVideoTemplateToViewer()) : this.start(this.writeVideoTemplateToViewer), t.toggleLoader(!1), e = {
                    module: "Video",
                    version: "MediaViewer",
                    eventName: "PlayVideo"
                }, this.trackingTrigger("media-viewer-play-video", e), this.trackingComscorePVC(e)
            },
            renderImage: function(t) {
                var i, s, n, a, o, r = this,
                    l = this.collection.slideshowId;
                t = t || this.collection.at(this.assetIndex), i = t.get("id"), this.isActive || (this.start(), this.$headline.text(this.headline || ""), this.broadcast("nyt:mediaviewer-open"), a = {
                    module: this.getTrackingModule(),
                    version: this.getTrackingVersion(),
                    eventName: this.getTrackingOpenEventName(),
                    mdata: {
                        currentSlide: this.assetIndex + 1,
                        totalSlides: this.collection.length
                    }
                }, this.trackingTrigger("media-viewer-opened", a), this.trackingComscorePVC(a)), s = e(this.templates.image({
                    src: t.get("src"),
                    caption: t.get("caption"),
                    credit: t.get("credit")
                })), n = e(this.templates.bigAd3()), s.find("img").load(function() {
                    r.handleImg(s, n), r.toggleLoader(!1)
                }), l && i && (o = "slideshow/" + l + "/" + i, this.pageManager.navigateRoute(o, {
                    trigger: !1,
                    replace: !0
                })), this.$wrapper.html(s), this.$wrapper.append(n)
            },
            start: function(e) {
                e = e || function() {}, this.$el.fadeIn(this.speed, e)
            },
            toggleNav: function() {
                var e = this.$("nav");
                1 === this.collection.length || this.isVideo ? e.hide() : e.show()
            },
            toggleLoader: function(e) {
                var t = this.$el.find(".loader-container");
                e ? t.show() : t.hide()
            },
            handleImg: function(i, s) {
                var n, a, o, r, l, d, h, c, u = this.settings,
                    m = i.find("img"),
                    p = i.find(".caption"),
                    g = e("nav.media-viewer-nav"),
                    f = {},
                    v = this.getElementDimensions(g),
                    y = this.getElementDimensions(m),
                    b = t.extend({}, this.pageManager.getViewport()),
                    w = b.width,
                    _ = this.$html.hasClass("tone-feature"),
                    C = y.width / y.height,
                    T = b.width / (b.height - v.height - u.topMargin - u.basicMargin),
                    k = C > T ? "below" : "right";
                b.height = b.height < 150 ? 150 : b.height, b.width = b.width < 100 ? 100 : b.width, this.$headline.css({
                    "margin-right": 0
                }), w >= 1280 && _ && "slideshow" === this.contentType && (b.width = w - 330, this.$headline.css({
                    "margin-right": 330
                }), this.loadBigAd(), s.show(), C > u.imageAspectRatio && (k = "below")), "right" === k ? (h = this.getImageSizeAvailable(p, v, k, b), c = this.getCaptionSize(p, v, k), f = this.getScaledImage(y, h), a = h.width / h.height, a > C ? (i.css({
                    height: h.height,
                    width: f.width
                }), p.css({
                    left: f.width + u.captionGutter,
                    width: c.width,
                    height: c.height
                }), (b.width - 2 * u.basicMargin - f.width) / 2 > c.width ? (r = Math.round((b.width - f.width) / 2), i.css({
                    left: r,
                    top: u.topMargin
                }), s.css({
                    "margin-top": u.topMargin
                }), o = r < 2 * (v.width + u.basicMargin), d = u.topMargin + h.height + u.navGutter + v.height + u.basicMargin > b.height, n = o && d ? v.height + u.navGutter + u.basicMargin : u.basicMargin, p.css({
                    bottom: n,
                    width: c.width
                })) : (r = Math.round((b.width - (f.width + c.width)) / 2), i.css({
                    left: r,
                    top: u.topMargin
                }), s.css({
                    "margin-top": u.topMargin
                }), p.css({
                    bottom: u.basicMargin,
                    width: c.width,
                    height: c.height
                }))) : (l = Math.round((b.height - f.height - u.topMargin) / 2), l = Math.max(l, u.topMargin), r = Math.round((b.width - (h.width + c.width + u.captionGutter)) / 2), i.css({
                    width: h.width,
                    height: f.height,
                    left: r,
                    top: l
                }), s.css({
                    "margin-top": l
                }), p.css({
                    width: c.width,
                    bottom: u.basicMargin,
                    left: h.width + u.captionGutter
                }), c.height > f.height && p.css({
                    height: f.height
                }))) : (c = this.getCaptionSize(p, v, k), h = this.getImageSizeAvailable(p, v, k, b), f = this.getScaledImage(y, h), a = h.width / h.height, a > C ? (r = Math.round((b.width - f.width) / 2), i.css({
                    height: h.height,
                    width: f.width,
                    left: r,
                    top: u.topMargin
                }), s.css({
                    "margin-top": u.topMargin
                }), p.css({
                    "max-width": 550,
                    width: h.width - v.width,
                    "margin-settings.topMargin-top": u.captionGutter
                })) : (r = Math.round((b.width - h.width) / 2), l = Math.round((b.height - (f.height + c.height + u.captionGutter) - u.topMargin) / 2), l = Math.max(l, u.topMargin), i.css({
                    height: f.height,
                    width: h.width,
                    left: r,
                    top: l
                }), s.css({
                    "margin-top": l
                }), p.css({
                    width: h.width,
                    "margin-topmargin-top": u.captionGutter
                }))), i.css({
                    visibility: "visible"
                }), s.css({
                    width: 300,
                    height: 250,
                    "margin-left": 30,
                    "margin-right": 30,
                    "float": "right"
                }), p.css({
                    display: "block",
                    opacity: 0
                }).animate({
                    opacity: 1
                }, this.speed), m.animate({
                    opacity: 1
                }, this.speed)
            },
            loadBigAd: e.noop,
            getElementDimensions: function(e) {
                return {
                    width: e.width(),
                    height: e.height()
                }
            },
            getScaledImage: function(e, t) {
                return {
                    width: Math.round(e.width / e.height * t.height),
                    height: Math.round(e.height / e.width * t.width)
                }
            },
            getImageSizeAvailable: function(e, t, i, s) {
                var n = this.getCaptionSize(e, t),
                    a = this.settings,
                    o = s.height - a.topMargin - a.basicMargin,
                    r = s.width - 2 * a.basicMargin;
                return "right" === i ? r -= n.width + a.captionGutter : "below" === i && (o -= n.height + a.captionGutter), {
                    width: r,
                    height: o
                }
            },
            getCaptionSize: function(e, t, i) {
                var s = this.getElementDimensions(e),
                    n = this.settings;
                return s.width = Math.floor(Math.sqrt(s.width * s.height)), s.height = s.width, s.width = Math.max(s.width, t.width), "right" === i ? (s.height = Math.round(s.height * (1 / n.captionRatio)), s.width = Math.max(Math.round(s.width * n.captionRatio), t.width)) : "below" === i && (s.height = e.height(), s.width = Math.round(s.width * (1 / n.captionRatio))), s
            },
            handleVideo: function(e) {
                var t = this.pageManager.getViewport(),
                    i = Math.round(t.width),
                    s = Math.round(t.width * (9 / 16)),
                    n = this.getDimension(i, s, 0, 70);
                e.css({
                    visibility: "visible",
                    width: n.width,
                    height: n.height,
                    "margin-left": -n.width / 2,
                    "margin-top": -(n.height / 2 - 30),
                    opacity: 1
                })
            },
            lightPrevArrow: function() {
                this.unLightNextArrow(), this.$prevArrow.addClass("hover")
            },
            unLightPrevArrow: function() {
                this.$prevArrow.removeClass("hover")
            },
            lightNextArrow: function() {
                this.unLightPrevArrow(), this.$nextArrow.addClass("hover")
            },
            unLightNextArrow: function() {
                this.$nextArrow.removeClass("hover")
            },
            nextAsset: function(e) {
                var t, i;
                return e && (this.doClose = "swipeleft" !== e.type), this.adRendered ? void this.renderAfterAd() : (this.moveIndex(1), this.render(), t = this.assetIndex + 1, i = {
                    module: this.getTrackingModule(),
                    version: this.getTrackingVersion(),
                    eventName: "NextAsset-" + t + (t === this.collection.length ? "-Finish" : ""),
                    mdata: {
                        currentSlide: t,
                        totalSlides: this.collection.length
                    }
                }, this.trackingTrigger("media-viewer-next-image", i), void this.trackingComscorePVC(i))
            },
            prevAsset: function(e) {
                var t, i;
                e && (this.doClose = "swiperight" !== e.type), this.moveIndex(-1), this.render(), t = this.assetIndex + 1, i = {
                    module: this.getTrackingModule(),
                    version: this.getTrackingVersion(),
                    eventName: "PrevAsset-" + t + (t === this.collection.length ? "-Finish" : ""),
                    mdata: {
                        currentSlide: t,
                        totalSlides: this.collection.length
                    }
                }, this.trackingTrigger("media-viewer-prev-image", i), this.trackingComscorePVC(i)
            },
            moveIndex: function(e) {
                var t = this.assetIndex,
                    i = this.collection.length;
                t += e, this.stepsTaken += e, t === i ? t = 0 : -1 === t && (t = i - 1), this.assetIndex = t
            },
            setCounter: function(e, t) {
                e = e || this.assetIndex, t = t || this.collection.length, this.$counter.html(e + 1 + " of " + t)
            },
            pinchClose: function() {
                this.close(!0)
            },
            decideClose: function(t) {
                var i = this.clickableElements.join(", "),
                    s = e(t.target).is(i);
                s || this.close(!0)
            },
            forceClose: function() {
                this.close(!0)
            },
            close: function(e) {
                var t = this.$el,
                    i = this;
                return this.isVideo && (this.videoId = 0, this.isVideo = !1), e && (this.doClose = !0), this.doClose ? (this.adRendered && this.dismissAd(), this.active(!1), this.stepsTaken = 0, this.assetIndex = 0, this.destroyHeadline(), this.$body.css("overflow", ""), this.$document.off("touchmove"), this.pageManager.clearRoute(), void this.$el.fadeOut(this.speed, function() {
                    t.removeClass("theme-dark"), i.changeLoader("light"), i.pageManager.flag("videoVHSCover") && i.broadcast("nyt:mediaviewer-close")
                })) : void(this.doClose = !0)
            },
            destroyHeadline: function() {
                this.$headline.empty(), this.headline = null
            },
            end: function() {
                return Math.abs(this.stepsTaken) === this.collection.length
            },
            active: function(e) {
                this.broadcast("nyt:mediaviewer-visibility", e), this.pageManager.setMeta("mediaviewer_isVisible", e), this.isActive = e
            },
            getTrackingModule: function() {
                var e = "";
                return "images" === this.contentType ? e = "ImageViewer" : ("embedded-slideshow" === this.contentType || "slideshow" === this.contentType) && (e = "Slideshow"), e
            },
            getTrackingVersion: function() {
                var e = "";
                return "slideshow" === this.contentType ? e = "MediaViewer-Promo" : "embedded-slideshow" === this.contentType ? e = "MediaViewer-NonPromo" : "images" === this.contentType && (e = "MediaViewer"), e
            },
            getTrackingOpenEventName: function() {
                return "images" === this.contentType ? "OpenImageViewer" : "OpenSlideshow"
            }
        });
        return o
    }), define("shared/mediaviewer/instances/media-viewer", ["shared/mediaviewer/views/media-viewer"], function(e) {
        "use strict";
        return new e
    }), define("shared/video/views/embedded-videos", ["jquery/nyt", "underscore/nyt", "backbone/nyt", "foundation/collections/base-collection", "foundation/views/base-view", "shared/video/models/video", "shared/video/views/video", "shared/mediaviewer/instances/media-viewer", "foundation/views/page-manager"], function(e, t, i, s, n, a, o, r, l) {
        "use strict";
        var d;
        return d = l.flag("videoVHSCover") ? n.extend({
            className: "video",
            el: e("figure.video"),
            videos: new s,
            events: {
                click: "handleVideoModalClick"
            },
            videoView: null,
            modalVideoModel: null,
            initialize: function(e) {
                this.settings = t.extend({}, e), this.subscribe("nyt:mediaviewer-open", this.onMediaViewerOpen), t.bindAll(this, "onVideoMediaViewerOpen", "onMediaViewerClose"), this.genericVideoModel = new a, this.pageManager.isMobile() || this.subscribe(this.genericVideoModel.videoEvents.MEDIA_CHANGE, this.onMediaChange), this.pageManager.isDomReady() ? this.handlePageReady() : this.subscribeOnce("nyt:page-ready", this.handlePageReady)
            },
            handlePageReady: function() {
                var t = this;
                this.$el.each(function() {
                    t.initVideoFigure(e(this))
                })
            },
            initVideoFigure: function(t) {
                var i, s, n, r, l = !1,
                    d = !0,
                    h = t.data("videoid"),
                    c = t.data("embedded") || !1,
                    u = t.data("shareOptionsUrl") || null,
                    m = e("body").find("figure.video.lede").eq(0),
                    p = this.genericVideoModel.playerTypes;
                return h ? (s = this.getPlayerPosition(t), i = this.getPlayerType(s, t), this.pageManager.isDesktop() && -1 !== [p.ARTICLE_LEDE, p.BLOG].indexOf(i) && (t.data("autoplay") === !0 || this.checkExternalReferrerAutoPlay(m)) && (l = !0, d = !1), i === p.ARTICLE_MODAL && (l = !0, d = !0), n = {
                    videoId: h,
                    videoFigure: t,
                    autoStart: l,
                    width: "100%",
                    height: "100%",
                    modal: i === p.ARTICLE_MODAL ? !0 : !1,
                    pagePosition: s,
                    playerType: i,
                    userInitiatedPlay: d,
                    orphanVideo: c,
                    shareOptionsUrl: u
                }, r = new a(n), this.videos.add(r), void(i !== p.ARTICLE_MODAL ? this.videoView = new o({
                    model: r
                }) : t.find(".caption a.video-link").click(function(e) {
                    e.stopPropagation()
                }))) : !1
            },
            checkExternalReferrerAutoPlay: function(e) {
                var t = document.referrer,
                    i = t && -1 === t.split(/^(([^:\/?#]+):)?(\/\/([^\/?#]*))?([^?#]*)(\?([^#]*))?(#(.*))?/)[4].indexOf("nytimes.com"),
                    s = !t || i,
                    n = e && e.data("autoplay") === !1,
                    a = e && "noads" !== e.data("adsensitivity"),
                    o = "article" === this.pageManager.getMeta("PT");
                return this.pageManager.flag("autoPlayVideos") && o && a && n && s ? !0 : !1
            },
            handleVideoModalClick: function(t) {
                var i = e(t.currentTarget),
                    s = this.videos.findWhere({
                        videoId: i.data("videoid")
                    });
                return s ? "link-to" === i.data("media-action") ? void t.stopPropagation() : void(s.get("modal") && (t.preventDefault(), t.stopPropagation(), this.modalVideoModel = s, this.pageManager.isMobile() || this.subscribeOnce("nyt:mediaviewer-open", this.onVideoMediaViewerOpen), r.renderForVideo(this.modalVideoModel, this.onVideoMediaViewerOpen))) : void 0
            },
            getPlayerPosition: function(e) {
                var t, i = this.genericVideoModel.playerPositions;
                return t = e.hasClass("lede") ? i.POSITION_LEDE : e.hasClass("inline") ? i.POSITION_INLINE : "photospot" === e.data("position") ? i.POSITION_PHOTOSPOT : i.POSITION_EMBEDDED
            },
            getPlayerType: function(e, t) {
                var i, s = this.genericVideoModel.playerPositions,
                    n = this.genericVideoModel.playerTypes;
                return i = t.hasClass("blog-video") ? n.BLOG : e === s.POSITION_INLINE ? n.ARTICLE_MODAL : e === s.POSITION_LEDE ? n.ARTICLE_LEDE : e === s.POSITION_PHOTOSPOT ? n.PHOTOSPOT : n.ARTICLE_EMBEDDED
            },
            onVideoMediaViewerOpen: function() {
                var t = e("figure.media-viewer-video");
                t && this.modalVideoModel && (this.subscribeOnce("nyt:mediaviewer-close", this.onMediaViewerClose), this.modalVideoModel.set("videoFigure", t), this.videoView = new o({
                    model: this.modalVideoModel
                }))
            },
            onMediaViewerClose: function() {
                this.modalVideoModel && (this.modalVideoModel.kill(), this.modalVideoModel = null, this.videoView = null)
            },
            onMediaViewerOpen: function() {
                this.videos.each(function(e) {
                    e && e.pause()
                })
            },
            onMediaChange: function(t) {
                var i;
                t.firstPlay || (i = e(t.container) || e(".video"), i.closest("figure").find(".caption").animate({
                    opacity: 0
                }))
            }
        }) : n.extend({
            className: "video",
            el: e("figure.video .image"),
            videos: new s,
            events: {
                click: "embedVideo"
            },
            modalVideoModel: null,
            defaultSettings: {
                posterSelector: ".image",
                videoContainerSelector: "figure.video",
                posterPhotoCreditSelector: ".photo-credit",
                posterVideoCreditSelector: ".video-credit",
                minInlinePlayWidth: 370
            },
            initialize: function(e) {
                this.settings = t.extend({}, this.defaultSettings, e), this.subscribe("nyt:mediaviewer-open", this.onMediaViewerOpen), t.bindAll(this, "onVideoMediaViewerOpen"), this.genericVideoModel = new a, this.pageManager.isMobile() || this.subscribe(this.genericVideoModel.videoEvents.MEDIA_CHANGE, this.onMediaChange), this.pageManager.isDomReady() ? this.handlePageReady() : this.subscribeOnce("nyt:page-ready", this.handlePageReady)
            },
            handlePageReady: function() {
                this.pageManager.isDesktop() && this.checkForAutoplay(), this.checkForAutoEmbed()
            },
            checkForAutoEmbed: function() {
                var t = e("body").find("figure.video[data-position=photospot]"),
                    i = this;
                t.each(function() {
                    var t = e(this),
                        s = t.attr("data-videoid"),
                        n = t.data("embedded") || !1,
                        r = t.find(i.settings.posterSelector),
                        l = i.getPlayerPosition(t),
                        d = i.getPlayerType(l, r),
                        h = t.data("shareOptionsUrl") || null,
                        c = {
                            videoId: s,
                            videoFigure: t,
                            autoStart: !1,
                            width: "100%",
                            height: "100%",
                            modal: !1,
                            pagePosition: l,
                            playerType: d,
                            userInitiatedPlay: !1,
                            orphanVideo: n,
                            shareOptionsUrl: h
                        },
                        u = new a(c);
                    new o({
                        model: u
                    }), i.videos.add(u)
                })
            },
            checkForAutoplay: function() {
                var t, i, s, n, r, l, d = e("body").find("figure.video.lede, figure.video.blog-video").eq(0);
                d && d.data("autoplay") === !0 && (i = d.find(this.settings.posterSelector), d && i && (s = d.attr("data-videoid"), r = d.data("embedded") || !1, l = d.data("shareOptionsUrl") || null, i.width() >= this.settings.minInlinePlayWidth && s && (n = {
                    videoId: s,
                    videoFigure: d,
                    autoStart: !0,
                    width: "100%",
                    height: "100%",
                    modal: !1,
                    pagePosition: this.genericVideoModel.playerPositions.POSITION_LEDE,
                    playerType: "article-lede",
                    userInitiatedPlay: !1,
                    orphanVideo: r,
                    shareOptionsUrl: l
                }, t = new a(n), new o({
                    model: t
                }), this.videos.add(t))))
            },
            embedVideo: function(t) {
                var i, s, n, l, d, h, c, u = "100%",
                    m = "100%",
                    p = this.genericVideoModel.playerPositions.POSITION_EMBEDDED,
                    g = !1;
                if (t && (this.$target = e(t.currentTarget), s = this.$target.closest(this.settings.videoContainerSelector), n = this.$target.closest(this.settings.posterSelector), s)) {
                    if (l = s.attr("data-videoid"), h = s.data("embedded") || !1, c = s.data("shareOptionsUrl") || null, "link-to" === s.data("media-action")) return this;
                    t.preventDefault(), s.hasClass("lede") ? p = this.genericVideoModel.playerPositions.POSITION_LEDE : s.hasClass("inline") ? p = this.genericVideoModel.playerPositions.POSITION_INLINE : "photospot" === s.data("position") && (p = this.genericVideoModel.playerPositions.POSITION_PHOTOSPOT), n.width() < this.settings.minInlinePlayWidth && (g = !0), l && (d = {
                        videoId: l,
                        videoFigure: s,
                        autoStart: !0,
                        width: u,
                        height: m,
                        modal: g,
                        pagePosition: p,
                        userInitiatedPlay: !0,
                        orphanVideo: h,
                        shareOptionsUrl: c
                    }, p === this.genericVideoModel.playerPositions.POSITION_INLINE || g ? (d.playerType = "article-modal", this.modalVideoModel = new a(d), this.pageManager.isMobile() || this.subscribeOnce("nyt:mediaviewer-open", this.onVideoMediaViewerOpen), r.renderForVideo(this.modalVideoModel, this.onVideoMediaViewerOpen)) : (s.hasClass("blog-video") ? d.playerType = "blog" : p === this.genericVideoModel.playerPositions.POSITION_LEDE ? d.playerType = "article-lede" : p === this.genericVideoModel.playerPositions.POSITION_PHOTOSPOT ? d.playerType = "photospot" : d.playerType = "article-embedded", i = new a(d), s.addClass("is-playing"), new o({
                        model: i
                    }), this.videos.add(i), this.pageManager.isMobile() && this.primeVideoForMobile(i), this.trackClickVideo()))
                }
                return this
            },
            getPlayerPosition: function(e) {
                var t = this.genericVideoModel.playerPositions,
                    i = t.POSITION_EMBEDDED;
                return e.hasClass("lede") ? i = t.POSITION_LEDE : e.hasClass("inline") ? i = t.POSITION_INLINE : "photospot" === e.data("position") && (i = t.POSITION_PHOTOSPOT), i
            },
            getPlayerType: function(e, t) {
                var i = this.genericVideoModel.playerPositions,
                    s = {};
                return s[i.POSITION_INLINE] = "article-modal", s[i.POSITION_LEDE] = "article-lede", s[i.POSITION_PHOTOSPOT] = "photospot", t && t.width() < this.settings.minInlinePlayWidth && (e = i.POSITION_INLINE), s[e] || "article-embedded"
            },
            trackClickVideo: function() {
                this.manualTrackEventTracker(), this.manualTrackWebTrends()
            },
            manualTrackEventTracker: function() {
                var e, t, i = window.NYTD || i || {};
                e = {
                    contentCollection: this.pageManager.getMeta("article:section"),
                    pgtype: this.pageManager.getMeta("PT"),
                    region: "Body",
                    module: "Video",
                    version: "Embedded",
                    eventName: "PlayVideo",
                    action: "click",
                    eventtimestamp: (new Date).getTime()
                }, t = {
                    subject: "module-interactions",
                    moduleData: JSON.stringify(e),
                    url: window.location.href || "",
                    referrer: window.referrer || ""
                }, "function" == typeof i.EventTracker && (this.tracker = new i.EventTracker, this.tracker.track(t))
            },
            manualTrackWebTrends: function() {
                var e = ["DCS.dcssip", "www.nytimes.com", "DCS.dcsuri", "/Video-Click-to-Play", "WT.ti", "Video Click to Play", "WT.z_dcsm", 1, "DCSext.module", "Video", "DCSext.version", "Embedded", "DCSext.action", "click", "DCSext.contentCollection", this.pageManager.getMeta("article:section"), "DCSext.region", "Body", "DCSext.eventName", "PlayVideo", "DCSext.pgtype", this.pageManager.getMeta("PT")];
                "function" == typeof window.dcsMultiTrack && window.dcsMultiTrack.apply(this, e)
            },
            primeVideoForMobile: function(e) {
                var t = e.get("videoObject");
                t && "html5" === t.getType() && null !== t.element && (t.element[0].play(), t.element[0].pause())
            },
            onVideoMediaViewerOpen: function() {
                var t = e("figure.media-viewer-video");
                t && this.modalVideoModel && (this.subscribeOnce("nyt:mediaviewer-close", this.onMediaViewerClose), this.modalVideoModel.set("videoFigure", t), new o({
                    model: this.modalVideoModel
                }), this.pageManager.isMobile() && this.primeVideoForMobile(this.modalVideoModel))
            },
            onMediaViewerClose: function() {
                this.modalVideoModel && (this.modalVideoModel.kill(), this.modalVideoModel = null)
            },
            onMediaViewerOpen: function() {
                this.videos.each(function(e) {
                    e && e.pause()
                })
            },
            onMediaChange: function(t) {
                var i;
                t.firstPlay || (i = e(t.container) || e(".video"), i.closest("figure").find(".caption").animate({
                    opacity: 0
                }))
            }
        })
    }), define("shared/video/instances/videos", ["jquery/nyt", "underscore/nyt", "shared/video/views/embedded-videos", "foundation/views/page-manager"], function(e, t, i, s) {
        "use strict";
        var n = function() {
            var t;
            s.flag("videoVHSCover") ? (t = e("figure.video"), t.length > 0 && new i({
                el: t,
                videoContainerSelector: "figure.video"
            })) : (t = e("figure.video .image"), t.length > 0 && new i({
                el: t,
                posterSelector: ".image",
                videoContainerSelector: "figure.video"
            }))
        };
        e(document).ready(function() {
            t.defer(n)
        })
    }), define("shared/messaging/instances/push-notifications", ["foundation/cookies"], function(e) {
        "use strict";
        var t, i = function(t) {
            "default" === t.permission ? window.safari.pushNotification.requestPermission("https://www.nytimes.com/svc/pushmobile", "web.com.nytimes", null, i) : "granted" === t.permission && e.writeCookie("NYT-mavericks", t.deviceToken)
        };
        "safari" in window && "pushNotification" in window.safari && (t = window.safari.pushNotification.permission("web.com.nytimes"), i(t))
    }), require(["homepage/instances/ad-manager", "shared/account/instances/account", "homepage/instances/recommendations", "homepage/instances/masthead", "homepage/instances/messaging", "homepage/instances/navigation", "homepage/instances/inside-nyt", "homepage/instances/embedded-slideshow", "homepage/instances/homepage", "homepage/instances/tracking", "homepage/instances/video-band", "shared/video/instances/videos", "shared/messaging/instances/push-notifications"]);
//# sourceMappingURL=main.js.map